(*
% File     : ALG137+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Quasigroups 4: PROP-SATS-GEN-SYS-47
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Unsatisfiable
% Rating   : 0.67 v3.1.0, 0.83 v2.7.0
% Status (intuit.) : Open (Problem negated)
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   29 (   0 unit)
%            Number of atoms       :  334 ( 334 equality)
%            Maximal formula depth :   49 (   7 average)
%            Number of connectives :  383 (  78 ~  ; 147  |; 158  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   4 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.


Variable op_ : Universe -> Universe -> Universe.
Variable e3_ : Universe.
Variable e2_ : Universe.
Variable e1_ : Universe.
Variable e0_ : Universe.

Variable ax1_1 : (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e0_) = e2_ \/ (op_ e0_ e0_) = e3_))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e1_) = e2_ \/ (op_ e0_ e1_) = e3_))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e2_) = e2_ \/ (op_ e0_ e2_) = e3_))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e0_ e3_) = e1_ \/ ((op_ e0_ e3_) = e2_ \/ (op_ e0_ e3_) = e3_))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e0_) = e2_ \/ (op_ e1_ e0_) = e3_))) /\ (((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e1_) = e2_ \/ (op_ e1_ e1_) = e3_))) /\ (((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e2_) = e2_ \/ (op_ e1_ e2_) = e3_))) /\ (((op_ e1_ e3_) = e0_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e1_ e3_) = e2_ \/ (op_ e1_ e3_) = e3_))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e0_) = e2_ \/ (op_ e2_ e0_) = e3_))) /\ (((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e1_) = e2_ \/ (op_ e2_ e1_) = e3_))) /\ (((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e2_ e2_) = e3_))) /\ (((op_ e2_ e3_) = e0_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e2_ e3_) = e2_ \/ (op_ e2_ e3_) = e3_))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e0_) = e2_ \/ (op_ e3_ e0_) = e3_))) /\ (((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e1_) = e2_ \/ (op_ e3_ e1_) = e3_))) /\ (((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e2_) = e2_ \/ (op_ e3_ e2_) = e3_))) /\ ((op_ e3_ e3_) = e0_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e3_ e3_) = e2_ \/ (op_ e3_ e3_) = e3_)))))))))))))))))).
Variable ax2_2 : (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e2_) = e0_ \/ (op_ e0_ e3_) = e0_))) /\ (((op_ e0_ e0_) = e0_ \/ ((op_ e1_ e0_) = e0_ \/ ((op_ e2_ e0_) = e0_ \/ (op_ e3_ e0_) = e0_))) /\ (((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e2_) = e1_ \/ (op_ e0_ e3_) = e1_))) /\ (((op_ e0_ e0_) = e1_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e2_ e0_) = e1_ \/ (op_ e3_ e0_) = e1_))) /\ (((op_ e0_ e0_) = e2_ \/ ((op_ e0_ e1_) = e2_ \/ ((op_ e0_ e2_) = e2_ \/ (op_ e0_ e3_) = e2_))) /\ (((op_ e0_ e0_) = e2_ \/ ((op_ e1_ e0_) = e2_ \/ ((op_ e2_ e0_) = e2_ \/ (op_ e3_ e0_) = e2_))) /\ (((op_ e0_ e0_) = e3_ \/ ((op_ e0_ e1_) = e3_ \/ ((op_ e0_ e2_) = e3_ \/ (op_ e0_ e3_) = e3_))) /\ (((op_ e0_ e0_) = e3_ \/ ((op_ e1_ e0_) = e3_ \/ ((op_ e2_ e0_) = e3_ \/ (op_ e3_ e0_) = e3_))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e2_) = e0_ \/ (op_ e1_ e3_) = e0_))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e1_ e1_) = e0_ \/ ((op_ e2_ e1_) = e0_ \/ (op_ e3_ e1_) = e0_))) /\ (((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e2_) = e1_ \/ (op_ e1_ e3_) = e1_))) /\ (((op_ e0_ e1_) = e1_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e2_ e1_) = e1_ \/ (op_ e3_ e1_) = e1_))) /\ (((op_ e1_ e0_) = e2_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e1_ e2_) = e2_ \/ (op_ e1_ e3_) = e2_))) /\ (((op_ e0_ e1_) = e2_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e2_ e1_) = e2_ \/ (op_ e3_ e1_) = e2_))) /\ (((op_ e1_ e0_) = e3_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e1_ e2_) = e3_ \/ (op_ e1_ e3_) = e3_))) /\ (((op_ e0_ e1_) = e3_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e2_ e1_) = e3_ \/ (op_ e3_ e1_) = e3_))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e2_) = e0_ \/ (op_ e2_ e3_) = e0_))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e1_ e2_) = e0_ \/ ((op_ e2_ e2_) = e0_ \/ (op_ e3_ e2_) = e0_))) /\ (((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e2_) = e1_ \/ (op_ e2_ e3_) = e1_))) /\ (((op_ e0_ e2_) = e1_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e2_ e2_) = e1_ \/ (op_ e3_ e2_) = e1_))) /\ (((op_ e2_ e0_) = e2_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e2_ e3_) = e2_))) /\ (((op_ e0_ e2_) = e2_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e3_ e2_) = e2_))) /\ (((op_ e2_ e0_) = e3_ \/ ((op_ e2_ e1_) = e3_ \/ ((op_ e2_ e2_) = e3_ \/ (op_ e2_ e3_) = e3_))) /\ (((op_ e0_ e2_) = e3_ \/ ((op_ e1_ e2_) = e3_ \/ ((op_ e2_ e2_) = e3_ \/ (op_ e3_ e2_) = e3_))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e2_) = e0_ \/ (op_ e3_ e3_) = e0_))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e1_ e3_) = e0_ \/ ((op_ e2_ e3_) = e0_ \/ (op_ e3_ e3_) = e0_))) /\ (((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e2_) = e1_ \/ (op_ e3_ e3_) = e1_))) /\ (((op_ e0_ e3_) = e1_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e2_ e3_) = e1_ \/ (op_ e3_ e3_) = e1_))) /\ (((op_ e3_ e0_) = e2_ \/ ((op_ e3_ e1_) = e2_ \/ ((op_ e3_ e2_) = e2_ \/ (op_ e3_ e3_) = e2_))) /\ (((op_ e0_ e3_) = e2_ \/ ((op_ e1_ e3_) = e2_ \/ ((op_ e2_ e3_) = e2_ \/ (op_ e3_ e3_) = e2_))) /\ (((op_ e3_ e0_) = e3_ \/ ((op_ e3_ e1_) = e3_ \/ ((op_ e3_ e2_) = e3_ \/ (op_ e3_ e3_) = e3_))) /\ ((op_ e0_ e3_) = e3_ \/ ((op_ e1_ e3_) = e3_ \/ ((op_ e2_ e3_) = e3_ \/ (op_ e3_ e3_) = e3_)))))))))))))))))))))))))))))))))).
Variable ax3_3 : ((op_ e0_ e0_) <> (op_ e1_ e0_) /\ ((op_ e0_ e0_) <> (op_ e2_ e0_) /\ ((op_ e0_ e0_) <> (op_ e3_ e0_) /\ ((op_ e1_ e0_) <> (op_ e2_ e0_) /\ ((op_ e1_ e0_) <> (op_ e3_ e0_) /\ ((op_ e2_ e0_) <> (op_ e3_ e0_) /\ ((op_ e0_ e1_) <> (op_ e1_ e1_) /\ ((op_ e0_ e1_) <> (op_ e2_ e1_) /\ ((op_ e0_ e1_) <> (op_ e3_ e1_) /\ ((op_ e1_ e1_) <> (op_ e2_ e1_) /\ ((op_ e1_ e1_) <> (op_ e3_ e1_) /\ ((op_ e2_ e1_) <> (op_ e3_ e1_) /\ ((op_ e0_ e2_) <> (op_ e1_ e2_) /\ ((op_ e0_ e2_) <> (op_ e2_ e2_) /\ ((op_ e0_ e2_) <> (op_ e3_ e2_) /\ ((op_ e1_ e2_) <> (op_ e2_ e2_) /\ ((op_ e1_ e2_) <> (op_ e3_ e2_) /\ ((op_ e2_ e2_) <> (op_ e3_ e2_) /\ ((op_ e0_ e3_) <> (op_ e1_ e3_) /\ ((op_ e0_ e3_) <> (op_ e2_ e3_) /\ ((op_ e0_ e3_) <> (op_ e3_ e3_) /\ ((op_ e1_ e3_) <> (op_ e2_ e3_) /\ ((op_ e1_ e3_) <> (op_ e3_ e3_) /\ ((op_ e2_ e3_) <> (op_ e3_ e3_) /\ ((op_ e0_ e0_) <> (op_ e0_ e1_) /\ ((op_ e0_ e0_) <> (op_ e0_ e2_) /\ ((op_ e0_ e0_) <> (op_ e0_ e3_) /\ ((op_ e0_ e1_) <> (op_ e0_ e2_) /\ ((op_ e0_ e1_) <> (op_ e0_ e3_) /\ ((op_ e0_ e2_) <> (op_ e0_ e3_) /\ ((op_ e1_ e0_) <> (op_ e1_ e1_) /\ ((op_ e1_ e0_) <> (op_ e1_ e2_) /\ ((op_ e1_ e0_) <> (op_ e1_ e3_) /\ ((op_ e1_ e1_) <> (op_ e1_ e2_) /\ ((op_ e1_ e1_) <> (op_ e1_ e3_) /\ ((op_ e1_ e2_) <> (op_ e1_ e3_) /\ ((op_ e2_ e0_) <> (op_ e2_ e1_) /\ ((op_ e2_ e0_) <> (op_ e2_ e2_) /\ ((op_ e2_ e0_) <> (op_ e2_ e3_) /\ ((op_ e2_ e1_) <> (op_ e2_ e2_) /\ ((op_ e2_ e1_) <> (op_ e2_ e3_) /\ ((op_ e2_ e2_) <> (op_ e2_ e3_) /\ ((op_ e3_ e0_) <> (op_ e3_ e1_) /\ ((op_ e3_ e0_) <> (op_ e3_ e2_) /\ ((op_ e3_ e0_) <> (op_ e3_ e3_) /\ ((op_ e3_ e1_) <> (op_ e3_ e2_) /\ ((op_ e3_ e1_) <> (op_ e3_ e3_) /\ (op_ e3_ e2_) <> (op_ e3_ e3_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax4_4 : (e0_ <> e1_ /\ (e0_ <> e2_ /\ (e0_ <> e3_ /\ (e1_ <> e2_ /\ (e1_ <> e3_ /\ e2_ <> e3_))))).
Variable ax5_5 : (((op_ (op_ e0_ e0_) (op_ e0_ e0_)) = e0_ /\ ((op_ (op_ e1_ e0_) (op_ e1_ e0_)) = e1_ /\ ((op_ (op_ e2_ e0_) (op_ e2_ e0_)) = e2_ /\ (op_ (op_ e3_ e0_) (op_ e3_ e0_)) = e3_))) \/ (((op_ (op_ e0_ e1_) (op_ e0_ e1_)) = e0_ /\ ((op_ (op_ e1_ e1_) (op_ e1_ e1_)) = e1_ /\ ((op_ (op_ e2_ e1_) (op_ e2_ e1_)) = e2_ /\ (op_ (op_ e3_ e1_) (op_ e3_ e1_)) = e3_))) \/ (((op_ (op_ e0_ e2_) (op_ e0_ e2_)) = e0_ /\ ((op_ (op_ e1_ e2_) (op_ e1_ e2_)) = e1_ /\ ((op_ (op_ e2_ e2_) (op_ e2_ e2_)) = e2_ /\ (op_ (op_ e3_ e2_) (op_ e3_ e2_)) = e3_))) \/ ((op_ (op_ e0_ e3_) (op_ e0_ e3_)) = e0_ /\ ((op_ (op_ e1_ e3_) (op_ e1_ e3_)) = e1_ /\ ((op_ (op_ e2_ e3_) (op_ e2_ e3_)) = e2_ /\ (op_ (op_ e3_ e3_) (op_ e3_ e3_)) = e3_)))))).
Variable ax6_6 : ~((e0_ = (op_ (op_ e1_ e1_) e1_) /\ (e2_ = (op_ e1_ e1_) /\ e3_ = (op_ e1_ (op_ (op_ e1_ e1_) e1_))))).
Variable ax7_7 : ~((e0_ = (op_ (op_ e1_ e1_) e1_) /\ (e3_ = (op_ e1_ e1_) /\ e2_ = (op_ e1_ (op_ (op_ e1_ e1_) e1_))))).
Variable ax8_8 : ~((e0_ = (op_ (op_ e2_ e2_) e2_) /\ (e1_ = (op_ e2_ e2_) /\ e3_ = (op_ e2_ (op_ (op_ e2_ e2_) e2_))))).
Variable ax9_9 : ~((e0_ = (op_ (op_ e2_ e2_) e2_) /\ (e3_ = (op_ e2_ e2_) /\ e1_ = (op_ e2_ (op_ (op_ e2_ e2_) e2_))))).
Variable ax10_10 : ~((e0_ = (op_ (op_ e3_ e3_) e3_) /\ (e1_ = (op_ e3_ e3_) /\ e2_ = (op_ e3_ (op_ (op_ e3_ e3_) e3_))))).
Variable ax11_11 : ~((e0_ = (op_ (op_ e3_ e3_) e3_) /\ (e2_ = (op_ e3_ e3_) /\ e1_ = (op_ e3_ (op_ (op_ e3_ e3_) e3_))))).
Variable ax12_12 : ~((e1_ = (op_ (op_ e0_ e0_) e0_) /\ (e2_ = (op_ e0_ e0_) /\ e3_ = (op_ e0_ (op_ (op_ e0_ e0_) e0_))))).
Variable ax13_13 : ~((e1_ = (op_ (op_ e0_ e0_) e0_) /\ (e3_ = (op_ e0_ e0_) /\ e2_ = (op_ e0_ (op_ (op_ e0_ e0_) e0_))))).
Variable ax14_14 : ~((e1_ = (op_ (op_ e2_ e2_) e2_) /\ (e0_ = (op_ e2_ e2_) /\ e3_ = (op_ e2_ (op_ (op_ e2_ e2_) e2_))))).
Variable ax15_15 : ~((e1_ = (op_ (op_ e2_ e2_) e2_) /\ (e3_ = (op_ e2_ e2_) /\ e0_ = (op_ e2_ (op_ (op_ e2_ e2_) e2_))))).
Variable ax16_16 : ~((e1_ = (op_ (op_ e3_ e3_) e3_) /\ (e0_ = (op_ e3_ e3_) /\ e2_ = (op_ e3_ (op_ (op_ e3_ e3_) e3_))))).
Variable ax17_17 : ~((e1_ = (op_ (op_ e3_ e3_) e3_) /\ (e2_ = (op_ e3_ e3_) /\ e0_ = (op_ e3_ (op_ (op_ e3_ e3_) e3_))))).
Variable ax18_18 : ~((e2_ = (op_ (op_ e0_ e0_) e0_) /\ (e1_ = (op_ e0_ e0_) /\ e3_ = (op_ e0_ (op_ (op_ e0_ e0_) e0_))))).
Variable ax19_19 : ~((e2_ = (op_ (op_ e0_ e0_) e0_) /\ (e3_ = (op_ e0_ e0_) /\ e1_ = (op_ e0_ (op_ (op_ e0_ e0_) e0_))))).
Variable ax20_20 : ~((e2_ = (op_ (op_ e1_ e1_) e1_) /\ (e0_ = (op_ e1_ e1_) /\ e3_ = (op_ e1_ (op_ (op_ e1_ e1_) e1_))))).
Variable ax21_21 : ~((e2_ = (op_ (op_ e1_ e1_) e1_) /\ (e3_ = (op_ e1_ e1_) /\ e0_ = (op_ e1_ (op_ (op_ e1_ e1_) e1_))))).
Variable ax22_22 : ~((e2_ = (op_ (op_ e3_ e3_) e3_) /\ (e0_ = (op_ e3_ e3_) /\ e1_ = (op_ e3_ (op_ (op_ e3_ e3_) e3_))))).
Variable ax23_23 : ~((e2_ = (op_ (op_ e3_ e3_) e3_) /\ (e1_ = (op_ e3_ e3_) /\ e0_ = (op_ e3_ (op_ (op_ e3_ e3_) e3_))))).
Variable ax24_24 : ~((e3_ = (op_ (op_ e0_ e0_) e0_) /\ (e1_ = (op_ e0_ e0_) /\ e2_ = (op_ e0_ (op_ (op_ e0_ e0_) e0_))))).
Variable ax25_25 : ~((e3_ = (op_ (op_ e0_ e0_) e0_) /\ (e2_ = (op_ e0_ e0_) /\ e1_ = (op_ e0_ (op_ (op_ e0_ e0_) e0_))))).
Variable ax26_26 : ~((e3_ = (op_ (op_ e1_ e1_) e1_) /\ (e0_ = (op_ e1_ e1_) /\ e2_ = (op_ e1_ (op_ (op_ e1_ e1_) e1_))))).
Variable ax27_27 : ~((e3_ = (op_ (op_ e1_ e1_) e1_) /\ (e2_ = (op_ e1_ e1_) /\ e0_ = (op_ e1_ (op_ (op_ e1_ e1_) e1_))))).
Variable ax28_28 : ~((e3_ = (op_ (op_ e2_ e2_) e2_) /\ (e0_ = (op_ e2_ e2_) /\ e1_ = (op_ e2_ (op_ (op_ e2_ e2_) e2_))))).
Variable ax29_29 : ~((e3_ = (op_ (op_ e2_ e2_) e2_) /\ (e1_ = (op_ e2_ e2_) /\ e0_ = (op_ e2_ (op_ (op_ e2_ e2_) e2_))))).

Theorem conjecture_30 : False.
Proof.
  time hprover.
Qed.

End FOFProblem.
