(*
% File     : ALG204+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Quasigroups 7 QG5: REPRESENTATIVES-PAIRWISE-NOT-ISO-PROBLEM-1
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.22 v2.7.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    6 (   0 unit)
%            Number of atoms       :  399 ( 399 equality)
%            Maximal formula depth :  114 (  51 average)
%            Number of connectives :  485 (  92 ~  ;  84  |; 308  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   18 (  14 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.


Variable op2_ : Universe -> Universe -> Universe.
Variable op1_ : Universe -> Universe -> Universe.
Variable j_ : Universe -> Universe.
Variable h_ : Universe -> Universe.
Variable e26_ : Universe.
Variable e25_ : Universe.
Variable e24_ : Universe.
Variable e23_ : Universe.
Variable e22_ : Universe.
Variable e21_ : Universe.
Variable e20_ : Universe.
Variable e16_ : Universe.
Variable e15_ : Universe.
Variable e14_ : Universe.
Variable e13_ : Universe.
Variable e12_ : Universe.
Variable e11_ : Universe.
Variable e10_ : Universe.

Variable ax1_1 : (e10_ <> e11_ /\ (e10_ <> e12_ /\ (e10_ <> e13_ /\ (e10_ <> e14_ /\ (e10_ <> e15_ /\ (e10_ <> e16_ /\ (e11_ <> e12_ /\ (e11_ <> e13_ /\ (e11_ <> e14_ /\ (e11_ <> e15_ /\ (e11_ <> e16_ /\ (e12_ <> e13_ /\ (e12_ <> e14_ /\ (e12_ <> e15_ /\ (e12_ <> e16_ /\ (e13_ <> e14_ /\ (e13_ <> e15_ /\ (e13_ <> e16_ /\ (e14_ <> e15_ /\ (e14_ <> e16_ /\ e15_ <> e16_)))))))))))))))))))).
Variable ax2_2 : (e20_ <> e21_ /\ (e20_ <> e22_ /\ (e20_ <> e23_ /\ (e20_ <> e24_ /\ (e20_ <> e25_ /\ (e20_ <> e26_ /\ (e21_ <> e22_ /\ (e21_ <> e23_ /\ (e21_ <> e24_ /\ (e21_ <> e25_ /\ (e21_ <> e26_ /\ (e22_ <> e23_ /\ (e22_ <> e24_ /\ (e22_ <> e25_ /\ (e22_ <> e26_ /\ (e23_ <> e24_ /\ (e23_ <> e25_ /\ (e23_ <> e26_ /\ (e24_ <> e25_ /\ (e24_ <> e26_ /\ e25_ <> e26_)))))))))))))))))))).
Variable ax3_3 : (e10_ <> e20_ /\ (e10_ <> e21_ /\ (e10_ <> e22_ /\ (e10_ <> e23_ /\ (e10_ <> e24_ /\ (e10_ <> e25_ /\ (e10_ <> e26_ /\ (e11_ <> e20_ /\ (e11_ <> e21_ /\ (e11_ <> e22_ /\ (e11_ <> e23_ /\ (e11_ <> e24_ /\ (e11_ <> e25_ /\ (e11_ <> e26_ /\ (e12_ <> e20_ /\ (e12_ <> e21_ /\ (e12_ <> e22_ /\ (e12_ <> e23_ /\ (e12_ <> e24_ /\ (e12_ <> e25_ /\ (e12_ <> e26_ /\ (e13_ <> e20_ /\ (e13_ <> e21_ /\ (e13_ <> e22_ /\ (e13_ <> e23_ /\ (e13_ <> e24_ /\ (e13_ <> e25_ /\ (e13_ <> e26_ /\ (e14_ <> e20_ /\ (e14_ <> e21_ /\ (e14_ <> e22_ /\ (e14_ <> e23_ /\ (e14_ <> e24_ /\ (e14_ <> e25_ /\ (e14_ <> e26_ /\ (e15_ <> e20_ /\ (e15_ <> e21_ /\ (e15_ <> e22_ /\ (e15_ <> e23_ /\ (e15_ <> e24_ /\ (e15_ <> e25_ /\ (e15_ <> e26_ /\ (e16_ <> e20_ /\ (e16_ <> e21_ /\ (e16_ <> e22_ /\ (e16_ <> e23_ /\ (e16_ <> e24_ /\ (e16_ <> e25_ /\ e16_ <> e26_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax4_4 : ((op1_ e10_ e10_) = e13_ /\ ((op1_ e10_ e11_) = e10_ /\ ((op1_ e10_ e12_) = e16_ /\ ((op1_ e10_ e13_) = e11_ /\ ((op1_ e10_ e14_) = e14_ /\ ((op1_ e10_ e15_) = e12_ /\ ((op1_ e10_ e16_) = e15_ /\ ((op1_ e11_ e10_) = e10_ /\ ((op1_ e11_ e11_) = e16_ /\ ((op1_ e11_ e12_) = e11_ /\ ((op1_ e11_ e13_) = e15_ /\ ((op1_ e11_ e14_) = e13_ /\ ((op1_ e11_ e15_) = e14_ /\ ((op1_ e11_ e16_) = e12_ /\ ((op1_ e12_ e10_) = e16_ /\ ((op1_ e12_ e11_) = e11_ /\ ((op1_ e12_ e12_) = e15_ /\ ((op1_ e12_ e13_) = e12_ /\ ((op1_ e12_ e14_) = e10_ /\ ((op1_ e12_ e15_) = e13_ /\ ((op1_ e12_ e16_) = e14_ /\ ((op1_ e13_ e10_) = e11_ /\ ((op1_ e13_ e11_) = e15_ /\ ((op1_ e13_ e12_) = e12_ /\ ((op1_ e13_ e13_) = e14_ /\ ((op1_ e13_ e14_) = e16_ /\ ((op1_ e13_ e15_) = e10_ /\ ((op1_ e13_ e16_) = e13_ /\ ((op1_ e14_ e10_) = e14_ /\ ((op1_ e14_ e11_) = e13_ /\ ((op1_ e14_ e12_) = e10_ /\ ((op1_ e14_ e13_) = e16_ /\ ((op1_ e14_ e14_) = e12_ /\ ((op1_ e14_ e15_) = e15_ /\ ((op1_ e14_ e16_) = e11_ /\ ((op1_ e15_ e10_) = e12_ /\ ((op1_ e15_ e11_) = e14_ /\ ((op1_ e15_ e12_) = e13_ /\ ((op1_ e15_ e13_) = e10_ /\ ((op1_ e15_ e14_) = e15_ /\ ((op1_ e15_ e15_) = e11_ /\ ((op1_ e15_ e16_) = e16_ /\ ((op1_ e16_ e10_) = e15_ /\ ((op1_ e16_ e11_) = e12_ /\ ((op1_ e16_ e12_) = e14_ /\ ((op1_ e16_ e13_) = e13_ /\ ((op1_ e16_ e14_) = e11_ /\ ((op1_ e16_ e15_) = e16_ /\ (op1_ e16_ e16_) = e10_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax5_5 : ((op2_ e20_ e20_) = e20_ /\ ((op2_ e20_ e21_) = e23_ /\ ((op2_ e20_ e22_) = e21_ /\ ((op2_ e20_ e23_) = e22_ /\ ((op2_ e20_ e24_) = e26_ /\ ((op2_ e20_ e25_) = e24_ /\ ((op2_ e20_ e26_) = e25_ /\ ((op2_ e21_ e20_) = e23_ /\ ((op2_ e21_ e21_) = e21_ /\ ((op2_ e21_ e22_) = e26_ /\ ((op2_ e21_ e23_) = e25_ /\ ((op2_ e21_ e24_) = e22_ /\ ((op2_ e21_ e25_) = e20_ /\ ((op2_ e21_ e26_) = e24_ /\ ((op2_ e22_ e20_) = e21_ /\ ((op2_ e22_ e21_) = e26_ /\ ((op2_ e22_ e22_) = e22_ /\ ((op2_ e22_ e23_) = e24_ /\ ((op2_ e22_ e24_) = e25_ /\ ((op2_ e22_ e25_) = e23_ /\ ((op2_ e22_ e26_) = e20_ /\ ((op2_ e23_ e20_) = e22_ /\ ((op2_ e23_ e21_) = e25_ /\ ((op2_ e23_ e22_) = e24_ /\ ((op2_ e23_ e23_) = e23_ /\ ((op2_ e23_ e24_) = e20_ /\ ((op2_ e23_ e25_) = e26_ /\ ((op2_ e23_ e26_) = e21_ /\ ((op2_ e24_ e20_) = e26_ /\ ((op2_ e24_ e21_) = e22_ /\ ((op2_ e24_ e22_) = e25_ /\ ((op2_ e24_ e23_) = e20_ /\ ((op2_ e24_ e24_) = e24_ /\ ((op2_ e24_ e25_) = e21_ /\ ((op2_ e24_ e26_) = e23_ /\ ((op2_ e25_ e20_) = e24_ /\ ((op2_ e25_ e21_) = e20_ /\ ((op2_ e25_ e22_) = e23_ /\ ((op2_ e25_ e23_) = e26_ /\ ((op2_ e25_ e24_) = e21_ /\ ((op2_ e25_ e25_) = e25_ /\ ((op2_ e25_ e26_) = e22_ /\ ((op2_ e26_ e20_) = e25_ /\ ((op2_ e26_ e21_) = e24_ /\ ((op2_ e26_ e22_) = e20_ /\ ((op2_ e26_ e23_) = e21_ /\ ((op2_ e26_ e24_) = e23_ /\ ((op2_ e26_ e25_) = e22_ /\ (op2_ e26_ e26_) = e26_)))))))))))))))))))))))))))))))))))))))))))))))).

Theorem co1_6 : ((((h_ e10_) = e20_ \/ ((h_ e10_) = e21_ \/ ((h_ e10_) = e22_ \/ ((h_ e10_) = e23_ \/ ((h_ e10_) = e24_ \/ ((h_ e10_) = e25_ \/ (h_ e10_) = e26_)))))) /\ (((h_ e11_) = e20_ \/ ((h_ e11_) = e21_ \/ ((h_ e11_) = e22_ \/ ((h_ e11_) = e23_ \/ ((h_ e11_) = e24_ \/ ((h_ e11_) = e25_ \/ (h_ e11_) = e26_)))))) /\ (((h_ e12_) = e20_ \/ ((h_ e12_) = e21_ \/ ((h_ e12_) = e22_ \/ ((h_ e12_) = e23_ \/ ((h_ e12_) = e24_ \/ ((h_ e12_) = e25_ \/ (h_ e12_) = e26_)))))) /\ (((h_ e13_) = e20_ \/ ((h_ e13_) = e21_ \/ ((h_ e13_) = e22_ \/ ((h_ e13_) = e23_ \/ ((h_ e13_) = e24_ \/ ((h_ e13_) = e25_ \/ (h_ e13_) = e26_)))))) /\ (((h_ e14_) = e20_ \/ ((h_ e14_) = e21_ \/ ((h_ e14_) = e22_ \/ ((h_ e14_) = e23_ \/ ((h_ e14_) = e24_ \/ ((h_ e14_) = e25_ \/ (h_ e14_) = e26_)))))) /\ (((h_ e15_) = e20_ \/ ((h_ e15_) = e21_ \/ ((h_ e15_) = e22_ \/ ((h_ e15_) = e23_ \/ ((h_ e15_) = e24_ \/ ((h_ e15_) = e25_ \/ (h_ e15_) = e26_)))))) /\ (((h_ e16_) = e20_ \/ ((h_ e16_) = e21_ \/ ((h_ e16_) = e22_ \/ ((h_ e16_) = e23_ \/ ((h_ e16_) = e24_ \/ ((h_ e16_) = e25_ \/ (h_ e16_) = e26_)))))) /\ (((j_ e20_) = e10_ \/ ((j_ e20_) = e11_ \/ ((j_ e20_) = e12_ \/ ((j_ e20_) = e13_ \/ ((j_ e20_) = e14_ \/ ((j_ e20_) = e15_ \/ (j_ e20_) = e16_)))))) /\ (((j_ e21_) = e10_ \/ ((j_ e21_) = e11_ \/ ((j_ e21_) = e12_ \/ ((j_ e21_) = e13_ \/ ((j_ e21_) = e14_ \/ ((j_ e21_) = e15_ \/ (j_ e21_) = e16_)))))) /\ (((j_ e22_) = e10_ \/ ((j_ e22_) = e11_ \/ ((j_ e22_) = e12_ \/ ((j_ e22_) = e13_ \/ ((j_ e22_) = e14_ \/ ((j_ e22_) = e15_ \/ (j_ e22_) = e16_)))))) /\ (((j_ e23_) = e10_ \/ ((j_ e23_) = e11_ \/ ((j_ e23_) = e12_ \/ ((j_ e23_) = e13_ \/ ((j_ e23_) = e14_ \/ ((j_ e23_) = e15_ \/ (j_ e23_) = e16_)))))) /\ (((j_ e24_) = e10_ \/ ((j_ e24_) = e11_ \/ ((j_ e24_) = e12_ \/ ((j_ e24_) = e13_ \/ ((j_ e24_) = e14_ \/ ((j_ e24_) = e15_ \/ (j_ e24_) = e16_)))))) /\ (((j_ e25_) = e10_ \/ ((j_ e25_) = e11_ \/ ((j_ e25_) = e12_ \/ ((j_ e25_) = e13_ \/ ((j_ e25_) = e14_ \/ ((j_ e25_) = e15_ \/ (j_ e25_) = e16_)))))) /\ ((j_ e26_) = e10_ \/ ((j_ e26_) = e11_ \/ ((j_ e26_) = e12_ \/ ((j_ e26_) = e13_ \/ ((j_ e26_) = e14_ \/ ((j_ e26_) = e15_ \/ (j_ e26_) = e16_))))))))))))))))))) -> ~(((h_ (op1_ e10_ e10_)) = (op2_ (h_ e10_) (h_ e10_)) /\ ((h_ (op1_ e10_ e11_)) = (op2_ (h_ e10_) (h_ e11_)) /\ ((h_ (op1_ e10_ e12_)) = (op2_ (h_ e10_) (h_ e12_)) /\ ((h_ (op1_ e10_ e13_)) = (op2_ (h_ e10_) (h_ e13_)) /\ ((h_ (op1_ e10_ e14_)) = (op2_ (h_ e10_) (h_ e14_)) /\ ((h_ (op1_ e10_ e15_)) = (op2_ (h_ e10_) (h_ e15_)) /\ ((h_ (op1_ e10_ e16_)) = (op2_ (h_ e10_) (h_ e16_)) /\ ((h_ (op1_ e11_ e10_)) = (op2_ (h_ e11_) (h_ e10_)) /\ ((h_ (op1_ e11_ e11_)) = (op2_ (h_ e11_) (h_ e11_)) /\ ((h_ (op1_ e11_ e12_)) = (op2_ (h_ e11_) (h_ e12_)) /\ ((h_ (op1_ e11_ e13_)) = (op2_ (h_ e11_) (h_ e13_)) /\ ((h_ (op1_ e11_ e14_)) = (op2_ (h_ e11_) (h_ e14_)) /\ ((h_ (op1_ e11_ e15_)) = (op2_ (h_ e11_) (h_ e15_)) /\ ((h_ (op1_ e11_ e16_)) = (op2_ (h_ e11_) (h_ e16_)) /\ ((h_ (op1_ e12_ e10_)) = (op2_ (h_ e12_) (h_ e10_)) /\ ((h_ (op1_ e12_ e11_)) = (op2_ (h_ e12_) (h_ e11_)) /\ ((h_ (op1_ e12_ e12_)) = (op2_ (h_ e12_) (h_ e12_)) /\ ((h_ (op1_ e12_ e13_)) = (op2_ (h_ e12_) (h_ e13_)) /\ ((h_ (op1_ e12_ e14_)) = (op2_ (h_ e12_) (h_ e14_)) /\ ((h_ (op1_ e12_ e15_)) = (op2_ (h_ e12_) (h_ e15_)) /\ ((h_ (op1_ e12_ e16_)) = (op2_ (h_ e12_) (h_ e16_)) /\ ((h_ (op1_ e13_ e10_)) = (op2_ (h_ e13_) (h_ e10_)) /\ ((h_ (op1_ e13_ e11_)) = (op2_ (h_ e13_) (h_ e11_)) /\ ((h_ (op1_ e13_ e12_)) = (op2_ (h_ e13_) (h_ e12_)) /\ ((h_ (op1_ e13_ e13_)) = (op2_ (h_ e13_) (h_ e13_)) /\ ((h_ (op1_ e13_ e14_)) = (op2_ (h_ e13_) (h_ e14_)) /\ ((h_ (op1_ e13_ e15_)) = (op2_ (h_ e13_) (h_ e15_)) /\ ((h_ (op1_ e13_ e16_)) = (op2_ (h_ e13_) (h_ e16_)) /\ ((h_ (op1_ e14_ e10_)) = (op2_ (h_ e14_) (h_ e10_)) /\ ((h_ (op1_ e14_ e11_)) = (op2_ (h_ e14_) (h_ e11_)) /\ ((h_ (op1_ e14_ e12_)) = (op2_ (h_ e14_) (h_ e12_)) /\ ((h_ (op1_ e14_ e13_)) = (op2_ (h_ e14_) (h_ e13_)) /\ ((h_ (op1_ e14_ e14_)) = (op2_ (h_ e14_) (h_ e14_)) /\ ((h_ (op1_ e14_ e15_)) = (op2_ (h_ e14_) (h_ e15_)) /\ ((h_ (op1_ e14_ e16_)) = (op2_ (h_ e14_) (h_ e16_)) /\ ((h_ (op1_ e15_ e10_)) = (op2_ (h_ e15_) (h_ e10_)) /\ ((h_ (op1_ e15_ e11_)) = (op2_ (h_ e15_) (h_ e11_)) /\ ((h_ (op1_ e15_ e12_)) = (op2_ (h_ e15_) (h_ e12_)) /\ ((h_ (op1_ e15_ e13_)) = (op2_ (h_ e15_) (h_ e13_)) /\ ((h_ (op1_ e15_ e14_)) = (op2_ (h_ e15_) (h_ e14_)) /\ ((h_ (op1_ e15_ e15_)) = (op2_ (h_ e15_) (h_ e15_)) /\ ((h_ (op1_ e15_ e16_)) = (op2_ (h_ e15_) (h_ e16_)) /\ ((h_ (op1_ e16_ e10_)) = (op2_ (h_ e16_) (h_ e10_)) /\ ((h_ (op1_ e16_ e11_)) = (op2_ (h_ e16_) (h_ e11_)) /\ ((h_ (op1_ e16_ e12_)) = (op2_ (h_ e16_) (h_ e12_)) /\ ((h_ (op1_ e16_ e13_)) = (op2_ (h_ e16_) (h_ e13_)) /\ ((h_ (op1_ e16_ e14_)) = (op2_ (h_ e16_) (h_ e14_)) /\ ((h_ (op1_ e16_ e15_)) = (op2_ (h_ e16_) (h_ e15_)) /\ ((h_ (op1_ e16_ e16_)) = (op2_ (h_ e16_) (h_ e16_)) /\ ((j_ (op2_ e20_ e20_)) = (op1_ (j_ e20_) (j_ e20_)) /\ ((j_ (op2_ e20_ e21_)) = (op1_ (j_ e20_) (j_ e21_)) /\ ((j_ (op2_ e20_ e22_)) = (op1_ (j_ e20_) (j_ e22_)) /\ ((j_ (op2_ e20_ e23_)) = (op1_ (j_ e20_) (j_ e23_)) /\ ((j_ (op2_ e20_ e24_)) = (op1_ (j_ e20_) (j_ e24_)) /\ ((j_ (op2_ e20_ e25_)) = (op1_ (j_ e20_) (j_ e25_)) /\ ((j_ (op2_ e20_ e26_)) = (op1_ (j_ e20_) (j_ e26_)) /\ ((j_ (op2_ e21_ e20_)) = (op1_ (j_ e21_) (j_ e20_)) /\ ((j_ (op2_ e21_ e21_)) = (op1_ (j_ e21_) (j_ e21_)) /\ ((j_ (op2_ e21_ e22_)) = (op1_ (j_ e21_) (j_ e22_)) /\ ((j_ (op2_ e21_ e23_)) = (op1_ (j_ e21_) (j_ e23_)) /\ ((j_ (op2_ e21_ e24_)) = (op1_ (j_ e21_) (j_ e24_)) /\ ((j_ (op2_ e21_ e25_)) = (op1_ (j_ e21_) (j_ e25_)) /\ ((j_ (op2_ e21_ e26_)) = (op1_ (j_ e21_) (j_ e26_)) /\ ((j_ (op2_ e22_ e20_)) = (op1_ (j_ e22_) (j_ e20_)) /\ ((j_ (op2_ e22_ e21_)) = (op1_ (j_ e22_) (j_ e21_)) /\ ((j_ (op2_ e22_ e22_)) = (op1_ (j_ e22_) (j_ e22_)) /\ ((j_ (op2_ e22_ e23_)) = (op1_ (j_ e22_) (j_ e23_)) /\ ((j_ (op2_ e22_ e24_)) = (op1_ (j_ e22_) (j_ e24_)) /\ ((j_ (op2_ e22_ e25_)) = (op1_ (j_ e22_) (j_ e25_)) /\ ((j_ (op2_ e22_ e26_)) = (op1_ (j_ e22_) (j_ e26_)) /\ ((j_ (op2_ e23_ e20_)) = (op1_ (j_ e23_) (j_ e20_)) /\ ((j_ (op2_ e23_ e21_)) = (op1_ (j_ e23_) (j_ e21_)) /\ ((j_ (op2_ e23_ e22_)) = (op1_ (j_ e23_) (j_ e22_)) /\ ((j_ (op2_ e23_ e23_)) = (op1_ (j_ e23_) (j_ e23_)) /\ ((j_ (op2_ e23_ e24_)) = (op1_ (j_ e23_) (j_ e24_)) /\ ((j_ (op2_ e23_ e25_)) = (op1_ (j_ e23_) (j_ e25_)) /\ ((j_ (op2_ e23_ e26_)) = (op1_ (j_ e23_) (j_ e26_)) /\ ((j_ (op2_ e24_ e20_)) = (op1_ (j_ e24_) (j_ e20_)) /\ ((j_ (op2_ e24_ e21_)) = (op1_ (j_ e24_) (j_ e21_)) /\ ((j_ (op2_ e24_ e22_)) = (op1_ (j_ e24_) (j_ e22_)) /\ ((j_ (op2_ e24_ e23_)) = (op1_ (j_ e24_) (j_ e23_)) /\ ((j_ (op2_ e24_ e24_)) = (op1_ (j_ e24_) (j_ e24_)) /\ ((j_ (op2_ e24_ e25_)) = (op1_ (j_ e24_) (j_ e25_)) /\ ((j_ (op2_ e24_ e26_)) = (op1_ (j_ e24_) (j_ e26_)) /\ ((j_ (op2_ e25_ e20_)) = (op1_ (j_ e25_) (j_ e20_)) /\ ((j_ (op2_ e25_ e21_)) = (op1_ (j_ e25_) (j_ e21_)) /\ ((j_ (op2_ e25_ e22_)) = (op1_ (j_ e25_) (j_ e22_)) /\ ((j_ (op2_ e25_ e23_)) = (op1_ (j_ e25_) (j_ e23_)) /\ ((j_ (op2_ e25_ e24_)) = (op1_ (j_ e25_) (j_ e24_)) /\ ((j_ (op2_ e25_ e25_)) = (op1_ (j_ e25_) (j_ e25_)) /\ ((j_ (op2_ e25_ e26_)) = (op1_ (j_ e25_) (j_ e26_)) /\ ((j_ (op2_ e26_ e20_)) = (op1_ (j_ e26_) (j_ e20_)) /\ ((j_ (op2_ e26_ e21_)) = (op1_ (j_ e26_) (j_ e21_)) /\ ((j_ (op2_ e26_ e22_)) = (op1_ (j_ e26_) (j_ e22_)) /\ ((j_ (op2_ e26_ e23_)) = (op1_ (j_ e26_) (j_ e23_)) /\ ((j_ (op2_ e26_ e24_)) = (op1_ (j_ e26_) (j_ e24_)) /\ ((j_ (op2_ e26_ e25_)) = (op1_ (j_ e26_) (j_ e25_)) /\ ((j_ (op2_ e26_ e26_)) = (op1_ (j_ e26_) (j_ e26_)) /\ ((h_ (j_ e20_)) = e20_ /\ ((h_ (j_ e21_)) = e21_ /\ ((h_ (j_ e22_)) = e22_ /\ ((h_ (j_ e23_)) = e23_ /\ ((h_ (j_ e24_)) = e24_ /\ ((h_ (j_ e25_)) = e25_ /\ ((h_ (j_ e26_)) = e26_ /\ ((j_ (h_ e10_)) = e10_ /\ ((j_ (h_ e11_)) = e11_ /\ ((j_ (h_ e12_)) = e12_ /\ ((j_ (h_ e13_)) = e13_ /\ ((j_ (h_ e14_)) = e14_ /\ ((j_ (h_ e15_)) = e15_ /\ (j_ (h_ e16_)) = e16_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
