(*
% Test
% File     : GEJ057+1 : ILTP v1.1
% Domain   : Constructive Geometry
% Problem  : Existence. Example 2 (Ordered Geometry)
% Version  : [P98] axioms.
% English  : Assume orthogonal geometry. Given a point and a line, to find 
%          : a point incident with the line.
% Refs     : [P98] J. von Plato. A Constructive Theory of Ordered Affine
%                  Geometry. Indagationes Mathematicae, vol. 9: 549-562, 
%                  1998.
% Source   : [P98]
% Names    :
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.50 v1.1.0
% Syntax   : 
% Comments :
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable unort_ : Universe -> Universe -> Prop.
Variable point_ : Universe -> Prop.
Variable line_ : Universe -> Prop.
Variable dipt_ : Universe -> Universe -> Prop.
Variable diln_ : Universe -> Universe -> Prop.
Variable con_ : Universe -> Universe -> Prop.
Variable apt_ : Universe -> Universe -> Prop.

Variable pt_ : Universe -> Universe -> Universe.
Variable par_ : Universe -> Universe -> Universe.
Variable ort_ : Universe -> Universe -> Universe.
Variable ln_ : Universe -> Universe -> Universe.

Variable a1_1 : (forall X : Universe, ~(dipt_ X X)).
Variable a2_2 : (forall X : Universe, ~(diln_ X X)).
Variable ax3_3 : (forall X : Universe, ~(con_ X X)).
Variable ax4_4 : (forall X Y Z : Universe, (dipt_ X Y -> (dipt_ X Z \/ dipt_ Y Z))).
Variable ax5_5 : (forall X Y Z : Universe, (diln_ X Y -> (diln_ X Z \/ diln_ Y Z))).
Variable ax6_6 : (forall X Y Z : Universe, (con_ X Y -> (con_ X Z \/ con_ Y Z))).
Variable a1_7 : (forall X Y : Universe, (dipt_ X Y -> ~(apt_ X (ln_ X Y)))).
Variable a2_8 : (forall X Y : Universe, (dipt_ X Y -> ~(apt_ Y (ln_ X Y)))).
Variable a3_9 : (forall X Y : Universe, (con_ X Y -> ~(apt_ (pt_ X Y) X))).
Variable a4_10 : (forall X Y : Universe, (con_ X Y -> ~(apt_ (pt_ X Y) Y))).
Variable a1_11 : (forall X Y U V : Universe, ((dipt_ X Y /\ diln_ U V) -> ((apt_ X U \/ apt_ X V) \/ (apt_ Y U \/ apt_ Y V)))).
Variable a1_12 : (forall X Y Z : Universe, (apt_ X Y -> (dipt_ X Z \/ apt_ Z Y))).
Variable a2_13 : (forall X Y Z : Universe, (apt_ X Y -> (diln_ Y Z \/ apt_ X Z))).
Variable a3_14 : (forall X Y Z : Universe, (con_ X Y -> (diln_ Y Z \/ con_ X Z))).
Variable a1_15 : (forall X Y : Universe, ~(con_ (par_ Y X) Y)).
Variable a2_16 : (forall X Y : Universe, ~(apt_ X (par_ Y X))).
Variable a1_17 : (forall X Y Z : Universe, (diln_ Y Z -> ((apt_ X Y \/ apt_ X Z) \/ con_ Y Z))).
Variable a1_18 : (forall L M : Universe, (con_ L M \/ unort_ L M)).
Variable a1_19 : (forall L M N : Universe, ((con_ L M /\ unort_ L M) -> ((con_ L N /\ unort_ L N) \/ (con_ M N /\ unort_ M N)))).
Variable a1_20 : (forall A L : Universe, ~(unort_ (ort_ L A) L)).
Variable a2_21 : (forall A L : Universe, ~(apt_ A (ort_ L A))).
Variable a1_22 : (forall A L M N : Universe, (diln_ L M -> ((apt_ A L \/ apt_ A M) \/ (unort_ L N \/ unort_ M N)))).
Variable a1_23 : (forall A B : Universe, ((point_ A /\ (point_ B /\ dipt_ A B)) -> line_ (ln_ A B))).
Variable a1_24 : (forall L M : Universe, ((line_ L /\ (line_ M /\ con_ L M)) -> point_ (pt_ L M))).
Variable a1_25 : (forall L A : Universe, ((line_ L /\ point_ A) -> line_ (ort_ L A))).

Theorem con_26 : ((forall L M : Universe, (line_ L /\ (line_ M /\ con_ L M))) -> (exists X : Universe, (point_ X -> (~(apt_ X L) /\ ~(apt_ X M))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
