(*
% File     : GEO143+1 : ILTP v1.1.2
% Domain   : Geometry (Oriented curves)
% Problem  : Unique oppositely oriented curve 4
% Version  : [EHK99] axioms.
% English  : For every oriented line there is exactly one uniquely determined
%            oriented line with the same underlying curve that orders the
%            points in the opposite way.
% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 4.23 (4) [KE99]
% Status   : Unsolved
% Rating   : 1.00 v2.4.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :   28 (   2 unit)
%            Number of atoms       :  115 (  16 equality)
%            Maximal formula depth :   12 (   7 average)
%            Number of connectives :   95 (   8 ~  ;  10  |;  38  &)
%                                         (  21 <=>;  18 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   15 (   0 propositional; 1-4 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :   98 (   0 singleton;  84 !;  14 ?)
%            Maximal term depth    :    2 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable start_point_ : Universe -> Universe -> Prop.
Variable part_of_ : Universe -> Universe -> Prop.
Variable ordered_by_ : Universe -> Universe -> Universe -> Prop.
Variable open_ : Universe -> Prop.
Variable meet_ : Universe -> Universe -> Universe -> Prop.
Variable inner_point_ : Universe -> Universe -> Prop.
Variable incident_o_ : Universe -> Universe -> Prop.
Variable incident_c_ : Universe -> Universe -> Prop.
Variable finish_point_ : Universe -> Universe -> Prop.
Variable end_point_ : Universe -> Universe -> Prop.
Variable closed_ : Universe -> Prop.
Variable between_o_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable between_c_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable between_ : Universe -> Universe -> Universe -> Universe -> Prop.

Variable underlying_curve_ : Universe -> Universe.
Variable sum_ : Universe -> Universe -> Universe.

Variable part_of_defn_1 : (forall C C1 : Universe, (part_of_ C1 C <-> (forall P : Universe, (incident_c_ P C1 -> incident_c_ P C)))).
Variable sum_defn_2 : (forall C C1 C2 : Universe, (C = (sum_ C1 C2) <-> (forall Q : Universe, (incident_c_ Q C <-> (incident_c_ Q C1 \/ incident_c_ Q C2))))).
Variable end_point_defn_3 : (forall P C : Universe, (end_point_ P C <-> (incident_c_ P C /\ (forall C1 C2 : Universe, ((part_of_ C1 C /\ (part_of_ C2 C /\ (incident_c_ P C1 /\ incident_c_ P C2))) -> (part_of_ C1 C2 \/ part_of_ C2 C1)))))).
Variable inner_point_defn_4 : (forall P C : Universe, (inner_point_ P C <-> (incident_c_ P C /\ ~(end_point_ P C)))).
Variable meet_defn_5 : (forall P C C1 : Universe, (meet_ P C C1 <-> (incident_c_ P C /\ (incident_c_ P C1 /\ (forall Q : Universe, ((incident_c_ Q C /\ incident_c_ Q C1) -> (end_point_ Q C /\ end_point_ Q C1))))))).
Variable closed_defn_6 : (forall C : Universe, (closed_ C <-> ~((exists P : Universe, end_point_ P C)))).
Variable open_defn_7 : (forall C : Universe, (open_ C <-> (exists P : Universe, end_point_ P C))).
Variable c1_8 : (forall C C1 : Universe, ((part_of_ C1 C /\ C1 <> C) -> open_ C1)).
Variable c2_9 : (forall C C1 C2 C3 : Universe, ((part_of_ C1 C /\ (part_of_ C2 C /\ (part_of_ C3 C /\ (exists P : Universe, (end_point_ P C1 /\ (end_point_ P C2 /\ end_point_ P C3)))))) -> (part_of_ C2 C3 \/ (part_of_ C3 C2 \/ (part_of_ C1 C2 \/ (part_of_ C2 C1 \/ (part_of_ C1 C3 \/ part_of_ C3 C1))))))).
Variable c3_10 : (forall C : Universe, (exists P : Universe, inner_point_ P C)).
Variable c4_11 : (forall C P : Universe, (inner_point_ P C -> (exists C1 C2 : Universe, (meet_ P C1 C2 /\ C = (sum_ C1 C2))))).
Variable c5_12 : (forall C P Q R : Universe, ((end_point_ P C /\ (end_point_ Q C /\ end_point_ R C)) -> (P = Q \/ (P = R \/ Q = R)))).
Variable c6_13 : (forall C P : Universe, (end_point_ P C -> (exists Q : Universe, (end_point_ Q C /\ P <> Q)))).
Variable c7_14 : (forall C C1 C2 P : Universe, ((closed_ C /\ (meet_ P C1 C2 /\ C = (sum_ C1 C2))) -> (forall Q : Universe, (end_point_ Q C1 -> meet_ Q C1 C2)))).
Variable c8_15 : (forall C1 C2 : Universe, ((exists P : Universe, meet_ P C1 C2) -> (exists C : Universe, C = (sum_ C1 C2)))).
Variable c9_16 : (forall C C1 : Universe, ((forall P : Universe, (incident_c_ P C <-> incident_c_ P C1)) -> C = C1)).
Variable between_c_defn_17 : (forall C P Q R : Universe, (between_c_ C P Q R <-> (P <> R /\ (exists Cpp : Universe, (part_of_ Cpp C /\ (end_point_ P Cpp /\ (end_point_ R Cpp /\ inner_point_ Q Cpp))))))).
Variable between_o_defn_18 : (forall O P Q R : Universe, (between_o_ O P Q R <-> ((ordered_by_ O P Q /\ ordered_by_ O Q R) \/ (ordered_by_ O R Q /\ ordered_by_ O Q P)))).
Variable start_point_defn_19 : (forall P O : Universe, (start_point_ P O <-> (incident_o_ P O /\ (forall Q : Universe, ((P <> Q /\ incident_o_ Q O) -> ordered_by_ O P Q))))).
Variable finish_point_defn_20 : (forall P O : Universe, (finish_point_ P O <-> (incident_o_ P O /\ (forall Q : Universe, ((P <> Q /\ incident_o_ Q O) -> ordered_by_ O Q P))))).
Variable o1_21 : (forall O P Q : Universe, (ordered_by_ O P Q -> (incident_o_ P O /\ incident_o_ Q O))).
Variable o2_22 : (forall O : Universe, (exists C : Universe, (open_ C /\ (forall P : Universe, (incident_o_ P O <-> incident_c_ P C))))).
Variable o3_23 : (forall P Q R O : Universe, (between_o_ O P Q R <-> (exists C : Universe, ((forall P : Universe, (incident_o_ P O <-> incident_c_ P C)) /\ between_c_ C P Q R)))).
Variable o4_24 : (forall O : Universe, (exists P : Universe, start_point_ P O)).
Variable o5_25 : (forall P Q C : Universe, ((open_ C /\ (P <> Q /\ (incident_c_ P C /\ incident_c_ Q C))) -> (exists O : Universe, ((forall R : Universe, (incident_o_ R O <-> incident_c_ R C)) /\ ordered_by_ O P Q)))).
Variable o6_26 : (forall O1 O2 : Universe, ((forall P Q : Universe, (ordered_by_ O1 P Q <-> ordered_by_ O2 P Q)) -> O1 = O2)).
Variable underlying_curve_defn_27 : (forall C O : Universe, (C = (underlying_curve_ O) <-> (forall P : Universe, (incident_o_ P O <-> incident_c_ P C)))).

Theorem theorem_4_23_4_28 : (forall O P Q R : Universe, (ordered_by_ O P Q -> (ordered_by_ O Q R <-> between_ O P Q R))).
Proof.
  time hprover.
Qed.

End FOFProblem.
