(*
% File     : KRS149+1 : ILTP v1.1.2
% Domain   : Knowledge Representation (Semantic Web)
% Problem  : DL Test: k_grz ABox test from DL98 systems comparison
% Version  : Especial.
% English  : 
% Refs     : [Bec03] Bechhofer (2003), Email to G. Sutcliffe
%          : [TR+04] Tsarkov et al. (2004), Using Vampire to Reason with OW
% Source   : [Bec03]
% Names    : positive_description-logic-Manifest204 [Bec03]
% Status   : Theorem
% Rating   : 0.11 v3.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :  126 (  12 unit)
%            Number of atoms       :  356 (   0 equality)
%            Maximal formula depth :   10 (   5 average)
%            Number of connectives :  322 (  92 ~  ;   0  |; 117  &)
%                                         ( 108 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  115 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :  169 (   0 singleton; 115 !;  54 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : Sean Bechhofer says there are some errors in the encoding of
%            datatypes, so this problem may not be perfect. At least it's
%            still representative of the type of reasoning required for OWL.
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable xsd_string_ : Universe -> Prop.
Variable xsd_integer_ : Universe -> Prop.
Variable rR1_ : Universe -> Universe -> Prop.
Variable cowlThing_ : Universe -> Prop.
Variable cowlNothing_ : Universe -> Prop.
Variable cTOP_ : Universe -> Prop.
Variable cTEST_ : Universe -> Prop.
Variable cC98_ : Universe -> Prop.
Variable cC96_ : Universe -> Prop.
Variable cC94_ : Universe -> Prop.
Variable cC92_ : Universe -> Prop.
Variable cC90_ : Universe -> Prop.
Variable cC88_ : Universe -> Prop.
Variable cC86_ : Universe -> Prop.
Variable cC84_ : Universe -> Prop.
Variable cC82_ : Universe -> Prop.
Variable cC80_ : Universe -> Prop.
Variable cC8_ : Universe -> Prop.
Variable cC78_ : Universe -> Prop.
Variable cC76_ : Universe -> Prop.
Variable cC74_ : Universe -> Prop.
Variable cC72_ : Universe -> Prop.
Variable cC70_ : Universe -> Prop.
Variable cC68_ : Universe -> Prop.
Variable cC66_ : Universe -> Prop.
Variable cC64_ : Universe -> Prop.
Variable cC62_ : Universe -> Prop.
Variable cC60_ : Universe -> Prop.
Variable cC6_ : Universe -> Prop.
Variable cC58_ : Universe -> Prop.
Variable cC56_ : Universe -> Prop.
Variable cC54_ : Universe -> Prop.
Variable cC52_ : Universe -> Prop.
Variable cC50_ : Universe -> Prop.
Variable cC48_ : Universe -> Prop.
Variable cC46_ : Universe -> Prop.
Variable cC44_ : Universe -> Prop.
Variable cC42_ : Universe -> Prop.
Variable cC40_ : Universe -> Prop.
Variable cC4_ : Universe -> Prop.
Variable cC38_ : Universe -> Prop.
Variable cC36_ : Universe -> Prop.
Variable cC34_ : Universe -> Prop.
Variable cC32_ : Universe -> Prop.
Variable cC30_ : Universe -> Prop.
Variable cC28_ : Universe -> Prop.
Variable cC26_ : Universe -> Prop.
Variable cC24_ : Universe -> Prop.
Variable cC22_ : Universe -> Prop.
Variable cC216_ : Universe -> Prop.
Variable cC214_ : Universe -> Prop.
Variable cC212_ : Universe -> Prop.
Variable cC210_ : Universe -> Prop.
Variable cC208_ : Universe -> Prop.
Variable cC206_ : Universe -> Prop.
Variable cC204_ : Universe -> Prop.
Variable cC202_ : Universe -> Prop.
Variable cC200_ : Universe -> Prop.
Variable cC20_ : Universe -> Prop.
Variable cC2_ : Universe -> Prop.
Variable cC198_ : Universe -> Prop.
Variable cC196_ : Universe -> Prop.
Variable cC194_ : Universe -> Prop.
Variable cC192_ : Universe -> Prop.
Variable cC190_ : Universe -> Prop.
Variable cC188_ : Universe -> Prop.
Variable cC186_ : Universe -> Prop.
Variable cC184_ : Universe -> Prop.
Variable cC182_ : Universe -> Prop.
Variable cC180_ : Universe -> Prop.
Variable cC18_ : Universe -> Prop.
Variable cC178_ : Universe -> Prop.
Variable cC176_ : Universe -> Prop.
Variable cC174_ : Universe -> Prop.
Variable cC172_ : Universe -> Prop.
Variable cC170_ : Universe -> Prop.
Variable cC168_ : Universe -> Prop.
Variable cC166_ : Universe -> Prop.
Variable cC164_ : Universe -> Prop.
Variable cC162_ : Universe -> Prop.
Variable cC160_ : Universe -> Prop.
Variable cC16_ : Universe -> Prop.
Variable cC158_ : Universe -> Prop.
Variable cC156_ : Universe -> Prop.
Variable cC154_ : Universe -> Prop.
Variable cC152_ : Universe -> Prop.
Variable cC150_ : Universe -> Prop.
Variable cC148_ : Universe -> Prop.
Variable cC146_ : Universe -> Prop.
Variable cC144_ : Universe -> Prop.
Variable cC142_ : Universe -> Prop.
Variable cC140_ : Universe -> Prop.
Variable cC14_ : Universe -> Prop.
Variable cC138_ : Universe -> Prop.
Variable cC136_ : Universe -> Prop.
Variable cC134_ : Universe -> Prop.
Variable cC132_ : Universe -> Prop.
Variable cC130_ : Universe -> Prop.
Variable cC128_ : Universe -> Prop.
Variable cC126_ : Universe -> Prop.
Variable cC124_ : Universe -> Prop.
Variable cC122_ : Universe -> Prop.
Variable cC120_ : Universe -> Prop.
Variable cC12_ : Universe -> Prop.
Variable cC118_ : Universe -> Prop.
Variable cC116_ : Universe -> Prop.
Variable cC114_ : Universe -> Prop.
Variable cC112_ : Universe -> Prop.
Variable cC110_ : Universe -> Prop.
Variable cC108_ : Universe -> Prop.
Variable cC106_ : Universe -> Prop.
Variable cC104_ : Universe -> Prop.
Variable cC102_ : Universe -> Prop.
Variable cC100_ : Universe -> Prop.
Variable cC10_ : Universe -> Prop.

Variable iV3102_ : Universe.

Variable axiom_0_1 : (forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))).
Variable axiom_1_2 : (forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))).
Variable axiom_2_3 : (forall X : Universe, (cC10_ X <-> (~(cC8_ X) /\ ~(cC2_ X)))).
Variable axiom_3_4 : (forall X : Universe, (cC100_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC98_ Y))))).
Variable axiom_4_5 : (forall X : Universe, (cC102_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_5_6 : (forall X : Universe, (cC104_ X <-> (cC102_ X /\ cC16_ X))).
Variable axiom_6_7 : (forall X : Universe, (cC106_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC104_ Y)))).
Variable axiom_7_8 : (forall X : Universe, (cC108_ X <-> (~(cC106_ X) /\ ~(cC16_ X)))).
Variable axiom_8_9 : (forall X : Universe, (cC110_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_9_10 : (forall X : Universe, (cC112_ X <-> (cC110_ X /\ cC16_ X))).
Variable axiom_10_11 : (forall X : Universe, (cC114_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC112_ Y)))).
Variable axiom_11_12 : (forall X : Universe, (cC116_ X <-> (~(cC16_ X) /\ ~(cC114_ X)))).
Variable axiom_12_13 : (forall X : Universe, (cC118_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC116_ Y)))).
Variable axiom_13_14 : (forall X : Universe, (cC12_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC10_ Y)))).
Variable axiom_14_15 : (forall X : Universe, (cC120_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC118_ Y)))).
Variable axiom_15_16 : (forall X : Universe, (cC122_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_16_17 : (forall X : Universe, (cC124_ X <-> (cC122_ X /\ cC16_ X))).
Variable axiom_17_18 : (forall X : Universe, (cC126_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC124_ Y)))).
Variable axiom_18_19 : (forall X : Universe, (cC128_ X <-> (~(cC16_ X) /\ ~(cC126_ X)))).
Variable axiom_19_20 : (forall X : Universe, (cC130_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC128_ Y)))).
Variable axiom_20_21 : (forall X : Universe, (cC132_ X <-> (~(cC130_ X) /\ cC120_ X))).
Variable axiom_21_22 : (forall X : Universe, (cC134_ X <-> (~(cC132_ X) /\ ~(cC108_ X)))).
Variable axiom_22_23 : (forall X : Universe, (cC136_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_23_24 : (forall X : Universe, (cC138_ X <-> (cC136_ X /\ cC16_ X))).
Variable axiom_24_25 : (forall X : Universe, (cC14_ X <-> (~(cC12_ X) /\ ~(cC2_ X)))).
Variable axiom_25_26 : (forall X : Universe, (cC140_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC138_ Y)))).
Variable axiom_26_27 : (forall X : Universe, (cC142_ X <-> (~(cC140_ X) /\ ~(cC16_ X)))).
Variable axiom_27_28 : (forall X : Universe, (cC144_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_28_29 : (forall X : Universe, (cC146_ X <-> (cC144_ X /\ cC16_ X))).
Variable axiom_29_30 : (forall X : Universe, (cC148_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC146_ Y)))).
Variable axiom_30_31 : (forall X : Universe, (cC150_ X <-> (~(cC16_ X) /\ ~(cC148_ X)))).
Variable axiom_31_32 : (forall X : Universe, (cC152_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC150_ Y)))).
Variable axiom_32_33 : (forall X : Universe, (cC154_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC152_ Y)))).
Variable axiom_33_34 : (forall X : Universe, (cC156_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_34_35 : (forall X : Universe, (cC158_ X <-> (cC156_ X /\ cC16_ X))).
Variable axiom_35_36 : (forall X : Universe, (cC160_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC158_ Y)))).
Variable axiom_36_37 : (forall X : Universe, (cC162_ X <-> (~(cC16_ X) /\ ~(cC160_ X)))).
Variable axiom_37_38 : (forall X : Universe, (cC164_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC162_ Y)))).
Variable axiom_38_39 : (forall X : Universe, (cC166_ X <-> (cC154_ X /\ ~(cC164_ X)))).
Variable axiom_39_40 : (forall X : Universe, (cC168_ X <-> (~(cC166_ X) /\ ~(cC142_ X)))).
Variable axiom_40_41 : (forall X : Universe, (cC170_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC168_ Y))))).
Variable axiom_41_42 : (forall X : Universe, (cC172_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_42_43 : (forall X : Universe, (cC174_ X <-> (cC172_ X /\ cC16_ X))).
Variable axiom_43_44 : (forall X : Universe, (cC176_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC174_ Y)))).
Variable axiom_44_45 : (forall X : Universe, (cC178_ X <-> (~(cC16_ X) /\ ~(cC176_ X)))).
Variable axiom_45_46 : (forall X : Universe, (cC18_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_46_47 : (forall X : Universe, (cC180_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_47_48 : (forall X : Universe, (cC182_ X <-> (cC16_ X /\ cC180_ X))).
Variable axiom_48_49 : (forall X : Universe, (cC184_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC182_ Y)))).
Variable axiom_49_50 : (forall X : Universe, (cC186_ X <-> (~(cC16_ X) /\ ~(cC184_ X)))).
Variable axiom_50_51 : (forall X : Universe, (cC188_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC186_ Y)))).
Variable axiom_51_52 : (forall X : Universe, (cC190_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC188_ Y)))).
Variable axiom_52_53 : (forall X : Universe, (cC192_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_53_54 : (forall X : Universe, (cC194_ X <-> (cC192_ X /\ cC16_ X))).
Variable axiom_54_55 : (forall X : Universe, (cC196_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC194_ Y)))).
Variable axiom_55_56 : (forall X : Universe, (cC198_ X <-> (~(cC196_ X) /\ ~(cC16_ X)))).
Variable axiom_56_57 : (forall X : Universe, (cC20_ X <-> (cC18_ X /\ cC16_ X))).
Variable axiom_57_58 : (forall X : Universe, (cC200_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC198_ Y)))).
Variable axiom_58_59 : (forall X : Universe, (cC202_ X <-> (cC190_ X /\ ~(cC200_ X)))).
Variable axiom_59_60 : (forall X : Universe, (cC204_ X <-> (~(cC178_ X) /\ ~(cC202_ X)))).
Variable axiom_60_61 : (forall X : Universe, (cC206_ X <-> (cC170_ X /\ cC204_ X))).
Variable axiom_61_62 : (forall X : Universe, (cC208_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC206_ Y)))).
Variable axiom_62_63 : (forall X : Universe, (cC210_ X <-> (~(cC208_ X) /\ ~(cC134_ X)))).
Variable axiom_63_64 : (forall X : Universe, (cC212_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC210_ Y)))).
Variable axiom_64_65 : (forall X : Universe, (cC214_ X <-> (cC100_ X /\ ~(cC212_ X)))).
Variable axiom_65_66 : (forall X : Universe, (cC216_ X <-> (~(cC214_ X) /\ cC64_ X))).
Variable axiom_66_67 : (forall X : Universe, (cC22_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC20_ Y)))).
Variable axiom_67_68 : (forall X : Universe, (cC24_ X <-> (~(cC22_ X) /\ ~(cC16_ X)))).
Variable axiom_68_69 : (forall X : Universe, (cC26_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC24_ Y)))).
Variable axiom_69_70 : (forall X : Universe, (cC28_ X <-> (~(cC26_ X) /\ ~(cC16_ X)))).
Variable axiom_70_71 : (forall X : Universe, (cC30_ X <-> (cC14_ X /\ cC28_ X))).
Variable axiom_71_72 : (forall X : Universe, (cC34_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC32_ Y))))).
Variable axiom_72_73 : (forall X : Universe, (cC36_ X <-> (cC32_ X /\ cC34_ X))).
Variable axiom_73_74 : (forall X : Universe, (cC38_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC36_ Y)))).
Variable axiom_74_75 : (forall X : Universe, (cC4_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC2_ Y))))).
Variable axiom_75_76 : (forall X : Universe, (cC40_ X <-> (~(cC38_ X) /\ ~(cC32_ X)))).
Variable axiom_76_77 : (forall X : Universe, (cC42_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC40_ Y)))).
Variable axiom_77_78 : (forall X : Universe, (cC44_ X <-> (~(cC32_ X) /\ ~(cC42_ X)))).
Variable axiom_78_79 : (forall X : Universe, (cC46_ X <-> (cC30_ X /\ cC44_ X))).
Variable axiom_79_80 : (forall X : Universe, (cC48_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_80_81 : (forall X : Universe, (cC50_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_81_82 : (forall X : Universe, (cC52_ X <-> (cC50_ X /\ cC16_ X))).
Variable axiom_82_83 : (forall X : Universe, (cC54_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC52_ Y)))).
Variable axiom_83_84 : (forall X : Universe, (cC56_ X <-> (~(cC16_ X) /\ ~(cC54_ X)))).
Variable axiom_84_85 : (forall X : Universe, (cC58_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC56_ Y)))).
Variable axiom_85_86 : (forall X : Universe, (cC6_ X <-> (cC2_ X /\ cC4_ X))).
Variable axiom_86_87 : (forall X : Universe, (cC60_ X <-> (cC48_ X /\ ~(cC58_ X)))).
Variable axiom_87_88 : (forall X : Universe, (cC62_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC60_ Y)))).
Variable axiom_88_89 : (forall X : Universe, (cC64_ X <-> (~(cC62_ X) /\ cTOP_ X))).
Variable axiom_89_90 : (forall X : Universe, (cC66_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_90_91 : (forall X : Universe, (cC68_ X <-> (cC66_ X /\ cC16_ X))).
Variable axiom_91_92 : (forall X : Universe, (cC70_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC68_ Y)))).
Variable axiom_92_93 : (forall X : Universe, (cC72_ X <-> (~(cC70_ X) /\ ~(cC16_ X)))).
Variable axiom_93_94 : (forall X : Universe, (cC74_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_94_95 : (forall X : Universe, (cC76_ X <-> (cC74_ X /\ cC16_ X))).
Variable axiom_95_96 : (forall X : Universe, (cC78_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC76_ Y)))).
Variable axiom_96_97 : (forall X : Universe, (cC8_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC6_ Y)))).
Variable axiom_97_98 : (forall X : Universe, (cC80_ X <-> (~(cC16_ X) /\ ~(cC78_ X)))).
Variable axiom_98_99 : (forall X : Universe, (cC82_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC80_ Y)))).
Variable axiom_99_100 : (forall X : Universe, (cC84_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC82_ Y)))).
Variable axiom_100_101 : (forall X : Universe, (cC86_ X <-> (exists Y : Universe, (rR1_ X Y /\ ~(cC16_ Y))))).
Variable axiom_101_102 : (forall X : Universe, (cC88_ X <-> (cC86_ X /\ cC16_ X))).
Variable axiom_102_103 : (forall X : Universe, (cC90_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC88_ Y)))).
Variable axiom_103_104 : (forall X : Universe, (cC92_ X <-> (~(cC90_ X) /\ ~(cC16_ X)))).
Variable axiom_104_105 : (forall X : Universe, (cC94_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC92_ Y)))).
Variable axiom_105_106 : (forall X : Universe, (cC96_ X <-> (cC84_ X /\ ~(cC94_ X)))).
Variable axiom_106_107 : (forall X : Universe, (cC98_ X <-> (~(cC72_ X) /\ ~(cC96_ X)))).
Variable axiom_107_108 : (forall X : Universe, (cTEST_ X <-> (cC216_ X /\ cC46_ X))).
Variable axiom_108_109 : cTEST_ iV3102_.
Variable axiom_109_110 : cowlThing_ iV3102_.
Variable axiom_110_111 : (forall X : Universe, (rR1_ iV3102_ X -> ~(cC60_ X))).
Variable axiom_111_112 : (forall X : Universe, (rR1_ iV3102_ X -> ~(cC10_ X))).
Variable axiom_112_113 : cTOP_ iV3102_.
Variable axiom_113_114 : (forall X : Universe, (rR1_ iV3102_ X -> ~(cC24_ X))).
Variable axiom_114_115 : ~(cC42_ iV3102_).
Variable axiom_115_116 : ~(cC12_ iV3102_).
Variable axiom_116_117 : ~(cC26_ iV3102_).
Variable axiom_117_118 : (forall X : Universe, (rR1_ iV3102_ X -> cC98_ X)).
Variable axiom_118_119 : ~(cC214_ iV3102_).
Variable axiom_119_120 : ~(cC62_ iV3102_).
Variable axiom_120_121 : (forall X : Universe, (rR1_ iV3102_ X -> ~(cC40_ X))).
Variable axiom_121_122 : ~(cC16_ iV3102_).
Variable axiom_122_123 : ~(cC2_ iV3102_).
Variable axiom_123_124 : ~(cC32_ iV3102_).
Variable axiom_124_125 : ~(cC100_ iV3102_).

Theorem the_axiom_126 : ((forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))) /\ ((forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))) /\ (cC216_ iV3102_ /\ (cC46_ iV3102_ /\ (cC30_ iV3102_ /\ (cC44_ iV3102_ /\ (cC28_ iV3102_ /\ (cC64_ iV3102_ /\ (cC14_ iV3102_ /\ cowlThing_ iV3102_))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
