(*
% File     : MGT016+1 : ILTP v1.1.2
% Domain   : Management (Organisation Theory)
% Problem  : More complex organizations have shorter reorganization
% Version  : [PB+94] axioms.
% English  : The more complex an organization is at the beginning of
%            reorganization, the sooner disbanding due to reorganization 
%            (possibly) happens - i.e., the shorter is the reorganization.
% Refs     : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [Kam94]
% Names    :
% Status   : Theorem
% Rating   : 0.11 v3.1.0, 0.00 v2.1.0
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.75 v1.0.0
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :   38 (   0 equality)
%            Maximal formula depth :   22 (  17 average)
%            Number of connectives :   36 (   2 ~  ;   0  |;  30  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 2-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   30 (   0 singleton;  29 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : Not published due to publication constraints. [Kam95].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable reorganization_type_ : Universe -> Universe -> Universe -> Prop.
Variable reorganization_ : Universe -> Universe -> Universe -> Prop.
Variable organization_ : Universe -> Universe -> Prop.
Variable inertia_ : Universe -> Universe -> Universe -> Prop.
Variable greater_ : Universe -> Universe -> Prop.
Variable complexity_ : Universe -> Universe -> Universe -> Prop.
Variable class_ : Universe -> Universe -> Universe -> Prop.


Variable mp5_1 : (forall X T : Universe, (organization_ X T -> (exists I : Universe, inertia_ X I T))).
Variable a12_FOL_2 : (forall X Y C C1 C2 I1 I2 T1 T2 : Universe, ((organization_ X T1 /\ (organization_ Y T2 /\ (class_ X C T1 /\ (class_ Y C T2 /\ (complexity_ X C1 T1 /\ (complexity_ Y C2 T2 /\ (inertia_ X I1 T1 /\ (inertia_ Y I2 T2 /\ greater_ C2 C1)))))))) -> greater_ I2 I1)).
Variable a14_FOL_3 : (forall X Y Rt C I1 I2 Ta Tb Tc : Universe, ((organization_ X Ta /\ (organization_ Y Ta /\ (~(organization_ Y Tc) /\ (class_ X C Ta /\ (class_ Y C Ta /\ (reorganization_ X Ta Tb /\ (reorganization_ Y Ta Tc /\ (reorganization_type_ X Rt Ta /\ (reorganization_type_ Y Rt Ta /\ (inertia_ X I1 Ta /\ (inertia_ Y I2 Ta /\ greater_ I2 I1))))))))))) -> greater_ Tb Tc)).

Theorem t16_FOL_4 : (forall X Y Rt C C1 C2 Ta Tb Tc : Universe, ((organization_ X Ta /\ (organization_ Y Ta /\ (~(organization_ Y Tc) /\ (class_ X C Ta /\ (class_ Y C Ta /\ (reorganization_ X Ta Tb /\ (reorganization_ Y Ta Tc /\ (reorganization_type_ X Rt Ta /\ (reorganization_type_ Y Rt Ta /\ (complexity_ X C1 Ta /\ (complexity_ Y C2 Ta /\ greater_ C2 C1))))))))))) -> greater_ Tb Tc)).
Proof.
  time hprover.
Qed.

End FOFProblem.
