(*
% File     : NLP004+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : The old dirty white Chevy problem 4
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement The old dirty white Chevy barrels down a lonely
%            street in Hollywood.
% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.4.0
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.75 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  124 (  12 equality)
%            Maximal formula depth :   43 (  43 average)
%            Number of connectives :  127 (   4 ~  ;   0  |; 121  &)
%                                         (   0 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   40 (   0 singleton;   0 !;  40 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable young_ : Universe -> Prop.
Variable white_ : Universe -> Prop.
Variable way_ : Universe -> Prop.
Variable street_ : Universe -> Prop.
Variable seat_ : Universe -> Prop.
Variable old_ : Universe -> Prop.
Variable man_ : Universe -> Prop.
Variable lonely_ : Universe -> Prop.
Variable in_ : Universe -> Universe -> Prop.
Variable hollywood_ : Universe -> Prop.
Variable furniture_ : Universe -> Prop.
Variable front_ : Universe -> Prop.
Variable fellow_ : Universe -> Prop.
Variable event_ : Universe -> Prop.
Variable down_ : Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Prop.
Variable city_ : Universe -> Prop.
Variable chevy_ : Universe -> Prop.
Variable car_ : Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.



Theorem co1_1 : (((exists U V W X Y Z X1 X2 X4 X5 : Universe, (seat_ U /\ (furniture_ U /\ (front_ U /\ (seat_ V /\ (furniture_ V /\ (front_ V /\ (hollywood_ W /\ (city_ W /\ (event_ X /\ (street_ Y /\ (way_ Y /\ (lonely_ Y /\ (chevy_ Z /\ (car_ Z /\ (white_ Z /\ (dirty_ Z /\ (old_ Z /\ (barrel_ X Z /\ (down_ X Y /\ (in_ X W /\ (X1 <> X2 /\ (fellow_ X1 /\ (man_ X1 /\ (young_ X1 /\ (fellow_ X2 /\ (man_ X2 /\ (young_ X2 /\ (X1 = X4 /\ (in_ X4 U /\ (X2 = X5 /\ in_ X5 V))))))))))))))))))))))))))))))) -> (exists X6 X7 X8 X9 X10 X11 X12 X13 X15 X16 : Universe, (seat_ X6 /\ (furniture_ X6 /\ (front_ X6 /\ (seat_ X7 /\ (furniture_ X7 /\ (front_ X7 /\ (hollywood_ X8 /\ (city_ X8 /\ (event_ X9 /\ (chevy_ X10 /\ (car_ X10 /\ (white_ X10 /\ (dirty_ X10 /\ (old_ X10 /\ (street_ X11 /\ (way_ X11 /\ (lonely_ X11 /\ (barrel_ X9 X10 /\ (down_ X9 X11 /\ (in_ X9 X8 /\ (X12 <> X13 /\ (fellow_ X12 /\ (man_ X12 /\ (young_ X12 /\ (fellow_ X13 /\ (man_ X13 /\ (young_ X13 /\ (X12 = X15 /\ (in_ X15 X6 /\ (X13 = X16 /\ in_ X16 X7)))))))))))))))))))))))))))))))) /\ ((exists X17 X18 X19 X20 X21 X22 X23 X24 X26 X27 : Universe, (seat_ X17 /\ (furniture_ X17 /\ (front_ X17 /\ (seat_ X18 /\ (furniture_ X18 /\ (front_ X18 /\ (hollywood_ X19 /\ (city_ X19 /\ (event_ X20 /\ (chevy_ X21 /\ (car_ X21 /\ (white_ X21 /\ (dirty_ X21 /\ (old_ X21 /\ (street_ X22 /\ (way_ X22 /\ (lonely_ X22 /\ (barrel_ X20 X21 /\ (down_ X20 X22 /\ (in_ X20 X19 /\ (X23 <> X24 /\ (fellow_ X23 /\ (man_ X23 /\ (young_ X23 /\ (fellow_ X24 /\ (man_ X24 /\ (young_ X24 /\ (X23 = X26 /\ (in_ X26 X17 /\ (X24 = X27 /\ in_ X27 X18))))))))))))))))))))))))))))))) -> (exists X28 X29 X30 X31 X32 X33 X34 X35 X37 X38 : Universe, (seat_ X28 /\ (furniture_ X28 /\ (front_ X28 /\ (seat_ X29 /\ (furniture_ X29 /\ (front_ X29 /\ (hollywood_ X30 /\ (city_ X30 /\ (event_ X31 /\ (street_ X32 /\ (way_ X32 /\ (lonely_ X32 /\ (chevy_ X33 /\ (car_ X33 /\ (white_ X33 /\ (dirty_ X33 /\ (old_ X33 /\ (barrel_ X31 X33 /\ (down_ X31 X32 /\ (in_ X31 X30 /\ (X34 <> X35 /\ (fellow_ X34 /\ (man_ X34 /\ (young_ X34 /\ (fellow_ X35 /\ (man_ X35 /\ (young_ X35 /\ (X34 = X37 /\ (in_ X37 X28 /\ (X35 = X38 /\ in_ X38 X29))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
