(*
% File     : NLP015+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : The old dirty white Chevy problem 15
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement The old dirty white Chevy barrels down a lonely
%            street in Hollywood.
% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   43 (   0 unit)
%            Number of atoms       :  119 (   4 equality)
%            Maximal formula depth :   38 (   4 average)
%            Number of connectives :   89 (  13 ~  ;   0  |;  34  &)
%                                         (   2 <=>;  40 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   43 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   61 (   0 singleton;  51 !;  10 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable young_ : Universe -> Prop.
Variable woman_ : Universe -> Prop.
Variable white_ : Universe -> Prop.
Variable way_ : Universe -> Prop.
Variable vehicle_ : Universe -> Prop.
Variable transport_ : Universe -> Prop.
Variable street_ : Universe -> Prop.
Variable seat_ : Universe -> Prop.
Variable proposition_ : Universe -> Prop.
Variable partof_ : Universe -> Universe -> Prop.
Variable owner_ : Universe -> Prop.
Variable organism_ : Universe -> Prop.
Variable old_ : Universe -> Prop.
Variable of_ : Universe -> Universe -> Prop.
Variable object_ : Universe -> Prop.
Variable nonhuman_ : Universe -> Prop.
Variable new_ : Universe -> Prop.
Variable man_ : Universe -> Prop.
Variable male_ : Universe -> Prop.
Variable lonely_ : Universe -> Prop.
Variable location_ : Universe -> Prop.
Variable instrumentality_ : Universe -> Prop.
Variable in_ : Universe -> Universe -> Prop.
Variable human_ : Universe -> Prop.
Variable hollywood_ : Universe -> Prop.
Variable have_ : Universe -> Universe -> Universe -> Prop.
Variable furniture_ : Universe -> Prop.
Variable front_ : Universe -> Prop.
Variable female_ : Universe -> Prop.
Variable fellow_ : Universe -> Prop.
Variable eventuality_ : Universe -> Prop.
Variable event_ : Universe -> Prop.
Variable entity_ : Universe -> Prop.
Variable drs_ : Universe -> Prop.
Variable down_ : Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Prop.
Variable city_ : Universe -> Prop.
Variable chevy_ : Universe -> Prop.
Variable car_ : Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.
Variable artifact_ : Universe -> Prop.
Variable abstraction_ : Universe -> Prop.


Variable ax1_1 : (forall U : Universe, (fellow_ U -> man_ U)).
Variable ax2_2 : (forall U : Universe, (man_ U -> human_ U)).
Variable ax3_3 : (forall U : Universe, (human_ U -> organism_ U)).
Variable ax4_4 : (forall U : Universe, (organism_ U -> entity_ U)).
Variable ax5_5 : (forall U : Universe, (organism_ U -> ~(object_ U))).
Variable ax6_6 : (forall U : Universe, (front_ U -> nonhuman_ U)).
Variable ax7_7 : (forall U : Universe, (seat_ U -> furniture_ U)).
Variable ax8_8 : (forall U : Universe, (furniture_ U -> instrumentality_ U)).
Variable ax9_9 : (forall U : Universe, (furniture_ U -> ~(transport_ U))).
Variable ax10_10 : (forall U : Universe, (street_ U -> way_ U)).
Variable ax11_11 : (forall U : Universe, (way_ U -> artifact_ U)).
Variable ax12_12 : (forall U : Universe, (way_ U -> ~(instrumentality_ U))).
Variable ax13_13 : (forall U : Universe, (chevy_ U -> car_ U)).
Variable ax14_14 : (forall U : Universe, (car_ U -> vehicle_ U)).
Variable ax15_15 : (forall U : Universe, (vehicle_ U -> transport_ U)).
Variable ax16_16 : (forall U : Universe, (transport_ U -> instrumentality_ U)).
Variable ax17_17 : (forall U : Universe, (instrumentality_ U -> artifact_ U)).
Variable ax18_18 : (forall U : Universe, (artifact_ U -> object_ U)).
Variable ax19_19 : (forall U : Universe, (artifact_ U -> ~(location_ U))).
Variable ax20_20 : (forall U : Universe, (event_ U -> eventuality_ U)).
Variable ax21_21 : (forall U : Universe, (hollywood_ U -> city_ U)).
Variable ax22_22 : (forall U : Universe, (city_ U -> location_ U)).
Variable ax23_23 : (forall U : Universe, (location_ U -> object_ U)).
Variable ax24_24 : (forall U : Universe, (object_ U -> entity_ U)).
Variable ax25_25 : (forall U : Universe, (old_ U -> ~(new_ U))).
Variable ax26_26 : (forall U : Universe, (eventuality_ U -> ~(entity_ U))).
Variable ax27_27 : (forall U : Universe, (abstraction_ U -> ~(entity_ U))).
Variable ax28_28 : (forall U : Universe, (abstraction_ U -> ~(eventuality_ U))).
Variable ax29_29 : (forall U : Universe, (male_ U -> ~(female_ U))).
Variable ax30_30 : (forall U : Universe, (man_ U -> ~(woman_ U))).
Variable ax31_31 : (forall U : Universe, (man_ U -> male_ U)).
Variable ax32_32 : (forall U : Universe, (male_ U -> human_ U)).
Variable ax33_33 : (forall U : Universe, (female_ U -> human_ U)).
Variable ax34_34 : (forall U : Universe, (woman_ U -> female_ U)).
Variable ax35_35 : (forall U : Universe, (drs_ U <-> proposition_ U)).
Variable ax36_36 : (forall U : Universe, (nonhuman_ U -> entity_ U)).
Variable ax37_37 : (forall U : Universe, (human_ U -> ~(nonhuman_ U))).
Variable ax38_38 : (forall U V W : Universe, ((have_ U V W /\ human_ V) <-> (owner_ V /\ of_ V W))).
Variable ax39_39 : (forall U V W : Universe, ((have_ U V W /\ (nonhuman_ V /\ nonhuman_ W)) -> partof_ W V)).
Variable ax40_40 : (forall U V W : Universe, ((event_ U /\ have_ U V W) -> of_ V W)).
Variable ax41_41 : (forall U V : Universe, (of_ V U -> (exists W : Universe, (event_ W /\ have_ W U V)))).
Variable ax42_42 : (forall U V W : Universe, ((partof_ U V /\ partof_ U W) -> V = W)).

Theorem co1_43 : ~((exists U V W X Y Z X1 X2 X3 : Universe, (hollywood_ U /\ (city_ U /\ (event_ V /\ (chevy_ W /\ (car_ W /\ (white_ W /\ (dirty_ W /\ (old_ W /\ (street_ X /\ (way_ X /\ (lonely_ X /\ (barrel_ V W /\ (down_ V X /\ (in_ V U /\ (seat_ X1 /\ (furniture_ X1 /\ (front_ X1 /\ (Y <> Z /\ (fellow_ Y /\ (man_ Y /\ (young_ Y /\ (fellow_ Z /\ (man_ Z /\ (young_ Z /\ (Y = X2 /\ (in_ X2 X1 /\ (Z = X3 /\ in_ X3 X1))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
