(*
% File     : NLP024+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Mia wants to dance, problem 2 
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            Mia wants to dance. Vincent does not want to dance.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris001 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.00 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   74 (   0 unit)
%            Number of atoms       :  218 (   2 equality)
%            Maximal formula depth :   38 (   6 average)
%            Number of connectives :  154 (  10 ~  ;   0  |;  71  &)
%                                         (   0 <=>;  73 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  199 (   0 singleton; 187 !;  12 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable woman_ : Universe -> Universe -> Prop.
Variable vincent_forename_ : Universe -> Universe -> Prop.
Variable unisex_ : Universe -> Universe -> Prop.
Variable thing_ : Universe -> Universe -> Prop.
Variable theme_ : Universe -> Universe -> Universe -> Prop.
Variable specific_ : Universe -> Universe -> Prop.
Variable singleton_ : Universe -> Universe -> Prop.
Variable relname_ : Universe -> Universe -> Prop.
Variable relation_ : Universe -> Universe -> Prop.
Variable proposition_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable organism_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable nonhuman_ : Universe -> Universe -> Prop.
Variable nonexistent_ : Universe -> Universe -> Prop.
Variable mia_forename_ : Universe -> Universe -> Prop.
Variable man_ : Universe -> Universe -> Prop.
Variable male_ : Universe -> Universe -> Prop.
Variable living_ : Universe -> Universe -> Prop.
Variable impartial_ : Universe -> Universe -> Prop.
Variable human_person_ : Universe -> Universe -> Prop.
Variable human_ : Universe -> Universe -> Prop.
Variable general_ : Universe -> Universe -> Prop.
Variable forename_ : Universe -> Universe -> Prop.
Variable female_ : Universe -> Universe -> Prop.
Variable existent_ : Universe -> Universe -> Prop.
Variable eventuality_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable entity_ : Universe -> Universe -> Prop.
Variable desire_want_ : Universe -> Universe -> Prop.
Variable dance_ : Universe -> Universe -> Prop.
Variable animate_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.
Variable accessible_world_ : Universe -> Universe -> Prop.
Variable abstraction_ : Universe -> Universe -> Prop.


Variable ax1_1 : (forall U V : Universe, (man_ U V -> male_ U V)).
Variable ax2_2 : (forall U V : Universe, (man_ U V -> human_person_ U V)).
Variable ax3_3 : (forall U V : Universe, (vincent_forename_ U V -> forename_ U V)).
Variable ax4_4 : (forall U V : Universe, (woman_ U V -> female_ U V)).
Variable ax5_5 : (forall U V : Universe, (human_person_ U V -> animate_ U V)).
Variable ax6_6 : (forall U V : Universe, (human_person_ U V -> human_ U V)).
Variable ax7_7 : (forall U V : Universe, (organism_ U V -> living_ U V)).
Variable ax8_8 : (forall U V : Universe, (organism_ U V -> impartial_ U V)).
Variable ax9_9 : (forall U V : Universe, (entity_ U V -> existent_ U V)).
Variable ax10_10 : (forall U V : Universe, (entity_ U V -> specific_ U V)).
Variable ax11_11 : (forall U V : Universe, (entity_ U V -> thing_ U V)).
Variable ax12_12 : (forall U V : Universe, (organism_ U V -> entity_ U V)).
Variable ax13_13 : (forall U V : Universe, (human_person_ U V -> organism_ U V)).
Variable ax14_14 : (forall U V : Universe, (woman_ U V -> human_person_ U V)).
Variable ax15_15 : (forall U V : Universe, (mia_forename_ U V -> forename_ U V)).
Variable ax16_16 : (forall U V : Universe, (relname_ U V -> relation_ U V)).
Variable ax17_17 : (forall U V : Universe, (forename_ U V -> relname_ U V)).
Variable ax18_18 : (forall U V : Universe, (abstraction_ U V -> unisex_ U V)).
Variable ax19_19 : (forall U V : Universe, (abstraction_ U V -> general_ U V)).
Variable ax20_20 : (forall U V : Universe, (abstraction_ U V -> nonhuman_ U V)).
Variable ax21_21 : (forall U V : Universe, (abstraction_ U V -> thing_ U V)).
Variable ax22_22 : (forall U V : Universe, (relation_ U V -> abstraction_ U V)).
Variable ax23_23 : (forall U V : Universe, (proposition_ U V -> relation_ U V)).
Variable ax24_24 : (forall U V : Universe, (desire_want_ U V -> event_ U V)).
Variable ax25_25 : (forall U V : Universe, (eventuality_ U V -> unisex_ U V)).
Variable ax26_26 : (forall U V : Universe, (eventuality_ U V -> nonexistent_ U V)).
Variable ax27_27 : (forall U V : Universe, (eventuality_ U V -> specific_ U V)).
Variable ax28_28 : (forall U V : Universe, (thing_ U V -> singleton_ U V)).
Variable ax29_29 : (forall U V : Universe, (eventuality_ U V -> thing_ U V)).
Variable ax30_30 : (forall U V : Universe, (event_ U V -> eventuality_ U V)).
Variable ax31_31 : (forall U V : Universe, (dance_ U V -> event_ U V)).
Variable ax32_32 : (forall U V : Universe, (existent_ U V -> ~(nonexistent_ U V))).
Variable ax33_33 : (forall U V : Universe, (male_ U V -> ~(female_ U V))).
Variable ax34_34 : (forall U V : Universe, (nonhuman_ U V -> ~(human_ U V))).
Variable ax35_35 : (forall U V : Universe, (specific_ U V -> ~(general_ U V))).
Variable ax36_36 : (forall U V : Universe, (unisex_ U V -> ~(female_ U V))).
Variable ax37_37 : (forall U V : Universe, (unisex_ U V -> ~(male_ U V))).
Variable ax38_38 : (forall U V W : Universe, ((accessible_world_ V W /\ male_ V U) -> male_ W U)).
Variable ax39_39 : (forall U V W : Universe, ((accessible_world_ V W /\ man_ V U) -> man_ W U)).
Variable ax40_40 : (forall U V W : Universe, ((accessible_world_ V W /\ vincent_forename_ V U) -> vincent_forename_ W U)).
Variable ax41_41 : (forall U V W X : Universe, ((accessible_world_ W X /\ of_ W U V) -> of_ X U V)).
Variable ax42_42 : (forall U V W : Universe, ((accessible_world_ V W /\ female_ V U) -> female_ W U)).
Variable ax43_43 : (forall U V W : Universe, ((accessible_world_ V W /\ animate_ V U) -> animate_ W U)).
Variable ax44_44 : (forall U V W : Universe, ((accessible_world_ V W /\ human_ V U) -> human_ W U)).
Variable ax45_45 : (forall U V W : Universe, ((accessible_world_ V W /\ living_ V U) -> living_ W U)).
Variable ax46_46 : (forall U V W : Universe, ((accessible_world_ V W /\ impartial_ V U) -> impartial_ W U)).
Variable ax47_47 : (forall U V W : Universe, ((accessible_world_ V W /\ existent_ V U) -> existent_ W U)).
Variable ax48_48 : (forall U V W : Universe, ((accessible_world_ V W /\ entity_ V U) -> entity_ W U)).
Variable ax49_49 : (forall U V W : Universe, ((accessible_world_ V W /\ organism_ V U) -> organism_ W U)).
Variable ax50_50 : (forall U V W : Universe, ((accessible_world_ V W /\ human_person_ V U) -> human_person_ W U)).
Variable ax51_51 : (forall U V W : Universe, ((accessible_world_ V W /\ woman_ V U) -> woman_ W U)).
Variable ax52_52 : (forall U V W : Universe, ((accessible_world_ V W /\ mia_forename_ V U) -> mia_forename_ W U)).
Variable ax53_53 : (forall U V W : Universe, ((accessible_world_ V W /\ relname_ V U) -> relname_ W U)).
Variable ax54_54 : (forall U V W : Universe, ((accessible_world_ V W /\ forename_ V U) -> forename_ W U)).
Variable ax55_55 : (forall U V W : Universe, ((accessible_world_ V W /\ general_ V U) -> general_ W U)).
Variable ax56_56 : (forall U V W : Universe, ((accessible_world_ V W /\ nonhuman_ V U) -> nonhuman_ W U)).
Variable ax57_57 : (forall U V W : Universe, ((accessible_world_ V W /\ abstraction_ V U) -> abstraction_ W U)).
Variable ax58_58 : (forall U V W : Universe, ((accessible_world_ V W /\ relation_ V U) -> relation_ W U)).
Variable ax59_59 : (forall U V W : Universe, ((accessible_world_ V W /\ proposition_ V U) -> proposition_ W U)).
Variable ax60_60 : (forall U V W X : Universe, ((accessible_world_ W X /\ theme_ W U V) -> theme_ X U V)).
Variable ax61_61 : (forall U V W : Universe, ((accessible_world_ V W /\ desire_want_ V U) -> desire_want_ W U)).
Variable ax62_62 : (forall U V W X : Universe, ((accessible_world_ W X /\ agent_ W U V) -> agent_ X U V)).
Variable ax63_63 : (forall U V W : Universe, ((accessible_world_ V W /\ present_ V U) -> present_ W U)).
Variable ax64_64 : (forall U V W : Universe, ((accessible_world_ V W /\ unisex_ V U) -> unisex_ W U)).
Variable ax65_65 : (forall U V W : Universe, ((accessible_world_ V W /\ nonexistent_ V U) -> nonexistent_ W U)).
Variable ax66_66 : (forall U V W : Universe, ((accessible_world_ V W /\ specific_ V U) -> specific_ W U)).
Variable ax67_67 : (forall U V W : Universe, ((accessible_world_ V W /\ singleton_ V U) -> singleton_ W U)).
Variable ax68_68 : (forall U V W : Universe, ((accessible_world_ V W /\ thing_ V U) -> thing_ W U)).
Variable ax69_69 : (forall U V W : Universe, ((accessible_world_ V W /\ eventuality_ V U) -> eventuality_ W U)).
Variable ax70_70 : (forall U V W : Universe, ((accessible_world_ V W /\ event_ V U) -> event_ W U)).
Variable ax71_71 : (forall U V W : Universe, ((accessible_world_ V W /\ dance_ V U) -> dance_ W U)).
Variable ax72_72 : (forall U V W : Universe, ((entity_ U V /\ (forename_ U W /\ of_ U W V)) -> ~((exists X : Universe, (forename_ U X /\ (X <> W /\ of_ U X V)))))).
Variable ax73_73 : (forall U V W X Y : Universe, ((desire_want_ U V /\ (proposition_ U X /\ (theme_ U V X /\ (desire_want_ U W /\ (proposition_ U Y /\ theme_ U W Y))))) -> X = Y)).

Theorem co1_74 : ~((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 : Universe, (of_ U W V /\ (man_ U V /\ (vincent_forename_ U W /\ (forename_ U W /\ (of_ U Y X /\ (woman_ U X /\ (mia_forename_ U Y /\ (forename_ U Y /\ (proposition_ U Z /\ (present_ U X1 /\ (theme_ U X1 Z /\ (desire_want_ U X1 /\ (agent_ U X1 X /\ (accessible_world_ U Z /\ ((exists X2 : Universe, (event_ Z X2 /\ (agent_ Z X2 X /\ (present_ Z X2 /\ dance_ Z X2)))) /\ ~((exists X3 X4 : Universe, (proposition_ U X3 /\ (present_ U X4 /\ (theme_ U X4 X3 /\ (desire_want_ U X4 /\ (agent_ U X4 V /\ (accessible_world_ U X3 /\ (exists X5 : Universe, (event_ X3 X5 /\ (agent_ X3 X5 V /\ (present_ X3 X5 /\ dance_ X3 X5))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
