(*
% File     : NLP107+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Every customer in a restaurant, problem 14
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            Every customer in a restaurant saw a person who drank a
%            coffee.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris084 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   35 (   0 unit)
%            Number of atoms       :   90 (   1 equality)
%            Maximal formula depth :   25 (   5 average)
%            Number of connectives :   60 (   5 ~  ;   0  |;  20  &)
%                                         (   0 <=>;  35 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   34 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   79 (   0 singleton;  73 !;   6 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable unisex_ : Universe -> Universe -> Prop.
Variable thing_ : Universe -> Universe -> Prop.
Variable substance_matter_ : Universe -> Universe -> Prop.
Variable specific_ : Universe -> Universe -> Prop.
Variable singleton_ : Universe -> Universe -> Prop.
Variable see_ : Universe -> Universe -> Prop.
Variable restaurant_ : Universe -> Universe -> Prop.
Variable patient_ : Universe -> Universe -> Universe -> Prop.
Variable past_ : Universe -> Universe -> Prop.
Variable organism_ : Universe -> Universe -> Prop.
Variable object_ : Universe -> Universe -> Prop.
Variable nonreflexive_ : Universe -> Universe -> Prop.
Variable nonliving_ : Universe -> Universe -> Prop.
Variable nonexistent_ : Universe -> Universe -> Prop.
Variable living_ : Universe -> Universe -> Prop.
Variable in_ : Universe -> Universe -> Universe -> Prop.
Variable impartial_ : Universe -> Universe -> Prop.
Variable human_person_ : Universe -> Universe -> Prop.
Variable human_ : Universe -> Universe -> Prop.
Variable food_ : Universe -> Universe -> Prop.
Variable existent_ : Universe -> Universe -> Prop.
Variable eventuality_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable entity_ : Universe -> Universe -> Prop.
Variable drink_ : Universe -> Universe -> Prop.
Variable customer_ : Universe -> Universe -> Prop.
Variable coffee_ : Universe -> Universe -> Prop.
Variable building_ : Universe -> Universe -> Prop.
Variable beverage_ : Universe -> Universe -> Prop.
Variable artifact_ : Universe -> Universe -> Prop.
Variable animate_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.


Variable ax1_1 : (forall U V : Universe, (artifact_ U V -> object_ U V)).
Variable ax2_2 : (forall U V : Universe, (building_ U V -> artifact_ U V)).
Variable ax3_3 : (forall U V : Universe, (restaurant_ U V -> building_ U V)).
Variable ax4_4 : (forall U V : Universe, (customer_ U V -> human_person_ U V)).
Variable ax5_5 : (forall U V : Universe, (human_person_ U V -> animate_ U V)).
Variable ax6_6 : (forall U V : Universe, (human_person_ U V -> human_ U V)).
Variable ax7_7 : (forall U V : Universe, (organism_ U V -> living_ U V)).
Variable ax8_8 : (forall U V : Universe, (organism_ U V -> impartial_ U V)).
Variable ax9_9 : (forall U V : Universe, (organism_ U V -> entity_ U V)).
Variable ax10_10 : (forall U V : Universe, (human_person_ U V -> organism_ U V)).
Variable ax11_11 : (forall U V : Universe, (object_ U V -> unisex_ U V)).
Variable ax12_12 : (forall U V : Universe, (object_ U V -> impartial_ U V)).
Variable ax13_13 : (forall U V : Universe, (object_ U V -> nonliving_ U V)).
Variable ax14_14 : (forall U V : Universe, (entity_ U V -> existent_ U V)).
Variable ax15_15 : (forall U V : Universe, (entity_ U V -> specific_ U V)).
Variable ax16_16 : (forall U V : Universe, (entity_ U V -> thing_ U V)).
Variable ax17_17 : (forall U V : Universe, (object_ U V -> entity_ U V)).
Variable ax18_18 : (forall U V : Universe, (substance_matter_ U V -> object_ U V)).
Variable ax19_19 : (forall U V : Universe, (food_ U V -> substance_matter_ U V)).
Variable ax20_20 : (forall U V : Universe, (beverage_ U V -> food_ U V)).
Variable ax21_21 : (forall U V : Universe, (coffee_ U V -> beverage_ U V)).
Variable ax22_22 : (forall U V : Universe, (drink_ U V -> event_ U V)).
Variable ax23_23 : (forall U V : Universe, (eventuality_ U V -> unisex_ U V)).
Variable ax24_24 : (forall U V : Universe, (eventuality_ U V -> nonexistent_ U V)).
Variable ax25_25 : (forall U V : Universe, (eventuality_ U V -> specific_ U V)).
Variable ax26_26 : (forall U V : Universe, (thing_ U V -> singleton_ U V)).
Variable ax27_27 : (forall U V : Universe, (eventuality_ U V -> thing_ U V)).
Variable ax28_28 : (forall U V : Universe, (event_ U V -> eventuality_ U V)).
Variable ax29_29 : (forall U V : Universe, (see_ U V -> event_ U V)).
Variable ax30_30 : (forall U V : Universe, (animate_ U V -> ~(nonliving_ U V))).
Variable ax31_31 : (forall U V : Universe, (existent_ U V -> ~(nonexistent_ U V))).
Variable ax32_32 : (forall U V : Universe, (nonliving_ U V -> ~(living_ U V))).
Variable ax33_33 : (forall U V W X : Universe, ((drink_ U V /\ (agent_ U V W /\ patient_ U V X)) -> beverage_ U X)).
Variable ax34_34 : (forall U V W X : Universe, ((nonreflexive_ U V /\ (agent_ U V W /\ patient_ U V X)) -> W <> X)).

Theorem co1_35 : ~((exists U : Universe, (actual_world_ U /\ (exists V W : Universe, (restaurant_ U V /\ (coffee_ U W /\ (forall X : Universe, ((customer_ U X /\ in_ U X V) -> (exists Y Z X1 : Universe, (human_person_ U Y /\ (event_ U Z /\ (agent_ U Z Y /\ (patient_ U Z W /\ (past_ U Z /\ (nonreflexive_ U Z /\ (drink_ U Z /\ (event_ U X1 /\ (agent_ U X1 X /\ (patient_ U X1 Y /\ (past_ U X1 /\ (nonreflexive_ U X1 /\ see_ U X1))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
