(*
% File     : NLP126+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 13
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            An old dirty white chevy barrels down a lonely street in 
%            hollywood.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris103 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.00 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   36 (   0 unit)
%            Number of atoms       :   91 (   1 equality)
%            Maximal formula depth :   23 (   5 average)
%            Number of connectives :   60 (   5 ~  ;   0  |;  20  &)
%                                         (   0 <=>;  35 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   41 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   77 (   0 singleton;  71 !;   6 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable white_ : Universe -> Universe -> Prop.
Variable way_ : Universe -> Universe -> Prop.
Variable vehicle_ : Universe -> Universe -> Prop.
Variable unisex_ : Universe -> Universe -> Prop.
Variable transport_ : Universe -> Universe -> Prop.
Variable thing_ : Universe -> Universe -> Prop.
Variable street_ : Universe -> Universe -> Prop.
Variable specific_ : Universe -> Universe -> Prop.
Variable singleton_ : Universe -> Universe -> Prop.
Variable relname_ : Universe -> Universe -> Prop.
Variable relation_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable placename_ : Universe -> Universe -> Prop.
Variable old_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable object_ : Universe -> Universe -> Prop.
Variable nonliving_ : Universe -> Universe -> Prop.
Variable nonhuman_ : Universe -> Universe -> Prop.
Variable nonexistent_ : Universe -> Universe -> Prop.
Variable lonely_ : Universe -> Universe -> Prop.
Variable location_ : Universe -> Universe -> Prop.
Variable instrumentality_ : Universe -> Universe -> Prop.
Variable in_ : Universe -> Universe -> Universe -> Prop.
Variable impartial_ : Universe -> Universe -> Prop.
Variable hollywood_placename_ : Universe -> Universe -> Prop.
Variable general_ : Universe -> Universe -> Prop.
Variable existent_ : Universe -> Universe -> Prop.
Variable eventuality_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable entity_ : Universe -> Universe -> Prop.
Variable down_ : Universe -> Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Universe -> Prop.
Variable city_ : Universe -> Universe -> Prop.
Variable chevy_ : Universe -> Universe -> Prop.
Variable car_ : Universe -> Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.
Variable artifact_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.
Variable abstraction_ : Universe -> Universe -> Prop.


Variable ax1_1 : (forall U V : Universe, (instrumentality_ U V -> artifact_ U V)).
Variable ax2_2 : (forall U V : Universe, (transport_ U V -> instrumentality_ U V)).
Variable ax3_3 : (forall U V : Universe, (vehicle_ U V -> transport_ U V)).
Variable ax4_4 : (forall U V : Universe, (car_ U V -> vehicle_ U V)).
Variable ax5_5 : (forall U V : Universe, (chevy_ U V -> car_ U V)).
Variable ax6_6 : (forall U V : Universe, (location_ U V -> object_ U V)).
Variable ax7_7 : (forall U V : Universe, (city_ U V -> location_ U V)).
Variable ax8_8 : (forall U V : Universe, (hollywood_placename_ U V -> placename_ U V)).
Variable ax9_9 : (forall U V : Universe, (abstraction_ U V -> unisex_ U V)).
Variable ax10_10 : (forall U V : Universe, (abstraction_ U V -> general_ U V)).
Variable ax11_11 : (forall U V : Universe, (abstraction_ U V -> nonhuman_ U V)).
Variable ax12_12 : (forall U V : Universe, (abstraction_ U V -> thing_ U V)).
Variable ax13_13 : (forall U V : Universe, (relation_ U V -> abstraction_ U V)).
Variable ax14_14 : (forall U V : Universe, (relname_ U V -> relation_ U V)).
Variable ax15_15 : (forall U V : Universe, (placename_ U V -> relname_ U V)).
Variable ax16_16 : (forall U V : Universe, (object_ U V -> unisex_ U V)).
Variable ax17_17 : (forall U V : Universe, (object_ U V -> impartial_ U V)).
Variable ax18_18 : (forall U V : Universe, (object_ U V -> nonliving_ U V)).
Variable ax19_19 : (forall U V : Universe, (entity_ U V -> existent_ U V)).
Variable ax20_20 : (forall U V : Universe, (entity_ U V -> specific_ U V)).
Variable ax21_21 : (forall U V : Universe, (entity_ U V -> thing_ U V)).
Variable ax22_22 : (forall U V : Universe, (object_ U V -> entity_ U V)).
Variable ax23_23 : (forall U V : Universe, (artifact_ U V -> object_ U V)).
Variable ax24_24 : (forall U V : Universe, (way_ U V -> artifact_ U V)).
Variable ax25_25 : (forall U V : Universe, (street_ U V -> way_ U V)).
Variable ax26_26 : (forall U V : Universe, (eventuality_ U V -> unisex_ U V)).
Variable ax27_27 : (forall U V : Universe, (eventuality_ U V -> nonexistent_ U V)).
Variable ax28_28 : (forall U V : Universe, (eventuality_ U V -> specific_ U V)).
Variable ax29_29 : (forall U V : Universe, (thing_ U V -> singleton_ U V)).
Variable ax30_30 : (forall U V : Universe, (eventuality_ U V -> thing_ U V)).
Variable ax31_31 : (forall U V : Universe, (event_ U V -> eventuality_ U V)).
Variable ax32_32 : (forall U V : Universe, (barrel_ U V -> event_ U V)).
Variable ax33_33 : (forall U V : Universe, (existent_ U V -> ~(nonexistent_ U V))).
Variable ax34_34 : (forall U V : Universe, (specific_ U V -> ~(general_ U V))).
Variable ax35_35 : (forall U V W : Universe, ((entity_ U V /\ (placename_ U W /\ of_ U W V)) -> ~((exists X : Universe, (placename_ U X /\ (X <> W /\ of_ U X V)))))).

Theorem co1_36 : ~((exists U : Universe, (actual_world_ U /\ (exists V W X Y : Universe, (street_ U V /\ (lonely_ U V /\ (of_ U W X /\ (city_ U X /\ (hollywood_placename_ U W /\ (placename_ U W /\ (chevy_ U X /\ (white_ U X /\ (dirty_ U X /\ (old_ U X /\ (event_ U Y /\ (agent_ U Y X /\ (present_ U Y /\ (barrel_ U Y /\ (down_ U Y V /\ in_ U Y X))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
