(*
% File     : NLP136+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 23
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris113 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.67 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  108 (   0 equality)
%            Maximal formula depth :   36 (  36 average)
%            Number of connectives :  109 (   2 ~  ;   0  |;  97  &)
%                                         (   0 <=>;  10 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   25 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   42 (   0 singleton;   8 !;  34 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable young_ : Universe -> Universe -> Prop.
Variable white_ : Universe -> Universe -> Prop.
Variable two_ : Universe -> Universe -> Prop.
Variable street_ : Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable placename_ : Universe -> Universe -> Prop.
Variable old_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable lonely_ : Universe -> Universe -> Prop.
Variable in_ : Universe -> Universe -> Universe -> Prop.
Variable hollywood_placename_ : Universe -> Universe -> Prop.
Variable group_ : Universe -> Universe -> Prop.
Variable frontseat_ : Universe -> Universe -> Prop.
Variable fellow_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable down_ : Universe -> Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Universe -> Prop.
Variable city_ : Universe -> Universe -> Prop.
Variable chevy_ : Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.



Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 : Universe, (of_ U W V /\ (city_ U V /\ (hollywood_placename_ U W /\ (placename_ U W /\ (chevy_ U X /\ (white_ U X /\ (dirty_ U X /\ (old_ U X /\ (street_ U Y /\ (lonely_ U Y /\ (event_ U Z /\ (agent_ U Z X /\ (present_ U Z /\ (barrel_ U Z /\ (down_ U Z Y /\ (in_ U Z V /\ ((forall X2 : Universe, ((frontseat_ U X2 /\ member_ U X2 X1) -> (exists X3 X4 : Universe, (state_ U X3 /\ (be_ U X3 X2 X4 /\ in_ U X4 X2))))) /\ (two_ U X1 /\ (group_ U X1 /\ (forall X5 : Universe, (member_ U X5 X1 -> (fellow_ U X5 /\ young_ U X5))))))))))))))))))))))))) -> (exists X6 : Universe, (actual_world_ X6 /\ (exists X7 X8 X9 X10 X11 : Universe, (chevy_ X6 X7 /\ (white_ X6 X7 /\ (dirty_ X6 X7 /\ (old_ X6 X7 /\ (of_ X6 X8 X9 /\ (city_ X6 X9 /\ (hollywood_placename_ X6 X8 /\ (placename_ X6 X8 /\ (street_ X6 X9 /\ (lonely_ X6 X9 /\ (event_ X6 X10 /\ (agent_ X6 X10 X7 /\ (present_ X6 X10 /\ (barrel_ X6 X10 /\ (down_ X6 X10 X9 /\ (in_ X6 X10 X9 /\ ((forall X12 : Universe, ((frontseat_ X6 X12 /\ member_ X6 X12 X11) -> (exists X13 X14 : Universe, (state_ X6 X13 /\ (be_ X6 X13 X12 X14 /\ in_ X6 X14 X12))))) /\ (two_ X6 X11 /\ (group_ X6 X11 /\ (forall X15 : Universe, (member_ X6 X15 X11 -> (fellow_ X6 X15 /\ young_ X6 X15)))))))))))))))))))))))))) /\ ((exists X6 : Universe, (actual_world_ X6 /\ (exists X7 X8 X9 X10 X11 : Universe, (chevy_ X6 X7 /\ (white_ X6 X7 /\ (dirty_ X6 X7 /\ (old_ X6 X7 /\ (of_ X6 X8 X9 /\ (city_ X6 X9 /\ (hollywood_placename_ X6 X8 /\ (placename_ X6 X8 /\ (street_ X6 X9 /\ (lonely_ X6 X9 /\ (event_ X6 X10 /\ (agent_ X6 X10 X7 /\ (present_ X6 X10 /\ (barrel_ X6 X10 /\ (down_ X6 X10 X9 /\ (in_ X6 X10 X9 /\ ((forall X12 : Universe, ((frontseat_ X6 X12 /\ member_ X6 X12 X11) -> (exists X13 X14 : Universe, (state_ X6 X13 /\ (be_ X6 X13 X12 X14 /\ in_ X6 X14 X12))))) /\ (two_ X6 X11 /\ (group_ X6 X11 /\ (forall X15 : Universe, (member_ X6 X15 X11 -> (fellow_ X6 X15 /\ young_ X6 X15))))))))))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 : Universe, (of_ U W V /\ (city_ U V /\ (hollywood_placename_ U W /\ (placename_ U W /\ (chevy_ U X /\ (white_ U X /\ (dirty_ U X /\ (old_ U X /\ (street_ U Y /\ (lonely_ U Y /\ (event_ U Z /\ (agent_ U Z X /\ (present_ U Z /\ (barrel_ U Z /\ (down_ U Z Y /\ (in_ U Z V /\ ((forall X2 : Universe, ((frontseat_ U X2 /\ member_ U X2 X1) -> (exists X3 X4 : Universe, (state_ U X3 /\ (be_ U X3 X2 X4 /\ in_ U X4 X2))))) /\ (two_ U X1 /\ (group_ U X1 /\ (forall X5 : Universe, (member_ U X5 X1 -> (fellow_ U X5 /\ young_ U X5))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
