(*
% File     : NLP185+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 72
% Version  : [Bos00b] axioms.
% English  : Eliminating non-informative interpretations in the statement
%            An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat. They are 
%            wearing cheap black coats.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris162 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.50 v2.7.0, 0.67 v2.6.0, 0.50 v2.5.0, 0.67 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   67 (   1 unit)
%            Number of atoms       :  210 (   6 equality)
%            Maximal formula depth :   46 (   5 average)
%            Number of connectives :  159 (  16 ~  ;   1  |;  69  &)
%                                         (   1 <=>;  72 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   67 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  167 (   0 singleton; 144 !;  23 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable young_ : Universe -> Universe -> Prop.
Variable white_ : Universe -> Universe -> Prop.
Variable wear_ : Universe -> Universe -> Prop.
Variable way_ : Universe -> Universe -> Prop.
Variable vehicle_ : Universe -> Universe -> Prop.
Variable unisex_ : Universe -> Universe -> Prop.
Variable two_ : Universe -> Universe -> Prop.
Variable transport_ : Universe -> Universe -> Prop.
Variable thing_ : Universe -> Universe -> Prop.
Variable street_ : Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable specific_ : Universe -> Universe -> Prop.
Variable singleton_ : Universe -> Universe -> Prop.
Variable set_ : Universe -> Universe -> Prop.
Variable seat_ : Universe -> Universe -> Prop.
Variable relname_ : Universe -> Universe -> Prop.
Variable relation_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable placename_ : Universe -> Universe -> Prop.
Variable patient_ : Universe -> Universe -> Universe -> Prop.
Variable organism_ : Universe -> Universe -> Prop.
Variable old_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable object_ : Universe -> Universe -> Prop.
Variable nonreflexive_ : Universe -> Universe -> Prop.
Variable nonliving_ : Universe -> Universe -> Prop.
Variable nonhuman_ : Universe -> Universe -> Prop.
Variable nonexistent_ : Universe -> Universe -> Prop.
Variable multiple_ : Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable man_ : Universe -> Universe -> Prop.
Variable male_ : Universe -> Universe -> Prop.
Variable lonely_ : Universe -> Universe -> Prop.
Variable location_ : Universe -> Universe -> Prop.
Variable living_ : Universe -> Universe -> Prop.
Variable instrumentality_ : Universe -> Universe -> Prop.
Variable in_ : Universe -> Universe -> Universe -> Prop.
Variable impartial_ : Universe -> Universe -> Prop.
Variable human_person_ : Universe -> Universe -> Prop.
Variable human_ : Universe -> Universe -> Prop.
Variable hollywood_placename_ : Universe -> Universe -> Prop.
Variable group_ : Universe -> Universe -> Prop.
Variable general_ : Universe -> Universe -> Prop.
Variable furniture_ : Universe -> Universe -> Prop.
Variable frontseat_ : Universe -> Universe -> Prop.
Variable fellow_ : Universe -> Universe -> Prop.
Variable existent_ : Universe -> Universe -> Prop.
Variable eventuality_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable entity_ : Universe -> Universe -> Prop.
Variable down_ : Universe -> Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Universe -> Prop.
Variable coat_ : Universe -> Universe -> Prop.
Variable clothes_ : Universe -> Universe -> Prop.
Variable city_ : Universe -> Universe -> Prop.
Variable chevy_ : Universe -> Universe -> Prop.
Variable cheap_ : Universe -> Universe -> Prop.
Variable car_ : Universe -> Universe -> Prop.
Variable black_ : Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.
Variable artifact_ : Universe -> Universe -> Prop.
Variable animate_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.
Variable abstraction_ : Universe -> Universe -> Prop.


Variable ax1_1 : (forall U V : Universe, (furniture_ U V -> instrumentality_ U V)).
Variable ax2_2 : (forall U V : Universe, (seat_ U V -> furniture_ U V)).
Variable ax3_3 : (forall U V : Universe, (frontseat_ U V -> seat_ U V)).
Variable ax4_4 : (forall U V : Universe, (instrumentality_ U V -> artifact_ U V)).
Variable ax5_5 : (forall U V : Universe, (transport_ U V -> instrumentality_ U V)).
Variable ax6_6 : (forall U V : Universe, (vehicle_ U V -> transport_ U V)).
Variable ax7_7 : (forall U V : Universe, (car_ U V -> vehicle_ U V)).
Variable ax8_8 : (forall U V : Universe, (chevy_ U V -> car_ U V)).
Variable ax9_9 : (forall U V : Universe, (location_ U V -> object_ U V)).
Variable ax10_10 : (forall U V : Universe, (city_ U V -> location_ U V)).
Variable ax11_11 : (forall U V : Universe, (hollywood_placename_ U V -> placename_ U V)).
Variable ax12_12 : (forall U V : Universe, (abstraction_ U V -> unisex_ U V)).
Variable ax13_13 : (forall U V : Universe, (abstraction_ U V -> general_ U V)).
Variable ax14_14 : (forall U V : Universe, (abstraction_ U V -> nonhuman_ U V)).
Variable ax15_15 : (forall U V : Universe, (abstraction_ U V -> thing_ U V)).
Variable ax16_16 : (forall U V : Universe, (relation_ U V -> abstraction_ U V)).
Variable ax17_17 : (forall U V : Universe, (relname_ U V -> relation_ U V)).
Variable ax18_18 : (forall U V : Universe, (placename_ U V -> relname_ U V)).
Variable ax19_19 : (forall U V : Universe, (way_ U V -> artifact_ U V)).
Variable ax20_20 : (forall U V : Universe, (street_ U V -> way_ U V)).
Variable ax21_21 : (forall U V : Universe, (barrel_ U V -> event_ U V)).
Variable ax22_22 : (forall U V : Universe, (state_ U V -> event_ U V)).
Variable ax23_23 : (forall U V : Universe, (state_ U V -> eventuality_ U V)).
Variable ax24_24 : (forall U V : Universe, (two_ U V -> group_ U V)).
Variable ax25_25 : (forall U V : Universe, (man_ U V -> male_ U V)).
Variable ax26_26 : (forall U V : Universe, (human_person_ U V -> animate_ U V)).
Variable ax27_27 : (forall U V : Universe, (human_person_ U V -> human_ U V)).
Variable ax28_28 : (forall U V : Universe, (organism_ U V -> living_ U V)).
Variable ax29_29 : (forall U V : Universe, (organism_ U V -> impartial_ U V)).
Variable ax30_30 : (forall U V : Universe, (organism_ U V -> entity_ U V)).
Variable ax31_31 : (forall U V : Universe, (human_person_ U V -> organism_ U V)).
Variable ax32_32 : (forall U V : Universe, (man_ U V -> human_person_ U V)).
Variable ax33_33 : (forall U V : Universe, (fellow_ U V -> man_ U V)).
Variable ax34_34 : (forall U V : Universe, (eventuality_ U V -> unisex_ U V)).
Variable ax35_35 : (forall U V : Universe, (eventuality_ U V -> nonexistent_ U V)).
Variable ax36_36 : (forall U V : Universe, (eventuality_ U V -> specific_ U V)).
Variable ax37_37 : (forall U V : Universe, (eventuality_ U V -> thing_ U V)).
Variable ax38_38 : (forall U V : Universe, (event_ U V -> eventuality_ U V)).
Variable ax39_39 : (forall U V : Universe, (wear_ U V -> event_ U V)).
Variable ax40_40 : (forall U V : Universe, (set_ U V -> multiple_ U V)).
Variable ax41_41 : (forall U V : Universe, (group_ U V -> set_ U V)).
Variable ax42_42 : (forall U V : Universe, (object_ U V -> unisex_ U V)).
Variable ax43_43 : (forall U V : Universe, (object_ U V -> impartial_ U V)).
Variable ax44_44 : (forall U V : Universe, (object_ U V -> nonliving_ U V)).
Variable ax45_45 : (forall U V : Universe, (entity_ U V -> existent_ U V)).
Variable ax46_46 : (forall U V : Universe, (entity_ U V -> specific_ U V)).
Variable ax47_47 : (forall U V : Universe, (thing_ U V -> singleton_ U V)).
Variable ax48_48 : (forall U V : Universe, (entity_ U V -> thing_ U V)).
Variable ax49_49 : (forall U V : Universe, (object_ U V -> entity_ U V)).
Variable ax50_50 : (forall U V : Universe, (artifact_ U V -> object_ U V)).
Variable ax51_51 : (forall U V : Universe, (clothes_ U V -> artifact_ U V)).
Variable ax52_52 : (forall U V : Universe, (coat_ U V -> clothes_ U V)).
Variable ax53_53 : (forall U V : Universe, (animate_ U V -> ~(nonliving_ U V))).
Variable ax54_54 : (forall U V : Universe, (existent_ U V -> ~(nonexistent_ U V))).
Variable ax55_55 : (forall U V : Universe, (nonhuman_ U V -> ~(human_ U V))).
Variable ax56_56 : (forall U V : Universe, (nonliving_ U V -> ~(living_ U V))).
Variable ax57_57 : (forall U V : Universe, (singleton_ U V -> ~(multiple_ U V))).
Variable ax58_58 : (forall U V : Universe, (specific_ U V -> ~(general_ U V))).
Variable ax59_59 : (forall U V : Universe, (unisex_ U V -> ~(male_ U V))).
Variable ax60_60 : (forall U V : Universe, (white_ U V -> ~(black_ U V))).
Variable ax61_61 : (forall U V : Universe, (young_ U V -> ~(old_ U V))).
Variable ax62_62 : (forall U V W : Universe, ((entity_ U V /\ (placename_ U W /\ of_ U W V)) -> ~((exists X : Universe, (placename_ U X /\ (X <> W /\ of_ U X V)))))).
Variable ax63_63 : (forall U V W X : Universe, (be_ U V W X -> W = X)).
Variable ax64_64 : (forall U V : Universe, (two_ U V <-> (exists W : Universe, (member_ U W V /\ (exists X : Universe, (member_ U X V /\ (X <> W /\ (forall Y : Universe, (member_ U Y V -> (Y = X \/ Y = W)))))))))).
Variable ax65_65 : (forall U V W X : Universe, ((nonreflexive_ U V /\ (agent_ U V W /\ patient_ U V X)) -> W <> X)).
Variable ax66_66 : (forall U : Universe, ~((exists V : Universe, member_ U V V))).

Theorem co1_67 : ~(((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z : Universe, (frontseat_ U X /\ (of_ U V W /\ (city_ U W /\ (hollywood_placename_ U V /\ (placename_ U V /\ (chevy_ U W /\ (white_ U W /\ (dirty_ U W /\ (old_ U W /\ (street_ U X /\ (lonely_ U X /\ (event_ U Y /\ (agent_ U Y W /\ (present_ U Y /\ (barrel_ U Y /\ (down_ U Y X /\ (in_ U Y W /\ ((forall X1 : Universe, (member_ U X1 Z -> (exists X2 X3 : Universe, (state_ U X2 /\ (be_ U X2 X1 X3 /\ in_ U X3 X))))) /\ (two_ U Z /\ (group_ U Z /\ (forall X4 : Universe, (member_ U X4 Z -> (fellow_ U X4 /\ young_ U X4)))))))))))))))))))))))))) /\ ~((exists X5 : Universe, (actual_world_ X5 /\ (exists X6 V W X Y Z X7 : Universe, (group_ X5 X6 /\ (frontseat_ X5 X /\ (of_ X5 V W /\ (city_ X5 W /\ (hollywood_placename_ X5 V /\ (placename_ X5 V /\ (chevy_ X5 W /\ (white_ X5 W /\ (dirty_ X5 W /\ (old_ X5 W /\ (street_ X5 X /\ (lonely_ X5 X /\ (event_ X5 Y /\ (agent_ X5 Y W /\ (present_ X5 Y /\ (barrel_ X5 Y /\ (down_ X5 Y X /\ (in_ X5 Y W /\ ((forall X1 : Universe, (member_ X5 X1 Z -> (exists X2 X3 : Universe, (state_ X5 X2 /\ (be_ X5 X2 X1 X3 /\ in_ X5 X3 X))))) /\ (two_ X5 Z /\ (group_ X5 Z /\ ((forall X4 : Universe, (member_ X5 X4 Z -> (fellow_ X5 X4 /\ young_ X5 X4))) /\ ((forall X8 : Universe, (member_ X5 X8 X7 -> (forall X9 : Universe, (member_ X5 X9 X6 -> (exists X10 : Universe, (event_ X5 X10 /\ (agent_ X5 X10 X9 /\ (patient_ X5 X10 X8 /\ (present_ X5 X10 /\ (nonreflexive_ X5 X10 /\ wear_ X5 X10)))))))))) /\ (group_ X5 X7 /\ (forall X11 : Universe, (member_ X5 X11 X7 -> (coat_ X5 X11 /\ (black_ X5 X11 /\ cheap_ X5 X11)))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
