(*
% File     : NLP233+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Vincent believes that every man smokes, problem 14
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            Vincent believes that every man smokes. Jules is a man. 
%            Vincent believes that jules smokes.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris210 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  168 (   0 equality)
%            Maximal formula depth :   56 (  56 average)
%            Number of connectives :  169 (   2 ~  ;   0  |; 161  &)
%                                         (   0 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   64 (   0 singleton;   4 !;  60 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable vincent_forename_ : Universe -> Universe -> Prop.
Variable think_believe_consider_ : Universe -> Universe -> Prop.
Variable theme_ : Universe -> Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable smoke_ : Universe -> Universe -> Prop.
Variable proposition_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable man_ : Universe -> Universe -> Prop.
Variable jules_forename_ : Universe -> Universe -> Prop.
Variable forename_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.
Variable accessible_world_ : Universe -> Universe -> Prop.



Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 X4 X5 X6 X7 : Universe, (of_ U W V /\ (man_ U V /\ (vincent_forename_ U W /\ (forename_ U W /\ (of_ U X Y /\ (jules_forename_ U X /\ (forename_ U X /\ (of_ U Z Y /\ (man_ U Y /\ (vincent_forename_ U Z /\ (forename_ U Z /\ (proposition_ U X2 /\ (agent_ U X1 Y /\ (theme_ U X1 X2 /\ (event_ U X1 /\ (present_ U X1 /\ (think_believe_consider_ U X1 /\ (accessible_world_ U X2 /\ ((forall X8 : Universe, (man_ X2 X8 -> (exists X9 : Universe, (event_ X2 X9 /\ (agent_ X2 X9 X8 /\ (present_ X2 X9 /\ smoke_ X2 X9)))))) /\ (of_ U X3 X4 /\ (man_ U X4 /\ (jules_forename_ U X3 /\ (forename_ U X3 /\ (man_ U X4 /\ (state_ U X5 /\ (be_ U X5 X4 X4 /\ (proposition_ U X7 /\ (agent_ U X6 V /\ (theme_ U X6 X7 /\ (event_ U X6 /\ (present_ U X6 /\ (think_believe_consider_ U X6 /\ (accessible_world_ U X7 /\ (exists X10 : Universe, (event_ X7 X10 /\ (agent_ X7 X10 Y /\ (present_ X7 X10 /\ smoke_ X7 X10)))))))))))))))))))))))))))))))))))))))) -> (exists X11 : Universe, (actual_world_ X11 /\ (exists X12 X13 X14 X15 X16 X17 X18 X19 X20 X21 X22 X23 : Universe, (of_ X11 X12 X13 /\ (jules_forename_ X11 X12 /\ (forename_ X11 X12 /\ (of_ X11 X14 X13 /\ (man_ X11 X13 /\ (vincent_forename_ X11 X14 /\ (forename_ X11 X14 /\ (of_ X11 X16 X15 /\ (man_ X11 X15 /\ (vincent_forename_ X11 X16 /\ (forename_ X11 X16 /\ (proposition_ X11 X18 /\ (agent_ X11 X17 X15 /\ (theme_ X11 X17 X18 /\ (event_ X11 X17 /\ (present_ X11 X17 /\ (think_believe_consider_ X11 X17 /\ (accessible_world_ X11 X18 /\ ((forall X24 : Universe, (man_ X18 X24 -> (exists X25 : Universe, (event_ X18 X25 /\ (agent_ X18 X25 X24 /\ (present_ X18 X25 /\ smoke_ X18 X25)))))) /\ (of_ X11 X19 X20 /\ (man_ X11 X20 /\ (jules_forename_ X11 X19 /\ (forename_ X11 X19 /\ (man_ X11 X20 /\ (state_ X11 X21 /\ (be_ X11 X21 X20 X20 /\ (proposition_ X11 X23 /\ (agent_ X11 X22 X13 /\ (theme_ X11 X22 X23 /\ (event_ X11 X22 /\ (present_ X11 X22 /\ (think_believe_consider_ X11 X22 /\ (accessible_world_ X11 X23 /\ (exists X26 : Universe, (event_ X23 X26 /\ (agent_ X23 X26 X13 /\ (present_ X23 X26 /\ smoke_ X23 X26))))))))))))))))))))))))))))))))))))))))) /\ ((exists X11 : Universe, (actual_world_ X11 /\ (exists X12 X13 X14 X15 X16 X17 X18 X19 X20 X21 X22 X23 : Universe, (of_ X11 X12 X13 /\ (jules_forename_ X11 X12 /\ (forename_ X11 X12 /\ (of_ X11 X14 X13 /\ (man_ X11 X13 /\ (vincent_forename_ X11 X14 /\ (forename_ X11 X14 /\ (of_ X11 X16 X15 /\ (man_ X11 X15 /\ (vincent_forename_ X11 X16 /\ (forename_ X11 X16 /\ (proposition_ X11 X18 /\ (agent_ X11 X17 X15 /\ (theme_ X11 X17 X18 /\ (event_ X11 X17 /\ (present_ X11 X17 /\ (think_believe_consider_ X11 X17 /\ (accessible_world_ X11 X18 /\ ((forall X24 : Universe, (man_ X18 X24 -> (exists X25 : Universe, (event_ X18 X25 /\ (agent_ X18 X25 X24 /\ (present_ X18 X25 /\ smoke_ X18 X25)))))) /\ (of_ X11 X19 X20 /\ (man_ X11 X20 /\ (jules_forename_ X11 X19 /\ (forename_ X11 X19 /\ (man_ X11 X20 /\ (state_ X11 X21 /\ (be_ X11 X21 X20 X20 /\ (proposition_ X11 X23 /\ (agent_ X11 X22 X13 /\ (theme_ X11 X22 X23 /\ (event_ X11 X22 /\ (present_ X11 X22 /\ (think_believe_consider_ X11 X22 /\ (accessible_world_ X11 X23 /\ (exists X26 : Universe, (event_ X23 X26 /\ (agent_ X23 X26 X13 /\ (present_ X23 X26 /\ smoke_ X23 X26)))))))))))))))))))))))))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 X4 X5 X6 X7 : Universe, (of_ U W V /\ (man_ U V /\ (vincent_forename_ U W /\ (forename_ U W /\ (of_ U X Y /\ (jules_forename_ U X /\ (forename_ U X /\ (of_ U Z Y /\ (man_ U Y /\ (vincent_forename_ U Z /\ (forename_ U Z /\ (proposition_ U X2 /\ (agent_ U X1 Y /\ (theme_ U X1 X2 /\ (event_ U X1 /\ (present_ U X1 /\ (think_believe_consider_ U X1 /\ (accessible_world_ U X2 /\ ((forall X8 : Universe, (man_ X2 X8 -> (exists X9 : Universe, (event_ X2 X9 /\ (agent_ X2 X9 X8 /\ (present_ X2 X9 /\ smoke_ X2 X9)))))) /\ (of_ U X3 X4 /\ (man_ U X4 /\ (jules_forename_ U X3 /\ (forename_ U X3 /\ (man_ U X4 /\ (state_ U X5 /\ (be_ U X5 X4 X4 /\ (proposition_ U X7 /\ (agent_ U X6 V /\ (theme_ U X6 X7 /\ (event_ U X6 /\ (present_ U X6 /\ (think_believe_consider_ U X6 /\ (accessible_world_ U X7 /\ (exists X10 : Universe, (event_ X7 X10 /\ (agent_ X7 X10 Y /\ (present_ X7 X10 /\ smoke_ X7 X10)))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
