(*
% File     : SET171+3 : ILTP v1.1.2
% Domain   : Set Theory (Boolean properties)
% Problem  : Union distributes over intersection
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : The union of X and (the intersection of Y and Z) is the 
%            intersection of (the union of X and Y) and (the union of X 
%            and Z).
% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (71) [TS89] 
% Status   : Theorem
% Rating   : 0.82 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.86 v2.5.0, 0.88 v2.4.0, 0.50 v2.3.0, 0.33 v2.2.1
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    9 (   4 unit)
%            Number of atoms       :   19 (   5 equality)
%            Maximal formula depth :    6 (   5 average)
%            Number of connectives :   10 (   0 ~  ;   1  |;   2  &)
%                                         (   6 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   22 (   0 singleton;  22 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable subset_ : Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Prop.

Variable union_ : Universe -> Universe -> Universe.
Variable intersection_ : Universe -> Universe -> Universe.

Variable union_defn_1 : (forall B C D : Universe, (member_ D (union_ B C) <-> (member_ D B \/ member_ D C))).
Variable intersection_defn_2 : (forall B C D : Universe, (member_ D (intersection_ B C) <-> (member_ D B /\ member_ D C))).
Variable equal_defn_3 : (forall B C : Universe, (B = C <-> (subset_ B C /\ subset_ C B))).
Variable commutativity_of_union_4 : (forall B C : Universe, (union_ B C) = (union_ C B)).
Variable commutativity_of_intersection_5 : (forall B C : Universe, (intersection_ B C) = (intersection_ C B)).
Variable subset_defn_6 : (forall B C : Universe, (subset_ B C <-> (forall D : Universe, (member_ D B -> member_ D C)))).
Variable reflexivity_of_subset_7 : (forall B : Universe, subset_ B B).
Variable equal_member_defn_8 : (forall B C : Universe, (B = C <-> (forall D : Universe, (member_ D B <-> member_ D C)))).

Theorem prove_union_distributes_over_intersection_9 : (forall B C D : Universe, (union_ B (intersection_ C D)) = (intersection_ (union_ B C) (union_ B D))).
Proof.
  time hprover.
Qed.

End FOFProblem.
