(*
% File     : SYJ001+1 : ILTP v1.1.2
% Domain   : Intuitionistic Syntactic
% Problem  : Alternations of quantifiers
% Version  : Especial.
%          : Theorem formulation : For N = SIZE. Size 13
% English  : All x1.Ex x2.All x3... xn.(p1(x1)&p2(x2)&p3(x3)&..pn(xn)) <->
%            ..  xn... All x3.Ex x2.All x1.(p1(x1)&p2(x2)&p3(x3)&..pn(xn))
% Refs     : [SFH92] Dan Sahlin, Torkel Franzn and Seif Haridi. An
%            Intuitionistic Predicate Logic Theorem Prover, Journal of
%            Logic and Computation, Vol. 2, No. 5, pp 619-656, 1992.
%            http://www.sm.luth.se/~torkel/eget/ft/ft1.23/benchmarks.pred
% Source   : [SFH92]
% Names    : 
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.25 v1.1.0
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable p9_ : Universe -> Prop.
Variable p8_ : Universe -> Prop.
Variable p7_ : Universe -> Prop.
Variable p6_ : Universe -> Prop.
Variable p5_ : Universe -> Prop.
Variable p4_ : Universe -> Prop.
Variable p3_ : Universe -> Prop.
Variable p2_ : Universe -> Prop.
Variable p13_ : Universe -> Prop.
Variable p12_ : Universe -> Prop.
Variable p11_ : Universe -> Prop.
Variable p10_ : Universe -> Prop.
Variable p1_ : Universe -> Prop.



Theorem con_1 : ((forall X1 : Universe, (exists X2 : Universe, (forall X3 : Universe, (exists X4 : Universe, (forall X5 : Universe, (exists X6 : Universe, (forall X7 : Universe, (exists X8 : Universe, (forall X9 : Universe, (exists X10 : Universe, (forall X11 : Universe, (exists X12 : Universe, (forall X13 : Universe, (p1_ X1 /\ (p2_ X2 /\ (p3_ X3 /\ (p4_ X4 /\ (p5_ X5 /\ (p6_ X6 /\ (p7_ X7 /\ (p8_ X8 /\ (p9_ X9 /\ (p10_ X10 /\ (p11_ X11 /\ (p12_ X12 /\ p13_ X13))))))))))))))))))))))))) <-> (forall X13 : Universe, (exists X12 : Universe, (forall X11 : Universe, (exists X10 : Universe, (forall X9 : Universe, (exists X8 : Universe, (forall X7 : Universe, (exists X6 : Universe, (forall X5 : Universe, (exists X4 : Universe, (forall X3 : Universe, (exists X2 : Universe, (forall X1 : Universe, (p1_ X1 /\ (p2_ X2 /\ (p3_ X3 /\ (p4_ X4 /\ (p5_ X5 /\ (p6_ X6 /\ (p7_ X7 /\ (p8_ X8 /\ (p9_ X9 /\ (p10_ X10 /\ (p11_ X11 /\ (p12_ X12 /\ p13_ X13)))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
