(*
% File     : SYN419+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=100, K=3, D=2, P=0, Index=078
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-100-3-2-078.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.33 v2.7.0, 0.67 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  994 (   0 equality)
%            Maximal formula depth :   98 (  98 average)
%            Number of connectives : 1374 ( 381 ~  ; 417  |; 432  &)
%                                         (   0 <=>; 144 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  154 ( 133 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  144 (   0 singleton; 144 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a268_ : Universe.
Variable a267_ : Universe.
Variable a266_ : Universe.
Variable a265_ : Universe.
Variable a264_ : Universe.
Variable a263_ : Universe.
Variable a262_ : Universe.
Variable a261_ : Universe.
Variable a260_ : Universe.
Variable a259_ : Universe.
Variable a258_ : Universe.
Variable a257_ : Universe.
Variable a256_ : Universe.
Variable a255_ : Universe.
Variable a254_ : Universe.
Variable a253_ : Universe.
Variable a252_ : Universe.
Variable a251_ : Universe.
Variable a250_ : Universe.
Variable a249_ : Universe.
Variable a248_ : Universe.
Variable a247_ : Universe.
Variable a246_ : Universe.
Variable a245_ : Universe.
Variable a244_ : Universe.
Variable a243_ : Universe.
Variable a242_ : Universe.
Variable a241_ : Universe.
Variable a240_ : Universe.
Variable a239_ : Universe.
Variable a238_ : Universe.
Variable a237_ : Universe.
Variable a236_ : Universe.
Variable a235_ : Universe.
Variable a234_ : Universe.
Variable a233_ : Universe.
Variable a232_ : Universe.
Variable a231_ : Universe.
Variable a230_ : Universe.
Variable a229_ : Universe.
Variable a228_ : Universe.
Variable a227_ : Universe.
Variable a226_ : Universe.
Variable a225_ : Universe.
Variable a224_ : Universe.
Variable a223_ : Universe.
Variable a222_ : Universe.
Variable a221_ : Universe.
Variable a220_ : Universe.
Variable a219_ : Universe.
Variable a218_ : Universe.
Variable a217_ : Universe.
Variable a216_ : Universe.
Variable a215_ : Universe.
Variable a214_ : Universe.
Variable a213_ : Universe.
Variable a212_ : Universe.
Variable a211_ : Universe.
Variable a210_ : Universe.
Variable a209_ : Universe.
Variable a208_ : Universe.
Variable a207_ : Universe.
Variable a206_ : Universe.
Variable a205_ : Universe.
Variable a204_ : Universe.
Variable a203_ : Universe.
Variable a202_ : Universe.
Variable a201_ : Universe.
Variable a200_ : Universe.
Variable a199_ : Universe.
Variable a198_ : Universe.
Variable a197_ : Universe.
Variable a196_ : Universe.
Variable a195_ : Universe.
Variable a194_ : Universe.
Variable a193_ : Universe.
Variable a192_ : Universe.
Variable a191_ : Universe.
Variable a190_ : Universe.
Variable a189_ : Universe.
Variable a188_ : Universe.
Variable a187_ : Universe.
Variable a186_ : Universe.
Variable a185_ : Universe.
Variable a184_ : Universe.
Variable a183_ : Universe.
Variable a182_ : Universe.
Variable a181_ : Universe.
Variable a180_ : Universe.
Variable a179_ : Universe.
Variable a178_ : Universe.
Variable a177_ : Universe.
Variable a176_ : Universe.
Variable a175_ : Universe.
Variable a174_ : Universe.
Variable a173_ : Universe.
Variable a172_ : Universe.
Variable a171_ : Universe.
Variable a170_ : Universe.
Variable a169_ : Universe.
Variable a168_ : Universe.
Variable a167_ : Universe.
Variable a166_ : Universe.
Variable a165_ : Universe.
Variable a164_ : Universe.
Variable a163_ : Universe.
Variable a162_ : Universe.
Variable a161_ : Universe.
Variable a160_ : Universe.
Variable a159_ : Universe.
Variable a158_ : Universe.
Variable a157_ : Universe.
Variable a156_ : Universe.
Variable a155_ : Universe.
Variable a154_ : Universe.
Variable a153_ : Universe.
Variable a152_ : Universe.
Variable a151_ : Universe.
Variable a150_ : Universe.
Variable a149_ : Universe.
Variable a148_ : Universe.
Variable a147_ : Universe.


Theorem co1_1 : ~(((c7_0_ \/ (c3_0_ \/ (forall U : Universe, (ndr1_0_ -> (~(c9_1_ U) \/ (~(c1_1_ U) \/ c8_1_ U)))))) /\ (((ndr1_0_ /\ (c7_1_ a147_ /\ ~(c9_1_ a147_))) \/ (~(c1_0_) \/ (forall V : Universe, (ndr1_0_ -> ((ndr1_1_ V /\ (~(c5_2_ V a148_) /\ (c7_2_ V a148_ /\ c3_2_ V a148_))) \/ ~(c4_1_ V)))))) /\ (((ndr1_0_ /\ ((forall W : Universe, (ndr1_1_ a149_ -> (c1_2_ a149_ W \/ (~(c4_2_ a149_ W) \/ ~(c7_2_ a149_ W))))) /\ (ndr1_1_ a149_ /\ (~(c9_2_ a149_ a150_) /\ (c7_2_ a149_ a150_ /\ (~(c5_2_ a149_ a150_) /\ (ndr1_1_ a149_ /\ (~(c4_2_ a149_ a151_) /\ (~(c1_2_ a149_ a151_) /\ ~(c10_2_ a149_ a151_)))))))))) \/ (~(c4_0_) \/ (ndr1_0_ /\ (ndr1_1_ a152_ /\ (c7_2_ a152_ a153_ /\ (~(c10_2_ a152_ a153_) /\ (c9_2_ a152_ a153_ /\ ((forall X : Universe, (ndr1_1_ a152_ -> (~(c4_2_ a152_ X) \/ (~(c2_2_ a152_ X) \/ ~(c10_2_ a152_ X))))) /\ ~(c8_1_ a152_))))))))) /\ (((forall Y : Universe, (ndr1_0_ -> (c5_1_ Y \/ (c8_1_ Y \/ (ndr1_1_ Y /\ (~(c10_2_ Y a154_) /\ (c6_2_ Y a154_ /\ ~(c3_2_ Y a154_)))))))) \/ (c3_0_ \/ ~(c1_0_))) /\ (((forall Z : Universe, (ndr1_0_ -> ((ndr1_1_ Z /\ (~(c1_2_ Z a155_) /\ (c10_2_ Z a155_ /\ ~(c4_2_ Z a155_)))) \/ (c8_1_ Z \/ (ndr1_1_ Z /\ (c3_2_ Z a156_ /\ c6_2_ Z a156_)))))) \/ (c7_0_ \/ ~(c1_0_))) /\ ((c8_0_ \/ (c9_0_ \/ ~(c6_0_))) /\ ((~(c4_0_) \/ (~(c5_0_) \/ c3_0_)) /\ ((~(c7_0_) \/ (ndr1_0_ /\ (c2_1_ a157_ /\ (forall X1 : Universe, (ndr1_1_ a157_ -> (c3_2_ a157_ X1 \/ (~(c9_2_ a157_ X1) \/ ~(c8_2_ a157_ X1)))))))) /\ ((~(c2_0_) \/ ((forall X2 : Universe, (ndr1_0_ -> (~(c7_1_ X2) \/ (c10_1_ X2 \/ (forall X3 : Universe, (ndr1_1_ X2 -> (~(c6_2_ X2 X3) \/ (c1_2_ X2 X3 \/ ~(c4_2_ X2 X3))))))))) \/ ~(c4_0_))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c3_1_ X4 \/ ((forall X5 : Universe, (ndr1_1_ X4 -> (c9_2_ X4 X5 \/ (c10_2_ X4 X5 \/ ~(c3_2_ X4 X5))))) \/ (ndr1_1_ X4 /\ (c9_2_ X4 a158_ /\ (~(c6_2_ X4 a158_) /\ c5_2_ X4 a158_))))))) \/ (forall X6 : Universe, (ndr1_0_ -> ((forall X7 : Universe, (ndr1_1_ X6 -> (c8_2_ X6 X7 \/ (c4_2_ X6 X7 \/ c6_2_ X6 X7)))) \/ (c3_1_ X6 \/ (forall X8 : Universe, (ndr1_1_ X6 -> (~(c2_2_ X6 X8) \/ (~(c4_2_ X6 X8) \/ ~(c6_2_ X6 X8)))))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c2_1_ X9 \/ ((ndr1_1_ X9 /\ (~(c8_2_ X9 a159_) /\ (~(c5_2_ X9 a159_) /\ c7_2_ X9 a159_))) \/ (forall X10 : Universe, (ndr1_1_ X9 -> (c5_2_ X9 X10 \/ c10_2_ X9 X10))))))) \/ ((ndr1_0_ /\ (~(c7_1_ a160_) /\ (c10_1_ a160_ /\ (forall X11 : Universe, (ndr1_1_ a160_ -> (~(c4_2_ a160_ X11) \/ (c2_2_ a160_ X11 \/ c6_2_ a160_ X11))))))) \/ ~(c4_0_))) /\ ((c3_0_ \/ (c9_0_ \/ (forall X12 : Universe, (ndr1_0_ -> ((ndr1_1_ X12 /\ (~(c10_2_ X12 a161_) /\ (~(c3_2_ X12 a161_) /\ ~(c4_2_ X12 a161_)))) \/ (~(c7_1_ X12) \/ (forall X13 : Universe, (ndr1_1_ X12 -> (~(c7_2_ X12 X13) \/ (~(c9_2_ X12 X13) \/ ~(c2_2_ X12 X13))))))))))) /\ ((c8_0_ \/ (ndr1_0_ /\ (c7_1_ a162_ /\ (~(c2_1_ a162_) /\ (forall X14 : Universe, (ndr1_1_ a162_ -> (~(c1_2_ a162_ X14) \/ (~(c3_2_ a162_ X14) \/ c2_2_ a162_ X14)))))))) /\ ((~(c9_0_) \/ (~(c1_0_) \/ (ndr1_0_ /\ (ndr1_1_ a163_ /\ (~(c5_2_ a163_ a164_) /\ (c9_2_ a163_ a164_ /\ (c10_2_ a163_ a164_ /\ (c1_1_ a163_ /\ (forall X15 : Universe, (ndr1_1_ a163_ -> (~(c4_2_ a163_ X15) \/ (c2_2_ a163_ X15 \/ ~(c6_2_ a163_ X15))))))))))))) /\ ((c9_0_ \/ (~(c2_0_) \/ (ndr1_0_ /\ ((forall X16 : Universe, (ndr1_1_ a165_ -> (c8_2_ a165_ X16 \/ (~(c10_2_ a165_ X16) \/ ~(c4_2_ a165_ X16))))) /\ ((forall X17 : Universe, (ndr1_1_ a165_ -> (c3_2_ a165_ X17 \/ (~(c2_2_ a165_ X17) \/ c5_2_ a165_ X17)))) /\ (ndr1_1_ a165_ /\ (~(c2_2_ a165_ a166_) /\ (c5_2_ a165_ a166_ /\ c3_2_ a165_ a166_)))))))) /\ (((ndr1_0_ /\ (c2_1_ a167_ /\ ((forall X18 : Universe, (ndr1_1_ a167_ -> (~(c9_2_ a167_ X18) \/ (c1_2_ a167_ X18 \/ c10_2_ a167_ X18)))) /\ c7_1_ a167_))) \/ (c6_0_ \/ c10_0_)) /\ ((c6_0_ \/ ((ndr1_0_ /\ (~(c9_1_ a168_) /\ (c1_1_ a168_ /\ c8_1_ a168_))) \/ ~(c1_0_))) /\ ((c3_0_ \/ ((forall X19 : Universe, (ndr1_0_ -> (~(c7_1_ X19) \/ ((forall X20 : Universe, (ndr1_1_ X19 -> (c8_2_ X19 X20 \/ ~(c7_2_ X19 X20)))) \/ (forall X21 : Universe, (ndr1_1_ X19 -> (c7_2_ X19 X21 \/ c8_2_ X19 X21))))))) \/ (forall X22 : Universe, (ndr1_0_ -> ((forall X23 : Universe, (ndr1_1_ X22 -> (c9_2_ X22 X23 \/ (c7_2_ X22 X23 \/ ~(c6_2_ X22 X23))))) \/ (c9_1_ X22 \/ ~(c5_1_ X22))))))) /\ ((~(c9_0_) \/ (c8_0_ \/ ~(c1_0_))) /\ (((ndr1_0_ /\ ((forall X24 : Universe, (ndr1_1_ a169_ -> (~(c6_2_ a169_ X24) \/ ~(c10_2_ a169_ X24)))) /\ (c2_1_ a169_ /\ (forall X25 : Universe, (ndr1_1_ a169_ -> (~(c1_2_ a169_ X25) \/ (~(c9_2_ a169_ X25) \/ ~(c8_2_ a169_ X25)))))))) \/ ((ndr1_0_ /\ (~(c8_1_ a170_) /\ ((forall X26 : Universe, (ndr1_1_ a170_ -> (c3_2_ a170_ X26 \/ (~(c9_2_ a170_ X26) \/ ~(c10_2_ a170_ X26))))) /\ c6_1_ a170_))) \/ (forall X27 : Universe, (ndr1_0_ -> ((forall X28 : Universe, (ndr1_1_ X27 -> c3_2_ X27 X28)) \/ (~(c2_1_ X27) \/ (forall X29 : Universe, (ndr1_1_ X27 -> (c9_2_ X27 X29 \/ (c5_2_ X27 X29 \/ c6_2_ X27 X29)))))))))) /\ (((ndr1_0_ /\ ((forall X30 : Universe, (ndr1_1_ a171_ -> (c7_2_ a171_ X30 \/ (c3_2_ a171_ X30 \/ ~(c10_2_ a171_ X30))))) /\ (~(c1_1_ a171_) /\ ~(c8_1_ a171_)))) \/ (ndr1_0_ /\ (~(c5_1_ a172_) /\ (forall X31 : Universe, (ndr1_1_ a172_ -> (~(c4_2_ a172_ X31) \/ (c5_2_ a172_ X31 \/ ~(c8_2_ a172_ X31)))))))) /\ (((ndr1_0_ /\ (c7_1_ a173_ /\ (c6_1_ a173_ /\ ~(c10_1_ a173_)))) \/ (~(c8_0_) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (c9_1_ a174_ /\ ((forall X32 : Universe, (ndr1_1_ a174_ -> (c4_2_ a174_ X32 \/ (c6_2_ a174_ X32 \/ ~(c8_2_ a174_ X32))))) /\ ~(c1_1_ a174_)))) \/ (~(c5_0_) \/ (ndr1_0_ /\ (c5_1_ a175_ /\ (ndr1_1_ a175_ /\ (c10_2_ a175_ a176_ /\ (~(c4_2_ a175_ a176_) /\ (~(c6_2_ a175_ a176_) /\ c1_1_ a175_)))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a177_ /\ (~(c3_2_ a177_ a178_) /\ (~(c9_2_ a177_ a178_) /\ (~(c7_2_ a177_ a178_) /\ ((forall X33 : Universe, (ndr1_1_ a177_ -> (~(c2_2_ a177_ X33) \/ (~(c6_2_ a177_ X33) \/ ~(c4_2_ a177_ X33))))) /\ c1_1_ a177_)))))) \/ c6_0_) /\ (((forall X34 : Universe, (ndr1_0_ -> (~(c9_1_ X34) \/ (c3_1_ X34 \/ ~(c2_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> ((forall X36 : Universe, (ndr1_1_ X35 -> (~(c4_2_ X35 X36) \/ (c6_2_ X35 X36 \/ ~(c1_2_ X35 X36))))) \/ c2_1_ X35)))) /\ (((ndr1_0_ /\ (ndr1_1_ a179_ /\ (~(c8_2_ a179_ a180_) /\ (c5_2_ a179_ a180_ /\ (c10_2_ a179_ a180_ /\ (ndr1_1_ a179_ /\ (c3_2_ a179_ a181_ /\ (c5_2_ a179_ a181_ /\ ~(c9_1_ a179_))))))))) \/ ((forall X37 : Universe, (ndr1_0_ -> ((ndr1_1_ X37 /\ (~(c9_2_ X37 a182_) /\ ~(c2_2_ X37 a182_))) \/ ((forall X38 : Universe, (ndr1_1_ X37 -> (c3_2_ X37 X38 \/ (c10_2_ X37 X38 \/ c7_2_ X37 X38)))) \/ (forall X39 : Universe, (ndr1_1_ X37 -> (c3_2_ X37 X39 \/ ~(c6_2_ X37 X39)))))))) \/ (forall X40 : Universe, (ndr1_0_ -> (c4_1_ X40 \/ (~(c7_1_ X40) \/ c8_1_ X40)))))) /\ (((forall X41 : Universe, (ndr1_0_ -> (c5_1_ X41 \/ ((ndr1_1_ X41 /\ (~(c2_2_ X41 a183_) /\ (~(c6_2_ X41 a183_) /\ ~(c1_2_ X41 a183_)))) \/ c3_1_ X41)))) \/ (~(c7_0_) \/ (forall X42 : Universe, (ndr1_0_ -> ((ndr1_1_ X42 /\ (c9_2_ X42 a184_ /\ (~(c7_2_ X42 a184_) /\ ~(c5_2_ X42 a184_)))) \/ ((forall X43 : Universe, (ndr1_1_ X42 -> (c9_2_ X42 X43 \/ (~(c1_2_ X42 X43) \/ ~(c6_2_ X42 X43))))) \/ ~(c4_1_ X42))))))) /\ (((forall X44 : Universe, (ndr1_0_ -> (c4_1_ X44 \/ c5_1_ X44))) \/ (~(c9_0_) \/ c5_0_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (~(c10_1_ X45) \/ ((forall X46 : Universe, (ndr1_1_ X45 -> (c2_2_ X45 X46 \/ (~(c4_2_ X45 X46) \/ ~(c10_2_ X45 X46))))) \/ ~(c5_1_ X45))))) \/ (c2_0_ \/ ~(c6_0_))) /\ (((ndr1_0_ /\ (c5_1_ a185_ /\ ((forall X47 : Universe, (ndr1_1_ a185_ -> (~(c10_2_ a185_ X47) \/ (~(c8_2_ a185_ X47) \/ ~(c9_2_ a185_ X47))))) /\ ~(c1_1_ a185_)))) \/ (c5_0_ \/ (forall X48 : Universe, (ndr1_0_ -> (c6_1_ X48 \/ ((ndr1_1_ X48 /\ (c9_2_ X48 a186_ /\ (~(c3_2_ X48 a186_) /\ ~(c2_2_ X48 a186_)))) \/ ~(c5_1_ X48))))))) /\ ((c3_0_ \/ (~(c8_0_) \/ (forall X49 : Universe, (ndr1_0_ -> ((ndr1_1_ X49 /\ (~(c7_2_ X49 a187_) /\ (~(c1_2_ X49 a187_) /\ ~(c2_2_ X49 a187_)))) \/ (~(c7_1_ X49) \/ (ndr1_1_ X49 /\ (c1_2_ X49 a188_ /\ (c9_2_ X49 a188_ /\ c3_2_ X49 a188_))))))))) /\ (((forall X50 : Universe, (ndr1_0_ -> ((forall X51 : Universe, (ndr1_1_ X50 -> (c7_2_ X50 X51 \/ (~(c9_2_ X50 X51) \/ ~(c10_2_ X50 X51))))) \/ ((forall X52 : Universe, (ndr1_1_ X50 -> (~(c9_2_ X50 X52) \/ (c5_2_ X50 X52 \/ ~(c4_2_ X50 X52))))) \/ ~(c8_1_ X50))))) \/ (~(c7_0_) \/ ~(c6_0_))) /\ (((forall X53 : Universe, (ndr1_0_ -> (c8_1_ X53 \/ ((forall X54 : Universe, (ndr1_1_ X53 -> (~(c10_2_ X53 X54) \/ c6_2_ X53 X54))) \/ c6_1_ X53)))) \/ ((ndr1_0_ /\ (c1_1_ a189_ /\ (~(c5_1_ a189_) /\ ~(c3_1_ a189_)))) \/ (forall X55 : Universe, (ndr1_0_ -> (~(c10_1_ X55) \/ ((forall X56 : Universe, (ndr1_1_ X55 -> (~(c8_2_ X55 X56) \/ ~(c2_2_ X55 X56)))) \/ ~(c3_1_ X55))))))) /\ ((c7_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a190_ /\ (c3_2_ a190_ a191_ /\ (~(c8_2_ a190_ a191_) /\ (c7_2_ a190_ a191_ /\ (ndr1_1_ a190_ /\ (~(c10_2_ a190_ a192_) /\ (~(c8_2_ a190_ a192_) /\ c4_2_ a190_ a192_)))))))) \/ ~(c10_0_))) /\ ((~(c4_0_) \/ ((forall X57 : Universe, (ndr1_0_ -> (~(c9_1_ X57) \/ ((forall X58 : Universe, (ndr1_1_ X57 -> (c8_2_ X57 X58 \/ ~(c10_2_ X57 X58)))) \/ c4_1_ X57)))) \/ c10_0_)) /\ ((~(c10_0_) \/ ((forall X59 : Universe, (ndr1_0_ -> (~(c2_1_ X59) \/ (~(c3_1_ X59) \/ (ndr1_1_ X59 /\ (~(c6_2_ X59 a193_) /\ (~(c3_2_ X59 a193_) /\ ~(c10_2_ X59 a193_)))))))) \/ (forall X60 : Universe, (ndr1_0_ -> ((ndr1_1_ X60 /\ (c9_2_ X60 a194_ /\ (~(c3_2_ X60 a194_) /\ ~(c1_2_ X60 a194_)))) \/ (~(c10_1_ X60) \/ c8_1_ X60)))))) /\ (((ndr1_0_ /\ (c7_1_ a195_ /\ (c2_1_ a195_ /\ (ndr1_1_ a195_ /\ (c10_2_ a195_ a196_ /\ (c2_2_ a195_ a196_ /\ ~(c1_2_ a195_ a196_))))))) \/ (c1_0_ \/ ~(c6_0_))) /\ (((forall X61 : Universe, (ndr1_0_ -> ((forall X62 : Universe, (ndr1_1_ X61 -> (c6_2_ X61 X62 \/ (c2_2_ X61 X62 \/ c10_2_ X61 X62)))) \/ ((ndr1_1_ X61 /\ (~(c7_2_ X61 a197_) /\ (~(c8_2_ X61 a197_) /\ ~(c5_2_ X61 a197_)))) \/ ~(c9_1_ X61))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c6_1_ X63 \/ ((ndr1_1_ X63 /\ (c7_2_ X63 a198_ /\ (c6_2_ X63 a198_ /\ ~(c5_2_ X63 a198_)))) \/ (ndr1_1_ X63 /\ (c7_2_ X63 a199_ /\ (c10_2_ X63 a199_ /\ c9_2_ X63 a199_))))))) \/ ~(c6_0_))) /\ (((ndr1_0_ /\ ((forall X64 : Universe, (ndr1_1_ a200_ -> (c4_2_ a200_ X64 \/ ~(c6_2_ a200_ X64)))) /\ (ndr1_1_ a200_ /\ (~(c7_2_ a200_ a201_) /\ (c5_2_ a200_ a201_ /\ (~(c8_2_ a200_ a201_) /\ (ndr1_1_ a200_ /\ (c2_2_ a200_ a202_ /\ (c3_2_ a200_ a202_ /\ c9_2_ a200_ a202_))))))))) \/ ((forall X65 : Universe, (ndr1_0_ -> ((ndr1_1_ X65 /\ (c7_2_ X65 a203_ /\ (~(c3_2_ X65 a203_) /\ c10_2_ X65 a203_))) \/ (c1_1_ X65 \/ c6_1_ X65)))) \/ (ndr1_0_ /\ (ndr1_1_ a204_ /\ (c6_2_ a204_ a205_ /\ (~(c9_2_ a204_ a205_) /\ (~(c3_2_ a204_ a205_) /\ ((forall X66 : Universe, (ndr1_1_ a204_ -> (~(c8_2_ a204_ X66) \/ (~(c3_2_ a204_ X66) \/ c7_2_ a204_ X66)))) /\ ~(c10_1_ a204_))))))))) /\ ((c9_0_ \/ (c1_0_ \/ ~(c8_0_))) /\ (((ndr1_0_ /\ (~(c5_1_ a206_) /\ ((forall X67 : Universe, (ndr1_1_ a206_ -> (~(c4_2_ a206_ X67) \/ (c2_2_ a206_ X67 \/ c6_2_ a206_ X67)))) /\ (forall X68 : Universe, (ndr1_1_ a206_ -> (c9_2_ a206_ X68 \/ c8_2_ a206_ X68)))))) \/ ((ndr1_0_ /\ (c6_1_ a207_ /\ (c9_1_ a207_ /\ c1_1_ a207_))) \/ ~(c7_0_))) /\ ((c4_0_ \/ ((forall X69 : Universe, (ndr1_0_ -> ((ndr1_1_ X69 /\ (~(c4_2_ X69 a208_) /\ c9_2_ X69 a208_)) \/ (~(c5_1_ X69) \/ c10_1_ X69)))) \/ ~(c6_0_))) /\ ((c7_0_ \/ ((forall X70 : Universe, (ndr1_0_ -> ((forall X71 : Universe, (ndr1_1_ X70 -> (~(c8_2_ X70 X71) \/ (~(c4_2_ X70 X71) \/ ~(c2_2_ X70 X71))))) \/ ((forall X72 : Universe, (ndr1_1_ X70 -> (c4_2_ X70 X72 \/ (~(c9_2_ X70 X72) \/ ~(c10_2_ X70 X72))))) \/ (ndr1_1_ X70 /\ (c10_2_ X70 a209_ /\ (~(c2_2_ X70 a209_) /\ ~(c4_2_ X70 a209_)))))))) \/ ~(c10_0_))) /\ (((forall X73 : Universe, (ndr1_0_ -> ((ndr1_1_ X73 /\ (~(c1_2_ X73 a210_) /\ (c7_2_ X73 a210_ /\ c3_2_ X73 a210_))) \/ (c3_1_ X73 \/ (ndr1_1_ X73 /\ (c9_2_ X73 a211_ /\ (~(c4_2_ X73 a211_) /\ ~(c2_2_ X73 a211_)))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a212_ /\ (c5_2_ a212_ a213_ /\ (~(c8_2_ a212_ a213_) /\ (c4_2_ a212_ a213_ /\ ((forall X74 : Universe, (ndr1_1_ a212_ -> (c7_2_ a212_ X74 \/ (c9_2_ a212_ X74 \/ ~(c5_2_ a212_ X74))))) /\ (forall X75 : Universe, (ndr1_1_ a212_ -> (~(c8_2_ a212_ X75) \/ (~(c5_2_ a212_ X75) \/ ~(c4_2_ a212_ X75))))))))))) \/ (forall X76 : Universe, (ndr1_0_ -> ((ndr1_1_ X76 /\ (~(c4_2_ X76 a214_) /\ (~(c6_2_ X76 a214_) /\ c8_2_ X76 a214_))) \/ ~(c5_1_ X76)))))) /\ (((ndr1_0_ /\ (~(c1_1_ a215_) /\ ((forall X77 : Universe, (ndr1_1_ a215_ -> (~(c4_2_ a215_ X77) \/ ~(c5_2_ a215_ X77)))) /\ c8_1_ a215_))) \/ ((ndr1_0_ /\ ((forall X78 : Universe, (ndr1_1_ a216_ -> (c10_2_ a216_ X78 \/ (c1_2_ a216_ X78 \/ c3_2_ a216_ X78)))) /\ ((forall X79 : Universe, (ndr1_1_ a216_ -> (~(c6_2_ a216_ X79) \/ (c5_2_ a216_ X79 \/ c8_2_ a216_ X79)))) /\ (ndr1_1_ a216_ /\ (~(c6_2_ a216_ a217_) /\ (c10_2_ a216_ a217_ /\ ~(c8_2_ a216_ a217_))))))) \/ ~(c10_0_))) /\ ((c5_0_ \/ ~(c6_0_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c4_1_ X80 \/ ~(c7_1_ X80)))) \/ (c2_0_ \/ c1_0_)) /\ (((forall X81 : Universe, (ndr1_0_ -> ((forall X82 : Universe, (ndr1_1_ X81 -> (~(c9_2_ X81 X82) \/ ~(c7_2_ X81 X82)))) \/ (c10_1_ X81 \/ (ndr1_1_ X81 /\ (~(c5_2_ X81 a218_) /\ (c1_2_ X81 a218_ /\ c7_2_ X81 a218_))))))) \/ ((ndr1_0_ /\ (~(c7_1_ a219_) /\ ~(c5_1_ a219_))) \/ ~(c3_0_))) /\ ((c2_0_ \/ (~(c1_0_) \/ ~(c3_0_))) /\ ((~(c9_0_) \/ (c5_0_ \/ (forall X83 : Universe, (ndr1_0_ -> ((forall X84 : Universe, (ndr1_1_ X83 -> (c7_2_ X83 X84 \/ ~(c3_2_ X83 X84)))) \/ (c6_1_ X83 \/ ~(c1_1_ X83))))))) /\ ((~(c4_0_) \/ ((forall X85 : Universe, (ndr1_0_ -> (~(c9_1_ X85) \/ (c10_1_ X85 \/ (ndr1_1_ X85 /\ (~(c2_2_ X85 a220_) /\ (~(c4_2_ X85 a220_) /\ ~(c9_2_ X85 a220_)))))))) \/ ~(c3_0_))) /\ (((forall X86 : Universe, (ndr1_0_ -> (~(c7_1_ X86) \/ (ndr1_1_ X86 /\ (c1_2_ X86 a221_ /\ (c5_2_ X86 a221_ /\ ~(c8_2_ X86 a221_))))))) \/ ((forall X87 : Universe, (ndr1_0_ -> (c3_1_ X87 \/ (c5_1_ X87 \/ (forall X88 : Universe, (ndr1_1_ X87 -> (c8_2_ X87 X88 \/ (~(c4_2_ X87 X88) \/ ~(c7_2_ X87 X88))))))))) \/ ~(c8_0_))) /\ (((ndr1_0_ /\ (c1_1_ a222_ /\ c4_1_ a222_)) \/ (~(c7_0_) \/ (forall X89 : Universe, (ndr1_0_ -> ((ndr1_1_ X89 /\ (c10_2_ X89 a223_ /\ (c9_2_ X89 a223_ /\ ~(c6_2_ X89 a223_)))) \/ ((forall X90 : Universe, (ndr1_1_ X89 -> (c1_2_ X89 X90 \/ (~(c7_2_ X89 X90) \/ c9_2_ X89 X90)))) \/ c10_1_ X89)))))) /\ ((c10_0_ \/ ((ndr1_0_ /\ (~(c1_1_ a224_) /\ ((forall X91 : Universe, (ndr1_1_ a224_ -> (c4_2_ a224_ X91 \/ (~(c9_2_ a224_ X91) \/ c8_2_ a224_ X91)))) /\ (ndr1_1_ a224_ /\ (c3_2_ a224_ a225_ /\ (~(c4_2_ a224_ a225_) /\ c9_2_ a224_ a225_)))))) \/ (forall X92 : Universe, (ndr1_0_ -> (c8_1_ X92 \/ ((ndr1_1_ X92 /\ (c3_2_ X92 a226_ /\ (~(c4_2_ X92 a226_) /\ ~(c8_2_ X92 a226_)))) \/ (ndr1_1_ X92 /\ (c10_2_ X92 a227_ /\ (~(c1_2_ X92 a227_) /\ ~(c7_2_ X92 a227_)))))))))) /\ ((c4_0_ \/ (~(c8_0_) \/ ~(c3_0_))) /\ (((forall X93 : Universe, (ndr1_0_ -> ((forall X94 : Universe, (ndr1_1_ X93 -> (~(c8_2_ X93 X94) \/ ~(c10_2_ X93 X94)))) \/ ((ndr1_1_ X93 /\ (~(c10_2_ X93 a228_) /\ ~(c1_2_ X93 a228_))) \/ c8_1_ X93)))) \/ (forall X95 : Universe, (ndr1_0_ -> ((ndr1_1_ X95 /\ (c2_2_ X95 a229_ /\ ~(c7_2_ X95 a229_))) \/ (c2_1_ X95 \/ c9_1_ X95))))) /\ (((forall X96 : Universe, (ndr1_0_ -> ((ndr1_1_ X96 /\ (c7_2_ X96 a230_ /\ (c6_2_ X96 a230_ /\ ~(c3_2_ X96 a230_)))) \/ (c10_1_ X96 \/ (ndr1_1_ X96 /\ (~(c8_2_ X96 a231_) /\ (~(c1_2_ X96 a231_) /\ c2_2_ X96 a231_))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a232_ /\ (~(c7_2_ a232_ a233_) /\ (c8_2_ a232_ a233_ /\ ((forall X97 : Universe, (ndr1_1_ a232_ -> (~(c3_2_ a232_ X97) \/ (~(c6_2_ a232_ X97) \/ ~(c9_2_ a232_ X97))))) /\ c6_1_ a232_))))) \/ ~(c10_0_))) /\ ((~(c8_0_) \/ ((ndr1_0_ /\ (c9_1_ a234_ /\ ~(c1_1_ a234_))) \/ c4_0_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (~(c7_1_ X98) \/ (~(c5_1_ X98) \/ (forall X99 : Universe, (ndr1_1_ X98 -> (~(c4_2_ X98 X99) \/ (~(c5_2_ X98 X99) \/ ~(c10_2_ X98 X99))))))))) \/ ((ndr1_0_ /\ (c8_1_ a235_ /\ ~(c5_1_ a235_))) \/ c4_0_)) /\ ((c8_0_ \/ c7_0_) /\ (((forall X100 : Universe, (ndr1_0_ -> (~(c5_1_ X100) \/ (c10_1_ X100 \/ (forall X101 : Universe, (ndr1_1_ X100 -> (c7_2_ X100 X101 \/ (~(c3_2_ X100 X101) \/ c6_2_ X100 X101)))))))) \/ ((forall X102 : Universe, (ndr1_0_ -> (~(c10_1_ X102) \/ ((forall X103 : Universe, (ndr1_1_ X102 -> (~(c6_2_ X102 X103) \/ (~(c3_2_ X102 X103) \/ c9_2_ X102 X103)))) \/ c5_1_ X102)))) \/ ~(c8_0_))) /\ ((~(c5_0_) \/ (~(c2_0_) \/ (forall X104 : Universe, (ndr1_0_ -> ((forall X105 : Universe, (ndr1_1_ X104 -> (c10_2_ X104 X105 \/ c1_2_ X104 X105))) \/ (forall X106 : Universe, (ndr1_1_ X104 -> (~(c10_2_ X104 X106) \/ c6_2_ X104 X106)))))))) /\ (((forall X107 : Universe, (ndr1_0_ -> (~(c7_1_ X107) \/ ((ndr1_1_ X107 /\ (~(c8_2_ X107 a236_) /\ (~(c6_2_ X107 a236_) /\ ~(c10_2_ X107 a236_)))) \/ (forall X108 : Universe, (ndr1_1_ X107 -> (~(c10_2_ X107 X108) \/ (~(c2_2_ X107 X108) \/ c8_2_ X107 X108)))))))) \/ ((ndr1_0_ /\ ((forall X109 : Universe, (ndr1_1_ a237_ -> (~(c5_2_ a237_ X109) \/ (~(c6_2_ a237_ X109) \/ ~(c4_2_ a237_ X109))))) /\ (ndr1_1_ a237_ /\ (~(c7_2_ a237_ a238_) /\ (c2_2_ a237_ a238_ /\ (c4_2_ a237_ a238_ /\ (forall X110 : Universe, (ndr1_1_ a237_ -> (~(c2_2_ a237_ X110) \/ (c3_2_ a237_ X110 \/ c1_2_ a237_ X110)))))))))) \/ ~(c9_0_))) /\ ((c9_0_ \/ ((ndr1_0_ /\ (c2_1_ a239_ /\ ((forall X111 : Universe, (ndr1_1_ a239_ -> (~(c2_2_ a239_ X111) \/ (~(c10_2_ a239_ X111) \/ c3_2_ a239_ X111)))) /\ ~(c10_1_ a239_)))) \/ (ndr1_0_ /\ (ndr1_1_ a240_ /\ (~(c4_2_ a240_ a241_) /\ (c3_2_ a240_ a241_ /\ (c9_2_ a240_ a241_ /\ (ndr1_1_ a240_ /\ (~(c7_2_ a240_ a242_) /\ (c8_2_ a240_ a242_ /\ (forall X112 : Universe, (ndr1_1_ a240_ -> (~(c5_2_ a240_ X112) \/ (~(c9_2_ a240_ X112) \/ ~(c1_2_ a240_ X112))))))))))))))) /\ ((c7_0_ \/ ((forall X113 : Universe, (ndr1_0_ -> (forall X114 : Universe, (ndr1_1_ X113 -> (c7_2_ X113 X114 \/ (c8_2_ X113 X114 \/ c1_2_ X113 X114)))))) \/ c1_0_)) /\ (((forall X115 : Universe, (ndr1_0_ -> (c3_1_ X115 \/ ((ndr1_1_ X115 /\ (~(c5_2_ X115 a243_) /\ (~(c3_2_ X115 a243_) /\ c8_2_ X115 a243_))) \/ ~(c1_1_ X115))))) \/ (forall X116 : Universe, (ndr1_0_ -> ((ndr1_1_ X116 /\ (~(c3_2_ X116 a244_) /\ (~(c8_2_ X116 a244_) /\ c5_2_ X116 a244_))) \/ ((forall X117 : Universe, (ndr1_1_ X116 -> (c4_2_ X116 X117 \/ (~(c8_2_ X116 X117) \/ c7_2_ X116 X117)))) \/ (forall X118 : Universe, (ndr1_1_ X116 -> (c4_2_ X116 X118 \/ (c7_2_ X116 X118 \/ ~(c9_2_ X116 X118)))))))))) /\ ((~(c9_0_) \/ (c7_0_ \/ (ndr1_0_ /\ (c9_1_ a245_ /\ (c5_1_ a245_ /\ (forall X119 : Universe, (ndr1_1_ a245_ -> (~(c10_2_ a245_ X119) \/ (~(c7_2_ a245_ X119) \/ c9_2_ a245_ X119))))))))) /\ ((c10_0_ \/ (~(c4_0_) \/ (ndr1_0_ /\ ((forall X120 : Universe, (ndr1_1_ a246_ -> (~(c5_2_ a246_ X120) \/ (~(c9_2_ a246_ X120) \/ c10_2_ a246_ X120)))) /\ ((forall X121 : Universe, (ndr1_1_ a246_ -> (c7_2_ a246_ X121 \/ (c6_2_ a246_ X121 \/ c5_2_ a246_ X121)))) /\ ~(c1_1_ a246_)))))) /\ ((c4_0_ \/ (c1_0_ \/ ~(c8_0_))) /\ ((~(c9_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a247_ /\ (c5_2_ a247_ a248_ /\ (~(c6_2_ a247_ a248_) /\ (c3_2_ a247_ a248_ /\ (ndr1_1_ a247_ /\ (~(c6_2_ a247_ a249_) /\ (~(c10_2_ a247_ a249_) /\ (~(c4_2_ a247_ a249_) /\ ~(c8_1_ a247_)))))))))) \/ c7_0_)) /\ (((forall X122 : Universe, (ndr1_0_ -> ((forall X123 : Universe, (ndr1_1_ X122 -> (c10_2_ X122 X123 \/ (~(c5_2_ X122 X123) \/ ~(c3_2_ X122 X123))))) \/ (~(c9_1_ X122) \/ (ndr1_1_ X122 /\ (c6_2_ X122 a250_ /\ c2_2_ X122 a250_)))))) \/ (forall X124 : Universe, (ndr1_0_ -> (~(c10_1_ X124) \/ (~(c9_1_ X124) \/ c1_1_ X124))))) /\ (((ndr1_0_ /\ (ndr1_1_ a251_ /\ (c10_2_ a251_ a252_ /\ (c1_2_ a251_ a252_ /\ (~(c5_2_ a251_ a252_) /\ (c2_1_ a251_ /\ ~(c9_1_ a251_))))))) \/ (~(c7_0_) \/ c6_0_)) /\ ((c10_0_ \/ ((forall X125 : Universe, (ndr1_0_ -> (c6_1_ X125 \/ ((forall X126 : Universe, (ndr1_1_ X125 -> (c9_2_ X125 X126 \/ ~(c1_2_ X125 X126)))) \/ (forall X127 : Universe, (ndr1_1_ X125 -> (c6_2_ X125 X127 \/ (c3_2_ X125 X127 \/ ~(c8_2_ X125 X127))))))))) \/ (ndr1_0_ /\ (~(c5_1_ a253_) /\ (c9_1_ a253_ /\ c1_1_ a253_))))) /\ ((c6_0_ \/ (~(c10_0_) \/ ~(c4_0_))) /\ ((~(c6_0_) \/ c2_0_) /\ (((forall X128 : Universe, (ndr1_0_ -> ((ndr1_1_ X128 /\ (c10_2_ X128 a254_ /\ (~(c8_2_ X128 a254_) /\ c6_2_ X128 a254_))) \/ ((ndr1_1_ X128 /\ (~(c6_2_ X128 a255_) /\ (c9_2_ X128 a255_ /\ ~(c4_2_ X128 a255_)))) \/ c8_1_ X128)))) \/ ((forall X129 : Universe, (ndr1_0_ -> (c7_1_ X129 \/ (c9_1_ X129 \/ ~(c2_1_ X129))))) \/ (forall X130 : Universe, (ndr1_0_ -> (c6_1_ X130 \/ (~(c9_1_ X130) \/ (forall X131 : Universe, (ndr1_1_ X130 -> (c8_2_ X130 X131 \/ (c6_2_ X130 X131 \/ ~(c1_2_ X130 X131))))))))))) /\ ((~(c3_0_) \/ ((forall X132 : Universe, (ndr1_0_ -> ((ndr1_1_ X132 /\ (~(c8_2_ X132 a256_) /\ ~(c9_2_ X132 a256_))) \/ (c5_1_ X132 \/ c8_1_ X132)))) \/ c8_0_)) /\ ((c10_0_ \/ ((ndr1_0_ /\ (~(c7_1_ a257_) /\ (~(c2_1_ a257_) /\ c5_1_ a257_))) \/ c9_0_)) /\ ((~(c5_0_) \/ (~(c4_0_) \/ c8_0_)) /\ (((forall X133 : Universe, (ndr1_0_ -> (~(c10_1_ X133) \/ ((forall X134 : Universe, (ndr1_1_ X133 -> (c3_2_ X133 X134 \/ (c7_2_ X133 X134 \/ c10_2_ X133 X134)))) \/ c3_1_ X133)))) \/ (c9_0_ \/ ~(c6_0_))) /\ (((ndr1_0_ /\ (~(c8_1_ a258_) /\ (ndr1_1_ a258_ /\ (~(c10_2_ a258_ a259_) /\ (~(c6_2_ a258_ a259_) /\ (~(c2_2_ a258_ a259_) /\ c5_1_ a258_)))))) \/ ((forall X135 : Universe, (ndr1_0_ -> ((ndr1_1_ X135 /\ (c6_2_ X135 a260_ /\ (~(c10_2_ X135 a260_) /\ ~(c2_2_ X135 a260_)))) \/ ~(c2_1_ X135)))) \/ c9_0_)) /\ (((ndr1_0_ /\ ((forall X136 : Universe, (ndr1_1_ a261_ -> (c1_2_ a261_ X136 \/ (c8_2_ a261_ X136 \/ ~(c7_2_ a261_ X136))))) /\ (~(c9_1_ a261_) /\ (forall X137 : Universe, (ndr1_1_ a261_ -> (~(c7_2_ a261_ X137) \/ (c2_2_ a261_ X137 \/ ~(c1_2_ a261_ X137)))))))) \/ ((ndr1_0_ /\ (c5_1_ a262_ /\ (ndr1_1_ a262_ /\ (c8_2_ a262_ a263_ /\ (c9_2_ a262_ a263_ /\ (c10_2_ a262_ a263_ /\ (ndr1_1_ a262_ /\ (~(c6_2_ a262_ a264_) /\ (~(c10_2_ a262_ a264_) /\ ~(c4_2_ a262_ a264_)))))))))) \/ c2_0_)) /\ ((~(c7_0_) \/ ((forall X138 : Universe, (ndr1_0_ -> (~(c5_1_ X138) \/ (c2_1_ X138 \/ ~(c6_1_ X138))))) \/ c8_0_)) /\ ((c2_0_ \/ (c1_0_ \/ (ndr1_0_ /\ (c1_1_ a265_ /\ (c2_1_ a265_ /\ ~(c7_1_ a265_)))))) /\ (c1_0_ \/ ((ndr1_0_ /\ (~(c7_1_ a266_) /\ (ndr1_1_ a266_ /\ (~(c9_2_ a266_ a267_) /\ (c7_2_ a266_ a267_ /\ (~(c5_2_ a266_ a267_) /\ (ndr1_1_ a266_ /\ (c10_2_ a266_ a268_ /\ (~(c2_2_ a266_ a268_) /\ c6_2_ a266_ a268_))))))))) \/ ~(c5_0_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
