(*
% File     : SYN427+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=064
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-064.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.75 v3.1.0, 1.00 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0, 0.33 v2.3.0, 0.00 v2.2.1, 1.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1736 (   0 equality)
%            Maximal formula depth :  146 ( 146 average)
%            Number of connectives : 2377 ( 642 ~  ; 654  |; 858  &)
%                                         (   0 <=>; 223 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  285 ( 264 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  223 (   0 singleton; 223 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a1833_ : Universe.
Variable a1832_ : Universe.
Variable a1831_ : Universe.
Variable a1830_ : Universe.
Variable a1829_ : Universe.
Variable a1828_ : Universe.
Variable a1827_ : Universe.
Variable a1826_ : Universe.
Variable a1825_ : Universe.
Variable a1824_ : Universe.
Variable a1823_ : Universe.
Variable a1822_ : Universe.
Variable a1821_ : Universe.
Variable a1820_ : Universe.
Variable a1819_ : Universe.
Variable a1818_ : Universe.
Variable a1817_ : Universe.
Variable a1816_ : Universe.
Variable a1815_ : Universe.
Variable a1814_ : Universe.
Variable a1813_ : Universe.
Variable a1812_ : Universe.
Variable a1811_ : Universe.
Variable a1810_ : Universe.
Variable a1809_ : Universe.
Variable a1808_ : Universe.
Variable a1807_ : Universe.
Variable a1806_ : Universe.
Variable a1805_ : Universe.
Variable a1804_ : Universe.
Variable a1803_ : Universe.
Variable a1802_ : Universe.
Variable a1801_ : Universe.
Variable a1800_ : Universe.
Variable a1799_ : Universe.
Variable a1798_ : Universe.
Variable a1797_ : Universe.
Variable a1796_ : Universe.
Variable a1795_ : Universe.
Variable a1794_ : Universe.
Variable a1793_ : Universe.
Variable a1792_ : Universe.
Variable a1791_ : Universe.
Variable a1790_ : Universe.
Variable a1789_ : Universe.
Variable a1788_ : Universe.
Variable a1787_ : Universe.
Variable a1786_ : Universe.
Variable a1785_ : Universe.
Variable a1784_ : Universe.
Variable a1783_ : Universe.
Variable a1782_ : Universe.
Variable a1781_ : Universe.
Variable a1780_ : Universe.
Variable a1779_ : Universe.
Variable a1778_ : Universe.
Variable a1777_ : Universe.
Variable a1776_ : Universe.
Variable a1775_ : Universe.
Variable a1774_ : Universe.
Variable a1773_ : Universe.
Variable a1772_ : Universe.
Variable a1771_ : Universe.
Variable a1770_ : Universe.
Variable a1769_ : Universe.
Variable a1768_ : Universe.
Variable a1767_ : Universe.
Variable a1766_ : Universe.
Variable a1765_ : Universe.
Variable a1764_ : Universe.
Variable a1763_ : Universe.
Variable a1762_ : Universe.
Variable a1761_ : Universe.
Variable a1760_ : Universe.
Variable a1759_ : Universe.
Variable a1758_ : Universe.
Variable a1757_ : Universe.
Variable a1756_ : Universe.
Variable a1755_ : Universe.
Variable a1754_ : Universe.
Variable a1753_ : Universe.
Variable a1752_ : Universe.
Variable a1751_ : Universe.
Variable a1750_ : Universe.
Variable a1749_ : Universe.
Variable a1748_ : Universe.
Variable a1747_ : Universe.
Variable a1746_ : Universe.
Variable a1745_ : Universe.
Variable a1744_ : Universe.
Variable a1743_ : Universe.
Variable a1742_ : Universe.
Variable a1741_ : Universe.
Variable a1740_ : Universe.
Variable a1739_ : Universe.
Variable a1738_ : Universe.
Variable a1737_ : Universe.
Variable a1736_ : Universe.
Variable a1735_ : Universe.
Variable a1734_ : Universe.
Variable a1733_ : Universe.
Variable a1732_ : Universe.
Variable a1731_ : Universe.
Variable a1730_ : Universe.
Variable a1729_ : Universe.
Variable a1728_ : Universe.
Variable a1727_ : Universe.
Variable a1726_ : Universe.
Variable a1725_ : Universe.
Variable a1724_ : Universe.
Variable a1723_ : Universe.
Variable a1722_ : Universe.
Variable a1721_ : Universe.
Variable a1720_ : Universe.
Variable a1719_ : Universe.
Variable a1718_ : Universe.
Variable a1717_ : Universe.
Variable a1716_ : Universe.
Variable a1715_ : Universe.
Variable a1714_ : Universe.
Variable a1713_ : Universe.
Variable a1712_ : Universe.
Variable a1711_ : Universe.
Variable a1710_ : Universe.
Variable a1709_ : Universe.
Variable a1708_ : Universe.
Variable a1707_ : Universe.
Variable a1706_ : Universe.
Variable a1705_ : Universe.
Variable a1704_ : Universe.
Variable a1703_ : Universe.
Variable a1702_ : Universe.
Variable a1701_ : Universe.
Variable a1700_ : Universe.
Variable a1699_ : Universe.
Variable a1698_ : Universe.
Variable a1697_ : Universe.
Variable a1696_ : Universe.
Variable a1695_ : Universe.
Variable a1694_ : Universe.
Variable a1693_ : Universe.
Variable a1692_ : Universe.
Variable a1691_ : Universe.
Variable a1690_ : Universe.
Variable a1689_ : Universe.
Variable a1688_ : Universe.
Variable a1687_ : Universe.
Variable a1686_ : Universe.
Variable a1685_ : Universe.
Variable a1684_ : Universe.
Variable a1683_ : Universe.
Variable a1682_ : Universe.
Variable a1681_ : Universe.
Variable a1680_ : Universe.
Variable a1679_ : Universe.
Variable a1678_ : Universe.
Variable a1677_ : Universe.
Variable a1676_ : Universe.
Variable a1675_ : Universe.
Variable a1674_ : Universe.
Variable a1673_ : Universe.
Variable a1672_ : Universe.
Variable a1671_ : Universe.
Variable a1670_ : Universe.
Variable a1669_ : Universe.
Variable a1668_ : Universe.
Variable a1667_ : Universe.
Variable a1666_ : Universe.
Variable a1665_ : Universe.
Variable a1664_ : Universe.
Variable a1663_ : Universe.
Variable a1662_ : Universe.
Variable a1661_ : Universe.
Variable a1660_ : Universe.
Variable a1659_ : Universe.
Variable a1658_ : Universe.
Variable a1657_ : Universe.
Variable a1656_ : Universe.
Variable a1655_ : Universe.
Variable a1654_ : Universe.
Variable a1653_ : Universe.
Variable a1652_ : Universe.
Variable a1651_ : Universe.
Variable a1650_ : Universe.
Variable a1649_ : Universe.
Variable a1648_ : Universe.
Variable a1647_ : Universe.
Variable a1646_ : Universe.
Variable a1645_ : Universe.
Variable a1644_ : Universe.
Variable a1643_ : Universe.
Variable a1642_ : Universe.
Variable a1641_ : Universe.
Variable a1640_ : Universe.
Variable a1639_ : Universe.
Variable a1638_ : Universe.
Variable a1637_ : Universe.
Variable a1636_ : Universe.
Variable a1635_ : Universe.
Variable a1634_ : Universe.
Variable a1633_ : Universe.
Variable a1632_ : Universe.
Variable a1631_ : Universe.
Variable a1630_ : Universe.
Variable a1629_ : Universe.
Variable a1628_ : Universe.
Variable a1627_ : Universe.
Variable a1626_ : Universe.
Variable a1625_ : Universe.
Variable a1624_ : Universe.
Variable a1623_ : Universe.
Variable a1622_ : Universe.
Variable a1621_ : Universe.
Variable a1620_ : Universe.
Variable a1619_ : Universe.
Variable a1618_ : Universe.
Variable a1617_ : Universe.
Variable a1616_ : Universe.
Variable a1615_ : Universe.
Variable a1614_ : Universe.
Variable a1613_ : Universe.
Variable a1612_ : Universe.
Variable a1611_ : Universe.
Variable a1610_ : Universe.
Variable a1609_ : Universe.
Variable a1608_ : Universe.
Variable a1607_ : Universe.
Variable a1606_ : Universe.
Variable a1605_ : Universe.
Variable a1604_ : Universe.
Variable a1603_ : Universe.
Variable a1602_ : Universe.
Variable a1601_ : Universe.
Variable a1600_ : Universe.
Variable a1599_ : Universe.
Variable a1598_ : Universe.
Variable a1597_ : Universe.
Variable a1596_ : Universe.
Variable a1595_ : Universe.
Variable a1594_ : Universe.
Variable a1593_ : Universe.
Variable a1592_ : Universe.
Variable a1591_ : Universe.
Variable a1590_ : Universe.
Variable a1589_ : Universe.
Variable a1588_ : Universe.
Variable a1587_ : Universe.
Variable a1586_ : Universe.
Variable a1585_ : Universe.
Variable a1584_ : Universe.
Variable a1583_ : Universe.
Variable a1582_ : Universe.
Variable a1581_ : Universe.


Theorem co1_1 : ~(((~(c1_0_) \/ ((forall U : Universe, (ndr1_0_ -> (~(c1_1_ U) \/ ((forall V : Universe, (ndr1_1_ U -> (~(c1_2_ U V) \/ (c5_2_ U V \/ c7_2_ U V)))) \/ c10_1_ U)))) \/ (ndr1_0_ /\ ((forall W : Universe, (ndr1_1_ a1581_ -> (~(c5_2_ a1581_ W) \/ (c10_2_ a1581_ W \/ ~(c6_2_ a1581_ W))))) /\ (c8_1_ a1581_ /\ ~(c7_1_ a1581_)))))) /\ ((~(c10_0_) \/ (~(c6_0_) \/ (forall X : Universe, (ndr1_0_ -> ((forall Y : Universe, (ndr1_1_ X -> (c7_2_ X Y \/ (c6_2_ X Y \/ ~(c2_2_ X Y))))) \/ (~(c6_1_ X) \/ ~(c4_1_ X))))))) /\ ((~(c8_0_) \/ ((ndr1_0_ /\ (~(c2_1_ a1582_) /\ (ndr1_1_ a1582_ /\ (~(c10_2_ a1582_ a1583_) /\ (c3_2_ a1582_ a1583_ /\ (~(c4_2_ a1582_ a1583_) /\ c1_1_ a1582_)))))) \/ (ndr1_0_ /\ (ndr1_1_ a1584_ /\ (c8_2_ a1584_ a1585_ /\ (c2_2_ a1584_ a1585_ /\ (~(c1_2_ a1584_ a1585_) /\ ~(c7_1_ a1584_)))))))) /\ (((forall Z : Universe, (ndr1_0_ -> ((ndr1_1_ Z /\ (c9_2_ Z a1586_ /\ (c8_2_ Z a1586_ /\ c10_2_ Z a1586_))) \/ (~(c10_1_ Z) \/ c8_1_ Z)))) \/ ((ndr1_0_ /\ (c2_1_ a1587_ /\ ((forall X1 : Universe, (ndr1_1_ a1587_ -> (c8_2_ a1587_ X1 \/ ~(c2_2_ a1587_ X1)))) /\ ~(c3_1_ a1587_)))) \/ (ndr1_0_ /\ (ndr1_1_ a1588_ /\ (c6_2_ a1588_ a1589_ /\ (~(c9_2_ a1588_ a1589_) /\ (~(c10_2_ a1588_ a1589_) /\ (c5_1_ a1588_ /\ (ndr1_1_ a1588_ /\ (~(c9_2_ a1588_ a1590_) /\ (c4_2_ a1588_ a1590_ /\ ~(c6_2_ a1588_ a1590_)))))))))))) /\ ((c7_0_ \/ (~(c4_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1591_ /\ (c4_2_ a1591_ a1592_ /\ (c8_2_ a1591_ a1592_ /\ (c6_2_ a1591_ a1592_ /\ (~(c10_1_ a1591_) /\ ~(c4_1_ a1591_))))))))) /\ (((ndr1_0_ /\ (c9_1_ a1593_ /\ (ndr1_1_ a1593_ /\ (~(c10_2_ a1593_ a1594_) /\ (~(c8_2_ a1593_ a1594_) /\ (~(c3_2_ a1593_ a1594_) /\ ~(c6_1_ a1593_))))))) \/ ((forall X2 : Universe, (ndr1_0_ -> ((ndr1_1_ X2 /\ (c3_2_ X2 a1595_ /\ (c4_2_ X2 a1595_ /\ c6_2_ X2 a1595_))) \/ ((ndr1_1_ X2 /\ (c5_2_ X2 a1596_ /\ c3_2_ X2 a1596_)) \/ c7_1_ X2)))) \/ ~(c10_0_))) /\ ((~(c5_0_) \/ c7_0_) /\ ((c8_0_ \/ (c9_0_ \/ (ndr1_0_ /\ (c5_1_ a1597_ /\ (ndr1_1_ a1597_ /\ (~(c8_2_ a1597_ a1598_) /\ (c2_2_ a1597_ a1598_ /\ (~(c1_2_ a1597_ a1598_) /\ c1_1_ a1597_)))))))) /\ (((forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ ((ndr1_1_ X3 /\ (~(c1_2_ X3 a1599_) /\ (~(c10_2_ X3 a1599_) /\ c9_2_ X3 a1599_))) \/ c3_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> ((forall X5 : Universe, (ndr1_1_ X4 -> (c5_2_ X4 X5 \/ (~(c7_2_ X4 X5) \/ ~(c8_2_ X4 X5))))) \/ (ndr1_1_ X4 /\ (~(c8_2_ X4 a1600_) /\ (~(c6_2_ X4 a1600_) /\ c9_2_ X4 a1600_)))))) \/ (ndr1_0_ /\ (c1_1_ a1601_ /\ c9_1_ a1601_)))) /\ (((forall X6 : Universe, (ndr1_0_ -> (~(c8_1_ X6) \/ ((ndr1_1_ X6 /\ (~(c4_2_ X6 a1602_) /\ c2_2_ X6 a1602_)) \/ (forall X7 : Universe, (ndr1_1_ X6 -> (c3_2_ X6 X7 \/ (~(c8_2_ X6 X7) \/ ~(c7_2_ X6 X7))))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1603_ /\ (c8_2_ a1603_ a1604_ /\ (~(c2_2_ a1603_ a1604_) /\ (~(c5_2_ a1603_ a1604_) /\ (ndr1_1_ a1603_ /\ (~(c6_2_ a1603_ a1605_) /\ (c8_2_ a1603_ a1605_ /\ (ndr1_1_ a1603_ /\ (c1_2_ a1603_ a1606_ /\ (~(c9_2_ a1603_ a1606_) /\ ~(c5_2_ a1603_ a1606_)))))))))))) \/ (forall X8 : Universe, (ndr1_0_ -> (c10_1_ X8 \/ ((forall X9 : Universe, (ndr1_1_ X8 -> (~(c6_2_ X8 X9) \/ c3_2_ X8 X9))) \/ c9_1_ X8)))))) /\ (((forall X10 : Universe, (ndr1_0_ -> ((ndr1_1_ X10 /\ (c9_2_ X10 a1607_ /\ (~(c6_2_ X10 a1607_) /\ ~(c8_2_ X10 a1607_)))) \/ (~(c5_1_ X10) \/ c6_1_ X10)))) \/ ((forall X11 : Universe, (ndr1_0_ -> ((forall X12 : Universe, (ndr1_1_ X11 -> (~(c7_2_ X11 X12) \/ (~(c8_2_ X11 X12) \/ c5_2_ X11 X12)))) \/ ((ndr1_1_ X11 /\ (~(c10_2_ X11 a1608_) /\ (c7_2_ X11 a1608_ /\ c5_2_ X11 a1608_))) \/ (forall X13 : Universe, (ndr1_1_ X11 -> (c6_2_ X11 X13 \/ (c3_2_ X11 X13 \/ ~(c10_2_ X11 X13))))))))) \/ (ndr1_0_ /\ (c10_1_ a1609_ /\ (~(c2_1_ a1609_) /\ c3_1_ a1609_))))) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ (c7_1_ a1610_ /\ (forall X14 : Universe, (ndr1_1_ a1610_ -> (c3_2_ a1610_ X14 \/ (c1_2_ a1610_ X14 \/ ~(c10_2_ a1610_ X14))))))) \/ (ndr1_0_ /\ (c10_1_ a1611_ /\ (~(c5_1_ a1611_) /\ (ndr1_1_ a1611_ /\ (~(c4_2_ a1611_ a1612_) /\ (~(c8_2_ a1611_ a1612_) /\ c9_2_ a1611_ a1612_)))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (~(c3_1_ X15) \/ (c8_1_ X15 \/ c10_1_ X15)))) \/ (forall X16 : Universe, (ndr1_0_ -> (c3_1_ X16 \/ ((ndr1_1_ X16 /\ (~(c1_2_ X16 a1613_) /\ (c5_2_ X16 a1613_ /\ ~(c9_2_ X16 a1613_)))) \/ (ndr1_1_ X16 /\ (c4_2_ X16 a1614_ /\ (~(c3_2_ X16 a1614_) /\ ~(c9_2_ X16 a1614_))))))))) /\ ((c2_0_ \/ ((forall X17 : Universe, (ndr1_0_ -> ((ndr1_1_ X17 /\ (c8_2_ X17 a1615_ /\ (~(c9_2_ X17 a1615_) /\ c3_2_ X17 a1615_))) \/ (c2_1_ X17 \/ c10_1_ X17)))) \/ ~(c10_0_))) /\ (((ndr1_0_ /\ (~(c3_1_ a1616_) /\ (ndr1_1_ a1616_ /\ (~(c4_2_ a1616_ a1617_) /\ (~(c10_2_ a1616_ a1617_) /\ (c8_2_ a1616_ a1617_ /\ ~(c9_1_ a1616_))))))) \/ (~(c10_0_) \/ c9_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a1618_ /\ (~(c6_2_ a1618_ a1619_) /\ (c8_2_ a1618_ a1619_ /\ (c9_2_ a1618_ a1619_ /\ (c5_1_ a1618_ /\ (forall X18 : Universe, (ndr1_1_ a1618_ -> (~(c8_2_ a1618_ X18) \/ (c3_2_ a1618_ X18 \/ ~(c9_2_ a1618_ X18))))))))))) \/ (~(c9_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1620_ /\ (~(c8_2_ a1620_ a1621_) /\ (c7_2_ a1620_ a1621_ /\ (~(c4_2_ a1620_ a1621_) /\ (c3_1_ a1620_ /\ (forall X19 : Universe, (ndr1_1_ a1620_ -> (~(c9_2_ a1620_ X19) \/ (c4_2_ a1620_ X19 \/ c10_2_ a1620_ X19)))))))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c4_1_ X20 \/ ((forall X21 : Universe, (ndr1_1_ X20 -> (~(c7_2_ X20 X21) \/ (c6_2_ X20 X21 \/ ~(c10_2_ X20 X21))))) \/ (forall X22 : Universe, (ndr1_1_ X20 -> (c1_2_ X20 X22 \/ (~(c2_2_ X20 X22) \/ c7_2_ X20 X22)))))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c6_1_ X23 \/ ((ndr1_1_ X23 /\ (~(c5_2_ X23 a1622_) /\ (c9_2_ X23 a1622_ /\ c3_2_ X23 a1622_))) \/ (forall X24 : Universe, (ndr1_1_ X23 -> (c2_2_ X23 X24 \/ (~(c4_2_ X23 X24) \/ c5_2_ X23 X24)))))))) \/ c1_0_)) /\ (((forall X25 : Universe, (ndr1_0_ -> ((ndr1_1_ X25 /\ (~(c2_2_ X25 a1623_) /\ (~(c6_2_ X25 a1623_) /\ ~(c10_2_ X25 a1623_)))) \/ ((ndr1_1_ X25 /\ (c4_2_ X25 a1624_ /\ c1_2_ X25 a1624_)) \/ ~(c9_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> ((forall X27 : Universe, (ndr1_1_ X26 -> (c10_2_ X26 X27 \/ (c3_2_ X26 X27 \/ ~(c6_2_ X26 X27))))) \/ (c9_1_ X26 \/ (ndr1_1_ X26 /\ (c9_2_ X26 a1625_ /\ (~(c5_2_ X26 a1625_) /\ c6_2_ X26 a1625_))))))) \/ (ndr1_0_ /\ (c5_1_ a1626_ /\ (c3_1_ a1626_ /\ c9_1_ a1626_))))) /\ ((~(c8_0_) \/ (forall X28 : Universe, (ndr1_0_ -> ((ndr1_1_ X28 /\ (~(c7_2_ X28 a1627_) /\ (~(c10_2_ X28 a1627_) /\ ~(c1_2_ X28 a1627_)))) \/ ((ndr1_1_ X28 /\ (~(c3_2_ X28 a1628_) /\ (c9_2_ X28 a1628_ /\ c10_2_ X28 a1628_))) \/ ~(c9_1_ X28)))))) /\ ((~(c10_0_) \/ ((forall X29 : Universe, (ndr1_0_ -> (c4_1_ X29 \/ (~(c6_1_ X29) \/ c2_1_ X29)))) \/ (ndr1_0_ /\ ((forall X30 : Universe, (ndr1_1_ a1629_ -> (~(c4_2_ a1629_ X30) \/ (~(c9_2_ a1629_ X30) \/ c2_2_ a1629_ X30)))) /\ (ndr1_1_ a1629_ /\ (~(c6_2_ a1629_ a1630_) /\ (c7_2_ a1629_ a1630_ /\ (~(c4_2_ a1629_ a1630_) /\ c1_1_ a1629_)))))))) /\ (((ndr1_0_ /\ (c5_1_ a1631_ /\ (ndr1_1_ a1631_ /\ (c9_2_ a1631_ a1632_ /\ (~(c1_2_ a1631_ a1632_) /\ (~(c5_2_ a1631_ a1632_) /\ (ndr1_1_ a1631_ /\ (c4_2_ a1631_ a1633_ /\ (~(c3_2_ a1631_ a1633_) /\ c9_2_ a1631_ a1633_))))))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c2_1_ X31 \/ ((ndr1_1_ X31 /\ (c3_2_ X31 a1634_ /\ c6_2_ X31 a1634_)) \/ c5_1_ X31)))) \/ (forall X32 : Universe, (ndr1_0_ -> (c9_1_ X32 \/ (~(c5_1_ X32) \/ c6_1_ X32)))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1635_ /\ (c8_2_ a1635_ a1636_ /\ (c9_2_ a1635_ a1636_ /\ (c2_2_ a1635_ a1636_ /\ (ndr1_1_ a1635_ /\ (c3_2_ a1635_ a1637_ /\ (~(c2_2_ a1635_ a1637_) /\ (ndr1_1_ a1635_ /\ (c1_2_ a1635_ a1638_ /\ (~(c5_2_ a1635_ a1638_) /\ ~(c8_2_ a1635_ a1638_)))))))))))) \/ (c9_0_ \/ (ndr1_0_ /\ (~(c9_1_ a1639_) /\ (ndr1_1_ a1639_ /\ (~(c4_2_ a1639_ a1640_) /\ (~(c5_2_ a1639_ a1640_) /\ (c6_2_ a1639_ a1640_ /\ (ndr1_1_ a1639_ /\ (~(c10_2_ a1639_ a1641_) /\ (c9_2_ a1639_ a1641_ /\ c1_2_ a1639_ a1641_))))))))))) /\ (((forall X33 : Universe, (ndr1_0_ -> (~(c6_1_ X33) \/ (~(c1_1_ X33) \/ ~(c3_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> ((forall X35 : Universe, (ndr1_1_ X34 -> (c1_2_ X34 X35 \/ ~(c6_2_ X34 X35)))) \/ (c1_1_ X34 \/ (forall X36 : Universe, (ndr1_1_ X34 -> (~(c4_2_ X34 X36) \/ (~(c10_2_ X34 X36) \/ ~(c1_2_ X34 X36))))))))) \/ (forall X37 : Universe, (ndr1_0_ -> (c6_1_ X37 \/ (c2_1_ X37 \/ (ndr1_1_ X37 /\ (~(c9_2_ X37 a1642_) /\ (~(c7_2_ X37 a1642_) /\ ~(c1_2_ X37 a1642_)))))))))) /\ (((forall X38 : Universe, (ndr1_0_ -> (~(c6_1_ X38) \/ (c3_1_ X38 \/ (ndr1_1_ X38 /\ (c3_2_ X38 a1643_ /\ ~(c9_2_ X38 a1643_))))))) \/ ((ndr1_0_ /\ ((forall X39 : Universe, (ndr1_1_ a1644_ -> (~(c8_2_ a1644_ X39) \/ (c4_2_ a1644_ X39 \/ c9_2_ a1644_ X39)))) /\ (~(c6_1_ a1644_) /\ ~(c9_1_ a1644_)))) \/ (ndr1_0_ /\ (ndr1_1_ a1645_ /\ (c2_2_ a1645_ a1646_ /\ (~(c1_2_ a1645_ a1646_) /\ (~(c5_2_ a1645_ a1646_) /\ (~(c6_1_ a1645_) /\ c9_1_ a1645_)))))))) /\ (((ndr1_0_ /\ (~(c2_1_ a1647_) /\ (~(c4_1_ a1647_) /\ (forall X40 : Universe, (ndr1_1_ a1647_ -> (c9_2_ a1647_ X40 \/ c4_2_ a1647_ X40)))))) \/ ((forall X41 : Universe, (ndr1_0_ -> ((ndr1_1_ X41 /\ (c10_2_ X41 a1648_ /\ (c3_2_ X41 a1648_ /\ c2_2_ X41 a1648_))) \/ (ndr1_1_ X41 /\ (~(c1_2_ X41 a1649_) /\ (c8_2_ X41 a1649_ /\ c7_2_ X41 a1649_)))))) \/ (ndr1_0_ /\ (~(c9_1_ a1650_) /\ (~(c6_1_ a1650_) /\ c2_1_ a1650_))))) /\ ((c3_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1651_ /\ (~(c8_2_ a1651_ a1652_) /\ (c2_2_ a1651_ a1652_ /\ (~(c10_1_ a1651_) /\ c2_1_ a1651_))))) \/ ~(c9_0_))) /\ ((~(c5_0_) \/ (~(c9_0_) \/ (forall X42 : Universe, (ndr1_0_ -> (~(c2_1_ X42) \/ (~(c3_1_ X42) \/ (ndr1_1_ X42 /\ (~(c4_2_ X42 a1653_) /\ c6_2_ X42 a1653_)))))))) /\ ((~(c2_0_) \/ ((forall X43 : Universe, (ndr1_0_ -> (c5_1_ X43 \/ (c10_1_ X43 \/ (forall X44 : Universe, (ndr1_1_ X43 -> (~(c1_2_ X43 X44) \/ (~(c3_2_ X43 X44) \/ ~(c9_2_ X43 X44))))))))) \/ (ndr1_0_ /\ (~(c3_1_ a1654_) /\ (c1_1_ a1654_ /\ ~(c6_1_ a1654_)))))) /\ ((c10_0_ \/ (c4_0_ \/ (ndr1_0_ /\ (ndr1_1_ a1655_ /\ (~(c7_2_ a1655_ a1656_) /\ (c2_2_ a1655_ a1656_ /\ (c6_1_ a1655_ /\ (forall X45 : Universe, (ndr1_1_ a1655_ -> (c1_2_ a1655_ X45 \/ (~(c7_2_ a1655_ X45) \/ ~(c10_2_ a1655_ X45)))))))))))) /\ (((forall X46 : Universe, (ndr1_0_ -> ((ndr1_1_ X46 /\ (~(c3_2_ X46 a1657_) /\ (~(c2_2_ X46 a1657_) /\ c7_2_ X46 a1657_))) \/ (~(c9_1_ X46) \/ (forall X47 : Universe, (ndr1_1_ X46 -> (c3_2_ X46 X47 \/ (~(c8_2_ X46 X47) \/ c6_2_ X46 X47)))))))) \/ ((forall X48 : Universe, (ndr1_0_ -> ((forall X49 : Universe, (ndr1_1_ X48 -> (~(c9_2_ X48 X49) \/ (c3_2_ X48 X49 \/ ~(c7_2_ X48 X49))))) \/ (c3_1_ X48 \/ ~(c8_1_ X48))))) \/ (forall X50 : Universe, (ndr1_0_ -> (~(c1_1_ X50) \/ c6_1_ X50))))) /\ (((forall X51 : Universe, (ndr1_0_ -> ((forall X52 : Universe, (ndr1_1_ X51 -> (c9_2_ X51 X52 \/ c8_2_ X51 X52))) \/ ((ndr1_1_ X51 /\ (~(c9_2_ X51 a1658_) /\ (c3_2_ X51 a1658_ /\ ~(c7_2_ X51 a1658_)))) \/ c9_1_ X51)))) \/ (ndr1_0_ /\ (ndr1_1_ a1659_ /\ (c4_2_ a1659_ a1660_ /\ (c5_2_ a1659_ a1660_ /\ (c3_2_ a1659_ a1660_ /\ (ndr1_1_ a1659_ /\ (c4_2_ a1659_ a1661_ /\ (~(c1_2_ a1659_ a1661_) /\ (c9_2_ a1659_ a1661_ /\ ~(c5_1_ a1659_))))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1662_ /\ (c7_2_ a1662_ a1663_ /\ (~(c1_2_ a1662_ a1663_) /\ (c5_2_ a1662_ a1663_ /\ (c2_1_ a1662_ /\ (ndr1_1_ a1662_ /\ (~(c10_2_ a1662_ a1664_) /\ (c3_2_ a1662_ a1664_ /\ ~(c1_2_ a1662_ a1664_)))))))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c8_1_ X53 \/ ((ndr1_1_ X53 /\ (~(c9_2_ X53 a1665_) /\ (~(c7_2_ X53 a1665_) /\ ~(c8_2_ X53 a1665_)))) \/ c3_1_ X53)))) \/ c4_0_)) /\ ((c9_0_ \/ c6_0_) /\ (((forall X54 : Universe, (ndr1_0_ -> ((ndr1_1_ X54 /\ (c3_2_ X54 a1666_ /\ ~(c10_2_ X54 a1666_))) \/ (~(c8_1_ X54) \/ c6_1_ X54)))) \/ (~(c9_0_) \/ (ndr1_0_ /\ (~(c9_1_ a1667_) /\ (c4_1_ a1667_ /\ (forall X55 : Universe, (ndr1_1_ a1667_ -> (~(c1_2_ a1667_ X55) \/ (~(c9_2_ a1667_ X55) \/ c3_2_ a1667_ X55))))))))) /\ (((ndr1_0_ /\ (~(c6_1_ a1668_) /\ (forall X56 : Universe, (ndr1_1_ a1668_ -> (~(c9_2_ a1668_ X56) \/ (~(c3_2_ a1668_ X56) \/ c8_2_ a1668_ X56)))))) \/ c6_0_) /\ ((c3_0_ \/ (~(c8_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1669_ /\ (c10_2_ a1669_ a1670_ /\ (~(c8_2_ a1669_ a1670_) /\ (~(c2_2_ a1669_ a1670_) /\ (ndr1_1_ a1669_ /\ (c9_2_ a1669_ a1671_ /\ (c2_2_ a1669_ a1671_ /\ (~(c4_2_ a1669_ a1671_) /\ (forall X57 : Universe, (ndr1_1_ a1669_ -> (~(c3_2_ a1669_ X57) \/ (~(c2_2_ a1669_ X57) \/ c1_2_ a1669_ X57))))))))))))))) /\ ((~(c4_0_) \/ (~(c1_0_) \/ ~(c6_0_))) /\ ((c7_0_ \/ (~(c8_0_) \/ (forall X58 : Universe, (ndr1_0_ -> (~(c7_1_ X58) \/ ((forall X59 : Universe, (ndr1_1_ X58 -> (~(c8_2_ X58 X59) \/ (c3_2_ X58 X59 \/ c1_2_ X58 X59)))) \/ c1_1_ X58)))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1672_ /\ (c10_2_ a1672_ a1673_ /\ (~(c4_2_ a1672_ a1673_) /\ (~(c6_2_ a1672_ a1673_) /\ (ndr1_1_ a1672_ /\ (~(c1_2_ a1672_ a1674_) /\ (c8_2_ a1672_ a1674_ /\ c9_2_ a1672_ a1674_)))))))) \/ ((forall X60 : Universe, (ndr1_0_ -> ((ndr1_1_ X60 /\ (~(c9_2_ X60 a1675_) /\ (c4_2_ X60 a1675_ /\ ~(c5_2_ X60 a1675_)))) \/ ~(c9_1_ X60)))) \/ c9_0_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (~(c9_1_ X61) \/ ((ndr1_1_ X61 /\ (c8_2_ X61 a1676_ /\ c10_2_ X61 a1676_)) \/ c2_1_ X61)))) \/ (~(c1_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1677_ /\ (c9_2_ a1677_ a1678_ /\ (~(c3_2_ a1677_ a1678_) /\ (c10_1_ a1677_ /\ c3_1_ a1677_))))))) /\ ((~(c6_0_) \/ (~(c9_0_) \/ (ndr1_0_ /\ (~(c9_1_ a1679_) /\ (ndr1_1_ a1679_ /\ (c8_2_ a1679_ a1680_ /\ (~(c4_2_ a1679_ a1680_) /\ (c7_2_ a1679_ a1680_ /\ (forall X62 : Universe, (ndr1_1_ a1679_ -> (c5_2_ a1679_ X62 \/ (c7_2_ a1679_ X62 \/ c2_2_ a1679_ X62)))))))))))) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ ((forall X63 : Universe, (ndr1_1_ a1681_ -> (~(c10_2_ a1681_ X63) \/ (~(c6_2_ a1681_ X63) \/ ~(c8_2_ a1681_ X63))))) /\ (c8_1_ a1681_ /\ c3_1_ a1681_))) \/ ~(c3_0_))) /\ ((~(c5_0_) \/ ((forall X64 : Universe, (ndr1_0_ -> ((forall X65 : Universe, (ndr1_1_ X64 -> (~(c5_2_ X64 X65) \/ c1_2_ X64 X65))) \/ c7_1_ X64))) \/ (forall X66 : Universe, (ndr1_0_ -> ((ndr1_1_ X66 /\ (~(c1_2_ X66 a1682_) /\ (~(c8_2_ X66 a1682_) /\ c9_2_ X66 a1682_))) \/ ((forall X67 : Universe, (ndr1_1_ X66 -> (c1_2_ X66 X67 \/ (c4_2_ X66 X67 \/ c3_2_ X66 X67)))) \/ ~(c7_1_ X66))))))) /\ (((ndr1_0_ /\ (c8_1_ a1683_ /\ (ndr1_1_ a1683_ /\ (~(c6_2_ a1683_ a1684_) /\ (c5_2_ a1683_ a1684_ /\ (~(c8_2_ a1683_ a1684_) /\ ~(c2_1_ a1683_))))))) \/ (~(c2_0_) \/ ~(c5_0_))) /\ ((c3_0_ \/ (ndr1_0_ /\ ((forall X68 : Universe, (ndr1_1_ a1685_ -> (c8_2_ a1685_ X68 \/ (c2_2_ a1685_ X68 \/ c1_2_ a1685_ X68)))) /\ (~(c9_1_ a1685_) /\ (ndr1_1_ a1685_ /\ (~(c6_2_ a1685_ a1686_) /\ (c9_2_ a1685_ a1686_ /\ c8_2_ a1685_ a1686_))))))) /\ ((c1_0_ \/ (forall X69 : Universe, (ndr1_0_ -> ((forall X70 : Universe, (ndr1_1_ X69 -> (~(c1_2_ X69 X70) \/ (~(c6_2_ X69 X70) \/ c2_2_ X69 X70)))) \/ (c7_1_ X69 \/ ~(c5_1_ X69)))))) /\ ((~(c7_0_) \/ (c10_0_ \/ c2_0_)) /\ ((~(c4_0_) \/ (~(c2_0_) \/ c6_0_)) /\ ((c10_0_ \/ (c2_0_ \/ (forall X71 : Universe, (ndr1_0_ -> (~(c8_1_ X71) \/ ((forall X72 : Universe, (ndr1_1_ X71 -> (~(c4_2_ X71 X72) \/ (~(c10_2_ X71 X72) \/ ~(c6_2_ X71 X72))))) \/ ~(c2_1_ X71))))))) /\ ((c3_0_ \/ ((ndr1_0_ /\ (~(c4_1_ a1687_) /\ ((forall X73 : Universe, (ndr1_1_ a1687_ -> (c1_2_ a1687_ X73 \/ (c2_2_ a1687_ X73 \/ c8_2_ a1687_ X73)))) /\ (forall X74 : Universe, (ndr1_1_ a1687_ -> (c10_2_ a1687_ X74 \/ (c9_2_ a1687_ X74 \/ ~(c6_2_ a1687_ X74)))))))) \/ c7_0_)) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ (~(c6_1_ a1688_) /\ (c8_1_ a1688_ /\ (forall X75 : Universe, (ndr1_1_ a1688_ -> (~(c5_2_ a1688_ X75) \/ (~(c2_2_ a1688_ X75) \/ ~(c7_2_ a1688_ X75)))))))) \/ ~(c8_0_))) /\ ((c4_0_ \/ ((forall X76 : Universe, (ndr1_0_ -> ((forall X77 : Universe, (ndr1_1_ X76 -> (c10_2_ X76 X77 \/ (~(c5_2_ X76 X77) \/ c2_2_ X76 X77)))) \/ (~(c1_1_ X76) \/ (forall X78 : Universe, (ndr1_1_ X76 -> (c5_2_ X76 X78 \/ ~(c8_2_ X76 X78)))))))) \/ (forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (~(c5_1_ X79) \/ (forall X80 : Universe, (ndr1_1_ X79 -> (~(c3_2_ X79 X80) \/ (~(c7_2_ X79 X80) \/ ~(c9_2_ X79 X80))))))))))) /\ (((forall X81 : Universe, (ndr1_0_ -> ((ndr1_1_ X81 /\ (~(c3_2_ X81 a1689_) /\ (~(c9_2_ X81 a1689_) /\ c1_2_ X81 a1689_))) \/ (ndr1_1_ X81 /\ (~(c2_2_ X81 a1690_) /\ (c7_2_ X81 a1690_ /\ c6_2_ X81 a1690_)))))) \/ (c8_0_ \/ c10_0_)) /\ ((~(c3_0_) \/ c2_0_) /\ (((forall X82 : Universe, (ndr1_0_ -> (c8_1_ X82 \/ (c10_1_ X82 \/ ~(c9_1_ X82))))) \/ (c4_0_ \/ c7_0_)) /\ ((c6_0_ \/ ((forall X83 : Universe, (ndr1_0_ -> (~(c5_1_ X83) \/ (forall X84 : Universe, (ndr1_1_ X83 -> (c1_2_ X83 X84 \/ (c2_2_ X83 X84 \/ ~(c10_2_ X83 X84)))))))) \/ ~(c5_0_))) /\ ((c4_0_ \/ ((forall X85 : Universe, (ndr1_0_ -> ((forall X86 : Universe, (ndr1_1_ X85 -> (c7_2_ X85 X86 \/ (~(c4_2_ X85 X86) \/ ~(c8_2_ X85 X86))))) \/ c8_1_ X85))) \/ (ndr1_0_ /\ ((forall X87 : Universe, (ndr1_1_ a1691_ -> (~(c7_2_ a1691_ X87) \/ (~(c9_2_ a1691_ X87) \/ ~(c5_2_ a1691_ X87))))) /\ (~(c6_1_ a1691_) /\ ~(c1_1_ a1691_)))))) /\ (((ndr1_0_ /\ ((forall X88 : Universe, (ndr1_1_ a1692_ -> (c3_2_ a1692_ X88 \/ (c9_2_ a1692_ X88 \/ ~(c6_2_ a1692_ X88))))) /\ (~(c8_1_ a1692_) /\ (ndr1_1_ a1692_ /\ (c4_2_ a1692_ a1693_ /\ (~(c9_2_ a1692_ a1693_) /\ c10_2_ a1692_ a1693_)))))) \/ ((ndr1_0_ /\ (c9_1_ a1694_ /\ (~(c6_1_ a1694_) /\ (forall X89 : Universe, (ndr1_1_ a1694_ -> (c6_2_ a1694_ X89 \/ (~(c8_2_ a1694_ X89) \/ ~(c4_2_ a1694_ X89)))))))) \/ (ndr1_0_ /\ (~(c9_1_ a1695_) /\ (ndr1_1_ a1695_ /\ (c8_2_ a1695_ a1696_ /\ (~(c1_2_ a1695_ a1696_) /\ (~(c9_2_ a1695_ a1696_) /\ (ndr1_1_ a1695_ /\ (~(c2_2_ a1695_ a1697_) /\ (c8_2_ a1695_ a1697_ /\ ~(c10_2_ a1695_ a1697_)))))))))))) /\ ((c2_0_ \/ ((forall X90 : Universe, (ndr1_0_ -> (c10_1_ X90 \/ (~(c3_1_ X90) \/ c8_1_ X90)))) \/ c3_0_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c7_1_ X91 \/ (c9_1_ X91 \/ (forall X92 : Universe, (ndr1_1_ X91 -> (c7_2_ X91 X92 \/ (c10_2_ X91 X92 \/ c3_2_ X91 X92)))))))) \/ ((ndr1_0_ /\ (~(c6_1_ a1698_) /\ ~(c3_1_ a1698_))) \/ (forall X93 : Universe, (ndr1_0_ -> ((ndr1_1_ X93 /\ (~(c9_2_ X93 a1699_) /\ (~(c8_2_ X93 a1699_) /\ ~(c4_2_ X93 a1699_)))) \/ (~(c8_1_ X93) \/ ~(c10_1_ X93))))))) /\ ((c1_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1700_ /\ (c4_2_ a1700_ a1701_ /\ (c9_2_ a1700_ a1701_ /\ (~(c7_2_ a1700_ a1701_) /\ ((forall X94 : Universe, (ndr1_1_ a1700_ -> (~(c3_2_ a1700_ X94) \/ (~(c10_2_ a1700_ X94) \/ c6_2_ a1700_ X94)))) /\ ~(c7_1_ a1700_))))))) \/ ~(c10_0_))) /\ (((ndr1_0_ /\ ((forall X95 : Universe, (ndr1_1_ a1702_ -> (~(c8_2_ a1702_ X95) \/ (c6_2_ a1702_ X95 \/ c5_2_ a1702_ X95)))) /\ (ndr1_1_ a1702_ /\ (c10_2_ a1702_ a1703_ /\ (~(c5_2_ a1702_ a1703_) /\ (~(c9_2_ a1702_ a1703_) /\ (forall X96 : Universe, (ndr1_1_ a1702_ -> (~(c4_2_ a1702_ X96) \/ (~(c1_2_ a1702_ X96) \/ c2_2_ a1702_ X96)))))))))) \/ (~(c7_0_) \/ ~(c6_0_))) /\ ((~(c9_0_) \/ (c3_0_ \/ c2_0_)) /\ (((ndr1_0_ /\ ((forall X97 : Universe, (ndr1_1_ a1704_ -> (~(c5_2_ a1704_ X97) \/ (~(c6_2_ a1704_ X97) \/ c3_2_ a1704_ X97)))) /\ c1_1_ a1704_)) \/ (c1_0_ \/ c10_0_)) /\ ((c5_0_ \/ ~(c10_0_)) /\ ((~(c3_0_) \/ (~(c5_0_) \/ (ndr1_0_ /\ (~(c3_1_ a1705_) /\ (~(c9_1_ a1705_) /\ ~(c1_1_ a1705_)))))) /\ (((ndr1_0_ /\ (c4_1_ a1706_ /\ ((forall X98 : Universe, (ndr1_1_ a1706_ -> (~(c2_2_ a1706_ X98) \/ (~(c5_2_ a1706_ X98) \/ ~(c9_2_ a1706_ X98))))) /\ (ndr1_1_ a1706_ /\ (c6_2_ a1706_ a1707_ /\ (~(c7_2_ a1706_ a1707_) /\ ~(c8_2_ a1706_ a1707_))))))) \/ ((ndr1_0_ /\ ((forall X99 : Universe, (ndr1_1_ a1708_ -> (c6_2_ a1708_ X99 \/ (~(c4_2_ a1708_ X99) \/ ~(c2_2_ a1708_ X99))))) /\ ((forall X100 : Universe, (ndr1_1_ a1708_ -> (c10_2_ a1708_ X100 \/ (c4_2_ a1708_ X100 \/ c1_2_ a1708_ X100)))) /\ (forall X101 : Universe, (ndr1_1_ a1708_ -> (c9_2_ a1708_ X101 \/ (c5_2_ a1708_ X101 \/ c6_2_ a1708_ X101))))))) \/ c1_0_)) /\ ((c2_0_ \/ (c3_0_ \/ (forall X102 : Universe, (ndr1_0_ -> (c7_1_ X102 \/ (c4_1_ X102 \/ c2_1_ X102)))))) /\ ((c9_0_ \/ ~(c4_0_)) /\ (((forall X103 : Universe, (ndr1_0_ -> ((ndr1_1_ X103 /\ (~(c5_2_ X103 a1709_) /\ (~(c2_2_ X103 a1709_) /\ c6_2_ X103 a1709_))) \/ (c8_1_ X103 \/ c2_1_ X103)))) \/ ((forall X104 : Universe, (ndr1_0_ -> (c8_1_ X104 \/ ((ndr1_1_ X104 /\ (c1_2_ X104 a1710_ /\ c3_2_ X104 a1710_)) \/ c2_1_ X104)))) \/ (ndr1_0_ /\ (c1_1_ a1711_ /\ (c9_1_ a1711_ /\ (forall X105 : Universe, (ndr1_1_ a1711_ -> (~(c10_2_ a1711_ X105) \/ (~(c3_2_ a1711_ X105) \/ ~(c6_2_ a1711_ X105)))))))))) /\ ((c2_0_ \/ ((forall X106 : Universe, (ndr1_0_ -> ((forall X107 : Universe, (ndr1_1_ X106 -> (~(c10_2_ X106 X107) \/ c2_2_ X106 X107))) \/ (~(c1_1_ X106) \/ ~(c2_1_ X106))))) \/ (forall X108 : Universe, (ndr1_0_ -> (~(c3_1_ X108) \/ ((forall X109 : Universe, (ndr1_1_ X108 -> (c1_2_ X108 X109 \/ ~(c2_2_ X108 X109)))) \/ ~(c2_1_ X108))))))) /\ (((ndr1_0_ /\ (c2_1_ a1712_ /\ ((forall X110 : Universe, (ndr1_1_ a1712_ -> (~(c4_2_ a1712_ X110) \/ (~(c1_2_ a1712_ X110) \/ ~(c5_2_ a1712_ X110))))) /\ (ndr1_1_ a1712_ /\ (~(c7_2_ a1712_ a1713_) /\ (~(c10_2_ a1712_ a1713_) /\ c4_2_ a1712_ a1713_)))))) \/ (c10_0_ \/ (forall X111 : Universe, (ndr1_0_ -> (~(c10_1_ X111) \/ ((ndr1_1_ X111 /\ (c4_2_ X111 a1714_ /\ (c3_2_ X111 a1714_ /\ c2_2_ X111 a1714_))) \/ ~(c5_1_ X111))))))) /\ ((c3_0_ \/ ((forall X112 : Universe, (ndr1_0_ -> (~(c10_1_ X112) \/ ~(c9_1_ X112)))) \/ (forall X113 : Universe, (ndr1_0_ -> ((ndr1_1_ X113 /\ (~(c10_2_ X113 a1715_) /\ (c3_2_ X113 a1715_ /\ ~(c8_2_ X113 a1715_)))) \/ ((forall X114 : Universe, (ndr1_1_ X113 -> (~(c1_2_ X113 X114) \/ (~(c4_2_ X113 X114) \/ ~(c3_2_ X113 X114))))) \/ c9_1_ X113)))))) /\ (((forall X115 : Universe, (ndr1_0_ -> ((forall X116 : Universe, (ndr1_1_ X115 -> (~(c3_2_ X115 X116) \/ c1_2_ X115 X116))) \/ ((ndr1_1_ X115 /\ (c7_2_ X115 a1716_ /\ (c10_2_ X115 a1716_ /\ c8_2_ X115 a1716_))) \/ ~(c7_1_ X115))))) \/ (~(c2_0_) \/ (forall X117 : Universe, (ndr1_0_ -> (~(c8_1_ X117) \/ ((ndr1_1_ X117 /\ (~(c9_2_ X117 a1717_) /\ ~(c10_2_ X117 a1717_))) \/ (forall X118 : Universe, (ndr1_1_ X117 -> (c6_2_ X117 X118 \/ (~(c10_2_ X117 X118) \/ c3_2_ X117 X118)))))))))) /\ ((~(c4_0_) \/ (c1_0_ \/ (ndr1_0_ /\ (c2_1_ a1718_ /\ (c6_1_ a1718_ /\ (ndr1_1_ a1718_ /\ (c7_2_ a1718_ a1719_ /\ (~(c5_2_ a1718_ a1719_) /\ c6_2_ a1718_ a1719_)))))))) /\ ((~(c4_0_) \/ (c3_0_ \/ ~(c10_0_))) /\ (((forall X119 : Universe, (ndr1_0_ -> (c9_1_ X119 \/ ((ndr1_1_ X119 /\ (c3_2_ X119 a1720_ /\ c2_2_ X119 a1720_)) \/ (forall X120 : Universe, (ndr1_1_ X119 -> (c8_2_ X119 X120 \/ (c4_2_ X119 X120 \/ c10_2_ X119 X120)))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1721_ /\ (~(c8_2_ a1721_ a1722_) /\ (~(c4_2_ a1721_ a1722_) /\ (~(c2_2_ a1721_ a1722_) /\ (~(c3_1_ a1721_) /\ (forall X121 : Universe, (ndr1_1_ a1721_ -> (~(c9_2_ a1721_ X121) \/ (~(c5_2_ a1721_ X121) \/ c4_2_ a1721_ X121)))))))))) \/ (ndr1_0_ /\ (~(c5_1_ a1723_) /\ ((forall X122 : Universe, (ndr1_1_ a1723_ -> (c6_2_ a1723_ X122 \/ (~(c3_2_ a1723_ X122) \/ c9_2_ a1723_ X122)))) /\ (ndr1_1_ a1723_ /\ (c9_2_ a1723_ a1724_ /\ (c5_2_ a1723_ a1724_ /\ c7_2_ a1723_ a1724_)))))))) /\ (((ndr1_0_ /\ (~(c8_1_ a1725_) /\ (~(c3_1_ a1725_) /\ c9_1_ a1725_))) \/ (forall X123 : Universe, (ndr1_0_ -> (c3_1_ X123 \/ (~(c10_1_ X123) \/ ~(c9_1_ X123)))))) /\ (((forall X124 : Universe, (ndr1_0_ -> (~(c6_1_ X124) \/ (c9_1_ X124 \/ ~(c5_1_ X124))))) \/ (ndr1_0_ /\ (~(c1_1_ a1726_) /\ (ndr1_1_ a1726_ /\ (c4_2_ a1726_ a1727_ /\ (~(c7_2_ a1726_ a1727_) /\ (c3_2_ a1726_ a1727_ /\ (forall X125 : Universe, (ndr1_1_ a1726_ -> (~(c2_2_ a1726_ X125) \/ (~(c4_2_ a1726_ X125) \/ ~(c8_2_ a1726_ X125)))))))))))) /\ ((c5_0_ \/ (~(c7_0_) \/ ~(c3_0_))) /\ (((forall X126 : Universe, (ndr1_0_ -> ((ndr1_1_ X126 /\ (~(c3_2_ X126 a1728_) /\ (~(c9_2_ X126 a1728_) /\ c5_2_ X126 a1728_))) \/ (c1_1_ X126 \/ (forall X127 : Universe, (ndr1_1_ X126 -> (c2_2_ X126 X127 \/ (~(c7_2_ X126 X127) \/ c1_2_ X126 X127)))))))) \/ ((ndr1_0_ /\ (c5_1_ a1729_ /\ (c3_1_ a1729_ /\ ~(c9_1_ a1729_)))) \/ (ndr1_0_ /\ (~(c6_1_ a1730_) /\ (ndr1_1_ a1730_ /\ (c9_2_ a1730_ a1731_ /\ (c5_2_ a1730_ a1731_ /\ (c4_2_ a1730_ a1731_ /\ (forall X128 : Universe, (ndr1_1_ a1730_ -> (~(c2_2_ a1730_ X128) \/ (c4_2_ a1730_ X128 \/ c1_2_ a1730_ X128)))))))))))) /\ ((c2_0_ \/ (c10_0_ \/ (forall X129 : Universe, (ndr1_0_ -> ((forall X130 : Universe, (ndr1_1_ X129 -> (~(c10_2_ X129 X130) \/ (c3_2_ X129 X130 \/ ~(c6_2_ X129 X130))))) \/ (~(c10_1_ X129) \/ (ndr1_1_ X129 /\ (c9_2_ X129 a1732_ /\ (~(c8_2_ X129 a1732_) /\ c4_2_ X129 a1732_))))))))) /\ (((ndr1_0_ /\ (~(c7_1_ a1733_) /\ (ndr1_1_ a1733_ /\ (c7_2_ a1733_ a1734_ /\ (~(c6_2_ a1733_ a1734_) /\ (c8_2_ a1733_ a1734_ /\ (ndr1_1_ a1733_ /\ (c5_2_ a1733_ a1735_ /\ (c1_2_ a1733_ a1735_ /\ c9_2_ a1733_ a1735_))))))))) \/ ((ndr1_0_ /\ (c6_1_ a1736_ /\ (~(c1_1_ a1736_) /\ ~(c8_1_ a1736_)))) \/ (forall X131 : Universe, (ndr1_0_ -> (~(c10_1_ X131) \/ ((ndr1_1_ X131 /\ (~(c10_2_ X131 a1737_) /\ c8_2_ X131 a1737_)) \/ (ndr1_1_ X131 /\ (c9_2_ X131 a1738_ /\ (~(c4_2_ X131 a1738_) /\ ~(c2_2_ X131 a1738_)))))))))) /\ ((~(c9_0_) \/ (c3_0_ \/ (ndr1_0_ /\ (c7_1_ a1739_ /\ (c2_1_ a1739_ /\ c6_1_ a1739_))))) /\ ((c4_0_ \/ (~(c7_0_) \/ (forall X132 : Universe, (ndr1_0_ -> (~(c8_1_ X132) \/ (~(c2_1_ X132) \/ (forall X133 : Universe, (ndr1_1_ X132 -> (~(c6_2_ X132 X133) \/ (c7_2_ X132 X133 \/ c10_2_ X132 X133)))))))))) /\ ((~(c8_0_) \/ c3_0_) /\ (((ndr1_0_ /\ (ndr1_1_ a1740_ /\ (~(c4_2_ a1740_ a1741_) /\ (c10_2_ a1740_ a1741_ /\ (c7_2_ a1740_ a1741_ /\ (~(c1_1_ a1740_) /\ c2_1_ a1740_)))))) \/ (~(c10_0_) \/ (forall X134 : Universe, (ndr1_0_ -> ((ndr1_1_ X134 /\ (c7_2_ X134 a1742_ /\ (c2_2_ X134 a1742_ /\ c8_2_ X134 a1742_))) \/ (~(c10_1_ X134) \/ ~(c4_1_ X134))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1743_ /\ (~(c1_2_ a1743_ a1744_) /\ (c2_2_ a1743_ a1744_ /\ (c8_2_ a1743_ a1744_ /\ ((forall X135 : Universe, (ndr1_1_ a1743_ -> (~(c1_2_ a1743_ X135) \/ (c8_2_ a1743_ X135 \/ ~(c5_2_ a1743_ X135))))) /\ (forall X136 : Universe, (ndr1_1_ a1743_ -> (~(c3_2_ a1743_ X136) \/ (c4_2_ a1743_ X136 \/ c2_2_ a1743_ X136)))))))))) \/ ((ndr1_0_ /\ ((forall X137 : Universe, (ndr1_1_ a1745_ -> (~(c8_2_ a1745_ X137) \/ (c4_2_ a1745_ X137 \/ ~(c6_2_ a1745_ X137))))) /\ (ndr1_1_ a1745_ /\ (c1_2_ a1745_ a1746_ /\ (~(c6_2_ a1745_ a1746_) /\ (~(c4_2_ a1745_ a1746_) /\ ~(c8_1_ a1745_))))))) \/ ~(c10_0_))) /\ ((~(c6_0_) \/ ((forall X138 : Universe, (ndr1_0_ -> ((ndr1_1_ X138 /\ ~(c1_2_ X138 a1747_)) \/ (c5_1_ X138 \/ ~(c2_1_ X138))))) \/ (ndr1_0_ /\ ((forall X139 : Universe, (ndr1_1_ a1748_ -> (~(c1_2_ a1748_ X139) \/ c2_2_ a1748_ X139))) /\ (c4_1_ a1748_ /\ c8_1_ a1748_))))) /\ (((forall X140 : Universe, (ndr1_0_ -> ((ndr1_1_ X140 /\ (c8_2_ X140 a1749_ /\ (~(c7_2_ X140 a1749_) /\ c5_2_ X140 a1749_))) \/ (c2_1_ X140 \/ (forall X141 : Universe, (ndr1_1_ X140 -> (~(c1_2_ X140 X141) \/ ~(c8_2_ X140 X141)))))))) \/ ((ndr1_0_ /\ (c6_1_ a1750_ /\ ((forall X142 : Universe, (ndr1_1_ a1750_ -> (c2_2_ a1750_ X142 \/ (~(c10_2_ a1750_ X142) \/ ~(c8_2_ a1750_ X142))))) /\ (forall X143 : Universe, (ndr1_1_ a1750_ -> (~(c9_2_ a1750_ X143) \/ (~(c3_2_ a1750_ X143) \/ ~(c7_2_ a1750_ X143)))))))) \/ ~(c10_0_))) /\ ((~(c10_0_) \/ (~(c1_0_) \/ (forall X144 : Universe, (ndr1_0_ -> (~(c3_1_ X144) \/ ((forall X145 : Universe, (ndr1_1_ X144 -> (c4_2_ X144 X145 \/ (c2_2_ X144 X145 \/ c5_2_ X144 X145)))) \/ (ndr1_1_ X144 /\ (~(c1_2_ X144 a1751_) /\ (c7_2_ X144 a1751_ /\ ~(c10_2_ X144 a1751_)))))))))) /\ ((c1_0_ \/ (~(c3_0_) \/ (ndr1_0_ /\ ((forall X146 : Universe, (ndr1_1_ a1752_ -> (~(c6_2_ a1752_ X146) \/ (c2_2_ a1752_ X146 \/ ~(c1_2_ a1752_ X146))))) /\ (~(c8_1_ a1752_) /\ ~(c9_1_ a1752_)))))) /\ (((forall X147 : Universe, (ndr1_0_ -> (c9_1_ X147 \/ ((ndr1_1_ X147 /\ (c8_2_ X147 a1753_ /\ (~(c4_2_ X147 a1753_) /\ c6_2_ X147 a1753_))) \/ (forall X148 : Universe, (ndr1_1_ X147 -> (~(c7_2_ X147 X148) \/ (~(c3_2_ X147 X148) \/ ~(c6_2_ X147 X148))))))))) \/ ((forall X149 : Universe, (ndr1_0_ -> (~(c7_1_ X149) \/ ((ndr1_1_ X149 /\ (c4_2_ X149 a1754_ /\ (c8_2_ X149 a1754_ /\ c2_2_ X149 a1754_))) \/ (ndr1_1_ X149 /\ (c2_2_ X149 a1755_ /\ (c10_2_ X149 a1755_ /\ c1_2_ X149 a1755_))))))) \/ (forall X150 : Universe, (ndr1_0_ -> (~(c10_1_ X150) \/ (~(c1_1_ X150) \/ ~(c9_1_ X150))))))) /\ ((c1_0_ \/ (~(c2_0_) \/ c9_0_)) /\ ((c9_0_ \/ ((ndr1_0_ /\ (c4_1_ a1756_ /\ (ndr1_1_ a1756_ /\ (~(c2_2_ a1756_ a1757_) /\ (c7_2_ a1756_ a1757_ /\ (~(c6_2_ a1756_ a1757_) /\ c2_1_ a1756_)))))) \/ (ndr1_0_ /\ (~(c3_1_ a1758_) /\ ((forall X151 : Universe, (ndr1_1_ a1758_ -> (~(c4_2_ a1758_ X151) \/ (c6_2_ a1758_ X151 \/ ~(c7_2_ a1758_ X151))))) /\ (ndr1_1_ a1758_ /\ (c3_2_ a1758_ a1759_ /\ (~(c2_2_ a1758_ a1759_) /\ ~(c10_2_ a1758_ a1759_))))))))) /\ ((c9_0_ \/ (~(c5_0_) \/ (forall X152 : Universe, (ndr1_0_ -> (~(c1_1_ X152) \/ (~(c9_1_ X152) \/ (ndr1_1_ X152 /\ (~(c10_2_ X152 a1760_) /\ (~(c4_2_ X152 a1760_) /\ ~(c8_2_ X152 a1760_)))))))))) /\ (((forall X153 : Universe, (ndr1_0_ -> ((forall X154 : Universe, (ndr1_1_ X153 -> (~(c6_2_ X153 X154) \/ (c9_2_ X153 X154 \/ c4_2_ X153 X154)))) \/ ((ndr1_1_ X153 /\ (~(c3_2_ X153 a1761_) /\ (c5_2_ X153 a1761_ /\ ~(c8_2_ X153 a1761_)))) \/ (forall X155 : Universe, (ndr1_1_ X153 -> (c10_2_ X153 X155 \/ ~(c3_2_ X153 X155)))))))) \/ ((forall X156 : Universe, (ndr1_0_ -> ((ndr1_1_ X156 /\ (~(c2_2_ X156 a1762_) /\ (c3_2_ X156 a1762_ /\ ~(c10_2_ X156 a1762_)))) \/ (~(c10_1_ X156) \/ (ndr1_1_ X156 /\ (~(c4_2_ X156 a1763_) /\ (~(c7_2_ X156 a1763_) /\ c6_2_ X156 a1763_))))))) \/ (forall X157 : Universe, (ndr1_0_ -> (c7_1_ X157 \/ (c4_1_ X157 \/ ~(c1_1_ X157))))))) /\ ((~(c3_0_) \/ (~(c5_0_) \/ (forall X158 : Universe, (ndr1_0_ -> ((forall X159 : Universe, (ndr1_1_ X158 -> (~(c6_2_ X158 X159) \/ (~(c3_2_ X158 X159) \/ c1_2_ X158 X159)))) \/ ((ndr1_1_ X158 /\ (c4_2_ X158 a1764_ /\ (c2_2_ X158 a1764_ /\ c9_2_ X158 a1764_))) \/ (ndr1_1_ X158 /\ (~(c3_2_ X158 a1765_) /\ (~(c4_2_ X158 a1765_) /\ ~(c9_2_ X158 a1765_)))))))))) /\ (((forall X160 : Universe, (ndr1_0_ -> ((ndr1_1_ X160 /\ (~(c4_2_ X160 a1766_) /\ (~(c7_2_ X160 a1766_) /\ c9_2_ X160 a1766_))) \/ c3_1_ X160))) \/ (c7_0_ \/ (forall X161 : Universe, (ndr1_0_ -> ((forall X162 : Universe, (ndr1_1_ X161 -> (~(c5_2_ X161 X162) \/ (~(c9_2_ X161 X162) \/ ~(c10_2_ X161 X162))))) \/ ((forall X163 : Universe, (ndr1_1_ X161 -> (~(c3_2_ X161 X163) \/ c9_2_ X161 X163))) \/ (forall X164 : Universe, (ndr1_1_ X161 -> (~(c9_2_ X161 X164) \/ (~(c6_2_ X161 X164) \/ c4_2_ X161 X164)))))))))) /\ (ndr1_0_ /\ (~(c7_1_ a1767_) /\ (~(c5_1_ a1767_) /\ (((forall X165 : Universe, (ndr1_0_ -> (~(c1_1_ X165) \/ (~(c7_1_ X165) \/ c4_1_ X165)))) \/ (~(c3_0_) \/ (forall X166 : Universe, (ndr1_0_ -> (c8_1_ X166 \/ (~(c5_1_ X166) \/ ~(c9_1_ X166))))))) /\ (((forall X167 : Universe, (ndr1_0_ -> (c8_1_ X167 \/ ((ndr1_1_ X167 /\ (~(c5_2_ X167 a1768_) /\ (c3_2_ X167 a1768_ /\ ~(c2_2_ X167 a1768_)))) \/ c4_1_ X167)))) \/ (~(c10_0_) \/ (forall X168 : Universe, (ndr1_0_ -> (c7_1_ X168 \/ (c10_1_ X168 \/ c3_1_ X168)))))) /\ (((forall X169 : Universe, (ndr1_0_ -> (c7_1_ X169 \/ ((ndr1_1_ X169 /\ (c8_2_ X169 a1769_ /\ (c10_2_ X169 a1769_ /\ ~(c7_2_ X169 a1769_)))) \/ c9_1_ X169)))) \/ c5_0_) /\ (c7_0_ /\ ((c2_0_ \/ (ndr1_0_ /\ (ndr1_1_ a1770_ /\ (~(c2_2_ a1770_ a1771_) /\ (~(c6_2_ a1770_ a1771_) /\ (c9_2_ a1770_ a1771_ /\ (~(c5_1_ a1770_) /\ (forall X170 : Universe, (ndr1_1_ a1770_ -> (c6_2_ a1770_ X170 \/ (~(c9_2_ a1770_ X170) \/ ~(c1_2_ a1770_ X170)))))))))))) /\ (((forall X171 : Universe, (ndr1_0_ -> ((forall X172 : Universe, (ndr1_1_ X171 -> (c10_2_ X171 X172 \/ (~(c2_2_ X171 X172) \/ c9_2_ X171 X172)))) \/ ((ndr1_1_ X171 /\ (c3_2_ X171 a1772_ /\ (~(c2_2_ X171 a1772_) /\ ~(c6_2_ X171 a1772_)))) \/ (forall X173 : Universe, (ndr1_1_ X171 -> (~(c1_2_ X171 X173) \/ ~(c8_2_ X171 X173)))))))) \/ ((forall X174 : Universe, (ndr1_0_ -> ((ndr1_1_ X174 /\ (c5_2_ X174 a1773_ /\ (~(c4_2_ X174 a1773_) /\ c2_2_ X174 a1773_))) \/ ((ndr1_1_ X174 /\ (c2_2_ X174 a1774_ /\ (~(c3_2_ X174 a1774_) /\ c7_2_ X174 a1774_))) \/ (forall X175 : Universe, (ndr1_1_ X174 -> (~(c3_2_ X174 X175) \/ (c6_2_ X174 X175 \/ c5_2_ X174 X175)))))))) \/ (forall X176 : Universe, (ndr1_0_ -> ((ndr1_1_ X176 /\ (~(c7_2_ X176 a1775_) /\ (~(c9_2_ X176 a1775_) /\ ~(c8_2_ X176 a1775_)))) \/ (~(c6_1_ X176) \/ (ndr1_1_ X176 /\ (c5_2_ X176 a1776_ /\ (~(c9_2_ X176 a1776_) /\ ~(c3_2_ X176 a1776_)))))))))) /\ (((forall X177 : Universe, (ndr1_0_ -> ((ndr1_1_ X177 /\ (c3_2_ X177 a1777_ /\ (~(c2_2_ X177 a1777_) /\ ~(c8_2_ X177 a1777_)))) \/ (c2_1_ X177 \/ (ndr1_1_ X177 /\ (~(c3_2_ X177 a1778_) /\ (~(c7_2_ X177 a1778_) /\ ~(c5_2_ X177 a1778_)))))))) \/ (~(c4_0_) \/ (forall X178 : Universe, (ndr1_0_ -> (~(c6_1_ X178) \/ (c7_1_ X178 \/ (forall X179 : Universe, (ndr1_1_ X178 -> (~(c4_2_ X178 X179) \/ (~(c8_2_ X178 X179) \/ c1_2_ X178 X179)))))))))) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (~(c8_1_ a1779_) /\ (~(c2_1_ a1779_) /\ ~(c7_1_ a1779_)))) \/ c9_0_)) /\ (((forall X180 : Universe, (ndr1_0_ -> ((forall X181 : Universe, (ndr1_1_ X180 -> (~(c2_2_ X180 X181) \/ (~(c3_2_ X180 X181) \/ c9_2_ X180 X181)))) \/ ((ndr1_1_ X180 /\ (c6_2_ X180 a1780_ /\ (c7_2_ X180 a1780_ /\ c3_2_ X180 a1780_))) \/ ~(c4_1_ X180))))) \/ ~(c10_0_)) /\ (((forall X182 : Universe, (ndr1_0_ -> (c2_1_ X182 \/ (forall X183 : Universe, (ndr1_1_ X182 -> (~(c7_2_ X182 X183) \/ (~(c6_2_ X182 X183) \/ c1_2_ X182 X183))))))) \/ ((ndr1_0_ /\ ((forall X184 : Universe, (ndr1_1_ a1781_ -> (c5_2_ a1781_ X184 \/ c3_2_ a1781_ X184))) /\ (c2_1_ a1781_ /\ (ndr1_1_ a1781_ /\ (c2_2_ a1781_ a1782_ /\ (~(c9_2_ a1781_ a1782_) /\ c7_2_ a1781_ a1782_)))))) \/ (forall X185 : Universe, (ndr1_0_ -> (~(c6_1_ X185) \/ (c7_1_ X185 \/ (forall X186 : Universe, (ndr1_1_ X185 -> (c10_2_ X185 X186 \/ (c2_2_ X185 X186 \/ c1_2_ X185 X186)))))))))) /\ (((ndr1_0_ /\ ((forall X187 : Universe, (ndr1_1_ a1783_ -> (c4_2_ a1783_ X187 \/ (c2_2_ a1783_ X187 \/ ~(c8_2_ a1783_ X187))))) /\ ((forall X188 : Universe, (ndr1_1_ a1783_ -> (~(c2_2_ a1783_ X188) \/ (c10_2_ a1783_ X188 \/ c7_2_ a1783_ X188)))) /\ (forall X189 : Universe, (ndr1_1_ a1783_ -> (~(c7_2_ a1783_ X189) \/ c1_2_ a1783_ X189)))))) \/ (c2_0_ \/ c9_0_)) /\ (((ndr1_0_ /\ (~(c2_1_ a1784_) /\ ((forall X190 : Universe, (ndr1_1_ a1784_ -> (c9_2_ a1784_ X190 \/ (c1_2_ a1784_ X190 \/ ~(c7_2_ a1784_ X190))))) /\ ~(c10_1_ a1784_)))) \/ ((ndr1_0_ /\ (~(c2_1_ a1785_) /\ (ndr1_1_ a1785_ /\ (c1_2_ a1785_ a1786_ /\ (~(c4_2_ a1785_ a1786_) /\ (c10_2_ a1785_ a1786_ /\ (forall X191 : Universe, (ndr1_1_ a1785_ -> (c2_2_ a1785_ X191 \/ (c4_2_ a1785_ X191 \/ ~(c5_2_ a1785_ X191))))))))))) \/ (ndr1_0_ /\ (~(c5_1_ a1787_) /\ (ndr1_1_ a1787_ /\ (~(c3_2_ a1787_ a1788_) /\ (~(c8_2_ a1787_ a1788_) /\ (c1_2_ a1787_ a1788_ /\ (ndr1_1_ a1787_ /\ (~(c9_2_ a1787_ a1789_) /\ (c7_2_ a1787_ a1789_ /\ c6_2_ a1787_ a1789_))))))))))) /\ (((ndr1_0_ /\ (c5_1_ a1790_ /\ (ndr1_1_ a1790_ /\ (c2_2_ a1790_ a1791_ /\ (c10_2_ a1790_ a1791_ /\ (c9_2_ a1790_ a1791_ /\ (forall X192 : Universe, (ndr1_1_ a1790_ -> (~(c1_2_ a1790_ X192) \/ (~(c6_2_ a1790_ X192) \/ ~(c2_2_ a1790_ X192))))))))))) \/ (~(c9_0_) \/ (forall X193 : Universe, (ndr1_0_ -> ((forall X194 : Universe, (ndr1_1_ X193 -> (~(c3_2_ X193 X194) \/ (~(c2_2_ X193 X194) \/ c5_2_ X193 X194)))) \/ (~(c8_1_ X193) \/ (forall X195 : Universe, (ndr1_1_ X193 -> (c5_2_ X193 X195 \/ (~(c8_2_ X193 X195) \/ ~(c4_2_ X193 X195))))))))))) /\ (((forall X196 : Universe, (ndr1_0_ -> ((ndr1_1_ X196 /\ (c5_2_ X196 a1792_ /\ (~(c1_2_ X196 a1792_) /\ c4_2_ X196 a1792_))) \/ (forall X197 : Universe, (ndr1_1_ X196 -> (~(c4_2_ X196 X197) \/ (~(c8_2_ X196 X197) \/ ~(c7_2_ X196 X197)))))))) \/ (~(c9_0_) \/ (forall X198 : Universe, (ndr1_0_ -> ((ndr1_1_ X198 /\ (~(c8_2_ X198 a1793_) /\ (c2_2_ X198 a1793_ /\ ~(c5_2_ X198 a1793_)))) \/ (c6_1_ X198 \/ (ndr1_1_ X198 /\ (c5_2_ X198 a1794_ /\ (~(c10_2_ X198 a1794_) /\ ~(c4_2_ X198 a1794_)))))))))) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a1795_ /\ (~(c10_2_ a1795_ a1796_) /\ (~(c5_2_ a1795_ a1796_) /\ (c6_2_ a1795_ a1796_ /\ (ndr1_1_ a1795_ /\ (~(c8_2_ a1795_ a1797_) /\ (c10_2_ a1795_ a1797_ /\ (~(c2_2_ a1795_ a1797_) /\ ~(c2_1_ a1795_)))))))))) \/ (ndr1_0_ /\ (~(c1_1_ a1798_) /\ (ndr1_1_ a1798_ /\ (c5_2_ a1798_ a1799_ /\ (c10_2_ a1798_ a1799_ /\ (~(c9_2_ a1798_ a1799_) /\ ~(c6_1_ a1798_))))))))) /\ ((~(c6_0_) \/ c9_0_) /\ (((forall X199 : Universe, (ndr1_0_ -> ((ndr1_1_ X199 /\ (~(c10_2_ X199 a1800_) /\ c2_2_ X199 a1800_)) \/ (c5_1_ X199 \/ (ndr1_1_ X199 /\ (c6_2_ X199 a1801_ /\ (~(c4_2_ X199 a1801_) /\ ~(c10_2_ X199 a1801_)))))))) \/ (c8_0_ \/ (ndr1_0_ /\ (c7_1_ a1802_ /\ (ndr1_1_ a1802_ /\ (c9_2_ a1802_ a1803_ /\ (c4_2_ a1802_ a1803_ /\ (c7_2_ a1802_ a1803_ /\ (ndr1_1_ a1802_ /\ (c5_2_ a1802_ a1804_ /\ (c6_2_ a1802_ a1804_ /\ ~(c7_2_ a1802_ a1804_)))))))))))) /\ ((~(c4_0_) \/ c9_0_) /\ ((c8_0_ \/ ((forall X200 : Universe, (ndr1_0_ -> ((forall X201 : Universe, (ndr1_1_ X200 -> (c10_2_ X200 X201 \/ (~(c7_2_ X200 X201) \/ c5_2_ X200 X201)))) \/ ((forall X202 : Universe, (ndr1_1_ X200 -> (c2_2_ X200 X202 \/ ~(c9_2_ X200 X202)))) \/ ~(c5_1_ X200))))) \/ ~(c9_0_))) /\ ((c10_0_ \/ ((ndr1_0_ /\ (~(c7_1_ a1805_) /\ (ndr1_1_ a1805_ /\ (~(c5_2_ a1805_ a1806_) /\ (~(c4_2_ a1805_ a1806_) /\ (~(c6_2_ a1805_ a1806_) /\ (forall X203 : Universe, (ndr1_1_ a1805_ -> (c10_2_ a1805_ X203 \/ (c2_2_ a1805_ X203 \/ ~(c4_2_ a1805_ X203))))))))))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (c8_1_ a1807_ /\ (c9_1_ a1807_ /\ (ndr1_1_ a1807_ /\ (~(c9_2_ a1807_ a1808_) /\ (~(c6_2_ a1807_ a1808_) /\ c5_2_ a1807_ a1808_)))))) \/ ((ndr1_0_ /\ (c1_1_ a1809_ /\ (c4_1_ a1809_ /\ ~(c8_1_ a1809_)))) \/ ~(c8_0_))) /\ (((forall X204 : Universe, (ndr1_0_ -> (~(c8_1_ X204) \/ (~(c1_1_ X204) \/ (ndr1_1_ X204 /\ (~(c7_2_ X204 a1810_) /\ c2_2_ X204 a1810_)))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1811_ /\ (c6_2_ a1811_ a1812_ /\ (~(c10_2_ a1811_ a1812_) /\ (c3_1_ a1811_ /\ (forall X205 : Universe, (ndr1_1_ a1811_ -> (c2_2_ a1811_ X205 \/ (~(c5_2_ a1811_ X205) \/ ~(c3_2_ a1811_ X205)))))))))) \/ (ndr1_0_ /\ (~(c4_1_ a1813_) /\ ((forall X206 : Universe, (ndr1_1_ a1813_ -> (c10_2_ a1813_ X206 \/ (~(c8_2_ a1813_ X206) \/ c9_2_ a1813_ X206)))) /\ ~(c5_1_ a1813_)))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1814_ /\ (c3_2_ a1814_ a1815_ /\ (~(c2_2_ a1814_ a1815_) /\ (~(c10_2_ a1814_ a1815_) /\ ~(c6_1_ a1814_)))))) \/ (c2_0_ \/ ~(c9_0_))) /\ ((c4_0_ \/ ~(c8_0_)) /\ ((~(c6_0_) \/ ((forall X207 : Universe, (ndr1_0_ -> (c9_1_ X207 \/ ((ndr1_1_ X207 /\ (c1_2_ X207 a1816_ /\ (~(c6_2_ X207 a1816_) /\ ~(c5_2_ X207 a1816_)))) \/ ~(c3_1_ X207))))) \/ c9_0_)) /\ ((c8_0_ \/ c2_0_) /\ (((ndr1_0_ /\ (ndr1_1_ a1817_ /\ (c4_2_ a1817_ a1818_ /\ (~(c2_2_ a1817_ a1818_) /\ (c8_2_ a1817_ a1818_ /\ (c10_1_ a1817_ /\ (ndr1_1_ a1817_ /\ (~(c8_2_ a1817_ a1819_) /\ (~(c4_2_ a1817_ a1819_) /\ c9_2_ a1817_ a1819_))))))))) \/ ((ndr1_0_ /\ ((forall X208 : Universe, (ndr1_1_ a1820_ -> (c9_2_ a1820_ X208 \/ (~(c10_2_ a1820_ X208) \/ c5_2_ a1820_ X208)))) /\ (~(c7_1_ a1820_) /\ (ndr1_1_ a1820_ /\ (~(c1_2_ a1820_ a1821_) /\ (~(c9_2_ a1820_ a1821_) /\ c8_2_ a1820_ a1821_)))))) \/ (ndr1_0_ /\ (~(c4_1_ a1822_) /\ (c10_1_ a1822_ /\ (ndr1_1_ a1822_ /\ (~(c9_2_ a1822_ a1823_) /\ (~(c7_2_ a1822_ a1823_) /\ c5_2_ a1822_ a1823_)))))))) /\ (((ndr1_0_ /\ (c8_1_ a1824_ /\ (ndr1_1_ a1824_ /\ (~(c9_2_ a1824_ a1825_) /\ (c8_2_ a1824_ a1825_ /\ (c5_2_ a1824_ a1825_ /\ ~(c4_1_ a1824_))))))) \/ (c10_0_ \/ (ndr1_0_ /\ (c2_1_ a1826_ /\ (c10_1_ a1826_ /\ (ndr1_1_ a1826_ /\ (c6_2_ a1826_ a1827_ /\ (~(c4_2_ a1826_ a1827_) /\ c9_2_ a1826_ a1827_)))))))) /\ ((~(c3_0_) \/ (c2_0_ \/ ~(c10_0_))) /\ ((~(c3_0_) \/ (c2_0_ \/ (ndr1_0_ /\ ((forall X209 : Universe, (ndr1_1_ a1828_ -> (~(c2_2_ a1828_ X209) \/ (c4_2_ a1828_ X209 \/ ~(c7_2_ a1828_ X209))))) /\ ((forall X210 : Universe, (ndr1_1_ a1828_ -> (c8_2_ a1828_ X210 \/ (~(c5_2_ a1828_ X210) \/ ~(c10_2_ a1828_ X210))))) /\ c4_1_ a1828_))))) /\ (((forall X211 : Universe, (ndr1_0_ -> ((ndr1_1_ X211 /\ (~(c2_2_ X211 a1829_) /\ (c5_2_ X211 a1829_ /\ c4_2_ X211 a1829_))) \/ ((ndr1_1_ X211 /\ (~(c7_2_ X211 a1830_) /\ ~(c1_2_ X211 a1830_))) \/ (forall X212 : Universe, (ndr1_1_ X211 -> (~(c9_2_ X211 X212) \/ c5_2_ X211 X212))))))) \/ (c2_0_ \/ (forall X213 : Universe, (ndr1_0_ -> ((ndr1_1_ X213 /\ (c4_2_ X213 a1831_ /\ (~(c5_2_ X213 a1831_) /\ ~(c8_2_ X213 a1831_)))) \/ ((forall X214 : Universe, (ndr1_1_ X213 -> (c4_2_ X213 X214 \/ (c1_2_ X213 X214 \/ ~(c7_2_ X213 X214))))) \/ ~(c10_1_ X213))))))) /\ ((forall X215 : Universe, (ndr1_0_ -> ((ndr1_1_ X215 /\ (~(c4_2_ X215 a1832_) /\ (c7_2_ X215 a1832_ /\ c1_2_ X215 a1832_))) \/ ((ndr1_1_ X215 /\ (c9_2_ X215 a1833_ /\ (c2_2_ X215 a1833_ /\ c6_2_ X215 a1833_))) \/ c6_1_ X215)))) \/ (c9_0_ \/ (forall X216 : Universe, (ndr1_0_ -> ((forall X217 : Universe, (ndr1_1_ X216 -> (~(c5_2_ X216 X217) \/ (c8_2_ X216 X217 \/ c2_2_ X216 X217)))) \/ (c7_1_ X216 \/ ~(c4_1_ X216))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
