(*
% File     : SYN429+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=093
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-093.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1601 (   0 equality)
%            Maximal formula depth :  141 ( 141 average)
%            Number of connectives : 2195 ( 595 ~  ; 647  |; 737  &)
%                                         (   0 <=>; 216 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  249 ( 228 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  216 (   0 singleton; 216 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a99_ : Universe.
Variable a98_ : Universe.
Variable a97_ : Universe.
Variable a96_ : Universe.
Variable a95_ : Universe.
Variable a94_ : Universe.
Variable a93_ : Universe.
Variable a92_ : Universe.
Variable a91_ : Universe.
Variable a90_ : Universe.
Variable a9_ : Universe.
Variable a89_ : Universe.
Variable a88_ : Universe.
Variable a87_ : Universe.
Variable a86_ : Universe.
Variable a85_ : Universe.
Variable a84_ : Universe.
Variable a83_ : Universe.
Variable a82_ : Universe.
Variable a81_ : Universe.
Variable a80_ : Universe.
Variable a8_ : Universe.
Variable a79_ : Universe.
Variable a78_ : Universe.
Variable a77_ : Universe.
Variable a76_ : Universe.
Variable a75_ : Universe.
Variable a74_ : Universe.
Variable a73_ : Universe.
Variable a72_ : Universe.
Variable a71_ : Universe.
Variable a70_ : Universe.
Variable a7_ : Universe.
Variable a69_ : Universe.
Variable a68_ : Universe.
Variable a67_ : Universe.
Variable a66_ : Universe.
Variable a65_ : Universe.
Variable a64_ : Universe.
Variable a63_ : Universe.
Variable a62_ : Universe.
Variable a61_ : Universe.
Variable a60_ : Universe.
Variable a6_ : Universe.
Variable a59_ : Universe.
Variable a58_ : Universe.
Variable a57_ : Universe.
Variable a56_ : Universe.
Variable a55_ : Universe.
Variable a54_ : Universe.
Variable a53_ : Universe.
Variable a52_ : Universe.
Variable a51_ : Universe.
Variable a50_ : Universe.
Variable a5_ : Universe.
Variable a49_ : Universe.
Variable a48_ : Universe.
Variable a47_ : Universe.
Variable a46_ : Universe.
Variable a45_ : Universe.
Variable a44_ : Universe.
Variable a43_ : Universe.
Variable a42_ : Universe.
Variable a41_ : Universe.
Variable a40_ : Universe.
Variable a4_ : Universe.
Variable a39_ : Universe.
Variable a38_ : Universe.
Variable a37_ : Universe.
Variable a36_ : Universe.
Variable a35_ : Universe.
Variable a34_ : Universe.
Variable a33_ : Universe.
Variable a32_ : Universe.
Variable a31_ : Universe.
Variable a30_ : Universe.
Variable a3_ : Universe.
Variable a29_ : Universe.
Variable a28_ : Universe.
Variable a27_ : Universe.
Variable a26_ : Universe.
Variable a25_ : Universe.
Variable a24_ : Universe.
Variable a23_ : Universe.
Variable a22_ : Universe.
Variable a217_ : Universe.
Variable a216_ : Universe.
Variable a215_ : Universe.
Variable a214_ : Universe.
Variable a213_ : Universe.
Variable a212_ : Universe.
Variable a211_ : Universe.
Variable a210_ : Universe.
Variable a21_ : Universe.
Variable a209_ : Universe.
Variable a208_ : Universe.
Variable a207_ : Universe.
Variable a206_ : Universe.
Variable a205_ : Universe.
Variable a204_ : Universe.
Variable a203_ : Universe.
Variable a202_ : Universe.
Variable a201_ : Universe.
Variable a200_ : Universe.
Variable a20_ : Universe.
Variable a2_ : Universe.
Variable a199_ : Universe.
Variable a198_ : Universe.
Variable a197_ : Universe.
Variable a196_ : Universe.
Variable a195_ : Universe.
Variable a194_ : Universe.
Variable a193_ : Universe.
Variable a192_ : Universe.
Variable a191_ : Universe.
Variable a190_ : Universe.
Variable a19_ : Universe.
Variable a189_ : Universe.
Variable a188_ : Universe.
Variable a187_ : Universe.
Variable a186_ : Universe.
Variable a185_ : Universe.
Variable a184_ : Universe.
Variable a183_ : Universe.
Variable a182_ : Universe.
Variable a181_ : Universe.
Variable a180_ : Universe.
Variable a18_ : Universe.
Variable a179_ : Universe.
Variable a178_ : Universe.
Variable a177_ : Universe.
Variable a176_ : Universe.
Variable a175_ : Universe.
Variable a174_ : Universe.
Variable a173_ : Universe.
Variable a172_ : Universe.
Variable a171_ : Universe.
Variable a170_ : Universe.
Variable a17_ : Universe.
Variable a169_ : Universe.
Variable a168_ : Universe.
Variable a167_ : Universe.
Variable a166_ : Universe.
Variable a165_ : Universe.
Variable a164_ : Universe.
Variable a163_ : Universe.
Variable a162_ : Universe.
Variable a161_ : Universe.
Variable a160_ : Universe.
Variable a16_ : Universe.
Variable a159_ : Universe.
Variable a158_ : Universe.
Variable a157_ : Universe.
Variable a156_ : Universe.
Variable a155_ : Universe.
Variable a154_ : Universe.
Variable a153_ : Universe.
Variable a152_ : Universe.
Variable a151_ : Universe.
Variable a150_ : Universe.
Variable a15_ : Universe.
Variable a149_ : Universe.
Variable a148_ : Universe.
Variable a147_ : Universe.
Variable a146_ : Universe.
Variable a145_ : Universe.
Variable a144_ : Universe.
Variable a143_ : Universe.
Variable a142_ : Universe.
Variable a141_ : Universe.
Variable a140_ : Universe.
Variable a14_ : Universe.
Variable a139_ : Universe.
Variable a138_ : Universe.
Variable a137_ : Universe.
Variable a136_ : Universe.
Variable a135_ : Universe.
Variable a134_ : Universe.
Variable a133_ : Universe.
Variable a132_ : Universe.
Variable a131_ : Universe.
Variable a130_ : Universe.
Variable a13_ : Universe.
Variable a129_ : Universe.
Variable a128_ : Universe.
Variable a127_ : Universe.
Variable a126_ : Universe.
Variable a125_ : Universe.
Variable a124_ : Universe.
Variable a123_ : Universe.
Variable a122_ : Universe.
Variable a121_ : Universe.
Variable a120_ : Universe.
Variable a12_ : Universe.
Variable a119_ : Universe.
Variable a118_ : Universe.
Variable a117_ : Universe.
Variable a116_ : Universe.
Variable a115_ : Universe.
Variable a114_ : Universe.
Variable a113_ : Universe.
Variable a112_ : Universe.
Variable a111_ : Universe.
Variable a110_ : Universe.
Variable a11_ : Universe.
Variable a109_ : Universe.
Variable a108_ : Universe.
Variable a107_ : Universe.
Variable a106_ : Universe.
Variable a105_ : Universe.
Variable a104_ : Universe.
Variable a103_ : Universe.
Variable a102_ : Universe.
Variable a101_ : Universe.
Variable a100_ : Universe.
Variable a10_ : Universe.
Variable a1_ : Universe.


Theorem co1_1 : ~(((c1_0_ \/ (c2_0_ \/ c9_0_)) /\ ((c1_0_ \/ (c4_0_ \/ (forall U : Universe, (ndr1_0_ -> ((forall V : Universe, (ndr1_1_ U -> (c10_2_ U V \/ ~(c2_2_ U V)))) \/ ((forall W : Universe, (ndr1_1_ U -> (c7_2_ U W \/ (~(c5_2_ U W) \/ ~(c9_2_ U W))))) \/ (forall X : Universe, (ndr1_1_ U -> (~(c4_2_ U X) \/ ~(c9_2_ U X)))))))))) /\ ((c1_0_ \/ (c4_0_ \/ (ndr1_0_ /\ ((forall Y : Universe, (ndr1_1_ a1_ -> (c7_2_ a1_ Y \/ (~(c3_2_ a1_ Y) \/ ~(c6_2_ a1_ Y))))) /\ (ndr1_1_ a1_ /\ (c6_2_ a1_ a2_ /\ (c9_2_ a1_ a2_ /\ (~(c4_2_ a1_ a2_) /\ (ndr1_1_ a1_ /\ (~(c10_2_ a1_ a3_) /\ ~(c7_2_ a1_ a3_))))))))))) /\ ((c1_0_ \/ (c6_0_ \/ c9_0_)) /\ ((c1_0_ \/ (c6_0_ \/ (ndr1_0_ /\ (c4_1_ a4_ /\ (ndr1_1_ a4_ /\ (c6_2_ a4_ a5_ /\ (c7_2_ a4_ a5_ /\ (~(c8_2_ a4_ a5_) /\ (ndr1_1_ a4_ /\ (c6_2_ a4_ a6_ /\ (~(c2_2_ a4_ a6_) /\ ~(c9_2_ a4_ a6_)))))))))))) /\ ((c1_0_ \/ (c6_0_ \/ (ndr1_0_ /\ ((forall Z : Universe, (ndr1_1_ a7_ -> (c1_2_ a7_ Z \/ (c7_2_ a7_ Z \/ ~(c3_2_ a7_ Z))))) /\ ((forall X1 : Universe, (ndr1_1_ a7_ -> (c4_2_ a7_ X1 \/ (~(c1_2_ a7_ X1) \/ ~(c5_2_ a7_ X1))))) /\ (ndr1_1_ a7_ /\ (c7_2_ a7_ a8_ /\ (~(c10_2_ a7_ a8_) /\ ~(c3_2_ a7_ a8_))))))))) /\ ((c1_0_ \/ (~(c10_0_) \/ ~(c4_0_))) /\ ((c1_0_ \/ (~(c4_0_) \/ ~(c9_0_))) /\ ((c1_0_ \/ (~(c5_0_) \/ (forall X2 : Universe, (ndr1_0_ -> (c3_1_ X2 \/ (ndr1_1_ X2 /\ (c2_2_ X2 a9_ /\ (c3_2_ X2 a9_ /\ ~(c8_2_ X2 a9_))))))))) /\ ((c1_0_ \/ (~(c7_0_) \/ (forall X3 : Universe, (ndr1_0_ -> (~(c1_1_ X3) \/ (~(c9_1_ X3) \/ (forall X4 : Universe, (ndr1_1_ X3 -> (~(c10_2_ X3 X4) \/ ~(c3_2_ X3 X4)))))))))) /\ ((c1_0_ \/ (~(c9_0_) \/ (forall X5 : Universe, (ndr1_0_ -> (c8_1_ X5 \/ ((forall X6 : Universe, (ndr1_1_ X5 -> (c4_2_ X5 X6 \/ (c9_2_ X5 X6 \/ ~(c8_2_ X5 X6))))) \/ (forall X7 : Universe, (ndr1_1_ X5 -> (c5_2_ X5 X7 \/ (c8_2_ X5 X7 \/ ~(c10_2_ X5 X7))))))))))) /\ ((c1_0_ \/ (~(c9_0_) \/ (forall X8 : Universe, (ndr1_0_ -> (~(c3_1_ X8) \/ ((ndr1_1_ X8 /\ (c1_2_ X8 a10_ /\ (c2_2_ X8 a10_ /\ c9_2_ X8 a10_))) \/ (ndr1_1_ X8 /\ (c1_2_ X8 a11_ /\ (~(c4_2_ X8 a11_) /\ ~(c6_2_ X8 a11_)))))))))) /\ ((c10_0_ \/ (c3_0_ \/ (ndr1_0_ /\ (~(c9_1_ a12_) /\ (ndr1_1_ a12_ /\ (c10_2_ a12_ a13_ /\ (c3_2_ a12_ a13_ /\ (~(c1_2_ a12_ a13_) /\ (ndr1_1_ a12_ /\ (c3_2_ a12_ a14_ /\ (c5_2_ a12_ a14_ /\ ~(c1_2_ a12_ a14_)))))))))))) /\ ((c10_0_ \/ (~(c1_0_) \/ (ndr1_0_ /\ (~(c4_1_ a15_) /\ (~(c5_1_ a15_) /\ (ndr1_1_ a15_ /\ (c1_2_ a15_ a16_ /\ (c8_2_ a15_ a16_ /\ ~(c5_2_ a15_ a16_))))))))) /\ ((c10_0_ \/ (~(c4_0_) \/ (forall X9 : Universe, (ndr1_0_ -> ((forall X10 : Universe, (ndr1_1_ X9 -> (c10_2_ X9 X10 \/ (~(c2_2_ X9 X10) \/ ~(c9_2_ X9 X10))))) \/ ((ndr1_1_ X9 /\ (c1_2_ X9 a17_ /\ (c2_2_ X9 a17_ /\ c6_2_ X9 a17_))) \/ (ndr1_1_ X9 /\ (c1_2_ X9 a18_ /\ (~(c5_2_ X9 a18_) /\ ~(c9_2_ X9 a18_)))))))))) /\ ((c10_0_ \/ (~(c9_0_) \/ (ndr1_0_ /\ (c4_1_ a19_ /\ (~(c6_1_ a19_) /\ (forall X11 : Universe, (ndr1_1_ a19_ -> (c10_2_ a19_ X11 \/ (c5_2_ a19_ X11 \/ c8_2_ a19_ X11))))))))) /\ ((c10_0_ \/ ((forall X12 : Universe, (ndr1_0_ -> (c10_1_ X12 \/ (~(c2_1_ X12) \/ (forall X13 : Universe, (ndr1_1_ X12 -> (c4_2_ X12 X13 \/ (c8_2_ X12 X13 \/ c9_2_ X12 X13)))))))) \/ (forall X14 : Universe, (ndr1_0_ -> (~(c2_1_ X14) \/ ((forall X15 : Universe, (ndr1_1_ X14 -> (c5_2_ X14 X15 \/ (c6_2_ X14 X15 \/ ~(c2_2_ X14 X15))))) \/ (ndr1_1_ X14 /\ (c2_2_ X14 a20_ /\ (c5_2_ X14 a20_ /\ c7_2_ X14 a20_))))))))) /\ ((c10_0_ \/ ((forall X16 : Universe, (ndr1_0_ -> (c2_1_ X16 \/ (~(c3_1_ X16) \/ (forall X17 : Universe, (ndr1_1_ X16 -> (c1_2_ X16 X17 \/ (~(c3_2_ X16 X17) \/ ~(c7_2_ X16 X17))))))))) \/ (forall X18 : Universe, (ndr1_0_ -> (c7_1_ X18 \/ (~(c2_1_ X18) \/ ~(c6_1_ X18))))))) /\ ((c10_0_ \/ ((forall X19 : Universe, (ndr1_0_ -> (c4_1_ X19 \/ (~(c2_1_ X19) \/ (ndr1_1_ X19 /\ (c4_2_ X19 a21_ /\ ~(c8_2_ X19 a21_))))))) \/ (forall X20 : Universe, (ndr1_0_ -> ((forall X21 : Universe, (ndr1_1_ X20 -> (c5_2_ X20 X21 \/ (~(c4_2_ X20 X21) \/ ~(c6_2_ X20 X21))))) \/ ((ndr1_1_ X20 /\ (c7_2_ X20 a22_ /\ (c9_2_ X20 a22_ /\ ~(c5_2_ X20 a22_)))) \/ (ndr1_1_ X20 /\ (c8_2_ X20 a23_ /\ (~(c2_2_ X20 a23_) /\ ~(c7_2_ X20 a23_)))))))))) /\ ((c10_0_ \/ ((forall X22 : Universe, (ndr1_0_ -> ((forall X23 : Universe, (ndr1_1_ X22 -> (c10_2_ X22 X23 \/ (c6_2_ X22 X23 \/ c8_2_ X22 X23)))) \/ (forall X24 : Universe, (ndr1_1_ X22 -> (c6_2_ X22 X24 \/ (c7_2_ X22 X24 \/ ~(c3_2_ X22 X24)))))))) \/ (forall X25 : Universe, (ndr1_0_ -> ((ndr1_1_ X25 /\ (c1_2_ X25 a24_ /\ (~(c10_2_ X25 a24_) /\ ~(c4_2_ X25 a24_)))) \/ ((ndr1_1_ X25 /\ (c1_2_ X25 a25_ /\ (~(c2_2_ X25 a25_) /\ ~(c6_2_ X25 a25_)))) \/ (ndr1_1_ X25 /\ (c6_2_ X25 a26_ /\ (c7_2_ X25 a26_ /\ ~(c1_2_ X25 a26_)))))))))) /\ ((c10_0_ \/ ((ndr1_0_ /\ (c2_1_ a27_ /\ (~(c10_1_ a27_) /\ (ndr1_1_ a27_ /\ (~(c3_2_ a27_ a28_) /\ (~(c5_2_ a27_ a28_) /\ ~(c9_2_ a27_ a28_))))))) \/ (ndr1_0_ /\ (~(c2_1_ a29_) /\ (ndr1_1_ a29_ /\ (c2_2_ a29_ a30_ /\ (c7_2_ a29_ a30_ /\ ~(c8_2_ a29_ a30_)))))))) /\ ((c2_0_ \/ (c6_0_ \/ (ndr1_0_ /\ (c2_1_ a31_ /\ (forall X26 : Universe, (ndr1_1_ a31_ -> (c2_2_ a31_ X26 \/ (c4_2_ a31_ X26 \/ c6_2_ a31_ X26)))))))) /\ ((c2_0_ \/ (c8_0_ \/ ~(c9_0_))) /\ ((c2_0_ \/ (~(c1_0_) \/ ~(c8_0_))) /\ ((c2_0_ \/ (~(c1_0_) \/ (ndr1_0_ /\ (~(c6_1_ a32_) /\ (~(c9_1_ a32_) /\ (ndr1_1_ a32_ /\ (c3_2_ a32_ a33_ /\ (c6_2_ a32_ a33_ /\ ~(c4_2_ a32_ a33_))))))))) /\ ((c2_0_ \/ ((forall X27 : Universe, (ndr1_0_ -> (~(c5_1_ X27) \/ ((forall X28 : Universe, (ndr1_1_ X27 -> (c10_2_ X27 X28 \/ (c3_2_ X27 X28 \/ ~(c4_2_ X27 X28))))) \/ (ndr1_1_ X27 /\ (c1_2_ X27 a34_ /\ (c4_2_ X27 a34_ /\ ~(c7_2_ X27 a34_)))))))) \/ (ndr1_0_ /\ (~(c9_1_ a35_) /\ ((forall X29 : Universe, (ndr1_1_ a35_ -> (c10_2_ a35_ X29 \/ (~(c3_2_ a35_ X29) \/ ~(c4_2_ a35_ X29))))) /\ (ndr1_1_ a35_ /\ (c2_2_ a35_ a36_ /\ (~(c10_2_ a35_ a36_) /\ ~(c7_2_ a35_ a36_))))))))) /\ ((c3_0_ \/ (c4_0_ \/ (ndr1_0_ /\ (~(c3_1_ a37_) /\ ((forall X30 : Universe, (ndr1_1_ a37_ -> (c7_2_ a37_ X30 \/ (~(c4_2_ a37_ X30) \/ ~(c5_2_ a37_ X30))))) /\ (forall X31 : Universe, (ndr1_1_ a37_ -> (~(c1_2_ a37_ X31) \/ (~(c7_2_ a37_ X31) \/ ~(c8_2_ a37_ X31)))))))))) /\ ((c3_0_ \/ (c5_0_ \/ ~(c9_0_))) /\ ((c3_0_ \/ (~(c1_0_) \/ ~(c4_0_))) /\ ((c3_0_ \/ (~(c1_0_) \/ (forall X32 : Universe, (ndr1_0_ -> (c3_1_ X32 \/ (c4_1_ X32 \/ ~(c5_1_ X32))))))) /\ ((c3_0_ \/ (~(c10_0_) \/ (ndr1_0_ /\ (~(c5_1_ a38_) /\ (~(c7_1_ a38_) /\ (forall X33 : Universe, (ndr1_1_ a38_ -> (c2_2_ a38_ X33 \/ (c4_2_ a38_ X33 \/ ~(c8_2_ a38_ X33)))))))))) /\ ((c3_0_ \/ (~(c2_0_) \/ (ndr1_0_ /\ (c1_1_ a39_ /\ (c5_1_ a39_ /\ (forall X34 : Universe, (ndr1_1_ a39_ -> (c3_2_ a39_ X34 \/ ~(c7_2_ a39_ X34))))))))) /\ ((c3_0_ \/ (~(c5_0_) \/ (forall X35 : Universe, (ndr1_0_ -> ((ndr1_1_ X35 /\ (c3_2_ X35 a40_ /\ (c5_2_ X35 a40_ /\ ~(c1_2_ X35 a40_)))) \/ ((ndr1_1_ X35 /\ (c6_2_ X35 a41_ /\ (~(c4_2_ X35 a41_) /\ ~(c9_2_ X35 a41_)))) \/ (ndr1_1_ X35 /\ (~(c2_2_ X35 a42_) /\ (~(c6_2_ X35 a42_) /\ ~(c8_2_ X35 a42_)))))))))) /\ ((c3_0_ \/ (~(c6_0_) \/ (ndr1_0_ /\ ((forall X36 : Universe, (ndr1_1_ a43_ -> (c1_2_ a43_ X36 \/ ~(c3_2_ a43_ X36)))) /\ ((forall X37 : Universe, (ndr1_1_ a43_ -> (c3_2_ a43_ X37 \/ (c6_2_ a43_ X37 \/ ~(c2_2_ a43_ X37))))) /\ (ndr1_1_ a43_ /\ (c4_2_ a43_ a44_ /\ (c5_2_ a43_ a44_ /\ c8_2_ a43_ a44_)))))))) /\ ((c3_0_ \/ (~(c7_0_) \/ (ndr1_0_ /\ (c7_1_ a45_ /\ (~(c4_1_ a45_) /\ (ndr1_1_ a45_ /\ (c5_2_ a45_ a46_ /\ (~(c10_2_ a45_ a46_) /\ ~(c4_2_ a45_ a46_))))))))) /\ ((c3_0_ \/ ((forall X38 : Universe, (ndr1_0_ -> (c5_1_ X38 \/ ((forall X39 : Universe, (ndr1_1_ X38 -> (c3_2_ X38 X39 \/ (c8_2_ X38 X39 \/ ~(c10_2_ X38 X39))))) \/ (forall X40 : Universe, (ndr1_1_ X38 -> (c3_2_ X38 X40 \/ (c9_2_ X38 X40 \/ ~(c6_2_ X38 X40))))))))) \/ (forall X41 : Universe, (ndr1_0_ -> (~(c2_1_ X41) \/ (~(c8_1_ X41) \/ (ndr1_1_ X41 /\ ~(c1_2_ X41 a47_)))))))) /\ ((c3_0_ \/ ((forall X42 : Universe, (ndr1_0_ -> (c9_1_ X42 \/ (~(c7_1_ X42) \/ (ndr1_1_ X42 /\ (c10_2_ X42 a48_ /\ (c8_2_ X42 a48_ /\ ~(c5_2_ X42 a48_)))))))) \/ (ndr1_0_ /\ ((forall X43 : Universe, (ndr1_1_ a49_ -> (c10_2_ a49_ X43 \/ (c4_2_ a49_ X43 \/ ~(c6_2_ a49_ X43))))) /\ ((forall X44 : Universe, (ndr1_1_ a49_ -> (c3_2_ a49_ X44 \/ ~(c4_2_ a49_ X44)))) /\ (ndr1_1_ a49_ /\ (c2_2_ a49_ a50_ /\ (c3_2_ a49_ a50_ /\ ~(c10_2_ a49_ a50_))))))))) /\ ((c4_0_ \/ (c7_0_ \/ (forall X45 : Universe, (ndr1_0_ -> (c2_1_ X45 \/ (c6_1_ X45 \/ ~(c7_1_ X45))))))) /\ ((c4_0_ \/ (c8_0_ \/ (ndr1_0_ /\ (c6_1_ a51_ /\ ((forall X46 : Universe, (ndr1_1_ a51_ -> (c10_2_ a51_ X46 \/ ~(c8_2_ a51_ X46)))) /\ (forall X47 : Universe, (ndr1_1_ a51_ -> (~(c2_2_ a51_ X47) \/ (~(c5_2_ a51_ X47) \/ ~(c8_2_ a51_ X47)))))))))) /\ ((c4_0_ \/ (~(c8_0_) \/ (forall X48 : Universe, (ndr1_0_ -> (c7_1_ X48 \/ ((forall X49 : Universe, (ndr1_1_ X48 -> (c7_2_ X48 X49 \/ (~(c1_2_ X48 X49) \/ ~(c4_2_ X48 X49))))) \/ (ndr1_1_ X48 /\ (c2_2_ X48 a52_ /\ ~(c6_2_ X48 a52_))))))))) /\ ((c4_0_ \/ ((forall X50 : Universe, (ndr1_0_ -> (c9_1_ X50 \/ ((ndr1_1_ X50 /\ (c1_2_ X50 a53_ /\ (c3_2_ X50 a53_ /\ ~(c6_2_ X50 a53_)))) \/ (ndr1_1_ X50 /\ (c8_2_ X50 a54_ /\ (~(c10_2_ X50 a54_) /\ ~(c6_2_ X50 a54_)))))))) \/ (forall X51 : Universe, (ndr1_0_ -> (~(c4_1_ X51) \/ ((forall X52 : Universe, (ndr1_1_ X51 -> (c2_2_ X51 X52 \/ (c8_2_ X51 X52 \/ ~(c6_2_ X51 X52))))) \/ (ndr1_1_ X51 /\ (~(c7_2_ X51 a55_) /\ ~(c8_2_ X51 a55_))))))))) /\ ((c5_0_ \/ (c7_0_ \/ (ndr1_0_ /\ (c4_1_ a56_ /\ (~(c10_1_ a56_) /\ (forall X53 : Universe, (ndr1_1_ a56_ -> (~(c3_2_ a56_ X53) \/ (~(c6_2_ a56_ X53) \/ ~(c9_2_ a56_ X53)))))))))) /\ ((c5_0_ \/ (c8_0_ \/ c9_0_)) /\ ((c5_0_ \/ ~(c10_0_)) /\ ((c5_0_ \/ (~(c4_0_) \/ (forall X54 : Universe, (ndr1_0_ -> (c4_1_ X54 \/ ((ndr1_1_ X54 /\ (c4_2_ X54 a57_ /\ (~(c5_2_ X54 a57_) /\ ~(c9_2_ X54 a57_)))) \/ (ndr1_1_ X54 /\ (~(c2_2_ X54 a58_) /\ (~(c3_2_ X54 a58_) /\ ~(c9_2_ X54 a58_)))))))))) /\ ((c5_0_ \/ (~(c8_0_) \/ (ndr1_0_ /\ (~(c4_1_ a59_) /\ ((forall X55 : Universe, (ndr1_1_ a59_ -> (c3_2_ a59_ X55 \/ (c9_2_ a59_ X55 \/ ~(c10_2_ a59_ X55))))) /\ (ndr1_1_ a59_ /\ (c1_2_ a59_ a60_ /\ (~(c3_2_ a59_ a60_) /\ ~(c5_2_ a59_ a60_))))))))) /\ ((c5_0_ \/ (~(c9_0_) \/ (ndr1_0_ /\ (~(c6_1_ a61_) /\ (ndr1_1_ a61_ /\ (c3_2_ a61_ a62_ /\ (~(c1_2_ a61_ a62_) /\ (ndr1_1_ a61_ /\ (~(c10_2_ a61_ a63_) /\ ~(c5_2_ a61_ a63_)))))))))) /\ ((c5_0_ \/ ((forall X56 : Universe, (ndr1_0_ -> (c10_1_ X56 \/ (c6_1_ X56 \/ ~(c1_1_ X56))))) \/ (forall X57 : Universe, (ndr1_0_ -> (~(c6_1_ X57) \/ ((ndr1_1_ X57 /\ (c10_2_ X57 a64_ /\ (~(c1_2_ X57 a64_) /\ ~(c9_2_ X57 a64_)))) \/ (ndr1_1_ X57 /\ (c2_2_ X57 a65_ /\ (c4_2_ X57 a65_ /\ ~(c7_2_ X57 a65_)))))))))) /\ ((c5_0_ \/ ((forall X58 : Universe, (ndr1_0_ -> (c2_1_ X58 \/ (c6_1_ X58 \/ (ndr1_1_ X58 /\ (~(c1_2_ X58 a66_) /\ (~(c5_2_ X58 a66_) /\ ~(c7_2_ X58 a66_)))))))) \/ (ndr1_0_ /\ (c5_1_ a67_ /\ (forall X59 : Universe, (ndr1_1_ a67_ -> (~(c10_2_ a67_ X59) \/ ~(c9_2_ a67_ X59)))))))) /\ ((c5_0_ \/ ((forall X60 : Universe, (ndr1_0_ -> (c5_1_ X60 \/ (~(c10_1_ X60) \/ (ndr1_1_ X60 /\ (c10_2_ X60 a68_ /\ (c3_2_ X60 a68_ /\ c7_2_ X60 a68_))))))) \/ (ndr1_0_ /\ (c9_1_ a69_ /\ (~(c4_1_ a69_) /\ (forall X61 : Universe, (ndr1_1_ a69_ -> (c2_2_ a69_ X61 \/ (c5_2_ a69_ X61 \/ ~(c6_2_ a69_ X61)))))))))) /\ ((c5_0_ \/ ((forall X62 : Universe, (ndr1_0_ -> (~(c9_1_ X62) \/ ((forall X63 : Universe, (ndr1_1_ X62 -> (c10_2_ X62 X63 \/ (c4_2_ X62 X63 \/ c9_2_ X62 X63)))) \/ (ndr1_1_ X62 /\ (c8_2_ X62 a70_ /\ (~(c10_2_ X62 a70_) /\ ~(c6_2_ X62 a70_)))))))) \/ (ndr1_0_ /\ ((forall X64 : Universe, (ndr1_1_ a71_ -> (c1_2_ a71_ X64 \/ (~(c4_2_ a71_ X64) \/ ~(c8_2_ a71_ X64))))) /\ ((forall X65 : Universe, (ndr1_1_ a71_ -> (c2_2_ a71_ X65 \/ (c7_2_ a71_ X65 \/ ~(c10_2_ a71_ X65))))) /\ (forall X66 : Universe, (ndr1_1_ a71_ -> (c5_2_ a71_ X66 \/ (~(c4_2_ a71_ X66) \/ ~(c6_2_ a71_ X66)))))))))) /\ ((c5_0_ \/ ((ndr1_0_ /\ (c1_1_ a72_ /\ (~(c3_1_ a72_) /\ (forall X67 : Universe, (ndr1_1_ a72_ -> (c10_2_ a72_ X67 \/ (c5_2_ a72_ X67 \/ ~(c3_2_ a72_ X67)))))))) \/ (ndr1_0_ /\ (c4_1_ a73_ /\ (~(c6_1_ a73_) /\ (forall X68 : Universe, (ndr1_1_ a73_ -> (c8_2_ a73_ X68 \/ ~(c10_2_ a73_ X68))))))))) /\ ((c6_0_ \/ (c7_0_ \/ (ndr1_0_ /\ (c4_1_ a74_ /\ (c6_1_ a74_ /\ (ndr1_1_ a74_ /\ (c10_2_ a74_ a75_ /\ (~(c1_2_ a74_ a75_) /\ ~(c2_2_ a74_ a75_))))))))) /\ ((c6_0_ \/ (c9_0_ \/ (forall X69 : Universe, (ndr1_0_ -> (c4_1_ X69 \/ (c5_1_ X69 \/ (ndr1_1_ X69 /\ (c1_2_ X69 a76_ /\ (c4_2_ X69 a76_ /\ ~(c5_2_ X69 a76_)))))))))) /\ ((c6_0_ \/ (~(c3_0_) \/ (forall X70 : Universe, (ndr1_0_ -> (c8_1_ X70 \/ (~(c2_1_ X70) \/ (forall X71 : Universe, (ndr1_1_ X70 -> (c9_2_ X70 X71 \/ (~(c10_2_ X70 X71) \/ ~(c3_2_ X70 X71))))))))))) /\ ((c6_0_ \/ (~(c3_0_) \/ (forall X72 : Universe, (ndr1_0_ -> (~(c6_1_ X72) \/ ((forall X73 : Universe, (ndr1_1_ X72 -> (c7_2_ X72 X73 \/ (~(c2_2_ X72 X73) \/ ~(c5_2_ X72 X73))))) \/ (ndr1_1_ X72 /\ (c1_2_ X72 a77_ /\ (c3_2_ X72 a77_ /\ ~(c9_2_ X72 a77_)))))))))) /\ ((c6_0_ \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c6_1_ X74) \/ ((forall X75 : Universe, (ndr1_1_ X74 -> (c2_2_ X74 X75 \/ ~(c9_2_ X74 X75)))) \/ (ndr1_1_ X74 /\ (~(c3_2_ X74 a78_) /\ (~(c7_2_ X74 a78_) /\ ~(c9_2_ X74 a78_)))))))) \/ (ndr1_0_ /\ (~(c3_1_ a79_) /\ ((forall X76 : Universe, (ndr1_1_ a79_ -> (c1_2_ a79_ X76 \/ (c6_2_ a79_ X76 \/ ~(c10_2_ a79_ X76))))) /\ (forall X77 : Universe, (ndr1_1_ a79_ -> (c4_2_ a79_ X77 \/ (c7_2_ a79_ X77 \/ c8_2_ a79_ X77))))))))) /\ ((c6_0_ \/ ((forall X78 : Universe, (ndr1_0_ -> ((forall X79 : Universe, (ndr1_1_ X78 -> (c1_2_ X78 X79 \/ (c5_2_ X78 X79 \/ c6_2_ X78 X79)))) \/ ((forall X80 : Universe, (ndr1_1_ X78 -> (c10_2_ X78 X80 \/ (c5_2_ X78 X80 \/ ~(c9_2_ X78 X80))))) \/ (forall X81 : Universe, (ndr1_1_ X78 -> (c4_2_ X78 X81 \/ c6_2_ X78 X81))))))) \/ (ndr1_0_ /\ (c3_1_ a80_ /\ (c7_1_ a80_ /\ ~(c5_1_ a80_)))))) /\ ((c7_0_ \/ (c9_0_ \/ (forall X82 : Universe, (ndr1_0_ -> (c8_1_ X82 \/ ((forall X83 : Universe, (ndr1_1_ X82 -> (c5_2_ X82 X83 \/ (~(c10_2_ X82 X83) \/ ~(c8_2_ X82 X83))))) \/ (forall X84 : Universe, (ndr1_1_ X82 -> (c7_2_ X82 X84 \/ (c9_2_ X82 X84 \/ ~(c8_2_ X82 X84))))))))))) /\ ((c7_0_ \/ (~(c1_0_) \/ (forall X85 : Universe, (ndr1_0_ -> (c10_1_ X85 \/ (~(c5_1_ X85) \/ (ndr1_1_ X85 /\ (c6_2_ X85 a81_ /\ (c8_2_ X85 a81_ /\ ~(c5_2_ X85 a81_)))))))))) /\ ((c7_0_ \/ (~(c6_0_) \/ (forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (~(c7_1_ X86) \/ (ndr1_1_ X86 /\ (~(c10_2_ X86 a82_) /\ (~(c2_2_ X86 a82_) /\ ~(c6_2_ X86 a82_)))))))))) /\ ((c7_0_ \/ (~(c9_0_) \/ (ndr1_0_ /\ (c5_1_ a83_ /\ (~(c2_1_ a83_) /\ (ndr1_1_ a83_ /\ (~(c1_2_ a83_ a84_) /\ ~(c2_2_ a83_ a84_)))))))) /\ ((c7_0_ \/ ((forall X87 : Universe, (ndr1_0_ -> (~(c7_1_ X87) \/ (~(c8_1_ X87) \/ (forall X88 : Universe, (ndr1_1_ X87 -> (c1_2_ X87 X88 \/ (c7_2_ X87 X88 \/ c9_2_ X87 X88)))))))) \/ (forall X89 : Universe, (ndr1_0_ -> ((forall X90 : Universe, (ndr1_1_ X89 -> (c10_2_ X89 X90 \/ (c4_2_ X89 X90 \/ c7_2_ X89 X90)))) \/ ((forall X91 : Universe, (ndr1_1_ X89 -> (c4_2_ X89 X91 \/ (~(c3_2_ X89 X91) \/ ~(c5_2_ X89 X91))))) \/ (ndr1_1_ X89 /\ ~(c6_2_ X89 a85_)))))))) /\ ((c8_0_ \/ (~(c10_0_) \/ (ndr1_0_ /\ (c7_1_ a86_ /\ (~(c1_1_ a86_) /\ ~(c5_1_ a86_)))))) /\ ((c8_0_ \/ (forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (~(c9_1_ X92) \/ (ndr1_1_ X92 /\ (~(c2_2_ X92 a87_) /\ (~(c3_2_ X92 a87_) /\ ~(c7_2_ X92 a87_))))))))) /\ ((c9_0_ \/ ~(c10_0_)) /\ ((c9_0_ \/ (~(c3_0_) \/ (forall X93 : Universe, (ndr1_0_ -> ((forall X94 : Universe, (ndr1_1_ X93 -> (c9_2_ X93 X94 \/ (~(c3_2_ X93 X94) \/ ~(c5_2_ X93 X94))))) \/ (ndr1_1_ X93 /\ (c1_2_ X93 a88_ /\ (c2_2_ X93 a88_ /\ ~(c4_2_ X93 a88_))))))))) /\ ((c9_0_ \/ (~(c4_0_) \/ (forall X95 : Universe, (ndr1_0_ -> (c7_1_ X95 \/ (c9_1_ X95 \/ (ndr1_1_ X95 /\ (c1_2_ X95 a89_ /\ (~(c3_2_ X95 a89_) /\ ~(c4_2_ X95 a89_)))))))))) /\ ((c9_0_ \/ (~(c5_0_) \/ (ndr1_0_ /\ (ndr1_1_ a90_ /\ (~(c3_2_ a90_ a91_) /\ ~(c9_2_ a90_ a91_)))))) /\ ((c9_0_ \/ ((forall X96 : Universe, (ndr1_0_ -> (c6_1_ X96 \/ (~(c10_1_ X96) \/ (forall X97 : Universe, (ndr1_1_ X96 -> (c3_2_ X96 X97 \/ (c9_2_ X96 X97 \/ ~(c8_2_ X96 X97))))))))) \/ (ndr1_0_ /\ (~(c6_1_ a92_) /\ (forall X98 : Universe, (ndr1_1_ a92_ -> (c10_2_ a92_ X98 \/ (c3_2_ a92_ X98 \/ ~(c6_2_ a92_ X98))))))))) /\ ((~(c1_0_) \/ ~(c4_0_)) /\ ((~(c1_0_) \/ (~(c9_0_) \/ (forall X99 : Universe, (ndr1_0_ -> (c5_1_ X99 \/ ((ndr1_1_ X99 /\ (c1_2_ X99 a93_ /\ c6_2_ X99 a93_)) \/ (ndr1_1_ X99 /\ (~(c3_2_ X99 a94_) /\ ~(c6_2_ X99 a94_))))))))) /\ ((~(c1_0_) \/ (forall X100 : Universe, (ndr1_0_ -> (c2_1_ X100 \/ (c5_1_ X100 \/ c7_1_ X100))))) /\ ((~(c1_0_) \/ ((forall X101 : Universe, (ndr1_0_ -> (c2_1_ X101 \/ (~(c10_1_ X101) \/ ~(c9_1_ X101))))) \/ (ndr1_0_ /\ (c9_1_ a95_ /\ (ndr1_1_ a95_ /\ (c1_2_ a95_ a96_ /\ (c2_2_ a95_ a96_ /\ ~(c5_2_ a95_ a96_)))))))) /\ ((~(c1_0_) \/ ((forall X102 : Universe, (ndr1_0_ -> (c4_1_ X102 \/ (~(c7_1_ X102) \/ ~(c8_1_ X102))))) \/ (ndr1_0_ /\ (c9_1_ a97_ /\ (forall X103 : Universe, (ndr1_1_ a97_ -> (c10_2_ a97_ X103 \/ (c2_2_ a97_ X103 \/ c9_2_ a97_ X103)))))))) /\ ((~(c1_0_) \/ ((forall X104 : Universe, (ndr1_0_ -> (c4_1_ X104 \/ ((forall X105 : Universe, (ndr1_1_ X104 -> (c3_2_ X104 X105 \/ (c5_2_ X104 X105 \/ ~(c7_2_ X104 X105))))) \/ (forall X106 : Universe, (ndr1_1_ X104 -> (c8_2_ X104 X106 \/ ~(c3_2_ X104 X106)))))))) \/ (forall X107 : Universe, (ndr1_0_ -> (~(c1_1_ X107) \/ (~(c7_1_ X107) \/ (forall X108 : Universe, (ndr1_1_ X107 -> (c1_2_ X107 X108 \/ (c5_2_ X107 X108 \/ ~(c2_2_ X107 X108))))))))))) /\ ((~(c1_0_) \/ ((forall X109 : Universe, (ndr1_0_ -> (~(c2_1_ X109) \/ (forall X110 : Universe, (ndr1_1_ X109 -> (c2_2_ X109 X110 \/ (~(c7_2_ X109 X110) \/ ~(c9_2_ X109 X110)))))))) \/ (ndr1_0_ /\ (~(c8_1_ a98_) /\ ((forall X111 : Universe, (ndr1_1_ a98_ -> (c5_2_ a98_ X111 \/ ~(c7_2_ a98_ X111)))) /\ (ndr1_1_ a98_ /\ (c7_2_ a98_ a99_ /\ (c8_2_ a98_ a99_ /\ ~(c1_2_ a98_ a99_))))))))) /\ ((~(c1_0_) \/ ((forall X112 : Universe, (ndr1_0_ -> (~(c5_1_ X112) \/ (ndr1_1_ X112 /\ (c3_2_ X112 a100_ /\ (~(c1_2_ X112 a100_) /\ ~(c8_2_ X112 a100_))))))) \/ (ndr1_0_ /\ ((forall X113 : Universe, (ndr1_1_ a101_ -> (c2_2_ a101_ X113 \/ ~(c5_2_ a101_ X113)))) /\ (ndr1_1_ a101_ /\ (c7_2_ a101_ a102_ /\ (~(c3_2_ a101_ a102_) /\ (ndr1_1_ a101_ /\ (~(c3_2_ a101_ a103_) /\ (~(c4_2_ a101_ a103_) /\ ~(c9_2_ a101_ a103_))))))))))) /\ ((~(c1_0_) \/ (ndr1_0_ /\ (c1_1_ a104_ /\ (ndr1_1_ a104_ /\ (c1_2_ a104_ a105_ /\ (c8_2_ a104_ a105_ /\ (~(c2_2_ a104_ a105_) /\ (ndr1_1_ a104_ /\ (c4_2_ a104_ a106_ /\ (~(c2_2_ a104_ a106_) /\ ~(c5_2_ a104_ a106_))))))))))) /\ ((~(c10_0_) \/ (~(c2_0_) \/ (ndr1_0_ /\ (c1_1_ a107_ /\ ((forall X114 : Universe, (ndr1_1_ a107_ -> (c10_2_ a107_ X114 \/ (c3_2_ a107_ X114 \/ ~(c7_2_ a107_ X114))))) /\ (ndr1_1_ a107_ /\ (c5_2_ a107_ a108_ /\ (c8_2_ a107_ a108_ /\ ~(c6_2_ a107_ a108_))))))))) /\ ((~(c10_0_) \/ (~(c3_0_) \/ (forall X115 : Universe, (ndr1_0_ -> (c7_1_ X115 \/ ((ndr1_1_ X115 /\ (c5_2_ X115 a109_ /\ (~(c10_2_ X115 a109_) /\ ~(c3_2_ X115 a109_)))) \/ (ndr1_1_ X115 /\ (c9_2_ X115 a110_ /\ (~(c1_2_ X115 a110_) /\ ~(c7_2_ X115 a110_)))))))))) /\ ((~(c10_0_) \/ (~(c6_0_) \/ (forall X116 : Universe, (ndr1_0_ -> (~(c3_1_ X116) \/ (~(c4_1_ X116) \/ (forall X117 : Universe, (ndr1_1_ X116 -> (c1_2_ X116 X117 \/ (c7_2_ X116 X117 \/ ~(c9_2_ X116 X117))))))))))) /\ ((~(c10_0_) \/ (~(c7_0_) \/ (ndr1_0_ /\ ((forall X118 : Universe, (ndr1_1_ a111_ -> (c6_2_ a111_ X118 \/ (c9_2_ a111_ X118 \/ ~(c7_2_ a111_ X118))))) /\ (ndr1_1_ a111_ /\ (c6_2_ a111_ a112_ /\ (c8_2_ a111_ a112_ /\ (~(c4_2_ a111_ a112_) /\ (ndr1_1_ a111_ /\ (c7_2_ a111_ a113_ /\ ~(c10_2_ a111_ a113_))))))))))) /\ ((~(c10_0_) \/ (~(c8_0_) \/ ~(c9_0_))) /\ ((~(c10_0_) \/ ((forall X119 : Universe, (ndr1_0_ -> (c1_1_ X119 \/ (c9_1_ X119 \/ ~(c10_1_ X119))))) \/ (ndr1_0_ /\ (~(c5_1_ a114_) /\ ((forall X120 : Universe, (ndr1_1_ a114_ -> (c1_2_ a114_ X120 \/ (c3_2_ a114_ X120 \/ c5_2_ a114_ X120)))) /\ (ndr1_1_ a114_ /\ (c3_2_ a114_ a115_ /\ (~(c2_2_ a114_ a115_) /\ ~(c9_2_ a114_ a115_))))))))) /\ ((~(c10_0_) \/ ((forall X121 : Universe, (ndr1_0_ -> (c9_1_ X121 \/ (~(c1_1_ X121) \/ (ndr1_1_ X121 /\ (c7_2_ X121 a116_ /\ (~(c3_2_ X121 a116_) /\ ~(c4_2_ X121 a116_)))))))) \/ (ndr1_0_ /\ (c9_1_ a117_ /\ (~(c5_1_ a117_) /\ (ndr1_1_ a117_ /\ (c10_2_ a117_ a118_ /\ (c5_2_ a117_ a118_ /\ ~(c3_2_ a117_ a118_))))))))) /\ ((~(c10_0_) \/ ((ndr1_0_ /\ (c5_1_ a119_ /\ (c9_1_ a119_ /\ (ndr1_1_ a119_ /\ (c1_2_ a119_ a120_ /\ (~(c10_2_ a119_ a120_) /\ ~(c4_2_ a119_ a120_))))))) \/ (ndr1_0_ /\ (~(c4_1_ a121_) /\ ((forall X122 : Universe, (ndr1_1_ a121_ -> (c1_2_ a121_ X122 \/ (~(c10_2_ a121_ X122) \/ ~(c7_2_ a121_ X122))))) /\ (ndr1_1_ a121_ /\ (c2_2_ a121_ a122_ /\ (~(c8_2_ a121_ a122_) /\ ~(c9_2_ a121_ a122_))))))))) /\ ((~(c2_0_) \/ ~(c6_0_)) /\ ((~(c2_0_) \/ (~(c9_0_) \/ (forall X123 : Universe, (ndr1_0_ -> (~(c5_1_ X123) \/ (~(c9_1_ X123) \/ (forall X124 : Universe, (ndr1_1_ X123 -> (c2_2_ X123 X124 \/ (~(c10_2_ X123 X124) \/ ~(c7_2_ X123 X124))))))))))) /\ ((~(c3_0_) \/ (~(c4_0_) \/ ~(c5_0_))) /\ ((~(c3_0_) \/ (~(c6_0_) \/ ~(c8_0_))) /\ ((~(c3_0_) \/ (forall X125 : Universe, (ndr1_0_ -> (c4_1_ X125 \/ (c9_1_ X125 \/ (forall X126 : Universe, (ndr1_1_ X125 -> (~(c1_2_ X125 X126) \/ (~(c10_2_ X125 X126) \/ ~(c5_2_ X125 X126)))))))))) /\ ((~(c3_0_) \/ ((forall X127 : Universe, (ndr1_0_ -> (c8_1_ X127 \/ ((forall X128 : Universe, (ndr1_1_ X127 -> (c7_2_ X127 X128 \/ (c8_2_ X127 X128 \/ ~(c5_2_ X127 X128))))) \/ (forall X129 : Universe, (ndr1_1_ X127 -> (~(c2_2_ X127 X129) \/ (~(c6_2_ X127 X129) \/ ~(c9_2_ X127 X129))))))))) \/ (forall X130 : Universe, (ndr1_0_ -> (c9_1_ X130 \/ ((ndr1_1_ X130 /\ (c1_2_ X130 a123_ /\ (c7_2_ X130 a123_ /\ ~(c4_2_ X130 a123_)))) \/ (ndr1_1_ X130 /\ (c3_2_ X130 a124_ /\ (~(c4_2_ X130 a124_) /\ ~(c6_2_ X130 a124_)))))))))) /\ ((~(c3_0_) \/ ((forall X131 : Universe, (ndr1_0_ -> (c9_1_ X131 \/ ((ndr1_1_ X131 /\ (c1_2_ X131 a125_ /\ (c4_2_ X131 a125_ /\ ~(c8_2_ X131 a125_)))) \/ (ndr1_1_ X131 /\ (c4_2_ X131 a126_ /\ ~(c10_2_ X131 a126_))))))) \/ (ndr1_0_ /\ (~(c6_1_ a127_) /\ (~(c9_1_ a127_) /\ (ndr1_1_ a127_ /\ (c1_2_ a127_ a128_ /\ (c10_2_ a127_ a128_ /\ c7_2_ a127_ a128_)))))))) /\ ((~(c3_0_) \/ ((forall X132 : Universe, (ndr1_0_ -> (~(c10_1_ X132) \/ ~(c3_1_ X132)))) \/ (forall X133 : Universe, (ndr1_0_ -> (~(c7_1_ X133) \/ ((forall X134 : Universe, (ndr1_1_ X133 -> (c1_2_ X133 X134 \/ (~(c8_2_ X133 X134) \/ ~(c9_2_ X133 X134))))) \/ (forall X135 : Universe, (ndr1_1_ X133 -> (c3_2_ X133 X135 \/ (c6_2_ X133 X135 \/ ~(c2_2_ X133 X135))))))))))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (c2_1_ a129_ /\ (~(c6_1_ a129_) /\ (forall X136 : Universe, (ndr1_1_ a129_ -> (c6_2_ a129_ X136 \/ (~(c8_2_ a129_ X136) \/ ~(c9_2_ a129_ X136)))))))) \/ (ndr1_0_ /\ (~(c1_1_ a130_) /\ (~(c3_1_ a130_) /\ (ndr1_1_ a130_ /\ (~(c3_2_ a130_ a131_) /\ ~(c6_2_ a130_ a131_)))))))) /\ ((~(c4_0_) \/ (ndr1_0_ /\ (c4_1_ a132_ /\ (c6_1_ a132_ /\ (ndr1_1_ a132_ /\ (c2_2_ a132_ a133_ /\ (c8_2_ a132_ a133_ /\ ~(c4_2_ a132_ a133_)))))))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (c7_1_ a134_ /\ (ndr1_1_ a134_ /\ (c1_2_ a134_ a135_ /\ (~(c10_2_ a134_ a135_) /\ (~(c6_2_ a134_ a135_) /\ (ndr1_1_ a134_ /\ (c2_2_ a134_ a136_ /\ (c8_2_ a134_ a136_ /\ ~(c10_2_ a134_ a136_)))))))))) \/ (ndr1_0_ /\ (~(c5_1_ a137_) /\ (~(c8_1_ a137_) /\ (ndr1_1_ a137_ /\ (c10_2_ a137_ a138_ /\ (c5_2_ a137_ a138_ /\ ~(c6_2_ a137_ a138_))))))))) /\ ((~(c5_0_) \/ (~(c6_0_) \/ (ndr1_0_ /\ (c6_1_ a139_ /\ (~(c2_1_ a139_) /\ (ndr1_1_ a139_ /\ (c6_2_ a139_ a140_ /\ ~(c1_2_ a139_ a140_)))))))) /\ ((~(c5_0_) \/ (~(c9_0_) \/ (ndr1_0_ /\ (~(c9_1_ a141_) /\ ((forall X137 : Universe, (ndr1_1_ a141_ -> (c10_2_ a141_ X137 \/ (c6_2_ a141_ X137 \/ ~(c8_2_ a141_ X137))))) /\ (ndr1_1_ a141_ /\ (~(c10_2_ a141_ a142_) /\ (~(c3_2_ a141_ a142_) /\ ~(c7_2_ a141_ a142_))))))))) /\ ((~(c5_0_) \/ ((forall X138 : Universe, (ndr1_0_ -> (~(c8_1_ X138) \/ ((forall X139 : Universe, (ndr1_1_ X138 -> (c6_2_ X138 X139 \/ c7_2_ X138 X139))) \/ (ndr1_1_ X138 /\ (c10_2_ X138 a143_ /\ c5_2_ X138 a143_)))))) \/ (forall X140 : Universe, (ndr1_0_ -> ((forall X141 : Universe, (ndr1_1_ X140 -> (c3_2_ X140 X141 \/ ~(c1_2_ X140 X141)))) \/ ((forall X142 : Universe, (ndr1_1_ X140 -> (c7_2_ X140 X142 \/ (~(c2_2_ X140 X142) \/ ~(c3_2_ X140 X142))))) \/ (ndr1_1_ X140 /\ (c10_2_ X140 a144_ /\ (c6_2_ X140 a144_ /\ ~(c8_2_ X140 a144_)))))))))) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ (c1_1_ a145_ /\ (~(c8_1_ a145_) /\ (forall X143 : Universe, (ndr1_1_ a145_ -> (c2_2_ a145_ X143 \/ (c9_2_ a145_ X143 \/ ~(c10_2_ a145_ X143)))))))) \/ (ndr1_0_ /\ (~(c4_1_ a146_) /\ (ndr1_1_ a146_ /\ (c10_2_ a146_ a147_ /\ (c3_2_ a146_ a147_ /\ ~(c5_2_ a146_ a147_)))))))) /\ ((~(c6_0_) \/ ((forall X144 : Universe, (ndr1_0_ -> (c1_1_ X144 \/ (c4_1_ X144 \/ ~(c5_1_ X144))))) \/ (ndr1_0_ /\ (~(c1_1_ a148_) /\ (ndr1_1_ a148_ /\ (c7_2_ a148_ a149_ /\ (c9_2_ a148_ a149_ /\ ~(c3_2_ a148_ a149_)))))))) /\ ((~(c6_0_) \/ ((forall X145 : Universe, (ndr1_0_ -> (c2_1_ X145 \/ (~(c9_1_ X145) \/ (ndr1_1_ X145 /\ (~(c10_2_ X145 a150_) /\ (~(c7_2_ X145 a150_) /\ ~(c8_2_ X145 a150_)))))))) \/ (forall X146 : Universe, (ndr1_0_ -> ((forall X147 : Universe, (ndr1_1_ X146 -> (c10_2_ X146 X147 \/ (c5_2_ X146 X147 \/ ~(c6_2_ X146 X147))))) \/ ((forall X148 : Universe, (ndr1_1_ X146 -> (c5_2_ X146 X148 \/ (c6_2_ X146 X148 \/ ~(c3_2_ X146 X148))))) \/ (forall X149 : Universe, (ndr1_1_ X146 -> (~(c1_2_ X146 X149) \/ (~(c10_2_ X146 X149) \/ ~(c9_2_ X146 X149))))))))))) /\ ((~(c7_0_) \/ (~(c8_0_) \/ (forall X150 : Universe, (ndr1_0_ -> (c2_1_ X150 \/ (c3_1_ X150 \/ ~(c9_1_ X150))))))) /\ ((~(c7_0_) \/ (~(c8_0_) \/ (forall X151 : Universe, (ndr1_0_ -> (~(c2_1_ X151) \/ (ndr1_1_ X151 /\ (c4_2_ X151 a151_ /\ (~(c6_2_ X151 a151_) /\ ~(c9_2_ X151 a151_))))))))) /\ ((~(c7_0_) \/ (~(c8_0_) \/ (ndr1_0_ /\ (ndr1_1_ a152_ /\ (c10_2_ a152_ a153_ /\ (c6_2_ a152_ a153_ /\ (c7_2_ a152_ a153_ /\ (ndr1_1_ a152_ /\ (c3_2_ a152_ a154_ /\ (c8_2_ a152_ a154_ /\ ~(c1_2_ a152_ a154_))))))))))) /\ ((~(c7_0_) \/ ((forall X152 : Universe, (ndr1_0_ -> (~(c6_1_ X152) \/ (~(c8_1_ X152) \/ (ndr1_1_ X152 /\ (~(c1_2_ X152 a155_) /\ (~(c7_2_ X152 a155_) /\ ~(c9_2_ X152 a155_)))))))) \/ (forall X153 : Universe, (ndr1_0_ -> (~(c6_1_ X153) \/ ((ndr1_1_ X153 /\ (c10_2_ X153 a156_ /\ (c3_2_ X153 a156_ /\ ~(c2_2_ X153 a156_)))) \/ (ndr1_1_ X153 /\ (c6_2_ X153 a157_ /\ (c8_2_ X153 a157_ /\ ~(c1_2_ X153 a157_)))))))))) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ (c1_1_ a158_ /\ (~(c6_1_ a158_) /\ (ndr1_1_ a158_ /\ (c1_2_ a158_ a159_ /\ (c10_2_ a158_ a159_ /\ ~(c9_2_ a158_ a159_))))))) \/ (ndr1_0_ /\ (~(c10_1_ a160_) /\ ((forall X154 : Universe, (ndr1_1_ a160_ -> (c1_2_ a160_ X154 \/ (c2_2_ a160_ X154 \/ c9_2_ a160_ X154)))) /\ (forall X155 : Universe, (ndr1_1_ a160_ -> (c2_2_ a160_ X155 \/ (c6_2_ a160_ X155 \/ ~(c4_2_ a160_ X155)))))))))) /\ ((~(c8_0_) \/ (~(c9_0_) \/ (forall X156 : Universe, (ndr1_0_ -> (c10_1_ X156 \/ (ndr1_1_ X156 /\ (c4_2_ X156 a161_ /\ (c5_2_ X156 a161_ /\ c6_2_ X156 a161_)))))))) /\ ((~(c8_0_) \/ (~(c9_0_) \/ (ndr1_0_ /\ (~(c10_1_ a162_) /\ (~(c9_1_ a162_) /\ (ndr1_1_ a162_ /\ (c2_2_ a162_ a163_ /\ (c5_2_ a162_ a163_ /\ c9_2_ a162_ a163_)))))))) /\ ((~(c8_0_) \/ ((forall X157 : Universe, (ndr1_0_ -> (c3_1_ X157 \/ (forall X158 : Universe, (ndr1_1_ X157 -> (c6_2_ X157 X158 \/ (~(c4_2_ X157 X158) \/ ~(c9_2_ X157 X158)))))))) \/ (ndr1_0_ /\ (~(c3_1_ a164_) /\ ((forall X159 : Universe, (ndr1_1_ a164_ -> (c5_2_ a164_ X159 \/ (c7_2_ a164_ X159 \/ c9_2_ a164_ X159)))) /\ (forall X160 : Universe, (ndr1_1_ a164_ -> (c8_2_ a164_ X160 \/ ~(c6_2_ a164_ X160))))))))) /\ ((~(c8_0_) \/ ((forall X161 : Universe, (ndr1_0_ -> (c6_1_ X161 \/ ((forall X162 : Universe, (ndr1_1_ X161 -> (c6_2_ X161 X162 \/ (~(c2_2_ X161 X162) \/ ~(c4_2_ X161 X162))))) \/ (forall X163 : Universe, (ndr1_1_ X161 -> (c9_2_ X161 X163 \/ (~(c2_2_ X161 X163) \/ ~(c3_2_ X161 X163))))))))) \/ (ndr1_0_ /\ (c4_1_ a165_ /\ (ndr1_1_ a165_ /\ (c10_2_ a165_ a166_ /\ (c5_2_ a165_ a166_ /\ c9_2_ a165_ a166_))))))) /\ ((~(c8_0_) \/ ((forall X164 : Universe, (ndr1_0_ -> (~(c1_1_ X164) \/ ((ndr1_1_ X164 /\ (c1_2_ X164 a167_ /\ (c10_2_ X164 a167_ /\ c8_2_ X164 a167_))) \/ (ndr1_1_ X164 /\ (c1_2_ X164 a168_ /\ (c5_2_ X164 a168_ /\ ~(c6_2_ X164 a168_)))))))) \/ (ndr1_0_ /\ ((forall X165 : Universe, (ndr1_1_ a169_ -> (c1_2_ a169_ X165 \/ (c3_2_ a169_ X165 \/ c8_2_ a169_ X165)))) /\ ((forall X166 : Universe, (ndr1_1_ a169_ -> (c2_2_ a169_ X166 \/ (~(c1_2_ a169_ X166) \/ ~(c9_2_ a169_ X166))))) /\ (ndr1_1_ a169_ /\ (c5_2_ a169_ a170_ /\ (c6_2_ a169_ a170_ /\ ~(c9_2_ a169_ a170_))))))))) /\ ((~(c8_0_) \/ ((forall X167 : Universe, (ndr1_0_ -> (~(c2_1_ X167) \/ (~(c7_1_ X167) \/ (forall X168 : Universe, (ndr1_1_ X167 -> (c10_2_ X167 X168 \/ (c4_2_ X167 X168 \/ ~(c6_2_ X167 X168))))))))) \/ (ndr1_0_ /\ (~(c1_1_ a171_) /\ (~(c4_1_ a171_) /\ ~(c8_1_ a171_)))))) /\ ((~(c8_0_) \/ ((ndr1_0_ /\ (c5_1_ a172_ /\ (~(c7_1_ a172_) /\ (ndr1_1_ a172_ /\ (~(c10_2_ a172_ a173_) /\ ~(c6_2_ a172_ a173_)))))) \/ (ndr1_0_ /\ (~(c3_1_ a174_) /\ ~(c5_1_ a174_))))) /\ ((~(c9_0_) \/ ((forall X169 : Universe, (ndr1_0_ -> (c3_1_ X169 \/ (c9_1_ X169 \/ (ndr1_1_ X169 /\ (c4_2_ X169 a175_ /\ (c7_2_ X169 a175_ /\ c9_2_ X169 a175_))))))) \/ (forall X170 : Universe, (ndr1_0_ -> ((forall X171 : Universe, (ndr1_1_ X170 -> (c1_2_ X170 X171 \/ (~(c2_2_ X170 X171) \/ ~(c8_2_ X170 X171))))) \/ ((ndr1_1_ X170 /\ (c6_2_ X170 a176_ /\ (~(c7_2_ X170 a176_) /\ ~(c8_2_ X170 a176_)))) \/ (ndr1_1_ X170 /\ (c8_2_ X170 a177_ /\ (~(c2_2_ X170 a177_) /\ ~(c3_2_ X170 a177_)))))))))) /\ ((~(c9_0_) \/ ((forall X172 : Universe, (ndr1_0_ -> (c7_1_ X172 \/ ((forall X173 : Universe, (ndr1_1_ X172 -> (c10_2_ X172 X173 \/ (c9_2_ X172 X173 \/ ~(c2_2_ X172 X173))))) \/ (ndr1_1_ X172 /\ (c5_2_ X172 a178_ /\ c8_2_ X172 a178_)))))) \/ (forall X174 : Universe, (ndr1_0_ -> (~(c2_1_ X174) \/ (ndr1_1_ X174 /\ (c10_2_ X174 a179_ /\ (~(c1_2_ X174 a179_) /\ ~(c3_2_ X174 a179_))))))))) /\ ((~(c9_0_) \/ ((forall X175 : Universe, (ndr1_0_ -> ((forall X176 : Universe, (ndr1_1_ X175 -> (c4_2_ X175 X176 \/ (~(c3_2_ X175 X176) \/ ~(c7_2_ X175 X176))))) \/ ((forall X177 : Universe, (ndr1_1_ X175 -> (c5_2_ X175 X177 \/ (~(c1_2_ X175 X177) \/ ~(c7_2_ X175 X177))))) \/ (forall X178 : Universe, (ndr1_1_ X175 -> (~(c10_2_ X175 X178) \/ (~(c5_2_ X175 X178) \/ ~(c6_2_ X175 X178))))))))) \/ (ndr1_0_ /\ (c5_1_ a180_ /\ ((forall X179 : Universe, (ndr1_1_ a180_ -> (c1_2_ a180_ X179 \/ (c2_2_ a180_ X179 \/ c6_2_ a180_ X179)))) /\ (ndr1_1_ a180_ /\ (c10_2_ a180_ a181_ /\ (c7_2_ a180_ a181_ /\ c9_2_ a180_ a181_)))))))) /\ ((~(c9_0_) \/ ((ndr1_0_ /\ (c10_1_ a182_ /\ c8_1_ a182_)) \/ (ndr1_0_ /\ (~(c6_1_ a183_) /\ ((forall X180 : Universe, (ndr1_1_ a183_ -> (c1_2_ a183_ X180 \/ ~(c4_2_ a183_ X180)))) /\ (ndr1_1_ a183_ /\ (c1_2_ a183_ a184_ /\ (~(c6_2_ a183_ a184_) /\ ~(c8_2_ a183_ a184_))))))))) /\ (((forall X181 : Universe, (ndr1_0_ -> (c10_1_ X181 \/ c2_1_ X181))) \/ ((forall X182 : Universe, (ndr1_0_ -> ((forall X183 : Universe, (ndr1_1_ X182 -> (c1_2_ X182 X183 \/ ~(c10_2_ X182 X183)))) \/ ((forall X184 : Universe, (ndr1_1_ X182 -> (c4_2_ X182 X184 \/ (c5_2_ X182 X184 \/ c7_2_ X182 X184)))) \/ (ndr1_1_ X182 /\ (~(c3_2_ X182 a185_) /\ (~(c5_2_ X182 a185_) /\ ~(c6_2_ X182 a185_)))))))) \/ (ndr1_0_ /\ (c3_1_ a186_ /\ (~(c2_1_ a186_) /\ ~(c9_1_ a186_)))))) /\ (((forall X185 : Universe, (ndr1_0_ -> (c3_1_ X185 \/ (c5_1_ X185 \/ (forall X186 : Universe, (ndr1_1_ X185 -> (c5_2_ X185 X186 \/ (~(c6_2_ X185 X186) \/ ~(c9_2_ X185 X186))))))))) \/ ((ndr1_0_ /\ (c3_1_ a187_ /\ (~(c1_1_ a187_) /\ ~(c8_1_ a187_)))) \/ (ndr1_0_ /\ (~(c3_1_ a188_) /\ (~(c9_1_ a188_) /\ (forall X187 : Universe, (ndr1_1_ a188_ -> (c7_2_ a188_ X187 \/ (~(c2_2_ a188_ X187) \/ ~(c8_2_ a188_ X187)))))))))) /\ (((forall X188 : Universe, (ndr1_0_ -> (c3_1_ X188 \/ ((forall X189 : Universe, (ndr1_1_ X188 -> (c5_2_ X188 X189 \/ (~(c2_2_ X188 X189) \/ ~(c9_2_ X188 X189))))) \/ (forall X190 : Universe, (ndr1_1_ X188 -> (c9_2_ X188 X190 \/ (~(c4_2_ X188 X190) \/ ~(c6_2_ X188 X190))))))))) \/ ((ndr1_0_ /\ (c2_1_ a189_ /\ (ndr1_1_ a189_ /\ (c2_2_ a189_ a190_ /\ (c4_2_ a189_ a190_ /\ (~(c1_2_ a189_ a190_) /\ (ndr1_1_ a189_ /\ (c2_2_ a189_ a191_ /\ (c8_2_ a189_ a191_ /\ ~(c1_2_ a189_ a191_)))))))))) \/ (ndr1_0_ /\ (c3_1_ a192_ /\ (c7_1_ a192_ /\ (ndr1_1_ a192_ /\ (c9_2_ a192_ a193_ /\ (~(c3_2_ a192_ a193_) /\ ~(c7_2_ a192_ a193_))))))))) /\ (((forall X191 : Universe, (ndr1_0_ -> (c6_1_ X191 \/ (forall X192 : Universe, (ndr1_1_ X191 -> (c1_2_ X191 X192 \/ (c5_2_ X191 X192 \/ ~(c10_2_ X191 X192)))))))) \/ ((ndr1_0_ /\ (~(c2_1_ a194_) /\ (~(c9_1_ a194_) /\ (forall X193 : Universe, (ndr1_1_ a194_ -> (c8_2_ a194_ X193 \/ (~(c1_2_ a194_ X193) \/ ~(c7_2_ a194_ X193)))))))) \/ (ndr1_0_ /\ ((forall X194 : Universe, (ndr1_1_ a195_ -> (~(c1_2_ a195_ X194) \/ (~(c2_2_ a195_ X194) \/ ~(c4_2_ a195_ X194))))) /\ (ndr1_1_ a195_ /\ (~(c2_2_ a195_ a196_) /\ (~(c8_2_ a195_ a196_) /\ (ndr1_1_ a195_ /\ (~(c4_2_ a195_ a197_) /\ (~(c7_2_ a195_ a197_) /\ ~(c9_2_ a195_ a197_))))))))))) /\ (((forall X195 : Universe, (ndr1_0_ -> (~(c1_1_ X195) \/ ((forall X196 : Universe, (ndr1_1_ X195 -> (c8_2_ X195 X196 \/ (~(c5_2_ X195 X196) \/ ~(c7_2_ X195 X196))))) \/ (ndr1_1_ X195 /\ (c1_2_ X195 a198_ /\ (c4_2_ X195 a198_ /\ ~(c2_2_ X195 a198_)))))))) \/ ((ndr1_0_ /\ (c4_1_ a199_ /\ (~(c9_1_ a199_) /\ (forall X197 : Universe, (ndr1_1_ a199_ -> (c7_2_ a199_ X197 \/ (~(c3_2_ a199_ X197) \/ ~(c4_2_ a199_ X197)))))))) \/ (ndr1_0_ /\ (c8_1_ a200_ /\ ((forall X198 : Universe, (ndr1_1_ a200_ -> (c5_2_ a200_ X198 \/ (~(c3_2_ a200_ X198) \/ ~(c9_2_ a200_ X198))))) /\ (forall X199 : Universe, (ndr1_1_ a200_ -> (c7_2_ a200_ X199 \/ (c9_2_ a200_ X199 \/ ~(c3_2_ a200_ X199)))))))))) /\ (((forall X200 : Universe, (ndr1_0_ -> (~(c5_1_ X200) \/ (~(c9_1_ X200) \/ (forall X201 : Universe, (ndr1_1_ X200 -> (c5_2_ X200 X201 \/ (~(c10_2_ X200 X201) \/ ~(c8_2_ X200 X201))))))))) \/ ((forall X202 : Universe, (ndr1_0_ -> (~(c9_1_ X202) \/ ((forall X203 : Universe, (ndr1_1_ X202 -> (c2_2_ X202 X203 \/ c5_2_ X202 X203))) \/ (forall X204 : Universe, (ndr1_1_ X202 -> (c2_2_ X202 X204 \/ (~(c10_2_ X202 X204) \/ ~(c6_2_ X202 X204))))))))) \/ (ndr1_0_ /\ (ndr1_1_ a201_ /\ (c1_2_ a201_ a202_ /\ (~(c3_2_ a201_ a202_) /\ (~(c9_2_ a201_ a202_) /\ (ndr1_1_ a201_ /\ (c3_2_ a201_ a203_ /\ (c9_2_ a201_ a203_ /\ ~(c7_2_ a201_ a203_))))))))))) /\ (((forall X205 : Universe, (ndr1_0_ -> (~(c7_1_ X205) \/ ((forall X206 : Universe, (ndr1_1_ X205 -> (c1_2_ X205 X206 \/ (~(c3_2_ X205 X206) \/ ~(c4_2_ X205 X206))))) \/ (ndr1_1_ X205 /\ (c4_2_ X205 a204_ /\ c8_2_ X205 a204_)))))) \/ ((ndr1_0_ /\ (c10_1_ a205_ /\ c2_1_ a205_)) \/ (ndr1_0_ /\ (~(c1_1_ a206_) /\ ((forall X207 : Universe, (ndr1_1_ a206_ -> (c1_2_ a206_ X207 \/ (c3_2_ a206_ X207 \/ ~(c7_2_ a206_ X207))))) /\ (ndr1_1_ a206_ /\ (c6_2_ a206_ a207_ /\ ~(c8_2_ a206_ a207_)))))))) /\ (((forall X208 : Universe, (ndr1_0_ -> ((forall X209 : Universe, (ndr1_1_ X208 -> (c9_2_ X208 X209 \/ (~(c6_2_ X208 X209) \/ ~(c8_2_ X208 X209))))) \/ ((ndr1_1_ X208 /\ (c2_2_ X208 a208_ /\ (c4_2_ X208 a208_ /\ c9_2_ X208 a208_))) \/ (ndr1_1_ X208 /\ (c3_2_ X208 a209_ /\ (c5_2_ X208 a209_ /\ ~(c10_2_ X208 a209_)))))))) \/ (ndr1_0_ /\ (c9_1_ a210_ /\ (ndr1_1_ a210_ /\ (c10_2_ a210_ a211_ /\ (c5_2_ a210_ a211_ /\ (~(c3_2_ a210_ a211_) /\ (ndr1_1_ a210_ /\ (c8_2_ a210_ a212_ /\ (~(c10_2_ a210_ a212_) /\ ~(c4_2_ a210_ a212_))))))))))) /\ ((ndr1_0_ /\ (c8_1_ a213_ /\ ((forall X210 : Universe, (ndr1_1_ a213_ -> (c7_2_ a213_ X210 \/ (~(c2_2_ a213_ X210) \/ ~(c8_2_ a213_ X210))))) /\ (ndr1_1_ a213_ /\ (~(c1_2_ a213_ a214_) /\ (~(c6_2_ a213_ a214_) /\ ~(c8_2_ a213_ a214_))))))) \/ (ndr1_0_ /\ (~(c9_1_ a215_) /\ (ndr1_1_ a215_ /\ (~(c1_2_ a215_ a216_) /\ (~(c5_2_ a215_ a216_) /\ (~(c9_2_ a215_ a216_) /\ (ndr1_1_ a215_ /\ (~(c6_2_ a215_ a217_) /\ ~(c7_2_ a215_ a217_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
