(*
% File     : SYN444+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=013
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-013.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  614 (   0 equality)
%            Maximal formula depth :   92 (  92 average)
%            Number of connectives :  842 ( 229 ~  ; 341  |; 175  &)
%                                         (   0 <=>;  97 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   34 (  30 propositional; 0-1 arity)
%            Number of functors    :   29 (  29 constant; 0-0 arity)
%            Number of variables   :   97 (   0 singleton;  97 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a288_ : Universe.
Variable a282_ : Universe.
Variable a278_ : Universe.
Variable a263_ : Universe.
Variable a260_ : Universe.
Variable a259_ : Universe.
Variable a252_ : Universe.
Variable a247_ : Universe.
Variable a246_ : Universe.
Variable a243_ : Universe.
Variable a239_ : Universe.
Variable a238_ : Universe.
Variable a237_ : Universe.
Variable a236_ : Universe.
Variable a235_ : Universe.
Variable a232_ : Universe.
Variable a230_ : Universe.
Variable a229_ : Universe.
Variable a228_ : Universe.
Variable a225_ : Universe.
Variable a224_ : Universe.
Variable a223_ : Universe.
Variable a221_ : Universe.
Variable a220_ : Universe.
Variable a218_ : Universe.
Variable a216_ : Universe.
Variable a215_ : Universe.
Variable a214_ : Universe.
Variable a213_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a213_ /\ (c3_1_ a213_ /\ ~(c2_1_ a213_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a214_ /\ (c2_1_ a214_ /\ ~(c0_1_ a214_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c2_1_ a215_ /\ (~(c0_1_ a215_) /\ ~(c1_1_ a215_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c3_1_ a216_ /\ (~(c0_1_ a216_) /\ ~(c2_1_ a216_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c3_1_ a218_ /\ (~(c0_1_ a218_) /\ ~(c1_1_ a218_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a220_ /\ (~(c0_1_ a220_) /\ ~(c3_1_ a220_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a221_ /\ (c1_1_ a221_ /\ ~(c2_1_ a221_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a224_ /\ (c3_1_ a224_ /\ ~(c1_1_ a224_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a225_ /\ (~(c2_1_ a225_) /\ ~(c3_1_ a225_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c3_1_ a228_ /\ (~(c1_1_ a228_) /\ ~(c2_1_ a228_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c2_1_ a229_ /\ (c3_1_ a229_ /\ ~(c0_1_ a229_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c2_1_ a230_ /\ (c3_1_ a230_ /\ ~(c1_1_ a230_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c0_1_ a235_) /\ (~(c1_1_ a235_) /\ ~(c3_1_ a235_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (~(c1_1_ a236_) /\ (~(c2_1_ a236_) /\ ~(c3_1_ a236_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a237_ /\ (c2_1_ a237_ /\ ~(c1_1_ a237_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a238_ /\ (c2_1_ a238_ /\ ~(c3_1_ a238_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a239_ /\ (c2_1_ a239_ /\ ~(c3_1_ a239_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c0_1_ a243_) /\ (~(c1_1_ a243_) /\ ~(c2_1_ a243_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a247_ /\ (c3_1_ a247_ /\ ~(c2_1_ a247_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a252_ /\ (~(c2_1_ a252_) /\ ~(c3_1_ a252_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a259_ /\ (c1_1_ a259_ /\ ~(c3_1_ a259_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c1_1_ a260_ /\ (~(c0_1_ a260_) /\ ~(c2_1_ a260_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a263_ /\ (c3_1_ a263_ /\ ~(c0_1_ a263_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c0_1_ a278_) /\ (~(c2_1_ a278_) /\ ~(c3_1_ a278_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a282_ /\ (~(c1_1_ a282_) /\ ~(c3_1_ a282_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a288_ /\ (~(c0_1_ a288_) /\ ~(c3_1_ a288_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c1_1_ a223_ /\ (c2_1_ a223_ /\ c3_1_ a223_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a232_ /\ (c2_1_ a232_ /\ c3_1_ a232_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a246_ /\ (c1_1_ a246_ /\ c2_1_ a246_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (~(c1_1_ V) \/ ~(c3_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (~(c0_1_ W) \/ (~(c1_1_ W) \/ ~(c2_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c3_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c2_1_ Y \/ (~(c0_1_ Y) \/ ~(c3_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c3_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (~(c1_1_ X1) \/ (~(c2_1_ X1) \/ ~(c3_1_ X1))))) \/ hskp1_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ (hskp2_ \/ hskp3_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ ~(c2_1_ X3))))) \/ ((forall X4 : Universe, (ndr1_0_ -> (c1_1_ X4 \/ (c3_1_ X4 \/ ~(c2_1_ X4))))) \/ (forall X5 : Universe, (ndr1_0_ -> (c2_1_ X5 \/ (~(c0_1_ X5) \/ ~(c1_1_ X5))))))) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c2_1_ X6))))) \/ (hskp1_ \/ hskp4_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c3_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c2_1_ X8 \/ ~(c1_1_ X8))))) \/ hskp3_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c3_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (c3_1_ X10 \/ ~(c2_1_ X10))))) \/ (forall X11 : Universe, (ndr1_0_ -> (c2_1_ X11 \/ (~(c1_1_ X11) \/ ~(c3_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c3_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c1_1_ X13 \/ (~(c0_1_ X13) \/ ~(c2_1_ X13))))) \/ hskp5_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c3_1_ X14))))) \/ (forall X15 : Universe, (ndr1_0_ -> (~(c0_1_ X15) \/ (~(c1_1_ X15) \/ ~(c3_1_ X15)))))) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c2_1_ X16 \/ c3_1_ X16)))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c3_1_ X17 \/ ~(c2_1_ X17))))) \/ (forall X18 : Universe, (ndr1_0_ -> (~(c0_1_ X18) \/ (~(c2_1_ X18) \/ ~(c3_1_ X18))))))) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c2_1_ X19 \/ c3_1_ X19)))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (~(c2_1_ X20) \/ ~(c3_1_ X20))))) \/ hskp6_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c2_1_ X21 \/ c3_1_ X21)))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c2_1_ X22 \/ (c3_1_ X22 \/ ~(c0_1_ X22))))) \/ hskp0_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ c3_1_ X23)))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c3_1_ X24 \/ (~(c1_1_ X24) \/ ~(c2_1_ X24))))) \/ hskp26_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ c3_1_ X25)))) \/ ((forall X26 : Universe, (ndr1_0_ -> (~(c0_1_ X26) \/ (~(c1_1_ X26) \/ ~(c3_1_ X26))))) \/ hskp7_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ c3_1_ X27)))) \/ (hskp8_ \/ hskp0_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c1_1_ X28))))) \/ (hskp1_ \/ hskp9_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ (hskp10_ \/ hskp11_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c3_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c1_1_ X31 \/ (c2_1_ X31 \/ ~(c0_1_ X31))))) \/ (forall X32 : Universe, (ndr1_0_ -> (c2_1_ X32 \/ (~(c1_1_ X32) \/ ~(c3_1_ X32))))))) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c3_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (~(c2_1_ X34) \/ ~(c3_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (c2_1_ X35 \/ (c3_1_ X35 \/ ~(c0_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c3_1_ X36 \/ ~(c1_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c1_1_ X37) \/ ~(c2_1_ X37))))) \/ hskp4_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c3_1_ X38 \/ ~(c1_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c3_1_ X39 \/ (~(c0_1_ X39) \/ ~(c1_1_ X39))))) \/ (forall X40 : Universe, (ndr1_0_ -> (~(c0_1_ X40) \/ (~(c1_1_ X40) \/ ~(c2_1_ X40))))))) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c3_1_ X41 \/ ~(c2_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c1_1_ X42 \/ (~(c0_1_ X42) \/ ~(c3_1_ X42))))) \/ hskp27_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c3_1_ X43 \/ ~(c2_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c3_1_ X44 \/ (~(c0_1_ X44) \/ ~(c1_1_ X44))))) \/ hskp9_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ ~(c2_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c1_1_ X46 \/ (c3_1_ X46 \/ ~(c0_1_ X46))))) \/ (forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c3_1_ X47 \/ ~(c2_1_ X47))))))) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (~(c1_1_ X48) \/ ~(c2_1_ X48))))) \/ (hskp10_ \/ hskp12_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c3_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (~(c2_1_ X50) \/ ~(c3_1_ X50))))) \/ hskp13_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c1_1_ X51) \/ ~(c3_1_ X51))))) \/ (hskp14_ \/ hskp15_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c3_1_ X52))))) \/ (hskp16_ \/ hskp2_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c2_1_ X53) \/ ~(c3_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c2_1_ X54 \/ ~(c0_1_ X54))))) \/ (forall X55 : Universe, (ndr1_0_ -> (~(c1_1_ X55) \/ (~(c2_1_ X55) \/ ~(c3_1_ X55))))))) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c2_1_ X56) \/ ~(c3_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c2_1_ X57 \/ (~(c0_1_ X57) \/ ~(c3_1_ X57))))) \/ hskp6_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c2_1_ X58 \/ c3_1_ X58)))) \/ ((forall X59 : Universe, (ndr1_0_ -> (~(c0_1_ X59) \/ (~(c2_1_ X59) \/ ~(c3_1_ X59))))) \/ hskp0_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c2_1_ X60 \/ c3_1_ X60)))) \/ ((forall X61 : Universe, (ndr1_0_ -> (~(c0_1_ X61) \/ (~(c2_1_ X61) \/ ~(c3_1_ X61))))) \/ hskp17_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c2_1_ X62 \/ ~(c0_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (~(c0_1_ X63) \/ (~(c2_1_ X63) \/ ~(c3_1_ X63))))) \/ hskp11_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (c2_1_ X64 \/ ~(c3_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c2_1_ X65 \/ (~(c1_1_ X65) \/ ~(c3_1_ X65))))) \/ hskp26_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c3_1_ X66 \/ ~(c2_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c2_1_ X67 \/ (~(c0_1_ X67) \/ ~(c1_1_ X67))))) \/ hskp28_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (c3_1_ X68 \/ ~(c2_1_ X68))))) \/ ((forall X69 : Universe, (ndr1_0_ -> (c2_1_ X69 \/ (~(c1_1_ X69) \/ ~(c3_1_ X69))))) \/ hskp18_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (~(c0_1_ X70) \/ ~(c2_1_ X70))))) \/ (hskp28_ \/ hskp15_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (~(c0_1_ X71) \/ ~(c2_1_ X71))))) \/ (hskp28_ \/ hskp18_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (~(c0_1_ X72) \/ ~(c3_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (~(c2_1_ X73) \/ ~(c3_1_ X73))))) \/ hskp19_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (~(c2_1_ X74) \/ ~(c3_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (c3_1_ X75 \/ ~(c0_1_ X75))))) \/ hskp27_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (c3_1_ X76 \/ ~(c0_1_ X76))))) \/ (hskp15_ \/ hskp0_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c2_1_ X77 \/ (~(c0_1_ X77) \/ ~(c1_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c1_1_ X78) \/ (~(c2_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp26_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c2_1_ X79 \/ (~(c0_1_ X79) \/ ~(c1_1_ X79))))) \/ (hskp6_ \/ hskp18_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c2_1_ X80 \/ (~(c0_1_ X80) \/ ~(c1_1_ X80))))) \/ (hskp20_ \/ hskp21_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c2_1_ X81 \/ (~(c1_1_ X81) \/ ~(c3_1_ X81))))) \/ (hskp20_ \/ hskp13_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c2_1_ X82 \/ (~(c1_1_ X82) \/ ~(c3_1_ X82))))) \/ (hskp22_ \/ hskp12_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c3_1_ X83 \/ (~(c0_1_ X83) \/ ~(c1_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (~(c0_1_ X84) \/ (~(c1_1_ X84) \/ ~(c3_1_ X84))))) \/ hskp3_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c3_1_ X85 \/ (~(c0_1_ X85) \/ ~(c1_1_ X85))))) \/ (hskp8_ \/ hskp3_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c3_1_ X86 \/ (~(c0_1_ X86) \/ ~(c1_1_ X86))))) \/ (hskp0_ \/ hskp12_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c3_1_ X87 \/ (~(c0_1_ X87) \/ ~(c1_1_ X87))))) \/ (hskp4_ \/ hskp13_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c3_1_ X88 \/ (~(c0_1_ X88) \/ ~(c2_1_ X88))))) \/ hskp27_) /\ (((forall X89 : Universe, (ndr1_0_ -> (~(c0_1_ X89) \/ (~(c1_1_ X89) \/ ~(c2_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (~(c0_1_ X90) \/ (~(c1_1_ X90) \/ ~(c3_1_ X90))))) \/ hskp20_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (~(c1_1_ X91) \/ (~(c2_1_ X91) \/ ~(c3_1_ X91))))) \/ (hskp5_ \/ hskp3_)) /\ ((hskp20_ \/ (hskp18_ \/ hskp23_)) /\ ((hskp15_ \/ (hskp7_ \/ hskp11_)) /\ ((hskp24_ \/ (hskp8_ \/ hskp10_)) /\ ((hskp16_ \/ (hskp9_ \/ hskp23_)) /\ ((hskp25_ \/ (hskp2_ \/ hskp3_)) /\ (hskp10_ \/ (hskp11_ \/ hskp13_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
