(*
% File     : SYN451+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=030
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-030.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  599 (   0 equality)
%            Maximal formula depth :   92 (  92 average)
%            Number of connectives :  804 ( 206 ~  ; 331  |; 175  &)
%                                         (   0 <=>;  92 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   34 (  30 propositional; 0-1 arity)
%            Number of functors    :   29 (  29 constant; 0-0 arity)
%            Number of variables   :   92 (   0 singleton;  92 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a802_ : Universe.
Variable a798_ : Universe.
Variable a797_ : Universe.
Variable a793_ : Universe.
Variable a784_ : Universe.
Variable a779_ : Universe.
Variable a777_ : Universe.
Variable a775_ : Universe.
Variable a766_ : Universe.
Variable a764_ : Universe.
Variable a763_ : Universe.
Variable a762_ : Universe.
Variable a759_ : Universe.
Variable a755_ : Universe.
Variable a750_ : Universe.
Variable a749_ : Universe.
Variable a748_ : Universe.
Variable a746_ : Universe.
Variable a744_ : Universe.
Variable a741_ : Universe.
Variable a738_ : Universe.
Variable a737_ : Universe.
Variable a735_ : Universe.
Variable a734_ : Universe.
Variable a733_ : Universe.
Variable a732_ : Universe.
Variable a731_ : Universe.
Variable a730_ : Universe.
Variable a729_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a730_ /\ (c3_1_ a730_ /\ ~(c1_1_ a730_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a731_ /\ (c3_1_ a731_ /\ ~(c2_1_ a731_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c0_1_ a732_) /\ (~(c2_1_ a732_) /\ ~(c3_1_ a732_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c2_1_ a733_ /\ (~(c0_1_ a733_) /\ ~(c1_1_ a733_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a734_ /\ (~(c0_1_ a734_) /\ ~(c3_1_ a734_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a735_ /\ (c3_1_ a735_ /\ ~(c0_1_ a735_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a738_ /\ (~(c0_1_ a738_) /\ ~(c2_1_ a738_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a741_ /\ (c3_1_ a741_ /\ ~(c0_1_ a741_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c3_1_ a744_ /\ (~(c0_1_ a744_) /\ ~(c1_1_ a744_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c3_1_ a746_ /\ (~(c0_1_ a746_) /\ ~(c2_1_ a746_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c0_1_ a748_) /\ (~(c1_1_ a748_) /\ ~(c2_1_ a748_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c0_1_ a749_) /\ (~(c1_1_ a749_) /\ ~(c3_1_ a749_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a755_ /\ (c2_1_ a755_ /\ ~(c3_1_ a755_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c2_1_ a759_ /\ (c3_1_ a759_ /\ ~(c1_1_ a759_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a762_ /\ (~(c1_1_ a762_) /\ ~(c2_1_ a762_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a763_ /\ (c1_1_ a763_ /\ ~(c2_1_ a763_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a764_ /\ (c2_1_ a764_ /\ ~(c3_1_ a764_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c1_1_ a766_ /\ (c2_1_ a766_ /\ ~(c0_1_ a766_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a775_ /\ (~(c2_1_ a775_) /\ ~(c3_1_ a775_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a777_ /\ (~(c0_1_ a777_) /\ ~(c3_1_ a777_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c2_1_ a779_ /\ (~(c1_1_ a779_) /\ ~(c3_1_ a779_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a793_ /\ (c3_1_ a793_ /\ ~(c2_1_ a793_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c3_1_ a797_ /\ (~(c1_1_ a797_) /\ ~(c2_1_ a797_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a798_ /\ (c1_1_ a798_ /\ ~(c3_1_ a798_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a802_ /\ (~(c2_1_ a802_) /\ ~(c3_1_ a802_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c0_1_ a729_ /\ (c2_1_ a729_ /\ c3_1_ a729_)))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c1_1_ a737_ /\ (c2_1_ a737_ /\ c3_1_ a737_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a750_ /\ (c1_1_ a750_ /\ c2_1_ a750_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a784_ /\ (c1_1_ a784_ /\ c3_1_ a784_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c3_1_ V \/ ~(c2_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (~(c0_1_ W) \/ (~(c1_1_ W) \/ ~(c2_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (~(c0_1_ Y) \/ ~(c3_1_ Y))))) \/ hskp25_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ (hskp0_ \/ hskp1_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c3_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c2_1_ X2 \/ ~(c3_1_ X2))))) \/ hskp2_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c3_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> (c2_1_ X4 \/ (c3_1_ X4 \/ ~(c1_1_ X4))))) \/ hskp3_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c3_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (~(c0_1_ X6) \/ ~(c1_1_ X6))))) \/ (forall X7 : Universe, (ndr1_0_ -> (~(c0_1_ X7) \/ (~(c1_1_ X7) \/ ~(c3_1_ X7))))))) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ c3_1_ X8)))) \/ (hskp4_ \/ hskp5_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c2_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c2_1_ X10 \/ ~(c1_1_ X10))))) \/ hskp0_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c2_1_ X11))))) \/ (hskp26_ \/ hskp6_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c2_1_ X12))))) \/ (hskp1_ \/ hskp2_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c3_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c3_1_ X14 \/ ~(c2_1_ X14))))) \/ hskp7_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c3_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (~(c1_1_ X16) \/ ~(c2_1_ X16))))) \/ hskp5_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c3_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c1_1_ X18 \/ (c3_1_ X18 \/ ~(c0_1_ X18))))) \/ (forall X19 : Universe, (ndr1_0_ -> (c2_1_ X19 \/ (~(c0_1_ X19) \/ ~(c1_1_ X19))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c1_1_ X20 \/ ~(c3_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c1_1_ X21 \/ (~(c0_1_ X21) \/ ~(c2_1_ X21))))) \/ hskp4_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ c3_1_ X22)))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c3_1_ X23 \/ ~(c2_1_ X23))))) \/ hskp8_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ c3_1_ X24)))) \/ (hskp5_ \/ hskp9_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c3_1_ X26 \/ ~(c1_1_ X26))))) \/ hskp5_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c1_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (~(c2_1_ X28) \/ ~(c3_1_ X28))))) \/ hskp10_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c2_1_ X30 \/ (~(c1_1_ X30) \/ ~(c3_1_ X30))))) \/ hskp11_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c1_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (~(c0_1_ X32) \/ (~(c1_1_ X32) \/ ~(c2_1_ X32))))) \/ hskp27_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c3_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (~(c1_1_ X34) \/ ~(c3_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (c2_1_ X35 \/ (~(c1_1_ X35) \/ ~(c3_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c2_1_ X37) \/ ~(c3_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (~(c1_1_ X38) \/ (~(c2_1_ X38) \/ ~(c3_1_ X38))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c3_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c1_1_ X40 \/ (c3_1_ X40 \/ ~(c2_1_ X40))))) \/ (forall X41 : Universe, (ndr1_0_ -> (c2_1_ X41 \/ (~(c0_1_ X41) \/ ~(c1_1_ X41))))))) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c2_1_ X42 \/ ~(c3_1_ X42))))) \/ (hskp27_ \/ hskp11_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c2_1_ X43 \/ ~(c3_1_ X43))))) \/ (hskp25_ \/ hskp6_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c2_1_ X44 \/ ~(c3_1_ X44))))) \/ (hskp12_ \/ hskp7_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c2_1_ X45 \/ ~(c3_1_ X45))))) \/ (hskp6_ \/ hskp4_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c3_1_ X46 \/ ~(c1_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c2_1_ X47 \/ (~(c0_1_ X47) \/ ~(c1_1_ X47))))) \/ hskp13_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c3_1_ X48 \/ ~(c1_1_ X48))))) \/ (hskp0_ \/ hskp9_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (c3_1_ X49 \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (c3_1_ X50 \/ ~(c1_1_ X50))))) \/ hskp14_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (c3_1_ X51 \/ ~(c2_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (~(c0_1_ X52) \/ (~(c1_1_ X52) \/ ~(c3_1_ X52))))) \/ hskp15_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c1_1_ X53) \/ ~(c2_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (~(c0_1_ X54) \/ (~(c2_1_ X54) \/ ~(c3_1_ X54))))) \/ hskp16_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c2_1_ X55))))) \/ (hskp27_ \/ hskp17_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (c2_1_ X57 \/ ~(c0_1_ X57))))) \/ hskp2_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (~(c2_1_ X58) \/ ~(c3_1_ X58))))) \/ ((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (~(c2_1_ X59) \/ ~(c3_1_ X59))))) \/ (forall X60 : Universe, (ndr1_0_ -> (c2_1_ X60 \/ (~(c0_1_ X60) \/ ~(c3_1_ X60))))))) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (c2_1_ X61 \/ c3_1_ X61)))) \/ (hskp27_ \/ hskp0_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c2_1_ X62 \/ ~(c0_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (~(c0_1_ X63) \/ (~(c2_1_ X63) \/ ~(c3_1_ X63))))) \/ hskp26_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (c2_1_ X64 \/ ~(c3_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c2_1_ X65 \/ (~(c1_1_ X65) \/ ~(c3_1_ X65))))) \/ hskp11_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c3_1_ X66 \/ ~(c0_1_ X66))))) \/ (hskp27_ \/ hskp5_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c3_1_ X67 \/ ~(c2_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c0_1_ X68) \/ ~(c3_1_ X68))))) \/ hskp5_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c3_1_ X69 \/ ~(c2_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (c3_1_ X70 \/ ~(c0_1_ X70))))) \/ (forall X71 : Universe, (ndr1_0_ -> (~(c0_1_ X71) \/ (~(c1_1_ X71) \/ ~(c2_1_ X71))))))) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c3_1_ X72 \/ ~(c2_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c2_1_ X73 \/ (~(c1_1_ X73) \/ ~(c3_1_ X73))))) \/ hskp18_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (~(c0_1_ X74) \/ ~(c3_1_ X74))))) \/ (hskp27_ \/ hskp19_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (~(c2_1_ X75) \/ ~(c3_1_ X75))))) \/ (hskp5_ \/ hskp20_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (c3_1_ X76 \/ ~(c0_1_ X76))))) \/ (hskp25_ \/ hskp9_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c2_1_ X77 \/ (c3_1_ X77 \/ ~(c0_1_ X77))))) \/ (hskp16_ \/ hskp3_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (c3_1_ X78 \/ ~(c1_1_ X78))))) \/ (hskp28_ \/ hskp16_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c3_1_ X79 \/ (~(c0_1_ X79) \/ ~(c1_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (~(c0_1_ X80) \/ (~(c2_1_ X80) \/ ~(c3_1_ X80))))) \/ hskp1_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c3_1_ X81 \/ (~(c0_1_ X81) \/ ~(c1_1_ X81))))) \/ (hskp18_ \/ hskp11_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c3_1_ X82 \/ (~(c1_1_ X82) \/ ~(c2_1_ X82))))) \/ (hskp27_ \/ hskp11_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (~(c0_1_ X83) \/ (~(c2_1_ X83) \/ ~(c3_1_ X83))))) \/ (hskp28_ \/ hskp11_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (~(c0_1_ X84) \/ (~(c2_1_ X84) \/ ~(c3_1_ X84))))) \/ hskp21_) /\ (((forall X85 : Universe, (ndr1_0_ -> (~(c0_1_ X85) \/ (~(c2_1_ X85) \/ ~(c3_1_ X85))))) \/ (hskp21_ \/ hskp2_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (~(c1_1_ X86) \/ (~(c2_1_ X86) \/ ~(c3_1_ X86))))) \/ (hskp16_ \/ hskp22_)) /\ ((hskp23_ \/ (hskp21_ \/ hskp17_)) /\ ((hskp23_ \/ (hskp24_ \/ hskp13_)) /\ ((hskp16_ \/ (hskp18_ \/ hskp19_)) /\ ((hskp0_ \/ (hskp5_ \/ hskp19_)) /\ ((hskp0_ \/ hskp8_) /\ (hskp7_ \/ (hskp1_ \/ hskp4_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
