(*
% File     : SYN461+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=081
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-081.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  607 (   0 equality)
%            Maximal formula depth :   92 (  92 average)
%            Number of connectives :  812 ( 206 ~  ; 336  |; 175  &)
%                                         (   0 <=>;  95 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   34 (  30 propositional; 0-1 arity)
%            Number of functors    :   29 (  29 constant; 0-0 arity)
%            Number of variables   :   95 (   0 singleton;  95 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1236_ : Universe.
Variable a1232_ : Universe.
Variable a1218_ : Universe.
Variable a1211_ : Universe.
Variable a1207_ : Universe.
Variable a1205_ : Universe.
Variable a1204_ : Universe.
Variable a1202_ : Universe.
Variable a1201_ : Universe.
Variable a1200_ : Universe.
Variable a1199_ : Universe.
Variable a1195_ : Universe.
Variable a1194_ : Universe.
Variable a1192_ : Universe.
Variable a1190_ : Universe.
Variable a1187_ : Universe.
Variable a1186_ : Universe.
Variable a1184_ : Universe.
Variable a1182_ : Universe.
Variable a1181_ : Universe.
Variable a1180_ : Universe.
Variable a1179_ : Universe.
Variable a1178_ : Universe.
Variable a1176_ : Universe.
Variable a1175_ : Universe.
Variable a1174_ : Universe.
Variable a1172_ : Universe.
Variable a1169_ : Universe.
Variable a1168_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a1168_ /\ (c1_1_ a1168_ /\ ~(c2_1_ a1168_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a1169_ /\ (~(c2_1_ a1169_) /\ ~(c3_1_ a1169_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c2_1_ a1172_ /\ (c3_1_ a1172_ /\ ~(c0_1_ a1172_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a1174_ /\ (c1_1_ a1174_ /\ ~(c3_1_ a1174_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a1175_ /\ (c2_1_ a1175_ /\ ~(c0_1_ a1175_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a1176_ /\ (c2_1_ a1176_ /\ ~(c3_1_ a1176_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a1178_ /\ (c2_1_ a1178_ /\ ~(c3_1_ a1178_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c1_1_ a1179_) /\ (~(c2_1_ a1179_) /\ ~(c3_1_ a1179_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a1180_ /\ (~(c0_1_ a1180_) /\ ~(c3_1_ a1180_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a1181_ /\ (c3_1_ a1181_ /\ ~(c2_1_ a1181_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c0_1_ a1184_) /\ (~(c1_1_ a1184_) /\ ~(c2_1_ a1184_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a1186_ /\ (~(c2_1_ a1186_) /\ ~(c3_1_ a1186_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c0_1_ a1187_) /\ (~(c2_1_ a1187_) /\ ~(c3_1_ a1187_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a1192_ /\ (~(c0_1_ a1192_) /\ ~(c2_1_ a1192_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a1194_ /\ (~(c0_1_ a1194_) /\ ~(c1_1_ a1194_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a1195_ /\ (~(c1_1_ a1195_) /\ ~(c3_1_ a1195_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a1199_ /\ (~(c0_1_ a1199_) /\ ~(c3_1_ a1199_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a1200_ /\ (~(c1_1_ a1200_) /\ ~(c2_1_ a1200_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a1202_ /\ (c3_1_ a1202_ /\ ~(c0_1_ a1202_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c3_1_ a1204_ /\ (~(c1_1_ a1204_) /\ ~(c2_1_ a1204_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a1205_ /\ (c3_1_ a1205_ /\ ~(c2_1_ a1205_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a1207_ /\ (c3_1_ a1207_ /\ ~(c1_1_ a1207_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a1211_ /\ (c3_1_ a1211_ /\ ~(c1_1_ a1211_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c0_1_ a1218_) /\ (~(c1_1_ a1218_) /\ ~(c3_1_ a1218_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c3_1_ a1232_ /\ (~(c0_1_ a1232_) /\ ~(c1_1_ a1232_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a1182_ /\ (c2_1_ a1182_ /\ c3_1_ a1182_)))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a1190_ /\ (c1_1_ a1190_ /\ c3_1_ a1190_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a1201_ /\ (c1_1_ a1201_ /\ c2_1_ a1201_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a1236_ /\ (c2_1_ a1236_ /\ c3_1_ a1236_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c2_1_ V \/ ~(c3_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (c3_1_ W \/ (~(c1_1_ W) \/ ~(c2_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (c2_1_ Y \/ ~(c3_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c2_1_ X1 \/ (~(c0_1_ X1) \/ ~(c3_1_ X1))))) \/ hskp1_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c2_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c3_1_ X3 \/ (~(c0_1_ X3) \/ ~(c2_1_ X3))))) \/ hskp0_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c3_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ ~(c2_1_ X5))))) \/ hskp0_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ c3_1_ X6)))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c3_1_ X7 \/ ~(c2_1_ X7))))) \/ (forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (~(c2_1_ X8) \/ ~(c3_1_ X8))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ c3_1_ X9)))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (c3_1_ X10 \/ ~(c0_1_ X10))))) \/ hskp2_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ c3_1_ X11)))) \/ (hskp0_ \/ hskp3_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c2_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c3_1_ X13))))) \/ (forall X14 : Universe, (ndr1_0_ -> (c3_1_ X14 \/ (~(c1_1_ X14) \/ ~(c2_1_ X14))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c3_1_ X16))))) \/ hskp4_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c2_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c1_1_ X18 \/ (c2_1_ X18 \/ c3_1_ X18)))) \/ hskp5_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c2_1_ X19 \/ c3_1_ X19)))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c1_1_ X20 \/ (~(c0_1_ X20) \/ ~(c2_1_ X20))))) \/ (forall X21 : Universe, (ndr1_0_ -> (c1_1_ X21 \/ (~(c0_1_ X21) \/ ~(c3_1_ X21))))))) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ c3_1_ X22)))) \/ (hskp3_ \/ hskp6_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ ~(c1_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c1_1_ X24 \/ (c2_1_ X24 \/ ~(c0_1_ X24))))) \/ hskp7_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c3_1_ X26 \/ (~(c0_1_ X26) \/ ~(c2_1_ X26))))) \/ hskp8_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c1_1_ X27))))) \/ (hskp9_ \/ hskp25_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c3_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c1_1_ X29 \/ (~(c2_1_ X29) \/ ~(c3_1_ X29))))) \/ hskp1_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c3_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c3_1_ X31 \/ (~(c0_1_ X31) \/ ~(c1_1_ X31))))) \/ hskp10_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c3_1_ X32 \/ ~(c1_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c2_1_ X33 \/ (~(c1_1_ X33) \/ ~(c3_1_ X33))))) \/ hskp3_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c3_1_ X34 \/ ~(c2_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c2_1_ X35 \/ (c3_1_ X35 \/ ~(c0_1_ X35))))) \/ (forall X36 : Universe, (ndr1_0_ -> (~(c0_1_ X36) \/ (~(c1_1_ X36) \/ ~(c2_1_ X36))))))) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c1_1_ X37) \/ ~(c2_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c3_1_ X38 \/ (~(c0_1_ X38) \/ ~(c2_1_ X38))))) \/ (forall X39 : Universe, (ndr1_0_ -> (~(c0_1_ X39) \/ (~(c2_1_ X39) \/ ~(c3_1_ X39))))))) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (~(c1_1_ X40) \/ ~(c3_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (c2_1_ X41 \/ ~(c3_1_ X41))))) \/ hskp11_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (~(c1_1_ X42) \/ ~(c3_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ (~(c0_1_ X43) \/ ~(c2_1_ X43))))) \/ hskp12_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c1_1_ X44) \/ ~(c3_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c3_1_ X45 \/ (~(c0_1_ X45) \/ ~(c2_1_ X45))))) \/ (forall X46 : Universe, (ndr1_0_ -> (c3_1_ X46 \/ (~(c1_1_ X46) \/ ~(c2_1_ X46))))))) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (~(c1_1_ X47) \/ ~(c3_1_ X47))))) \/ (hskp5_ \/ hskp4_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (c2_1_ X48 \/ c3_1_ X48)))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c1_1_ X49 \/ (c3_1_ X49 \/ ~(c2_1_ X49))))) \/ hskp26_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c2_1_ X50 \/ c3_1_ X50)))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (~(c0_1_ X51) \/ ~(c1_1_ X51))))) \/ hskp6_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (c2_1_ X52 \/ c3_1_ X52)))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c2_1_ X53 \/ (~(c1_1_ X53) \/ ~(c3_1_ X53))))) \/ hskp13_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c2_1_ X54 \/ c3_1_ X54)))) \/ ((forall X55 : Universe, (ndr1_0_ -> (~(c0_1_ X55) \/ (~(c2_1_ X55) \/ ~(c3_1_ X55))))) \/ hskp3_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (c2_1_ X56 \/ c3_1_ X56)))) \/ (hskp14_ \/ hskp15_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (c2_1_ X57 \/ ~(c0_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (~(c0_1_ X58) \/ ~(c3_1_ X58))))) \/ (forall X59 : Universe, (ndr1_0_ -> (c2_1_ X59 \/ (~(c0_1_ X59) \/ ~(c1_1_ X59))))))) /\ (((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c2_1_ X60 \/ ~(c0_1_ X60))))) \/ (forall X61 : Universe, (ndr1_0_ -> (~(c0_1_ X61) \/ (~(c1_1_ X61) \/ ~(c3_1_ X61)))))) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c2_1_ X62 \/ ~(c0_1_ X62))))) \/ hskp0_) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c2_1_ X63 \/ ~(c3_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c3_1_ X64 \/ (~(c0_1_ X64) \/ ~(c1_1_ X64))))) \/ hskp11_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ ~(c3_1_ X65))))) \/ (hskp0_ \/ hskp16_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (~(c0_1_ X66) \/ ~(c2_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c2_1_ X67 \/ (c3_1_ X67 \/ ~(c0_1_ X67))))) \/ hskp17_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c0_1_ X68) \/ ~(c2_1_ X68))))) \/ (hskp27_ \/ hskp18_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (~(c0_1_ X69) \/ ~(c3_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (c3_1_ X70 \/ ~(c1_1_ X70))))) \/ (forall X71 : Universe, (ndr1_0_ -> (~(c0_1_ X71) \/ (~(c1_1_ X71) \/ ~(c2_1_ X71))))))) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (~(c0_1_ X72) \/ ~(c3_1_ X72))))) \/ (hskp13_ \/ hskp19_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (~(c2_1_ X73) \/ ~(c3_1_ X73))))) \/ (hskp20_ \/ hskp12_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (~(c2_1_ X74) \/ ~(c3_1_ X74))))) \/ (hskp21_ \/ hskp12_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (c3_1_ X75 \/ ~(c0_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (~(c0_1_ X76) \/ (~(c1_1_ X76) \/ ~(c3_1_ X76))))) \/ hskp11_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c2_1_ X77 \/ (c3_1_ X77 \/ ~(c0_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c0_1_ X78) \/ (~(c1_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp13_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c2_1_ X79 \/ (c3_1_ X79 \/ ~(c0_1_ X79))))) \/ (hskp22_ \/ hskp17_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c2_1_ X80 \/ (c3_1_ X80 \/ ~(c0_1_ X80))))) \/ (hskp22_ \/ hskp14_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c2_1_ X81 \/ (c3_1_ X81 \/ ~(c0_1_ X81))))) \/ (hskp9_ \/ hskp18_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c2_1_ X82 \/ (c3_1_ X82 \/ ~(c1_1_ X82))))) \/ (hskp19_ \/ hskp23_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (~(c0_1_ X83) \/ ~(c1_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c3_1_ X84 \/ (~(c0_1_ X84) \/ ~(c1_1_ X84))))) \/ hskp25_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (~(c1_1_ X85) \/ ~(c3_1_ X85))))) \/ (hskp26_ \/ hskp8_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c3_1_ X86 \/ (~(c0_1_ X86) \/ ~(c2_1_ X86))))) \/ (hskp22_ \/ hskp14_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c3_1_ X87 \/ (~(c0_1_ X87) \/ ~(c2_1_ X87))))) \/ (hskp11_ \/ hskp15_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (~(c0_1_ X88) \/ (~(c2_1_ X88) \/ ~(c3_1_ X88))))) \/ (hskp22_ \/ hskp2_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (~(c0_1_ X89) \/ (~(c2_1_ X89) \/ ~(c3_1_ X89))))) \/ (hskp13_ \/ hskp10_)) /\ ((hskp26_ \/ (hskp17_ \/ hskp24_)) /\ ((hskp0_ \/ (hskp1_ \/ hskp14_)) /\ ((hskp28_ \/ hskp8_) /\ ((hskp17_ \/ (hskp13_ \/ hskp2_)) /\ ((hskp17_ \/ (hskp1_ \/ hskp16_)) /\ ((hskp6_ \/ (hskp21_ \/ hskp14_)) /\ (hskp8_ \/ (hskp21_ \/ hskp19_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
