(*
% File     : SYN462+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=083
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-083.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  593 (   0 equality)
%            Maximal formula depth :   94 (  94 average)
%            Number of connectives :  807 ( 215 ~  ; 322  |; 183  &)
%                                         (   0 <=>;  87 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :   87 (   0 singleton;  87 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a356_ : Universe.
Variable a352_ : Universe.
Variable a337_ : Universe.
Variable a318_ : Universe.
Variable a313_ : Universe.
Variable a311_ : Universe.
Variable a307_ : Universe.
Variable a305_ : Universe.
Variable a304_ : Universe.
Variable a303_ : Universe.
Variable a298_ : Universe.
Variable a295_ : Universe.
Variable a293_ : Universe.
Variable a291_ : Universe.
Variable a287_ : Universe.
Variable a286_ : Universe.
Variable a284_ : Universe.
Variable a282_ : Universe.
Variable a281_ : Universe.
Variable a280_ : Universe.
Variable a278_ : Universe.
Variable a276_ : Universe.
Variable a275_ : Universe.
Variable a274_ : Universe.
Variable a273_ : Universe.
Variable a272_ : Universe.
Variable a271_ : Universe.
Variable a270_ : Universe.
Variable a269_ : Universe.
Variable a268_ : Universe.
Variable a267_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a267_ /\ (~(c2_1_ a267_) /\ ~(c3_1_ a267_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c3_1_ a268_ /\ (~(c1_1_ a268_) /\ ~(c2_1_ a268_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a269_ /\ (~(c1_1_ a269_) /\ ~(c2_1_ a269_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a270_ /\ (c3_1_ a270_ /\ ~(c2_1_ a270_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a271_) /\ (~(c1_1_ a271_) /\ ~(c3_1_ a271_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a272_ /\ (~(c1_1_ a272_) /\ ~(c3_1_ a272_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a273_ /\ (c2_1_ a273_ /\ ~(c0_1_ a273_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a274_ /\ (c1_1_ a274_ /\ ~(c3_1_ a274_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c0_1_ a275_) /\ (~(c2_1_ a275_) /\ ~(c3_1_ a275_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a280_ /\ (c3_1_ a280_ /\ ~(c1_1_ a280_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c3_1_ a281_ /\ (~(c0_1_ a281_) /\ ~(c2_1_ a281_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c2_1_ a282_ /\ (~(c0_1_ a282_) /\ ~(c1_1_ a282_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c2_1_ a284_ /\ (~(c0_1_ a284_) /\ ~(c3_1_ a284_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a286_ /\ (c3_1_ a286_ /\ ~(c0_1_ a286_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c1_1_ a287_ /\ (~(c0_1_ a287_) /\ ~(c2_1_ a287_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a291_ /\ (c3_1_ a291_ /\ ~(c0_1_ a291_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a293_ /\ (c1_1_ a293_ /\ ~(c2_1_ a293_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c3_1_ a295_ /\ (~(c0_1_ a295_) /\ ~(c1_1_ a295_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a298_ /\ (c3_1_ a298_ /\ ~(c2_1_ a298_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a303_ /\ (c2_1_ a303_ /\ ~(c3_1_ a303_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a305_ /\ (~(c0_1_ a305_) /\ ~(c3_1_ a305_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a307_ /\ (c2_1_ a307_ /\ ~(c1_1_ a307_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a311_ /\ (c2_1_ a311_ /\ ~(c3_1_ a311_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c1_1_ a313_) /\ (~(c2_1_ a313_) /\ ~(c3_1_ a313_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c2_1_ a318_ /\ (~(c1_1_ a318_) /\ ~(c3_1_ a318_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a352_ /\ (~(c2_1_ a352_) /\ ~(c3_1_ a352_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a356_) /\ (~(c1_1_ a356_) /\ ~(c2_1_ a356_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c1_1_ a276_ /\ (c2_1_ a276_ /\ c3_1_ a276_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a278_ /\ (c1_1_ a278_ /\ c3_1_ a278_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a304_ /\ (c1_1_ a304_ /\ c2_1_ a304_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a337_ /\ (c2_1_ a337_ /\ c3_1_ a337_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (c2_1_ V \/ c3_1_ V)))) \/ (forall W : Universe, (ndr1_0_ -> (c1_1_ W \/ (~(c0_1_ W) \/ ~(c2_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (c2_1_ Y \/ ~(c3_1_ Y))))) \/ (forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ (c3_1_ Z \/ ~(c2_1_ Z))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ (hskp0_ \/ hskp1_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c2_1_ X3 \/ c3_1_ X3)))) \/ hskp2_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c2_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ ~(c3_1_ X5))))) \/ hskp3_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c2_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (~(c1_1_ X7) \/ ~(c3_1_ X7))))) \/ (forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (~(c0_1_ X8) \/ ~(c1_1_ X8))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c2_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (c3_1_ X10 \/ ~(c0_1_ X10))))) \/ hskp4_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c2_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c2_1_ X12 \/ (c3_1_ X12 \/ ~(c0_1_ X12))))) \/ hskp5_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c3_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (~(c0_1_ X14) \/ (~(c1_1_ X14) \/ ~(c2_1_ X14))))) \/ hskp6_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c3_1_ X15))))) \/ (hskp7_ \/ hskp8_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c3_1_ X16))))) \/ (hskp27_ \/ hskp1_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c2_1_ X17 \/ c3_1_ X17)))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c3_1_ X18 \/ ~(c2_1_ X18))))) \/ hskp28_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c2_1_ X19 \/ ~(c1_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (~(c0_1_ X20) \/ (~(c2_1_ X20) \/ ~(c3_1_ X20))))) \/ hskp27_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c2_1_ X21 \/ ~(c1_1_ X21))))) \/ hskp9_) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ ~(c3_1_ X22))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (~(c1_1_ X23) \/ ~(c3_1_ X23))))) \/ (forall X24 : Universe, (ndr1_0_ -> (~(c0_1_ X24) \/ (~(c1_1_ X24) \/ ~(c3_1_ X24))))))) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c3_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (~(c2_1_ X26) \/ ~(c3_1_ X26))))) \/ hskp10_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c3_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c2_1_ X28 \/ (~(c1_1_ X28) \/ ~(c3_1_ X28))))) \/ hskp11_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c3_1_ X29 \/ ~(c1_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c1_1_ X30 \/ (~(c0_1_ X30) \/ ~(c3_1_ X30))))) \/ (forall X31 : Universe, (ndr1_0_ -> (c3_1_ X31 \/ (~(c0_1_ X31) \/ ~(c1_1_ X31))))))) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c3_1_ X32 \/ ~(c2_1_ X32))))) \/ (hskp7_ \/ hskp12_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c3_1_ X33 \/ ~(c2_1_ X33))))) \/ (hskp6_ \/ hskp13_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c3_1_ X34 \/ ~(c2_1_ X34))))) \/ hskp14_) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c3_1_ X35 \/ ~(c2_1_ X35))))) \/ (hskp1_ \/ hskp4_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (~(c1_1_ X36) \/ ~(c2_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c1_1_ X37 \/ (c3_1_ X37 \/ ~(c0_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (c3_1_ X38 \/ (~(c0_1_ X38) \/ ~(c2_1_ X38))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (~(c1_1_ X39) \/ ~(c2_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (~(c0_1_ X40) \/ (~(c2_1_ X40) \/ ~(c3_1_ X40))))) \/ hskp6_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (~(c1_1_ X41) \/ ~(c2_1_ X41))))) \/ (hskp15_ \/ hskp12_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (~(c1_1_ X42) \/ ~(c3_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ (~(c0_1_ X43) \/ ~(c3_1_ X43))))) \/ hskp16_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c1_1_ X44) \/ ~(c3_1_ X44))))) \/ (hskp0_ \/ hskp17_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (c2_1_ X45 \/ c3_1_ X45)))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c3_1_ X46 \/ (~(c0_1_ X46) \/ ~(c2_1_ X46))))) \/ hskp7_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c2_1_ X47 \/ ~(c0_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c2_1_ X48 \/ (c3_1_ X48 \/ ~(c0_1_ X48))))) \/ (forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (c3_1_ X49 \/ ~(c1_1_ X49))))))) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c2_1_ X50 \/ ~(c0_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (~(c1_1_ X51) \/ ~(c3_1_ X51))))) \/ hskp7_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (c2_1_ X52 \/ ~(c0_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (~(c0_1_ X53) \/ (~(c1_1_ X53) \/ ~(c2_1_ X53))))) \/ hskp18_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c2_1_ X54 \/ ~(c3_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c2_1_ X55 \/ (~(c0_1_ X55) \/ ~(c1_1_ X55))))) \/ (forall X56 : Universe, (ndr1_0_ -> (c3_1_ X56 \/ (~(c1_1_ X56) \/ ~(c2_1_ X56))))))) /\ (((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (c2_1_ X57 \/ ~(c3_1_ X57))))) \/ (hskp0_ \/ hskp10_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c2_1_ X58 \/ ~(c3_1_ X58))))) \/ hskp8_) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (c3_1_ X59 \/ ~(c0_1_ X59))))) \/ (hskp27_ \/ hskp19_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (~(c0_1_ X60) \/ ~(c2_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (~(c0_1_ X61) \/ ~(c3_1_ X61))))) \/ (forall X62 : Universe, (ndr1_0_ -> (~(c1_1_ X62) \/ (~(c2_1_ X62) \/ ~(c3_1_ X62))))))) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (~(c0_1_ X63) \/ ~(c2_1_ X63))))) \/ (hskp29_ \/ hskp20_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (~(c0_1_ X64) \/ ~(c3_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c2_1_ X65 \/ (c3_1_ X65 \/ ~(c0_1_ X65))))) \/ hskp1_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (~(c0_1_ X66) \/ ~(c3_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c3_1_ X67 \/ (~(c1_1_ X67) \/ ~(c2_1_ X67))))) \/ hskp21_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c2_1_ X68) \/ ~(c3_1_ X68))))) \/ ((forall X69 : Universe, (ndr1_0_ -> (c2_1_ X69 \/ (~(c0_1_ X69) \/ ~(c1_1_ X69))))) \/ hskp8_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (~(c2_1_ X70) \/ ~(c3_1_ X70))))) \/ (hskp29_ \/ hskp5_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (~(c2_1_ X71) \/ ~(c3_1_ X71))))) \/ (hskp22_ \/ hskp0_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (~(c1_1_ X72) \/ ~(c3_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (~(c0_1_ X73) \/ (~(c1_1_ X73) \/ ~(c3_1_ X73))))) \/ hskp23_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c3_1_ X74 \/ (~(c0_1_ X74) \/ ~(c1_1_ X74))))) \/ (hskp28_ \/ hskp23_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c3_1_ X75 \/ (~(c0_1_ X75) \/ ~(c2_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (~(c0_1_ X76) \/ (~(c1_1_ X76) \/ ~(c2_1_ X76))))) \/ hskp0_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c3_1_ X77 \/ (~(c0_1_ X77) \/ ~(c2_1_ X77))))) \/ (hskp21_ \/ hskp24_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (~(c0_1_ X78) \/ (~(c1_1_ X78) \/ ~(c2_1_ X78))))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (~(c0_1_ X79) \/ (~(c1_1_ X79) \/ ~(c3_1_ X79))))) \/ (hskp7_ \/ hskp19_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (~(c1_1_ X80) \/ (~(c2_1_ X80) \/ ~(c3_1_ X80))))) \/ (hskp7_ \/ hskp8_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (~(c1_1_ X81) \/ (~(c2_1_ X81) \/ ~(c3_1_ X81))))) \/ (hskp19_ \/ hskp20_)) /\ ((hskp29_ \/ (hskp22_ \/ hskp11_)) /\ ((hskp29_ \/ (hskp9_ \/ hskp11_)) /\ ((hskp16_ \/ (hskp7_ \/ hskp18_)) /\ ((hskp16_ \/ (hskp30_ \/ hskp5_)) /\ ((hskp30_ \/ (hskp14_ \/ hskp17_)) /\ ((hskp21_ \/ (hskp10_ \/ hskp23_)) /\ ((hskp22_ \/ (hskp6_ \/ hskp9_)) /\ ((hskp0_ \/ (hskp19_ \/ hskp9_)) /\ ((hskp14_ \/ (hskp25_ \/ hskp12_)) /\ (hskp12_ \/ (hskp1_ \/ hskp26_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
