(*
% File     : SYN470+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=68, K=3, D=1, P=0, Index=095
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-68-3-1-095.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  679 (   0 equality)
%            Maximal formula depth :  103 ( 103 average)
%            Number of connectives :  924 ( 246 ~  ; 378  |; 195  &)
%                                         (   0 <=>; 105 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  105 (   0 singleton; 105 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a568_ : Universe.
Variable a559_ : Universe.
Variable a558_ : Universe.
Variable a554_ : Universe.
Variable a541_ : Universe.
Variable a540_ : Universe.
Variable a538_ : Universe.
Variable a536_ : Universe.
Variable a534_ : Universe.
Variable a533_ : Universe.
Variable a532_ : Universe.
Variable a530_ : Universe.
Variable a528_ : Universe.
Variable a527_ : Universe.
Variable a522_ : Universe.
Variable a520_ : Universe.
Variable a514_ : Universe.
Variable a512_ : Universe.
Variable a510_ : Universe.
Variable a509_ : Universe.
Variable a507_ : Universe.
Variable a505_ : Universe.
Variable a504_ : Universe.
Variable a502_ : Universe.
Variable a501_ : Universe.
Variable a500_ : Universe.
Variable a499_ : Universe.
Variable a498_ : Universe.
Variable a497_ : Universe.
Variable a496_ : Universe.
Variable a495_ : Universe.
Variable a494_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c3_1_ a494_ /\ (~(c0_1_ a494_) /\ ~(c2_1_ a494_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a495_ /\ (~(c0_1_ a495_) /\ ~(c3_1_ a495_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c1_1_ a496_) /\ (~(c2_1_ a496_) /\ ~(c3_1_ a496_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c2_1_ a497_ /\ (~(c0_1_ a497_) /\ ~(c1_1_ a497_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a498_ /\ (~(c0_1_ a498_) /\ ~(c2_1_ a498_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a499_ /\ (c2_1_ a499_ /\ ~(c1_1_ a499_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a501_ /\ (c2_1_ a501_ /\ ~(c3_1_ a501_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c0_1_ a502_) /\ (~(c1_1_ a502_) /\ ~(c3_1_ a502_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c2_1_ a505_ /\ (c3_1_ a505_ /\ ~(c0_1_ a505_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c3_1_ a507_ /\ (~(c0_1_ a507_) /\ ~(c1_1_ a507_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a509_ /\ (c3_1_ a509_ /\ ~(c2_1_ a509_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a510_ /\ (~(c1_1_ a510_) /\ ~(c2_1_ a510_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a514_ /\ (c3_1_ a514_ /\ ~(c2_1_ a514_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a520_ /\ (c2_1_ a520_ /\ ~(c3_1_ a520_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a527_ /\ (~(c1_1_ a527_) /\ ~(c3_1_ a527_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a528_ /\ (c1_1_ a528_ /\ ~(c3_1_ a528_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a530_ /\ (c3_1_ a530_ /\ ~(c1_1_ a530_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c3_1_ a532_ /\ (~(c1_1_ a532_) /\ ~(c2_1_ a532_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a533_ /\ (c2_1_ a533_ /\ ~(c0_1_ a533_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a534_ /\ (~(c2_1_ a534_) /\ ~(c3_1_ a534_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c0_1_ a536_) /\ (~(c1_1_ a536_) /\ ~(c2_1_ a536_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a538_ /\ (~(c1_1_ a538_) /\ ~(c3_1_ a538_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a540_ /\ (c3_1_ a540_ /\ ~(c0_1_ a540_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a541_ /\ (c1_1_ a541_ /\ ~(c2_1_ a541_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a554_ /\ (~(c2_1_ a554_) /\ ~(c3_1_ a554_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c2_1_ a558_ /\ (~(c0_1_ a558_) /\ ~(c3_1_ a558_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a559_) /\ (~(c2_1_ a559_) /\ ~(c3_1_ a559_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a568_ /\ (c3_1_ a568_ /\ ~(c1_1_ a568_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a500_ /\ (c2_1_ a500_ /\ c3_1_ a500_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a504_ /\ (c1_1_ a504_ /\ c3_1_ a504_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c1_1_ a512_ /\ (c2_1_ a512_ /\ c3_1_ a512_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a522_ /\ (c1_1_ a522_ /\ c2_1_ a522_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (c3_1_ V \/ ~(c2_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c3_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c2_1_ X \/ c3_1_ X)))) \/ (forall Y : Universe, (ndr1_0_ -> (c3_1_ Y \/ (~(c1_1_ Y) \/ ~(c2_1_ Y))))))) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c3_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c1_1_ X1 \/ (c3_1_ X1 \/ ~(c0_1_ X1))))) \/ hskp1_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (~(c0_1_ X3) \/ (~(c1_1_ X3) \/ ~(c2_1_ X3))))) \/ hskp2_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c2_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (~(c2_1_ X5) \/ ~(c3_1_ X5))))) \/ hskp3_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c2_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c3_1_ X7 \/ (~(c0_1_ X7) \/ ~(c2_1_ X7))))) \/ hskp4_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c2_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (~(c0_1_ X9) \/ (~(c1_1_ X9) \/ ~(c2_1_ X9))))) \/ hskp5_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c2_1_ X10))))) \/ (hskp28_ \/ hskp6_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c3_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c2_1_ X12 \/ ~(c1_1_ X12))))) \/ (forall X13 : Universe, (ndr1_0_ -> (c2_1_ X13 \/ (~(c1_1_ X13) \/ ~(c3_1_ X13))))))) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c3_1_ X14))))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c1_1_ X15 \/ (~(c0_1_ X15) \/ ~(c2_1_ X15))))) \/ hskp7_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c3_1_ X16))))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c1_1_ X17 \/ (~(c0_1_ X17) \/ ~(c3_1_ X17))))) \/ hskp28_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c1_1_ X18 \/ ~(c3_1_ X18))))) \/ (hskp29_ \/ hskp8_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ (hskp6_ \/ hskp9_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ c3_1_ X20)))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (~(c1_1_ X21) \/ ~(c2_1_ X21))))) \/ (forall X22 : Universe, (ndr1_0_ -> (~(c1_1_ X22) \/ (~(c2_1_ X22) \/ ~(c3_1_ X22))))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ c3_1_ X23)))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c2_1_ X24 \/ (~(c0_1_ X24) \/ ~(c1_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (c3_1_ X25 \/ (~(c0_1_ X25) \/ ~(c1_1_ X25))))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (~(c0_1_ X27) \/ ~(c1_1_ X27))))) \/ hskp6_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ c3_1_ X28)))) \/ (hskp10_ \/ hskp11_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (~(c1_1_ X30) \/ ~(c2_1_ X30))))) \/ (forall X31 : Universe, (ndr1_0_ -> (c2_1_ X31 \/ (~(c1_1_ X31) \/ ~(c3_1_ X31))))))) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ ~(c1_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c1_1_ X33 \/ (c2_1_ X33 \/ ~(c0_1_ X33))))) \/ hskp9_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c1_1_ X34))))) \/ (hskp30_ \/ hskp4_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c2_1_ X35 \/ ~(c1_1_ X35))))) \/ (hskp12_ \/ hskp8_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c3_1_ X37 \/ ~(c1_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (c3_1_ X38 \/ (~(c0_1_ X38) \/ ~(c1_1_ X38))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c3_1_ X39 \/ ~(c1_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c1_1_ X40 \/ (~(c0_1_ X40) \/ ~(c3_1_ X40))))) \/ hskp8_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c3_1_ X41 \/ ~(c1_1_ X41))))) \/ (hskp1_ \/ hskp7_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c3_1_ X42 \/ ~(c2_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (~(c0_1_ X43) \/ (~(c1_1_ X43) \/ ~(c2_1_ X43))))) \/ hskp28_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c2_1_ X44))))) \/ (hskp13_ \/ hskp30_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ ~(c2_1_ X45))))) \/ (hskp31_ \/ hskp30_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c1_1_ X46) \/ ~(c2_1_ X46))))) \/ (hskp31_ \/ hskp1_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (~(c1_1_ X47) \/ ~(c3_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (c2_1_ X48 \/ ~(c0_1_ X48))))) \/ hskp10_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c3_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (~(c0_1_ X50) \/ ~(c3_1_ X50))))) \/ (forall X51 : Universe, (ndr1_0_ -> (c3_1_ X51 \/ (~(c0_1_ X51) \/ ~(c1_1_ X51))))))) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c2_1_ X52) \/ ~(c3_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c2_1_ X53 \/ ~(c0_1_ X53))))) \/ hskp14_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c2_1_ X54) \/ ~(c3_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c2_1_ X55 \/ (~(c0_1_ X55) \/ ~(c1_1_ X55))))) \/ hskp15_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c2_1_ X56) \/ ~(c3_1_ X56))))) \/ (hskp28_ \/ hskp16_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c2_1_ X57) \/ ~(c3_1_ X57))))) \/ (hskp4_ \/ hskp17_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c2_1_ X58 \/ c3_1_ X58)))) \/ (hskp18_ \/ hskp19_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (c2_1_ X59 \/ ~(c0_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c2_1_ X60 \/ ~(c3_1_ X60))))) \/ hskp9_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (c2_1_ X61 \/ ~(c0_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (~(c0_1_ X62) \/ ~(c2_1_ X62))))) \/ hskp20_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c2_1_ X63 \/ ~(c0_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c3_1_ X64 \/ (~(c0_1_ X64) \/ ~(c1_1_ X64))))) \/ hskp9_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ ~(c0_1_ X65))))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c3_1_ X66 \/ (~(c1_1_ X66) \/ ~(c2_1_ X66))))) \/ hskp21_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ ~(c0_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (~(c0_1_ X68) \/ (~(c1_1_ X68) \/ ~(c2_1_ X68))))) \/ hskp3_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c3_1_ X69 \/ ~(c0_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (c3_1_ X70 \/ ~(c0_1_ X70))))) \/ hskp22_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c3_1_ X71 \/ ~(c0_1_ X71))))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c3_1_ X72 \/ (~(c0_1_ X72) \/ ~(c1_1_ X72))))) \/ hskp23_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c3_1_ X73 \/ ~(c0_1_ X73))))) \/ (hskp31_ \/ hskp4_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c3_1_ X74 \/ ~(c0_1_ X74))))) \/ (hskp5_ \/ hskp7_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c3_1_ X75 \/ ~(c2_1_ X75))))) \/ (hskp12_ \/ hskp20_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (~(c0_1_ X76) \/ ~(c3_1_ X76))))) \/ ((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (~(c2_1_ X77) \/ ~(c3_1_ X77))))) \/ hskp29_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (~(c2_1_ X78) \/ ~(c3_1_ X78))))) \/ ((forall X79 : Universe, (ndr1_0_ -> (c2_1_ X79 \/ (~(c1_1_ X79) \/ ~(c3_1_ X79))))) \/ hskp20_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c2_1_ X80 \/ (~(c0_1_ X80) \/ ~(c1_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c2_1_ X81 \/ (~(c0_1_ X81) \/ ~(c3_1_ X81))))) \/ hskp2_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c2_1_ X82 \/ (~(c0_1_ X82) \/ ~(c1_1_ X82))))) \/ ((forall X83 : Universe, (ndr1_0_ -> (~(c1_1_ X83) \/ (~(c2_1_ X83) \/ ~(c3_1_ X83))))) \/ hskp31_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c2_1_ X84 \/ (~(c0_1_ X84) \/ ~(c1_1_ X84))))) \/ (hskp5_ \/ hskp4_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (~(c0_1_ X85) \/ ~(c3_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (c3_1_ X86 \/ (~(c0_1_ X86) \/ ~(c2_1_ X86))))) \/ hskp24_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (~(c0_1_ X87) \/ ~(c3_1_ X87))))) \/ (hskp15_ \/ hskp10_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c2_1_ X88 \/ (~(c1_1_ X88) \/ ~(c3_1_ X88))))) \/ ((forall X89 : Universe, (ndr1_0_ -> (c3_1_ X89 \/ (~(c0_1_ X89) \/ ~(c2_1_ X89))))) \/ hskp17_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (~(c1_1_ X90) \/ ~(c3_1_ X90))))) \/ (hskp25_ \/ hskp26_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c3_1_ X91 \/ (~(c0_1_ X91) \/ ~(c1_1_ X91))))) \/ ((forall X92 : Universe, (ndr1_0_ -> (~(c0_1_ X92) \/ (~(c2_1_ X92) \/ ~(c3_1_ X92))))) \/ hskp2_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c3_1_ X93 \/ (~(c0_1_ X93) \/ ~(c1_1_ X93))))) \/ (hskp16_ \/ hskp25_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c3_1_ X94 \/ (~(c1_1_ X94) \/ ~(c2_1_ X94))))) \/ ((forall X95 : Universe, (ndr1_0_ -> (~(c0_1_ X95) \/ (~(c2_1_ X95) \/ ~(c3_1_ X95))))) \/ hskp0_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (~(c0_1_ X96) \/ (~(c1_1_ X96) \/ ~(c2_1_ X96))))) \/ (hskp12_ \/ hskp8_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (~(c1_1_ X97) \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ (hskp13_ \/ hskp3_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (~(c1_1_ X98) \/ (~(c2_1_ X98) \/ ~(c3_1_ X98))))) \/ (hskp27_ \/ hskp19_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (~(c1_1_ X99) \/ (~(c2_1_ X99) \/ ~(c3_1_ X99))))) \/ (hskp22_ \/ hskp17_)) /\ ((hskp15_ \/ (hskp13_ \/ hskp12_)) /\ ((hskp28_ \/ (hskp13_ \/ hskp10_)) /\ ((hskp28_ \/ (hskp21_ \/ hskp20_)) /\ ((hskp13_ \/ (hskp6_ \/ hskp14_)) /\ ((hskp27_ \/ (hskp10_ \/ hskp26_)) /\ ((hskp11_ \/ (hskp17_ \/ hskp26_)) /\ (hskp4_ \/ (hskp8_ \/ hskp2_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
