(*
% File     : SYN492+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=008
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-008.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  122 (   0 equality)
%            Maximal formula depth :   28 (  28 average)
%            Number of connectives :  172 (  51 ~  ;  51  |;  59  &)
%                                         (   0 <=>;  11 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   18 (  14 propositional; 0-1 arity)
%            Number of functors    :   13 (  13 constant; 0-0 arity)
%            Number of variables   :   11 (   0 singleton;  11 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp2_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a37_ : Universe.
Variable a36_ : Universe.
Variable a35_ : Universe.
Variable a34_ : Universe.
Variable a33_ : Universe.
Variable a32_ : Universe.
Variable a31_ : Universe.
Variable a30_ : Universe.
Variable a29_ : Universe.
Variable a28_ : Universe.
Variable a27_ : Universe.
Variable a26_ : Universe.
Variable a25_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c0_1_ a27_) /\ (c3_1_ a27_ /\ ~(c2_1_ a27_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c2_1_ a28_) /\ (c1_1_ a28_ /\ ~(c0_1_ a28_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c3_1_ a29_) /\ (c1_1_ a29_ /\ ~(c2_1_ a29_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c1_1_ a31_) /\ (c2_1_ a31_ /\ ~(c3_1_ a31_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a33_ /\ (~(c2_1_ a33_) /\ ~(c0_1_ a33_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a34_ /\ (~(c3_1_ a34_) /\ ~(c2_1_ a34_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c3_1_ a35_) /\ (~(c0_1_ a35_) /\ ~(c2_1_ a35_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c3_1_ a36_) /\ (~(c2_1_ a36_) /\ ~(c0_1_ a36_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c2_1_ a37_ /\ (c3_1_ a37_ /\ ~(c1_1_ a37_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c1_1_ a25_ /\ (~(c3_1_ a25_) /\ c0_1_ a25_)))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c3_1_ a26_) /\ (c1_1_ a26_ /\ c0_1_ a26_)))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c3_1_ a30_ /\ (c0_1_ a30_ /\ c2_1_ a30_)))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c0_1_ a32_) /\ (c1_1_ a32_ /\ c3_1_ a32_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c3_1_ U \/ (~(c0_1_ U) \/ ~(c1_1_ U))))) \/ (hskp9_ \/ hskp10_)) /\ ((hskp0_ \/ ((forall V : Universe, (ndr1_0_ -> (~(c3_1_ V) \/ (c1_1_ V \/ c2_1_ V)))) \/ hskp1_)) /\ (((forall W : Universe, (ndr1_0_ -> (c3_1_ W \/ (c2_1_ W \/ c0_1_ W)))) \/ (hskp2_ \/ (forall X : Universe, (ndr1_0_ -> (~(c1_1_ X) \/ (c0_1_ X \/ ~(c2_1_ X))))))) /\ ((hskp11_ \/ (hskp3_ \/ hskp12_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (c0_1_ Y \/ ~(c2_1_ Y))))) \/ ((forall Z : Universe, (ndr1_0_ -> (~(c3_1_ Z) \/ (c0_1_ Z \/ ~(c1_1_ Z))))) \/ hskp4_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (~(c0_1_ X1) \/ (c1_1_ X1 \/ ~(c2_1_ X1))))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c3_1_ X2 \/ (c0_1_ X2 \/ c1_1_ X2)))) \/ hskp5_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (~(c3_1_ X3) \/ (~(c2_1_ X3) \/ ~(c0_1_ X3))))) \/ (hskp6_ \/ (forall X4 : Universe, (ndr1_0_ -> (~(c3_1_ X4) \/ (c1_1_ X4 \/ c0_1_ X4)))))) /\ (hskp7_ \/ ((forall X5 : Universe, (ndr1_0_ -> (~(c1_1_ X5) \/ (c2_1_ X5 \/ c0_1_ X5)))) \/ hskp8_))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
