(*
% File     : SYN496+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=078
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-078.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  115 (   0 equality)
%            Maximal formula depth :   26 (  26 average)
%            Number of connectives :  157 (  43 ~  ;  51  |;  51  &)
%                                         (   0 <=>;  12 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (  12 propositional; 0-1 arity)
%            Number of functors    :   11 (  11 constant; 0-0 arity)
%            Number of variables   :   12 (   0 singleton;  12 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp2_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a89_ : Universe.
Variable a88_ : Universe.
Variable a87_ : Universe.
Variable a86_ : Universe.
Variable a85_ : Universe.
Variable a84_ : Universe.
Variable a83_ : Universe.
Variable a82_ : Universe.
Variable a81_ : Universe.
Variable a80_ : Universe.
Variable a79_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c1_1_ a81_) /\ (~(c3_1_ a81_) /\ ~(c0_1_ a81_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c3_1_ a83_) /\ (c2_1_ a83_ /\ ~(c1_1_ a83_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a85_ /\ (~(c0_1_ a85_) /\ ~(c3_1_ a85_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a87_ /\ (c2_1_ a87_ /\ ~(c3_1_ a87_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c2_1_ a88_) /\ (~(c0_1_ a88_) /\ ~(c1_1_ a88_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c3_1_ a79_ /\ (c1_1_ a79_ /\ c2_1_ a79_)))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c3_1_ a80_ /\ (c0_1_ a80_ /\ c1_1_ a80_)))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c3_1_ a82_) /\ (c1_1_ a82_ /\ c2_1_ a82_)))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c2_1_ a84_) /\ (c3_1_ a84_ /\ c1_1_ a84_)))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c3_1_ a86_) /\ (c0_1_ a86_ /\ c2_1_ a86_)))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c0_1_ a89_) /\ (~(c2_1_ a89_) /\ c1_1_ a89_)))) /\ (((forall U : Universe, (ndr1_0_ -> (~(c0_1_ U) \/ (~(c2_1_ U) \/ c3_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c2_1_ V \/ (c1_1_ V \/ c3_1_ V)))) \/ hskp5_)) /\ ((hskp6_ \/ (hskp0_ \/ hskp7_)) /\ ((hskp1_ \/ (hskp8_ \/ (forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c3_1_ W \/ ~(c2_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c2_1_ X \/ (c1_1_ X \/ c3_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c3_1_ Y \/ (~(c1_1_ Y) \/ ~(c2_1_ Y))))) \/ (forall Z : Universe, (ndr1_0_ -> (~(c3_1_ Z) \/ (c1_1_ Z \/ ~(c0_1_ Z))))))) /\ ((hskp2_ \/ ((forall X1 : Universe, (ndr1_0_ -> (c1_1_ X1 \/ (c2_1_ X1 \/ c0_1_ X1)))) \/ (forall X2 : Universe, (ndr1_0_ -> (~(c1_1_ X2) \/ (~(c2_1_ X2) \/ c0_1_ X2)))))) /\ (((forall X3 : Universe, (ndr1_0_ -> (~(c0_1_ X3) \/ (~(c1_1_ X3) \/ ~(c2_1_ X3))))) \/ ((forall X4 : Universe, (ndr1_0_ -> (~(c1_1_ X4) \/ (~(c0_1_ X4) \/ c3_1_ X4)))) \/ hskp9_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (~(c2_1_ X5) \/ (c3_1_ X5 \/ c1_1_ X5)))) \/ (hskp3_ \/ (forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (c0_1_ X6 \/ c3_1_ X6)))))) /\ (hskp4_ \/ (hskp10_ \/ hskp1_))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
