(*
% File     : SYN497+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=090
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-090.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  124 (   0 equality)
%            Maximal formula depth :   29 (  29 average)
%            Number of connectives :  172 (  49 ~  ;  50  |;  63  &)
%                                         (   0 <=>;  10 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   19 (  15 propositional; 0-1 arity)
%            Number of functors    :   14 (  14 constant; 0-0 arity)
%            Number of variables   :   10 (   0 singleton;  10 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp2_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a99_ : Universe.
Variable a98_ : Universe.
Variable a97_ : Universe.
Variable a96_ : Universe.
Variable a95_ : Universe.
Variable a94_ : Universe.
Variable a93_ : Universe.
Variable a92_ : Universe.
Variable a91_ : Universe.
Variable a104_ : Universe.
Variable a103_ : Universe.
Variable a102_ : Universe.
Variable a101_ : Universe.
Variable a100_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c2_1_ a93_) /\ (c3_1_ a93_ /\ ~(c1_1_ a93_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a94_ /\ (c1_1_ a94_ /\ ~(c0_1_ a94_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a96_ /\ (c3_1_ a96_ /\ ~(c2_1_ a96_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c1_1_ a97_) /\ (c3_1_ a97_ /\ ~(c0_1_ a97_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a102_ /\ (~(c3_1_ a102_) /\ ~(c1_1_ a102_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a104_ /\ (c0_1_ a104_ /\ ~(c2_1_ a104_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c2_1_ a91_) /\ (~(c3_1_ a91_) /\ c1_1_ a91_)))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a92_ /\ (c1_1_ a92_ /\ c2_1_ a92_)))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c3_1_ a95_) /\ (c0_1_ a95_ /\ c2_1_ a95_)))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c0_1_ a98_) /\ (~(c2_1_ a98_) /\ c1_1_ a98_)))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a99_ /\ (c0_1_ a99_ /\ c3_1_ a99_)))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c0_1_ a100_) /\ (c3_1_ a100_ /\ c2_1_ a100_)))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c3_1_ a101_) /\ (c1_1_ a101_ /\ c0_1_ a101_)))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c2_1_ a103_ /\ (c1_1_ a103_ /\ c3_1_ a103_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c2_1_ U \/ (c3_1_ U \/ ~(c0_1_ U))))) \/ (hskp6_ \/ hskp7_)) /\ (((forall V : Universe, (ndr1_0_ -> (~(c0_1_ V) \/ (c3_1_ V \/ ~(c2_1_ V))))) \/ (hskp0_ \/ (forall W : Universe, (ndr1_0_ -> (~(c1_1_ W) \/ (~(c0_1_ W) \/ c3_1_ W)))))) /\ ((hskp1_ \/ (hskp8_ \/ hskp2_)) /\ ((hskp3_ \/ ((forall X : Universe, (ndr1_0_ -> (~(c1_1_ X) \/ (~(c3_1_ X) \/ c2_1_ X)))) \/ hskp9_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c3_1_ Y \/ (~(c0_1_ Y) \/ ~(c2_1_ Y))))) \/ (hskp10_ \/ (forall Z : Universe, (ndr1_0_ -> (~(c2_1_ Z) \/ (~(c0_1_ Z) \/ ~(c1_1_ Z))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> (~(c2_1_ X1) \/ (c1_1_ X1 \/ c0_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (~(c1_1_ X2) \/ (c2_1_ X2 \/ ~(c0_1_ X2))))) \/ (forall X3 : Universe, (ndr1_0_ -> (~(c2_1_ X3) \/ (c3_1_ X3 \/ ~(c0_1_ X3))))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (~(c1_1_ X4) \/ c2_1_ X4)))) \/ (hskp11_ \/ hskp12_)) /\ (hskp4_ \/ (hskp13_ \/ hskp5_)))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
