(*
% File     : SYN506+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=057
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-057.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  759 (   0 equality)
%            Maximal formula depth :  112 ( 112 average)
%            Number of connectives : 1030 ( 272 ~  ; 437  |; 195  &)
%                                         (   0 <=>; 126 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   34 (  30 propositional; 0-1 arity)
%            Number of functors    :   29 (  29 constant; 0-0 arity)
%            Number of variables   :  126 (   0 singleton; 126 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a419_ : Universe.
Variable a401_ : Universe.
Variable a377_ : Universe.
Variable a367_ : Universe.
Variable a359_ : Universe.
Variable a358_ : Universe.
Variable a355_ : Universe.
Variable a354_ : Universe.
Variable a353_ : Universe.
Variable a349_ : Universe.
Variable a348_ : Universe.
Variable a347_ : Universe.
Variable a346_ : Universe.
Variable a345_ : Universe.
Variable a343_ : Universe.
Variable a341_ : Universe.
Variable a338_ : Universe.
Variable a337_ : Universe.
Variable a334_ : Universe.
Variable a333_ : Universe.
Variable a332_ : Universe.
Variable a330_ : Universe.
Variable a329_ : Universe.
Variable a327_ : Universe.
Variable a326_ : Universe.
Variable a325_ : Universe.
Variable a324_ : Universe.
Variable a323_ : Universe.
Variable a322_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a322_ /\ (c3_1_ a322_ /\ ~(c0_1_ a322_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c1_1_ a323_) /\ (~(c2_1_ a323_) /\ ~(c3_1_ a323_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c0_1_ a324_) /\ (~(c1_1_ a324_) /\ ~(c3_1_ a324_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a325_ /\ (c1_1_ a325_ /\ ~(c2_1_ a325_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a326_ /\ (c2_1_ a326_ /\ ~(c1_1_ a326_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a327_ /\ (c1_1_ a327_ /\ ~(c3_1_ a327_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a329_ /\ (~(c1_1_ a329_) /\ ~(c3_1_ a329_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c3_1_ a330_ /\ (~(c0_1_ a330_) /\ ~(c1_1_ a330_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c0_1_ a332_) /\ (~(c2_1_ a332_) /\ ~(c3_1_ a332_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a334_ /\ (~(c0_1_ a334_) /\ ~(c1_1_ a334_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a337_ /\ (~(c2_1_ a337_) /\ ~(c3_1_ a337_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c0_1_ a338_) /\ (~(c1_1_ a338_) /\ ~(c2_1_ a338_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a345_ /\ (c3_1_ a345_ /\ ~(c2_1_ a345_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a346_ /\ (c2_1_ a346_ /\ ~(c3_1_ a346_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a347_ /\ (c3_1_ a347_ /\ ~(c1_1_ a347_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a348_ /\ (~(c1_1_ a348_) /\ ~(c3_1_ a348_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a349_ /\ (c3_1_ a349_ /\ ~(c2_1_ a349_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c1_1_ a353_ /\ (c2_1_ a353_ /\ ~(c0_1_ a353_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a354_ /\ (~(c2_1_ a354_) /\ ~(c3_1_ a354_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a355_ /\ (c2_1_ a355_ /\ ~(c3_1_ a355_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c2_1_ a358_ /\ (~(c0_1_ a358_) /\ ~(c3_1_ a358_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c3_1_ a359_ /\ (~(c0_1_ a359_) /\ ~(c2_1_ a359_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c3_1_ a367_ /\ (~(c1_1_ a367_) /\ ~(c2_1_ a367_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a377_ /\ (c3_1_ a377_ /\ ~(c0_1_ a377_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a401_ /\ (~(c0_1_ a401_) /\ ~(c2_1_ a401_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c0_1_ a419_ /\ (~(c1_1_ a419_) /\ ~(c2_1_ a419_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a333_ /\ (c1_1_ a333_ /\ c3_1_ a333_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c1_1_ a341_ /\ (c2_1_ a341_ /\ c3_1_ a341_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a343_ /\ (c1_1_ a343_ /\ c2_1_ a343_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c2_1_ V \/ ~(c1_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c2_1_ X \/ ~(c3_1_ X))))) \/ hskp1_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c2_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ (c3_1_ Z \/ ~(c2_1_ Z))))) \/ hskp2_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c2_1_ X2)))) \/ (hskp5_ \/ hskp1_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c3_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> (~(c0_1_ X4) \/ (~(c1_1_ X4) \/ ~(c2_1_ X4))))) \/ hskp6_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c3_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (~(c0_1_ X6) \/ (~(c2_1_ X6) \/ ~(c3_1_ X6))))) \/ hskp7_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (~(c1_1_ X8) \/ ~(c2_1_ X8))))) \/ hskp5_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c2_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (~(c0_1_ X10) \/ ~(c3_1_ X10))))) \/ (forall X11 : Universe, (ndr1_0_ -> (c1_1_ X11 \/ (~(c2_1_ X11) \/ ~(c3_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c2_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (~(c1_1_ X13) \/ (~(c2_1_ X13) \/ ~(c3_1_ X13))))) \/ hskp8_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c3_1_ X14))))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c1_1_ X15 \/ (c2_1_ X15 \/ ~(c0_1_ X15))))) \/ hskp26_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c3_1_ X16))))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c1_1_ X17 \/ (c2_1_ X17 \/ ~(c0_1_ X17))))) \/ hskp9_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c1_1_ X18 \/ ~(c3_1_ X18))))) \/ ((forall X19 : Universe, (ndr1_0_ -> (~(c0_1_ X19) \/ (~(c1_1_ X19) \/ ~(c2_1_ X19))))) \/ hskp7_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ c3_1_ X20)))) \/ (hskp5_ \/ hskp10_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c2_1_ X21 \/ ~(c1_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c3_1_ X22 \/ ~(c1_1_ X22))))) \/ hskp11_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ ~(c1_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c1_1_ X24 \/ (~(c0_1_ X24) \/ ~(c2_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (c2_1_ X25 \/ (c3_1_ X25 \/ ~(c0_1_ X25))))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ ~(c1_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c1_1_ X27 \/ (~(c2_1_ X27) \/ ~(c3_1_ X27))))) \/ hskp5_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c1_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c2_1_ X29 \/ (~(c0_1_ X29) \/ ~(c3_1_ X29))))) \/ (forall X30 : Universe, (ndr1_0_ -> (~(c0_1_ X30) \/ (~(c2_1_ X30) \/ ~(c3_1_ X30))))))) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c1_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c3_1_ X32 \/ (~(c1_1_ X32) \/ ~(c2_1_ X32))))) \/ (forall X33 : Universe, (ndr1_0_ -> (~(c0_1_ X33) \/ (~(c1_1_ X33) \/ ~(c2_1_ X33))))))) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c1_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c3_1_ X35 \/ (~(c1_1_ X35) \/ ~(c2_1_ X35))))) \/ hskp4_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c3_1_ X37 \/ ~(c1_1_ X37))))) \/ hskp27_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c2_1_ X38 \/ ~(c3_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c3_1_ X39 \/ ~(c1_1_ X39))))) \/ hskp7_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c2_1_ X40 \/ ~(c3_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (c2_1_ X41 \/ ~(c0_1_ X41))))) \/ (forall X42 : Universe, (ndr1_0_ -> (c1_1_ X42 \/ (~(c2_1_ X42) \/ ~(c3_1_ X42))))))) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c2_1_ X43 \/ ~(c3_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c2_1_ X44 \/ (~(c0_1_ X44) \/ ~(c3_1_ X44))))) \/ hskp28_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c3_1_ X45 \/ ~(c1_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c1_1_ X46 \/ (~(c0_1_ X46) \/ ~(c2_1_ X46))))) \/ (forall X47 : Universe, (ndr1_0_ -> (c2_1_ X47 \/ (c3_1_ X47 \/ ~(c1_1_ X47))))))) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c3_1_ X48 \/ ~(c1_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (~(c0_1_ X49) \/ ~(c3_1_ X49))))) \/ hskp26_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (c3_1_ X50 \/ ~(c2_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c1_1_ X51 \/ (~(c0_1_ X51) \/ ~(c3_1_ X51))))) \/ hskp12_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (c3_1_ X52 \/ ~(c2_1_ X52))))) \/ (hskp13_ \/ hskp14_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c1_1_ X53) \/ ~(c2_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c2_1_ X54 \/ ~(c0_1_ X54))))) \/ hskp15_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c2_1_ X55))))) \/ (hskp16_ \/ hskp9_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (c2_1_ X57 \/ ~(c0_1_ X57))))) \/ (forall X58 : Universe, (ndr1_0_ -> (c2_1_ X58 \/ (~(c1_1_ X58) \/ ~(c3_1_ X58))))))) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c1_1_ X59) \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (~(c0_1_ X60) \/ ~(c2_1_ X60))))) \/ hskp12_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c2_1_ X61) \/ ~(c3_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c3_1_ X62 \/ (~(c0_1_ X62) \/ ~(c2_1_ X62))))) \/ hskp4_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c2_1_ X63) \/ ~(c3_1_ X63))))) \/ (hskp17_ \/ hskp18_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c0_1_ X64 \/ (~(c2_1_ X64) \/ ~(c3_1_ X64))))) \/ (hskp19_ \/ hskp11_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ c3_1_ X65)))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ ~(c3_1_ X66))))) \/ hskp12_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ c3_1_ X67)))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c0_1_ X68) \/ ~(c3_1_ X68))))) \/ hskp20_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ c3_1_ X69)))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c3_1_ X70 \/ (~(c0_1_ X70) \/ ~(c1_1_ X70))))) \/ hskp21_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c2_1_ X71 \/ c3_1_ X71)))) \/ (hskp5_ \/ hskp14_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ c3_1_ X72)))) \/ (hskp15_ \/ hskp16_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c2_1_ X73 \/ ~(c0_1_ X73))))) \/ (hskp19_ \/ hskp0_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c2_1_ X74 \/ ~(c0_1_ X74))))) \/ (hskp7_ \/ hskp22_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c2_1_ X75 \/ ~(c3_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (~(c0_1_ X76) \/ ~(c3_1_ X76))))) \/ hskp2_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c2_1_ X77 \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (~(c1_1_ X78) \/ ~(c3_1_ X78))))) \/ (forall X79 : Universe, (ndr1_0_ -> (~(c0_1_ X79) \/ (~(c1_1_ X79) \/ ~(c2_1_ X79))))))) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (c3_1_ X80 \/ ~(c0_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c2_1_ X81 \/ (c3_1_ X81 \/ ~(c0_1_ X81))))) \/ hskp22_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c3_1_ X82 \/ ~(c2_1_ X82))))) \/ ((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (~(c0_1_ X83) \/ ~(c2_1_ X83))))) \/ hskp5_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (c3_1_ X84 \/ ~(c2_1_ X84))))) \/ ((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (~(c0_1_ X85) \/ ~(c3_1_ X85))))) \/ hskp19_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (~(c0_1_ X86) \/ ~(c2_1_ X86))))) \/ ((forall X87 : Universe, (ndr1_0_ -> (c3_1_ X87 \/ (~(c0_1_ X87) \/ ~(c1_1_ X87))))) \/ hskp19_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (~(c0_1_ X88) \/ ~(c2_1_ X88))))) \/ ((forall X89 : Universe, (ndr1_0_ -> (~(c0_1_ X89) \/ (~(c1_1_ X89) \/ ~(c3_1_ X89))))) \/ hskp6_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c1_1_ X90 \/ (~(c0_1_ X90) \/ ~(c2_1_ X90))))) \/ (hskp26_ \/ hskp27_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (~(c0_1_ X91) \/ ~(c3_1_ X91))))) \/ ((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (~(c1_1_ X92) \/ ~(c3_1_ X92))))) \/ hskp14_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c1_1_ X93 \/ (~(c0_1_ X93) \/ ~(c3_1_ X93))))) \/ (hskp23_ \/ hskp22_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c1_1_ X94 \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))) \/ ((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (~(c0_1_ X95) \/ ~(c1_1_ X95))))) \/ hskp17_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c1_1_ X96 \/ (~(c2_1_ X96) \/ ~(c3_1_ X96))))) \/ ((forall X97 : Universe, (ndr1_0_ -> (~(c1_1_ X97) \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ hskp22_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c1_1_ X98 \/ (~(c2_1_ X98) \/ ~(c3_1_ X98))))) \/ hskp15_) /\ (((forall X99 : Universe, (ndr1_0_ -> (c2_1_ X99 \/ (c3_1_ X99 \/ ~(c0_1_ X99))))) \/ ((forall X100 : Universe, (ndr1_0_ -> (c2_1_ X100 \/ (~(c0_1_ X100) \/ ~(c3_1_ X100))))) \/ (forall X101 : Universe, (ndr1_0_ -> (~(c0_1_ X101) \/ (~(c2_1_ X101) \/ ~(c3_1_ X101))))))) /\ (((forall X102 : Universe, (ndr1_0_ -> (c2_1_ X102 \/ (c3_1_ X102 \/ ~(c0_1_ X102))))) \/ ((forall X103 : Universe, (ndr1_0_ -> (~(c0_1_ X103) \/ (~(c1_1_ X103) \/ ~(c2_1_ X103))))) \/ hskp10_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c2_1_ X104 \/ (c3_1_ X104 \/ ~(c0_1_ X104))))) \/ (hskp28_ \/ hskp27_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (c2_1_ X105 \/ (c3_1_ X105 \/ ~(c0_1_ X105))))) \/ (hskp3_ \/ hskp8_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c2_1_ X106 \/ (~(c0_1_ X106) \/ ~(c1_1_ X106))))) \/ ((forall X107 : Universe, (ndr1_0_ -> (c3_1_ X107 \/ (~(c0_1_ X107) \/ ~(c1_1_ X107))))) \/ hskp8_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c2_1_ X108 \/ (~(c0_1_ X108) \/ ~(c1_1_ X108))))) \/ ((forall X109 : Universe, (ndr1_0_ -> (~(c1_1_ X109) \/ (~(c2_1_ X109) \/ ~(c3_1_ X109))))) \/ hskp20_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c2_1_ X110 \/ (~(c0_1_ X110) \/ ~(c1_1_ X110))))) \/ (hskp13_ \/ hskp12_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (c2_1_ X111 \/ (~(c1_1_ X111) \/ ~(c3_1_ X111))))) \/ hskp28_) /\ (((forall X112 : Universe, (ndr1_0_ -> (c3_1_ X112 \/ (~(c0_1_ X112) \/ ~(c2_1_ X112))))) \/ (hskp3_ \/ hskp10_)) /\ (((forall X113 : Universe, (ndr1_0_ -> (c3_1_ X113 \/ (~(c0_1_ X113) \/ ~(c2_1_ X113))))) \/ (hskp4_ \/ hskp16_)) /\ (((forall X114 : Universe, (ndr1_0_ -> (c3_1_ X114 \/ (~(c0_1_ X114) \/ ~(c2_1_ X114))))) \/ (hskp2_ \/ hskp1_)) /\ (((forall X115 : Universe, (ndr1_0_ -> (c3_1_ X115 \/ (~(c1_1_ X115) \/ ~(c2_1_ X115))))) \/ (hskp28_ \/ hskp7_)) /\ (((forall X116 : Universe, (ndr1_0_ -> (~(c0_1_ X116) \/ (~(c1_1_ X116) \/ ~(c2_1_ X116))))) \/ (hskp17_ \/ hskp24_)) /\ (((forall X117 : Universe, (ndr1_0_ -> (~(c0_1_ X117) \/ (~(c1_1_ X117) \/ ~(c3_1_ X117))))) \/ ((forall X118 : Universe, (ndr1_0_ -> (~(c1_1_ X118) \/ (~(c2_1_ X118) \/ ~(c3_1_ X118))))) \/ hskp10_)) /\ (((forall X119 : Universe, (ndr1_0_ -> (~(c0_1_ X119) \/ (~(c2_1_ X119) \/ ~(c3_1_ X119))))) \/ (hskp5_ \/ hskp16_)) /\ (((forall X120 : Universe, (ndr1_0_ -> (~(c1_1_ X120) \/ (~(c2_1_ X120) \/ ~(c3_1_ X120))))) \/ (hskp3_ \/ hskp10_)) /\ ((hskp26_ \/ (hskp24_ \/ hskp2_)) /\ ((hskp3_ \/ (hskp5_ \/ hskp4_)) /\ ((hskp4_ \/ (hskp13_ \/ hskp8_)) /\ ((hskp12_ \/ (hskp17_ \/ hskp14_)) /\ ((hskp25_ \/ hskp16_) /\ ((hskp25_ \/ (hskp11_ \/ hskp1_)) /\ ((hskp17_ \/ (hskp24_ \/ hskp8_)) /\ ((hskp17_ \/ (hskp18_ \/ hskp11_)) /\ (hskp24_ \/ hskp7_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
