(*
% File     : SYN507+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=060
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-060.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  740 (   0 equality)
%            Maximal formula depth :  113 ( 113 average)
%            Number of connectives :  994 ( 255 ~  ; 423  |; 199  &)
%                                         (   0 <=>; 117 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :  117 (   0 singleton; 117 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a678_ : Universe.
Variable a651_ : Universe.
Variable a648_ : Universe.
Variable a636_ : Universe.
Variable a633_ : Universe.
Variable a629_ : Universe.
Variable a623_ : Universe.
Variable a617_ : Universe.
Variable a612_ : Universe.
Variable a611_ : Universe.
Variable a610_ : Universe.
Variable a607_ : Universe.
Variable a606_ : Universe.
Variable a604_ : Universe.
Variable a603_ : Universe.
Variable a601_ : Universe.
Variable a600_ : Universe.
Variable a599_ : Universe.
Variable a598_ : Universe.
Variable a595_ : Universe.
Variable a593_ : Universe.
Variable a592_ : Universe.
Variable a590_ : Universe.
Variable a589_ : Universe.
Variable a588_ : Universe.
Variable a587_ : Universe.
Variable a586_ : Universe.
Variable a585_ : Universe.
Variable a584_ : Universe.
Variable a583_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a584_ /\ (~(c0_1_ a584_) /\ ~(c2_1_ a584_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a585_ /\ (c2_1_ a585_ /\ ~(c0_1_ a585_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a586_ /\ (c2_1_ a586_ /\ ~(c3_1_ a586_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a587_ /\ (c2_1_ a587_ /\ ~(c1_1_ a587_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a588_ /\ (~(c1_1_ a588_) /\ ~(c2_1_ a588_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a589_ /\ (c1_1_ a589_ /\ ~(c2_1_ a589_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a590_ /\ (c3_1_ a590_ /\ ~(c0_1_ a590_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c2_1_ a592_ /\ (~(c0_1_ a592_) /\ ~(c3_1_ a592_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a593_ /\ (c3_1_ a593_ /\ ~(c2_1_ a593_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c0_1_ a595_) /\ (~(c1_1_ a595_) /\ ~(c3_1_ a595_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a598_ /\ (c3_1_ a598_ /\ ~(c1_1_ a598_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c2_1_ a599_ /\ (c3_1_ a599_ /\ ~(c1_1_ a599_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a600_ /\ (c2_1_ a600_ /\ ~(c3_1_ a600_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (~(c0_1_ a601_) /\ (~(c1_1_ a601_) /\ ~(c2_1_ a601_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a603_ /\ (~(c1_1_ a603_) /\ ~(c3_1_ a603_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a604_ /\ (c3_1_ a604_ /\ ~(c0_1_ a604_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a606_ /\ (~(c2_1_ a606_) /\ ~(c3_1_ a606_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c3_1_ a607_ /\ (~(c1_1_ a607_) /\ ~(c2_1_ a607_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c3_1_ a610_ /\ (~(c0_1_ a610_) /\ ~(c2_1_ a610_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a617_ /\ (~(c0_1_ a617_) /\ ~(c1_1_ a617_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c1_1_ a623_) /\ (~(c2_1_ a623_) /\ ~(c3_1_ a623_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a629_ /\ (~(c2_1_ a629_) /\ ~(c3_1_ a629_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a633_ /\ (~(c0_1_ a633_) /\ ~(c3_1_ a633_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c3_1_ a636_ /\ (~(c0_1_ a636_) /\ ~(c1_1_ a636_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a648_ /\ (c1_1_ a648_ /\ ~(c3_1_ a648_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c2_1_ a651_ /\ (~(c1_1_ a651_) /\ ~(c3_1_ a651_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a583_ /\ (c1_1_ a583_ /\ c2_1_ a583_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a611_ /\ (c1_1_ a611_ /\ c3_1_ a611_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a612_ /\ (c2_1_ a612_ /\ c3_1_ a612_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a678_ /\ (c2_1_ a678_ /\ c3_1_ a678_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ (hskp26_ \/ hskp0_)) /\ (((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c3_1_ V)))) \/ ((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c2_1_ W \/ ~(c1_1_ W))))) \/ (forall X : Universe, (ndr1_0_ -> (c2_1_ X \/ (c3_1_ X \/ ~(c0_1_ X))))))) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c3_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (~(c1_1_ Z) \/ ~(c3_1_ Z))))) \/ hskp1_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c3_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c1_1_ X2 \/ (c3_1_ X2 \/ ~(c2_1_ X2))))) \/ hskp2_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c3_1_ X3)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c2_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (~(c2_1_ X5) \/ ~(c3_1_ X5))))) \/ (forall X6 : Universe, (ndr1_0_ -> (~(c0_1_ X6) \/ (~(c1_1_ X6) \/ ~(c3_1_ X6))))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ (hskp5_ \/ hskp6_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c2_1_ X8))))) \/ (hskp2_ \/ hskp7_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c3_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (~(c1_1_ X10) \/ ~(c2_1_ X10))))) \/ hskp8_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c3_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c1_1_ X12 \/ (c2_1_ X12 \/ c3_1_ X12)))) \/ hskp26_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c3_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (~(c0_1_ X14) \/ (~(c1_1_ X14) \/ ~(c2_1_ X14))))) \/ hskp9_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c3_1_ X15))))) \/ (hskp8_ \/ hskp6_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c2_1_ X16 \/ c3_1_ X16)))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (~(c1_1_ X17) \/ ~(c3_1_ X17))))) \/ (forall X18 : Universe, (ndr1_0_ -> (c1_1_ X18 \/ (c2_1_ X18 \/ ~(c0_1_ X18))))))) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c2_1_ X19 \/ c3_1_ X19)))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (~(c2_1_ X20) \/ ~(c3_1_ X20))))) \/ (forall X21 : Universe, (ndr1_0_ -> (c1_1_ X21 \/ (~(c2_1_ X21) \/ ~(c3_1_ X21))))))) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ c3_1_ X22)))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (c2_1_ X23 \/ ~(c0_1_ X23))))) \/ hskp10_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ c3_1_ X24)))) \/ ((forall X25 : Universe, (ndr1_0_ -> (~(c0_1_ X25) \/ (~(c2_1_ X25) \/ ~(c3_1_ X25))))) \/ hskp11_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ (hskp12_ \/ hskp13_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ c3_1_ X27)))) \/ (hskp4_ \/ hskp14_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ c3_1_ X28)))) \/ (hskp15_ \/ hskp13_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c1_1_ X30 \/ (c3_1_ X30 \/ ~(c2_1_ X30))))) \/ hskp16_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c1_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c1_1_ X32 \/ (~(c0_1_ X32) \/ ~(c2_1_ X32))))) \/ hskp17_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c1_1_ X33))))) \/ (hskp10_ \/ hskp7_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c3_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ (c3_1_ X35 \/ ~(c0_1_ X35))))) \/ hskp18_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c2_1_ X37 \/ (~(c0_1_ X37) \/ ~(c1_1_ X37))))) \/ hskp27_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c2_1_ X38 \/ ~(c3_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c3_1_ X39 \/ (~(c0_1_ X39) \/ ~(c2_1_ X39))))) \/ hskp28_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c3_1_ X40 \/ ~(c1_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (~(c2_1_ X41) \/ ~(c3_1_ X41))))) \/ (forall X42 : Universe, (ndr1_0_ -> (c3_1_ X42 \/ (~(c0_1_ X42) \/ ~(c2_1_ X42))))))) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c3_1_ X43 \/ ~(c2_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (c2_1_ X44 \/ ~(c0_1_ X44))))) \/ hskp14_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c3_1_ X45 \/ ~(c2_1_ X45))))) \/ (hskp8_ \/ hskp18_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c1_1_ X46) \/ ~(c2_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c2_1_ X47 \/ ~(c3_1_ X47))))) \/ (forall X48 : Universe, (ndr1_0_ -> (~(c0_1_ X48) \/ (~(c2_1_ X48) \/ ~(c3_1_ X48))))))) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (~(c0_1_ X50) \/ (~(c1_1_ X50) \/ ~(c2_1_ X50))))) \/ hskp12_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c1_1_ X51) \/ ~(c2_1_ X51))))) \/ (hskp19_ \/ hskp13_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c3_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c2_1_ X53 \/ (~(c0_1_ X53) \/ ~(c3_1_ X53))))) \/ hskp8_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c1_1_ X54) \/ ~(c3_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c3_1_ X55 \/ (~(c0_1_ X55) \/ ~(c1_1_ X55))))) \/ hskp16_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c3_1_ X57 \/ (~(c1_1_ X57) \/ ~(c2_1_ X57))))) \/ hskp15_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (~(c1_1_ X58) \/ ~(c3_1_ X58))))) \/ (hskp7_ \/ hskp20_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c2_1_ X59) \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c2_1_ X60 \/ (c3_1_ X60 \/ ~(c0_1_ X60))))) \/ hskp16_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c2_1_ X61) \/ ~(c3_1_ X61))))) \/ (hskp10_ \/ hskp4_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c2_1_ X62 \/ c3_1_ X62)))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (~(c0_1_ X63) \/ ~(c2_1_ X63))))) \/ hskp26_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (c2_1_ X64 \/ ~(c0_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c3_1_ X65 \/ (~(c0_1_ X65) \/ ~(c2_1_ X65))))) \/ hskp1_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ ~(c0_1_ X66))))) \/ (hskp21_ \/ hskp11_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ ~(c0_1_ X67))))) \/ (hskp28_ \/ hskp8_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (c2_1_ X68 \/ ~(c0_1_ X68))))) \/ (hskp22_ \/ hskp6_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c3_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c3_1_ X70 \/ ~(c0_1_ X70))))) \/ hskp3_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c2_1_ X71 \/ ~(c3_1_ X71))))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (~(c0_1_ X72) \/ ~(c1_1_ X72))))) \/ (forall X73 : Universe, (ndr1_0_ -> (~(c0_1_ X73) \/ (~(c2_1_ X73) \/ ~(c3_1_ X73))))))) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c2_1_ X74 \/ ~(c3_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (~(c0_1_ X75) \/ ~(c3_1_ X75))))) \/ hskp23_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (c3_1_ X76 \/ ~(c2_1_ X76))))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (~(c0_1_ X77) \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c0_1_ X78) \/ (~(c1_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp15_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (~(c0_1_ X79) \/ ~(c3_1_ X79))))) \/ (hskp11_ \/ hskp23_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (~(c2_1_ X80) \/ ~(c3_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c3_1_ X81 \/ (~(c1_1_ X81) \/ ~(c2_1_ X81))))) \/ hskp28_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (~(c2_1_ X82) \/ ~(c3_1_ X82))))) \/ (hskp14_ \/ hskp23_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (c3_1_ X83 \/ ~(c0_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c3_1_ X84 \/ (~(c0_1_ X84) \/ ~(c2_1_ X84))))) \/ hskp8_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (c3_1_ X85 \/ ~(c0_1_ X85))))) \/ (hskp3_ \/ hskp16_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c2_1_ X86 \/ (c3_1_ X86 \/ ~(c1_1_ X86))))) \/ ((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (~(c0_1_ X87) \/ ~(c1_1_ X87))))) \/ hskp24_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c2_1_ X88 \/ (c3_1_ X88 \/ ~(c1_1_ X88))))) \/ (hskp8_ \/ hskp6_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c2_1_ X89 \/ (c3_1_ X89 \/ ~(c1_1_ X89))))) \/ (hskp25_ \/ hskp9_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (~(c0_1_ X90) \/ ~(c1_1_ X90))))) \/ (hskp15_ \/ hskp25_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c2_1_ X91 \/ (~(c0_1_ X91) \/ ~(c1_1_ X91))))) \/ (hskp0_ \/ hskp11_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (~(c0_1_ X92) \/ ~(c3_1_ X92))))) \/ (hskp26_ \/ hskp28_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c2_1_ X93 \/ (~(c0_1_ X93) \/ ~(c3_1_ X93))))) \/ (hskp5_ \/ hskp24_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c2_1_ X94 \/ (~(c0_1_ X94) \/ ~(c3_1_ X94))))) \/ (hskp21_ \/ hskp8_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (~(c0_1_ X95) \/ ~(c3_1_ X95))))) \/ (hskp15_ \/ hskp11_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c2_1_ X96 \/ (~(c1_1_ X96) \/ ~(c3_1_ X96))))) \/ ((forall X97 : Universe, (ndr1_0_ -> (~(c0_1_ X97) \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ hskp14_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c2_1_ X98 \/ (~(c1_1_ X98) \/ ~(c3_1_ X98))))) \/ (hskp3_ \/ hskp17_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c3_1_ X99 \/ (~(c0_1_ X99) \/ ~(c1_1_ X99))))) \/ (hskp3_ \/ hskp17_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c3_1_ X100 \/ (~(c0_1_ X100) \/ ~(c1_1_ X100))))) \/ (hskp4_ \/ hskp17_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c3_1_ X101 \/ (~(c0_1_ X101) \/ ~(c2_1_ X101))))) \/ (hskp27_ \/ hskp8_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c3_1_ X102 \/ (~(c0_1_ X102) \/ ~(c2_1_ X102))))) \/ (hskp14_ \/ hskp22_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (c3_1_ X103 \/ (~(c0_1_ X103) \/ ~(c2_1_ X103))))) \/ (hskp7_ \/ hskp20_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c3_1_ X104 \/ (~(c1_1_ X104) \/ ~(c2_1_ X104))))) \/ (hskp29_ \/ hskp15_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (c3_1_ X105 \/ (~(c1_1_ X105) \/ ~(c2_1_ X105))))) \/ (hskp29_ \/ hskp18_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (~(c0_1_ X106) \/ (~(c1_1_ X106) \/ ~(c2_1_ X106))))) \/ ((forall X107 : Universe, (ndr1_0_ -> (~(c1_1_ X107) \/ (~(c2_1_ X107) \/ ~(c3_1_ X107))))) \/ hskp10_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (~(c0_1_ X108) \/ (~(c1_1_ X108) \/ ~(c3_1_ X108))))) \/ (hskp29_ \/ hskp14_)) /\ (((forall X109 : Universe, (ndr1_0_ -> (~(c0_1_ X109) \/ (~(c1_1_ X109) \/ ~(c3_1_ X109))))) \/ (hskp19_ \/ hskp20_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (~(c0_1_ X110) \/ (~(c2_1_ X110) \/ ~(c3_1_ X110))))) \/ (hskp12_ \/ hskp10_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (~(c1_1_ X111) \/ (~(c2_1_ X111) \/ ~(c3_1_ X111))))) \/ (hskp10_ \/ hskp1_)) /\ ((hskp26_ \/ (hskp12_ \/ hskp8_)) /\ ((hskp26_ \/ hskp11_) /\ ((hskp29_ \/ (hskp22_ \/ hskp17_)) /\ ((hskp29_ \/ (hskp7_ \/ hskp17_)) /\ (hskp14_ \/ (hskp21_ \/ hskp0_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
