(*
% File     : SYN525+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=20, K=3, D=2, P=0, Index=094
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-20-3-2-094.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  196 (   0 equality)
%            Maximal formula depth :   26 (  26 average)
%            Number of connectives :  262 (  67 ~  ;  70  |; 100  &)
%                                         (   0 <=>;  25 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :   25 (   0 singleton;  25 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a217_ : Universe.
Variable a216_ : Universe.
Variable a215_ : Universe.
Variable a214_ : Universe.
Variable a213_ : Universe.
Variable a212_ : Universe.
Variable a211_ : Universe.
Variable a210_ : Universe.
Variable a209_ : Universe.
Variable a208_ : Universe.
Variable a207_ : Universe.
Variable a206_ : Universe.
Variable a205_ : Universe.
Variable a204_ : Universe.
Variable a203_ : Universe.
Variable a202_ : Universe.
Variable a201_ : Universe.
Variable a200_ : Universe.
Variable a199_ : Universe.
Variable a198_ : Universe.
Variable a197_ : Universe.
Variable a196_ : Universe.
Variable a195_ : Universe.
Variable a194_ : Universe.
Variable a193_ : Universe.
Variable a192_ : Universe.
Variable a191_ : Universe.
Variable a190_ : Universe.
Variable a189_ : Universe.
Variable a188_ : Universe.


Theorem co1_1 : ~((((ndr1_0_ /\ (c3_1_ a188_ /\ (ndr1_1_ a188_ /\ (~(c4_2_ a188_ a189_) /\ (c3_2_ a188_ a189_ /\ (c5_2_ a188_ a189_ /\ (forall U : Universe, (ndr1_1_ a188_ -> (~(c3_2_ a188_ U) \/ (c1_2_ a188_ U \/ ~(c4_2_ a188_ U))))))))))) \/ (~(c4_0_) \/ (ndr1_0_ /\ ((forall V : Universe, (ndr1_1_ a190_ -> (c3_2_ a190_ V \/ c5_2_ a190_ V))) /\ (c4_1_ a190_ /\ ~(c2_1_ a190_)))))) /\ (((ndr1_0_ /\ (~(c3_1_ a191_) /\ (c5_1_ a191_ /\ c2_1_ a191_))) \/ ((ndr1_0_ /\ (ndr1_1_ a192_ /\ (~(c1_2_ a192_ a193_) /\ (~(c4_2_ a192_ a193_) /\ (c5_2_ a192_ a193_ /\ (~(c5_1_ a192_) /\ (ndr1_1_ a192_ /\ (c3_2_ a192_ a194_ /\ c5_2_ a192_ a194_)))))))) \/ c1_0_)) /\ (((ndr1_0_ /\ (~(c2_1_ a195_) /\ (~(c1_1_ a195_) /\ (forall W : Universe, (ndr1_1_ a195_ -> (c2_2_ a195_ W \/ (c3_2_ a195_ W \/ c1_2_ a195_ W))))))) \/ (ndr1_0_ /\ ((forall X : Universe, (ndr1_1_ a196_ -> (~(c4_2_ a196_ X) \/ (~(c1_2_ a196_ X) \/ ~(c3_2_ a196_ X))))) /\ ((forall Y : Universe, (ndr1_1_ a196_ -> (c5_2_ a196_ Y \/ c1_2_ a196_ Y))) /\ c4_1_ a196_)))) /\ (((forall Z : Universe, (ndr1_0_ -> ((ndr1_1_ Z /\ (c1_2_ Z a197_ /\ c4_2_ Z a197_)) \/ (c3_1_ Z \/ (ndr1_1_ Z /\ (~(c2_2_ Z a198_) /\ (~(c4_2_ Z a198_) /\ ~(c3_2_ Z a198_)))))))) \/ (~(c4_0_) \/ (forall X1 : Universe, (ndr1_0_ -> (~(c1_1_ X1) \/ ~(c5_1_ X1)))))) /\ (((ndr1_0_ /\ (~(c2_1_ a199_) /\ (~(c5_1_ a199_) /\ c3_1_ a199_))) \/ (~(c2_0_) \/ ~(c5_0_))) /\ ((c4_0_ \/ ((ndr1_0_ /\ ((forall X2 : Universe, (ndr1_1_ a200_ -> (~(c2_2_ a200_ X2) \/ (c1_2_ a200_ X2 \/ c4_2_ a200_ X2)))) /\ (c3_1_ a200_ /\ (forall X3 : Universe, (ndr1_1_ a200_ -> (c3_2_ a200_ X3 \/ (c5_2_ a200_ X3 \/ ~(c1_2_ a200_ X3)))))))) \/ (ndr1_0_ /\ ((forall X4 : Universe, (ndr1_1_ a201_ -> (~(c2_2_ a201_ X4) \/ (~(c1_2_ a201_ X4) \/ c5_2_ a201_ X4)))) /\ (~(c5_1_ a201_) /\ c2_1_ a201_))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (~(c2_1_ a202_) /\ ~(c3_1_ a202_))) \/ (ndr1_0_ /\ (c2_1_ a203_ /\ ((forall X5 : Universe, (ndr1_1_ a203_ -> ~(c4_2_ a203_ X5))) /\ (ndr1_1_ a203_ /\ (c2_2_ a203_ a204_ /\ (c5_2_ a203_ a204_ /\ ~(c3_2_ a203_ a204_))))))))) /\ (((forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (~(c4_1_ X6) \/ (ndr1_1_ X6 /\ (c4_2_ X6 a205_ /\ (~(c5_2_ X6 a205_) /\ ~(c2_2_ X6 a205_)))))))) \/ (c3_0_ \/ (forall X7 : Universe, (ndr1_0_ -> (c2_1_ X7 \/ (~(c1_1_ X7) \/ ~(c3_1_ X7))))))) /\ ((c2_0_ \/ ((ndr1_0_ /\ (c1_1_ a206_ /\ (ndr1_1_ a206_ /\ (c2_2_ a206_ a207_ /\ (~(c4_2_ a206_ a207_) /\ (ndr1_1_ a206_ /\ (c3_2_ a206_ a208_ /\ (~(c2_2_ a206_ a208_) /\ ~(c1_2_ a206_ a208_))))))))) \/ ~(c5_0_))) /\ ((~(c2_0_) \/ (forall X8 : Universe, (ndr1_0_ -> ((ndr1_1_ X8 /\ (~(c4_2_ X8 a209_) /\ (~(c5_2_ X8 a209_) /\ ~(c3_2_ X8 a209_)))) \/ (~(c3_1_ X8) \/ (forall X9 : Universe, (ndr1_1_ X8 -> (c3_2_ X8 X9 \/ (c2_2_ X8 X9 \/ c4_2_ X8 X9))))))))) /\ (((ndr1_0_ /\ ((forall X10 : Universe, (ndr1_1_ a210_ -> (c3_2_ a210_ X10 \/ (c4_2_ a210_ X10 \/ c2_2_ a210_ X10)))) /\ (c1_1_ a210_ /\ (ndr1_1_ a210_ /\ (~(c3_2_ a210_ a211_) /\ (c4_2_ a210_ a211_ /\ ~(c5_2_ a210_ a211_))))))) \/ (c5_0_ \/ (ndr1_0_ /\ (ndr1_1_ a212_ /\ (c4_2_ a212_ a213_ /\ (~(c1_2_ a212_ a213_) /\ (c3_2_ a212_ a213_ /\ (~(c2_1_ a212_) /\ (ndr1_1_ a212_ /\ (~(c4_2_ a212_ a214_) /\ (c1_2_ a212_ a214_ /\ c5_2_ a212_ a214_))))))))))) /\ (((forall X11 : Universe, (ndr1_0_ -> (~(c3_1_ X11) \/ (~(c4_1_ X11) \/ c1_1_ X11)))) \/ (~(c2_0_) \/ c4_0_)) /\ (((ndr1_0_ /\ (~(c5_1_ a215_) /\ ~(c3_1_ a215_))) \/ (c3_0_ \/ (ndr1_0_ /\ (c1_1_ a216_ /\ (c2_1_ a216_ /\ ~(c4_1_ a216_)))))) /\ ((~(c4_0_) \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c3_1_ X12) \/ c1_1_ X12))) \/ (forall X13 : Universe, (ndr1_0_ -> (c3_1_ X13 \/ (c2_1_ X13 \/ (forall X14 : Universe, (ndr1_1_ X13 -> (c4_2_ X13 X14 \/ ~(c3_2_ X13 X14)))))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> ((forall X16 : Universe, (ndr1_1_ X15 -> (~(c5_2_ X15 X16) \/ (c1_2_ X15 X16 \/ c2_2_ X15 X16)))) \/ ((ndr1_1_ X15 /\ (~(c4_2_ X15 a217_) /\ (c5_2_ X15 a217_ /\ c1_2_ X15 a217_))) \/ c4_1_ X15)))) \/ (forall X17 : Universe, (ndr1_0_ -> ((forall X18 : Universe, (ndr1_1_ X17 -> (c1_2_ X17 X18 \/ (c5_2_ X17 X18 \/ c4_2_ X17 X18)))) \/ c1_1_ X17)))) /\ (~(c2_0_) \/ ((forall X19 : Universe, (ndr1_0_ -> (~(c2_1_ X19) \/ ~(c5_1_ X19)))) \/ c5_0_)))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
