(*
% File     : SYN531+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=036
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-036.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  178 (   0 equality)
%            Maximal formula depth :   30 (  30 average)
%            Number of connectives :  232 (  55 ~  ;  70  |;  82  &)
%                                         (   0 <=>;  25 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   24 (  24 constant; 0-0 arity)
%            Number of variables   :   25 (   0 singleton;  25 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a410_ : Universe.
Variable a409_ : Universe.
Variable a408_ : Universe.
Variable a407_ : Universe.
Variable a406_ : Universe.
Variable a405_ : Universe.
Variable a404_ : Universe.
Variable a403_ : Universe.
Variable a402_ : Universe.
Variable a401_ : Universe.
Variable a400_ : Universe.
Variable a399_ : Universe.
Variable a398_ : Universe.
Variable a397_ : Universe.
Variable a396_ : Universe.
Variable a395_ : Universe.
Variable a394_ : Universe.
Variable a393_ : Universe.
Variable a392_ : Universe.
Variable a391_ : Universe.
Variable a390_ : Universe.
Variable a389_ : Universe.
Variable a388_ : Universe.
Variable a387_ : Universe.


Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> ((forall V : Universe, (ndr1_1_ U -> (c3_2_ U V \/ c2_2_ U V))) \/ c3_1_ U))) \/ (~(c1_0_) \/ ~(c5_0_))) /\ (((forall W : Universe, (ndr1_0_ -> ((ndr1_1_ W /\ (c5_2_ W a387_ /\ (c2_2_ W a387_ /\ c3_2_ W a387_))) \/ ((ndr1_1_ W /\ (c3_2_ W a388_ /\ (~(c1_2_ W a388_) /\ c2_2_ W a388_))) \/ c2_1_ W)))) \/ (forall X : Universe, (ndr1_0_ -> (~(c1_1_ X) \/ (~(c5_1_ X) \/ (ndr1_1_ X /\ (c1_2_ X a389_ /\ ~(c3_2_ X a389_)))))))) /\ (((forall Y : Universe, (ndr1_0_ -> (c3_1_ Y \/ ((forall Z : Universe, (ndr1_1_ Y -> (c1_2_ Y Z \/ ~(c3_2_ Y Z)))) \/ c5_1_ Y)))) \/ ((ndr1_0_ /\ (~(c1_1_ a390_) /\ (forall X1 : Universe, (ndr1_1_ a390_ -> (c1_2_ a390_ X1 \/ c5_2_ a390_ X1))))) \/ (ndr1_0_ /\ ((forall X2 : Universe, (ndr1_1_ a391_ -> (c4_2_ a391_ X2 \/ (~(c1_2_ a391_ X2) \/ ~(c3_2_ a391_ X2))))) /\ (~(c3_1_ a391_) /\ (forall X3 : Universe, (ndr1_1_ a391_ -> (c4_2_ a391_ X3 \/ (c1_2_ a391_ X3 \/ ~(c5_2_ a391_ X3)))))))))) /\ ((~(c4_0_) \/ (forall X4 : Universe, (ndr1_0_ -> (c4_1_ X4 \/ (c2_1_ X4 \/ c5_1_ X4))))) /\ (((ndr1_0_ /\ (c5_1_ a392_ /\ (c3_1_ a392_ /\ c1_1_ a392_))) \/ (c5_0_ \/ (ndr1_0_ /\ (ndr1_1_ a393_ /\ (~(c2_2_ a393_ a394_) /\ (~(c3_2_ a393_ a394_) /\ (c5_2_ a393_ a394_ /\ (ndr1_1_ a393_ /\ (~(c1_2_ a393_ a395_) /\ (c2_2_ a393_ a395_ /\ c3_1_ a393_)))))))))) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ (~(c3_1_ a396_) /\ (c4_1_ a396_ /\ (ndr1_1_ a396_ /\ (~(c5_2_ a396_ a397_) /\ (~(c4_2_ a396_ a397_) /\ c3_2_ a396_ a397_)))))) \/ ~(c2_0_))) /\ ((c3_0_ \/ (c4_0_ \/ (forall X5 : Universe, (ndr1_0_ -> (~(c3_1_ X5) \/ ((ndr1_1_ X5 /\ c3_2_ X5 a398_) \/ ~(c1_1_ X5))))))) /\ ((c4_0_ \/ (~(c5_0_) \/ ~(c2_0_))) /\ ((~(c2_0_) \/ ~(c3_0_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c4_1_ X6 \/ (c5_1_ X6 \/ ~(c3_1_ X6))))) \/ ~(c2_0_)) /\ (((ndr1_0_ /\ (~(c2_1_ a399_) /\ (forall X7 : Universe, (ndr1_1_ a399_ -> (~(c2_2_ a399_ X7) \/ (~(c1_2_ a399_ X7) \/ ~(c5_2_ a399_ X7))))))) \/ (c3_0_ \/ ~(c5_0_))) /\ ((c3_0_ \/ ((forall X8 : Universe, (ndr1_0_ -> ((forall X9 : Universe, (ndr1_1_ X8 -> (c3_2_ X8 X9 \/ (c2_2_ X8 X9 \/ c4_2_ X8 X9)))) \/ c1_1_ X8))) \/ c2_0_)) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (c2_1_ a400_ /\ (~(c1_1_ a400_) /\ (forall X10 : Universe, (ndr1_1_ a400_ -> ~(c3_2_ a400_ X10)))))) \/ (ndr1_0_ /\ (ndr1_1_ a401_ /\ (c2_2_ a401_ a402_ /\ (~(c1_2_ a401_ a402_) /\ c4_1_ a401_)))))) /\ (((forall X11 : Universe, (ndr1_0_ -> (c2_1_ X11 \/ (c1_1_ X11 \/ ~(c3_1_ X11))))) \/ (~(c5_0_) \/ (ndr1_0_ /\ (c1_1_ a403_ /\ (ndr1_1_ a403_ /\ (c3_2_ a403_ a404_ /\ (~(c4_2_ a403_ a404_) /\ c2_1_ a403_))))))) /\ ((c5_0_ \/ c4_0_) /\ ((~(c5_0_) \/ (c1_0_ \/ c3_0_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (~(c1_1_ X12) \/ ((forall X13 : Universe, (ndr1_1_ X12 -> (c2_2_ X12 X13 \/ (~(c3_2_ X12 X13) \/ c5_2_ X12 X13)))) \/ (ndr1_1_ X12 /\ (~(c5_2_ X12 a405_) /\ (~(c2_2_ X12 a405_) /\ ~(c1_2_ X12 a405_)))))))) \/ (forall X14 : Universe, (ndr1_0_ -> ((forall X15 : Universe, (ndr1_1_ X14 -> (c1_2_ X14 X15 \/ c3_2_ X14 X15))) \/ (ndr1_1_ X14 /\ (c4_2_ X14 a406_ /\ (c2_2_ X14 a406_ /\ c3_2_ X14 a406_))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a407_ /\ (~(c3_2_ a407_ a408_) /\ (c1_2_ a407_ a408_ /\ (~(c5_2_ a407_ a408_) /\ (~(c2_1_ a407_) /\ (ndr1_1_ a407_ /\ (~(c3_2_ a407_ a409_) /\ (c1_2_ a407_ a409_ /\ c2_2_ a407_ a409_))))))))) \/ (forall X16 : Universe, (ndr1_0_ -> (c5_1_ X16 \/ ((forall X17 : Universe, (ndr1_1_ X16 -> (c2_2_ X16 X17 \/ c1_2_ X16 X17))) \/ (forall X18 : Universe, (ndr1_1_ X16 -> (~(c4_2_ X16 X18) \/ c2_2_ X16 X18)))))))) /\ ((c2_0_ \/ ~(c5_0_)) /\ (c1_0_ \/ ((forall X19 : Universe, (ndr1_0_ -> ((ndr1_1_ X19 /\ (c1_2_ X19 a410_ /\ (~(c4_2_ X19 a410_) /\ c2_2_ X19 a410_))) \/ c4_1_ X19))) \/ c4_0_)))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
