(*
% File     : SYN532+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=042
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-042.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.7.0, 0.17 v2.6.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  190 (   0 equality)
%            Maximal formula depth :   31 (  31 average)
%            Number of connectives :  255 (  66 ~  ;  65  |; 104  &)
%                                         (   0 <=>;  20 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :   20 (   0 singleton;  20 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a442_ : Universe.
Variable a441_ : Universe.
Variable a440_ : Universe.
Variable a439_ : Universe.
Variable a438_ : Universe.
Variable a437_ : Universe.
Variable a436_ : Universe.
Variable a435_ : Universe.
Variable a434_ : Universe.
Variable a433_ : Universe.
Variable a432_ : Universe.
Variable a431_ : Universe.
Variable a430_ : Universe.
Variable a429_ : Universe.
Variable a428_ : Universe.
Variable a427_ : Universe.
Variable a426_ : Universe.
Variable a425_ : Universe.
Variable a424_ : Universe.
Variable a423_ : Universe.
Variable a422_ : Universe.
Variable a421_ : Universe.
Variable a420_ : Universe.
Variable a419_ : Universe.
Variable a418_ : Universe.
Variable a417_ : Universe.
Variable a416_ : Universe.
Variable a415_ : Universe.
Variable a414_ : Universe.
Variable a413_ : Universe.
Variable a412_ : Universe.
Variable a411_ : Universe.


Theorem co1_1 : ~(((~(c3_0_) \/ (c5_0_ \/ (ndr1_0_ /\ ((forall U : Universe, (ndr1_1_ a411_ -> (c1_2_ a411_ U \/ (c3_2_ a411_ U \/ c5_2_ a411_ U)))) /\ (c2_1_ a411_ /\ c1_1_ a411_))))) /\ (((forall V : Universe, (ndr1_0_ -> (c5_1_ V \/ ~(c3_1_ V)))) \/ (~(c3_0_) \/ ~(c4_0_))) /\ (((forall W : Universe, (ndr1_0_ -> ~(c2_1_ W))) \/ ((ndr1_0_ /\ (~(c4_1_ a412_) /\ ((forall X : Universe, (ndr1_1_ a412_ -> (~(c2_2_ a412_ X) \/ c3_2_ a412_ X))) /\ ~(c2_1_ a412_)))) \/ (ndr1_0_ /\ (~(c2_1_ a413_) /\ (ndr1_1_ a413_ /\ (~(c3_2_ a413_ a414_) /\ (~(c5_2_ a413_ a414_) /\ (c1_2_ a413_ a414_ /\ (forall Y : Universe, (ndr1_1_ a413_ -> (c5_2_ a413_ Y \/ ~(c1_2_ a413_ Y)))))))))))) /\ ((~(c4_0_) \/ (~(c5_0_) \/ (ndr1_0_ /\ (c2_1_ a415_ /\ (~(c4_1_ a415_) /\ c5_1_ a415_))))) /\ (((ndr1_0_ /\ ((forall Z : Universe, (ndr1_1_ a416_ -> (~(c5_2_ a416_ Z) \/ ~(c2_2_ a416_ Z)))) /\ (c2_1_ a416_ /\ (forall X1 : Universe, (ndr1_1_ a416_ -> c5_2_ a416_ X1))))) \/ ((forall X2 : Universe, (ndr1_0_ -> ((ndr1_1_ X2 /\ (~(c4_2_ X2 a417_) /\ c2_2_ X2 a417_)) \/ ~(c2_1_ X2)))) \/ (ndr1_0_ /\ (c2_1_ a418_ /\ (ndr1_1_ a418_ /\ (c4_2_ a418_ a419_ /\ (~(c5_2_ a418_ a419_) /\ ~(c3_2_ a418_ a419_)))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a420_ /\ (~(c4_2_ a420_ a421_) /\ (c1_2_ a420_ a421_ /\ (c4_1_ a420_ /\ c5_1_ a420_))))) \/ c4_0_) /\ (((forall X3 : Universe, (ndr1_0_ -> ((forall X4 : Universe, (ndr1_1_ X3 -> (~(c4_2_ X3 X4) \/ (~(c2_2_ X3 X4) \/ c5_2_ X3 X4)))) \/ (forall X5 : Universe, (ndr1_1_ X3 -> (~(c2_2_ X3 X5) \/ (~(c3_2_ X3 X5) \/ c1_2_ X3 X5))))))) \/ (c4_0_ \/ ~(c3_0_))) /\ ((~(c1_0_) \/ (~(c3_0_) \/ ~(c5_0_))) /\ ((c1_0_ \/ (~(c4_0_) \/ c5_0_)) /\ ((c5_0_ \/ (~(c3_0_) \/ c2_0_)) /\ ((c1_0_ \/ ((ndr1_0_ /\ (~(c2_1_ a422_) /\ (ndr1_1_ a422_ /\ (c1_2_ a422_ a423_ /\ (c5_2_ a422_ a423_ /\ (~(c2_2_ a422_ a423_) /\ ~(c4_1_ a422_))))))) \/ ~(c3_0_))) /\ ((c5_0_ \/ ((forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (c3_1_ X6 \/ (ndr1_1_ X6 /\ (c2_2_ X6 a424_ /\ (~(c3_2_ X6 a424_) /\ ~(c5_2_ X6 a424_)))))))) \/ (forall X7 : Universe, (ndr1_0_ -> (c5_1_ X7 \/ (c2_1_ X7 \/ ~(c4_1_ X7))))))) /\ ((c4_0_ \/ (~(c3_0_) \/ c1_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a425_ /\ (~(c2_2_ a425_ a426_) /\ (c4_2_ a425_ a426_ /\ (~(c5_2_ a425_ a426_) /\ (~(c3_1_ a425_) /\ (ndr1_1_ a425_ /\ (~(c5_2_ a425_ a427_) /\ (~(c3_2_ a425_ a427_) /\ c2_2_ a425_ a427_))))))))) \/ ((forall X8 : Universe, (ndr1_0_ -> ((ndr1_1_ X8 /\ (~(c4_2_ X8 a428_) /\ ~(c3_2_ X8 a428_))) \/ ((ndr1_1_ X8 /\ (c1_2_ X8 a429_ /\ (~(c4_2_ X8 a429_) /\ ~(c5_2_ X8 a429_)))) \/ (ndr1_1_ X8 /\ (c1_2_ X8 a430_ /\ (~(c4_2_ X8 a430_) /\ c5_2_ X8 a430_))))))) \/ (ndr1_0_ /\ (c3_1_ a431_ /\ ~(c1_1_ a431_))))) /\ ((c1_0_ \/ ((ndr1_0_ /\ ((forall X9 : Universe, (ndr1_1_ a432_ -> (~(c2_2_ a432_ X9) \/ (c5_2_ a432_ X9 \/ c4_2_ a432_ X9)))) /\ (~(c1_1_ a432_) /\ (ndr1_1_ a432_ /\ (~(c3_2_ a432_ a433_) /\ ~(c2_2_ a432_ a433_)))))) \/ c5_0_)) /\ ((~(c3_0_) \/ c1_0_) /\ (((ndr1_0_ /\ ((forall X10 : Universe, (ndr1_1_ a434_ -> (~(c4_2_ a434_ X10) \/ (c2_2_ a434_ X10 \/ ~(c3_2_ a434_ X10))))) /\ (ndr1_1_ a434_ /\ (c5_2_ a434_ a435_ /\ (c4_2_ a434_ a435_ /\ (c3_2_ a434_ a435_ /\ (ndr1_1_ a434_ /\ (~(c5_2_ a434_ a436_) /\ c3_2_ a434_ a436_)))))))) \/ ((ndr1_0_ /\ c4_1_ a437_) \/ (ndr1_0_ /\ (~(c5_1_ a438_) /\ (c1_1_ a438_ /\ c2_1_ a438_))))) /\ (((ndr1_0_ /\ (c5_1_ a439_ /\ (forall X11 : Universe, (ndr1_1_ a439_ -> (c5_2_ a439_ X11 \/ c3_2_ a439_ X11))))) \/ c3_0_) /\ ((c5_0_ \/ (c1_0_ \/ (ndr1_0_ /\ ((forall X12 : Universe, (ndr1_1_ a440_ -> (c2_2_ a440_ X12 \/ (~(c3_2_ a440_ X12) \/ c4_2_ a440_ X12)))) /\ (~(c5_1_ a440_) /\ c4_1_ a440_))))) /\ ((ndr1_0_ /\ (ndr1_1_ a441_ /\ (c3_2_ a441_ a442_ /\ (~(c1_2_ a441_ a442_) /\ ((forall X13 : Universe, (ndr1_1_ a441_ -> (c5_2_ a441_ X13 \/ ~(c4_2_ a441_ X13)))) /\ c2_1_ a441_))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c5_1_ X14 \/ (c2_1_ X14 \/ ~(c1_1_ X14))))) \/ c4_0_)))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
