(*
% File     : SYN534+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=090
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-090.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  186 (   0 equality)
%            Maximal formula depth :   30 (  30 average)
%            Number of connectives :  252 (  67 ~  ;  83  |;  74  &)
%                                         (   0 <=>;  28 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   21 (  21 constant; 0-0 arity)
%            Number of variables   :   28 (   0 singleton;  28 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a491_ : Universe.
Variable a490_ : Universe.
Variable a489_ : Universe.
Variable a488_ : Universe.
Variable a487_ : Universe.
Variable a486_ : Universe.
Variable a485_ : Universe.
Variable a484_ : Universe.
Variable a483_ : Universe.
Variable a482_ : Universe.
Variable a481_ : Universe.
Variable a480_ : Universe.
Variable a479_ : Universe.
Variable a478_ : Universe.
Variable a477_ : Universe.
Variable a476_ : Universe.
Variable a475_ : Universe.
Variable a474_ : Universe.
Variable a473_ : Universe.
Variable a472_ : Universe.
Variable a471_ : Universe.


Theorem co1_1 : ~(((c2_0_ \/ ((ndr1_0_ /\ (~(c2_1_ a471_) /\ ~(c4_1_ a471_))) \/ ~(c1_0_))) /\ ((~(c3_0_) \/ ((forall U : Universe, (ndr1_0_ -> (c3_1_ U \/ c5_1_ U))) \/ c1_0_)) /\ ((c3_0_ \/ (c1_0_ \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (~(c1_1_ a472_) /\ (c5_1_ a472_ /\ (ndr1_1_ a472_ /\ (~(c5_2_ a472_ a473_) /\ ~(c3_2_ a472_ a473_)))))) \/ (ndr1_0_ /\ ((forall V : Universe, (ndr1_1_ a474_ -> (c4_2_ a474_ V \/ ~(c3_2_ a474_ V)))) /\ ((forall W : Universe, (ndr1_1_ a474_ -> (~(c5_2_ a474_ W) \/ (c1_2_ a474_ W \/ ~(c4_2_ a474_ W))))) /\ (ndr1_1_ a474_ /\ (~(c5_2_ a474_ a475_) /\ c2_2_ a474_ a475_)))))) /\ ((~(c2_0_) \/ ~(c3_0_)) /\ ((c4_0_ \/ (~(c2_0_) \/ (forall X : Universe, (ndr1_0_ -> ((forall Y : Universe, (ndr1_1_ X -> (c3_2_ X Y \/ (~(c4_2_ X Y) \/ c5_2_ X Y)))) \/ (~(c3_1_ X) \/ (ndr1_1_ X /\ (~(c3_2_ X a476_) /\ (~(c1_2_ X a476_) /\ ~(c5_2_ X a476_)))))))))) /\ (((forall Z : Universe, (ndr1_0_ -> (c2_1_ Z \/ (~(c4_1_ Z) \/ ~(c1_1_ Z))))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c5_1_ X1 \/ ((ndr1_1_ X1 /\ (~(c2_2_ X1 a477_) /\ (c5_2_ X1 a477_ /\ c1_2_ X1 a477_))) \/ ~(c2_1_ X1))))) \/ (ndr1_0_ /\ (~(c2_1_ a478_) /\ ((forall X2 : Universe, (ndr1_1_ a478_ -> (~(c2_2_ a478_ X2) \/ (~(c1_2_ a478_ X2) \/ ~(c4_2_ a478_ X2))))) /\ c1_1_ a478_))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (c5_1_ a479_ /\ (forall X3 : Universe, (ndr1_1_ a479_ -> (~(c1_2_ a479_ X3) \/ (~(c5_2_ a479_ X3) \/ ~(c2_2_ a479_ X3))))))) \/ ~(c3_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a480_ /\ (~(c4_2_ a480_ a481_) /\ (c1_2_ a480_ a481_ /\ (c2_2_ a480_ a481_ /\ ~(c5_1_ a480_)))))) \/ (c5_0_ \/ (forall X4 : Universe, (ndr1_0_ -> (c2_1_ X4 \/ ((forall X5 : Universe, (ndr1_1_ X4 -> (~(c5_2_ X4 X5) \/ (~(c3_2_ X4 X5) \/ c4_2_ X4 X5)))) \/ (forall X6 : Universe, (ndr1_1_ X4 -> (~(c5_2_ X4 X6) \/ (c2_2_ X4 X6 \/ ~(c4_2_ X4 X6))))))))))) /\ (((forall X7 : Universe, (ndr1_0_ -> ((forall X8 : Universe, (ndr1_1_ X7 -> (~(c1_2_ X7 X8) \/ (~(c4_2_ X7 X8) \/ ~(c2_2_ X7 X8))))) \/ (c4_1_ X7 \/ (forall X9 : Universe, (ndr1_1_ X7 -> (c1_2_ X7 X9 \/ (c5_2_ X7 X9 \/ ~(c4_2_ X7 X9))))))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ ((ndr1_1_ X10 /\ (c3_2_ X10 a482_ /\ (c1_2_ X10 a482_ /\ ~(c4_2_ X10 a482_)))) \/ ~(c2_1_ X10))))) \/ ~(c3_0_))) /\ ((c5_0_ \/ c1_0_) /\ (((forall X11 : Universe, (ndr1_0_ -> ((ndr1_1_ X11 /\ (c3_2_ X11 a483_ /\ (c2_2_ X11 a483_ /\ c1_2_ X11 a483_))) \/ ~(c2_1_ X11)))) \/ (c4_0_ \/ ~(c2_0_))) /\ (((ndr1_0_ /\ ((forall X12 : Universe, (ndr1_1_ a484_ -> c4_2_ a484_ X12)) /\ (~(c3_1_ a484_) /\ ~(c1_1_ a484_)))) \/ ((ndr1_0_ /\ (ndr1_1_ a485_ /\ (c3_2_ a485_ a486_ /\ (c2_2_ a485_ a486_ /\ (c5_2_ a485_ a486_ /\ (c2_1_ a485_ /\ c4_1_ a485_)))))) \/ c2_0_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c1_1_ X13 \/ (~(c3_1_ X13) \/ (forall X14 : Universe, (ndr1_1_ X13 -> (~(c1_2_ X13 X14) \/ (c5_2_ X13 X14 \/ ~(c3_2_ X13 X14))))))))) \/ (~(c5_0_) \/ c2_0_)) /\ (((forall X15 : Universe, (ndr1_0_ -> ((forall X16 : Universe, (ndr1_1_ X15 -> (~(c2_2_ X15 X16) \/ (~(c5_2_ X15 X16) \/ ~(c4_2_ X15 X16))))) \/ (c4_1_ X15 \/ c1_1_ X15)))) \/ ((forall X17 : Universe, (ndr1_0_ -> c2_1_ X17)) \/ c4_0_)) /\ ((c3_0_ \/ ((forall X18 : Universe, (ndr1_0_ -> (c1_1_ X18 \/ c3_1_ X18))) \/ c5_0_)) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ ((forall X19 : Universe, (ndr1_1_ a487_ -> (~(c2_2_ a487_ X19) \/ (c4_2_ a487_ X19 \/ ~(c5_2_ a487_ X19))))) /\ ~(c2_1_ a487_))) \/ (ndr1_0_ /\ (c4_1_ a488_ /\ ((forall X20 : Universe, (ndr1_1_ a488_ -> (c1_2_ a488_ X20 \/ c4_2_ a488_ X20))) /\ c2_1_ a488_))))) /\ ((c3_0_ \/ (~(c5_0_) \/ (forall X21 : Universe, (ndr1_0_ -> (c2_1_ X21 \/ ((ndr1_1_ X21 /\ (c3_2_ X21 a489_ /\ (c5_2_ X21 a489_ /\ ~(c2_2_ X21 a489_)))) \/ (ndr1_1_ X21 /\ (c1_2_ X21 a490_ /\ ~(c3_2_ X21 a490_))))))))) /\ (((forall X22 : Universe, (ndr1_0_ -> (~(c3_1_ X22) \/ (c4_1_ X22 \/ ~(c5_1_ X22))))) \/ (c5_0_ \/ ~(c2_0_))) /\ ((ndr1_0_ /\ (c3_1_ a491_ /\ c5_1_ a491_)) \/ c3_0_))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
