(*
% File     : SYN545+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=8, R=1, L=120, K=3, D=2, P=0, Index=072
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-8-1-120-3-2-072.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0, 0.67 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1181 (   0 equality)
%            Maximal formula depth :  107 ( 107 average)
%            Number of connectives : 1614 ( 434 ~  ; 485  |; 522  &)
%                                         (   0 <=>; 173 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  177 ( 160 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  173 (   0 singleton; 173 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a297_ : Universe.
Variable a296_ : Universe.
Variable a295_ : Universe.
Variable a294_ : Universe.
Variable a293_ : Universe.
Variable a292_ : Universe.
Variable a291_ : Universe.
Variable a290_ : Universe.
Variable a289_ : Universe.
Variable a288_ : Universe.
Variable a287_ : Universe.
Variable a286_ : Universe.
Variable a285_ : Universe.
Variable a284_ : Universe.
Variable a283_ : Universe.
Variable a282_ : Universe.
Variable a281_ : Universe.
Variable a280_ : Universe.
Variable a279_ : Universe.
Variable a278_ : Universe.
Variable a277_ : Universe.
Variable a276_ : Universe.
Variable a275_ : Universe.
Variable a274_ : Universe.
Variable a273_ : Universe.
Variable a272_ : Universe.
Variable a271_ : Universe.
Variable a270_ : Universe.
Variable a269_ : Universe.
Variable a268_ : Universe.
Variable a267_ : Universe.
Variable a266_ : Universe.
Variable a265_ : Universe.
Variable a264_ : Universe.
Variable a263_ : Universe.
Variable a262_ : Universe.
Variable a261_ : Universe.
Variable a260_ : Universe.
Variable a259_ : Universe.
Variable a258_ : Universe.
Variable a257_ : Universe.
Variable a256_ : Universe.
Variable a255_ : Universe.
Variable a254_ : Universe.
Variable a253_ : Universe.
Variable a252_ : Universe.
Variable a251_ : Universe.
Variable a250_ : Universe.
Variable a249_ : Universe.
Variable a248_ : Universe.
Variable a247_ : Universe.
Variable a246_ : Universe.
Variable a245_ : Universe.
Variable a244_ : Universe.
Variable a243_ : Universe.
Variable a242_ : Universe.
Variable a241_ : Universe.
Variable a240_ : Universe.
Variable a239_ : Universe.
Variable a238_ : Universe.
Variable a237_ : Universe.
Variable a236_ : Universe.
Variable a235_ : Universe.
Variable a234_ : Universe.
Variable a233_ : Universe.
Variable a232_ : Universe.
Variable a231_ : Universe.
Variable a230_ : Universe.
Variable a229_ : Universe.
Variable a228_ : Universe.
Variable a227_ : Universe.
Variable a226_ : Universe.
Variable a225_ : Universe.
Variable a224_ : Universe.
Variable a223_ : Universe.
Variable a222_ : Universe.
Variable a221_ : Universe.
Variable a220_ : Universe.
Variable a219_ : Universe.
Variable a218_ : Universe.
Variable a217_ : Universe.
Variable a216_ : Universe.
Variable a215_ : Universe.
Variable a214_ : Universe.
Variable a213_ : Universe.
Variable a212_ : Universe.
Variable a211_ : Universe.
Variable a210_ : Universe.
Variable a209_ : Universe.
Variable a208_ : Universe.
Variable a207_ : Universe.
Variable a206_ : Universe.
Variable a205_ : Universe.
Variable a204_ : Universe.
Variable a203_ : Universe.
Variable a202_ : Universe.
Variable a201_ : Universe.
Variable a200_ : Universe.
Variable a199_ : Universe.
Variable a198_ : Universe.
Variable a197_ : Universe.
Variable a196_ : Universe.
Variable a195_ : Universe.
Variable a194_ : Universe.
Variable a193_ : Universe.
Variable a192_ : Universe.
Variable a191_ : Universe.
Variable a190_ : Universe.
Variable a189_ : Universe.
Variable a188_ : Universe.
Variable a187_ : Universe.
Variable a186_ : Universe.
Variable a185_ : Universe.
Variable a184_ : Universe.
Variable a183_ : Universe.
Variable a182_ : Universe.
Variable a181_ : Universe.
Variable a180_ : Universe.
Variable a179_ : Universe.
Variable a178_ : Universe.
Variable a177_ : Universe.
Variable a176_ : Universe.
Variable a175_ : Universe.
Variable a174_ : Universe.
Variable a173_ : Universe.
Variable a172_ : Universe.
Variable a171_ : Universe.
Variable a170_ : Universe.
Variable a169_ : Universe.
Variable a168_ : Universe.
Variable a167_ : Universe.
Variable a166_ : Universe.
Variable a165_ : Universe.
Variable a164_ : Universe.
Variable a163_ : Universe.
Variable a162_ : Universe.
Variable a161_ : Universe.
Variable a160_ : Universe.
Variable a159_ : Universe.
Variable a158_ : Universe.
Variable a157_ : Universe.
Variable a156_ : Universe.
Variable a155_ : Universe.
Variable a154_ : Universe.
Variable a153_ : Universe.
Variable a152_ : Universe.
Variable a151_ : Universe.
Variable a150_ : Universe.
Variable a149_ : Universe.
Variable a148_ : Universe.
Variable a147_ : Universe.


Theorem co1_1 : ~(((~(c3_0_) \/ (forall U : Universe, (ndr1_0_ -> ((forall V : Universe, (ndr1_1_ U -> (c3_2_ U V \/ c4_2_ U V))) \/ ((ndr1_1_ U /\ (~(c7_2_ U a147_) /\ (~(c3_2_ U a147_) /\ c5_2_ U a147_))) \/ (forall W : Universe, (ndr1_1_ U -> (~(c5_2_ U W) \/ (c4_2_ U W \/ ~(c7_2_ U W)))))))))) /\ ((~(c8_0_) \/ (~(c1_0_) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a148_ /\ (~(c1_2_ a148_ a149_) /\ (c7_2_ a148_ a149_ /\ (c2_2_ a148_ a149_ /\ ((forall X : Universe, (ndr1_1_ a148_ -> (c5_2_ a148_ X \/ (~(c8_2_ a148_ X) \/ ~(c4_2_ a148_ X))))) /\ (ndr1_1_ a148_ /\ (~(c1_2_ a148_ a150_) /\ ~(c8_2_ a148_ a150_))))))))) \/ (~(c8_0_) \/ c7_0_)) /\ (((forall Y : Universe, (ndr1_0_ -> (~(c6_1_ Y) \/ ((forall Z : Universe, (ndr1_1_ Y -> (~(c5_2_ Y Z) \/ (c3_2_ Y Z \/ c4_2_ Y Z)))) \/ ~(c8_1_ Y))))) \/ (c3_0_ \/ c8_0_)) /\ ((~(c4_0_) \/ ((forall X1 : Universe, (ndr1_0_ -> (c8_1_ X1 \/ (c6_1_ X1 \/ c2_1_ X1)))) \/ (forall X2 : Universe, (ndr1_0_ -> (~(c3_1_ X2) \/ ((ndr1_1_ X2 /\ (~(c8_2_ X2 a151_) /\ (~(c1_2_ X2 a151_) /\ ~(c5_2_ X2 a151_)))) \/ c5_1_ X2)))))) /\ ((~(c7_0_) \/ (forall X3 : Universe, (ndr1_0_ -> ((forall X4 : Universe, (ndr1_1_ X3 -> (~(c3_2_ X3 X4) \/ (c7_2_ X3 X4 \/ ~(c5_2_ X3 X4))))) \/ ((ndr1_1_ X3 /\ (~(c4_2_ X3 a152_) /\ (~(c3_2_ X3 a152_) /\ c7_2_ X3 a152_))) \/ ~(c5_1_ X3)))))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (~(c4_1_ a153_) /\ (~(c1_1_ a153_) /\ (forall X5 : Universe, (ndr1_1_ a153_ -> (c8_2_ a153_ X5 \/ (~(c3_2_ a153_ X5) \/ c5_2_ a153_ X5))))))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (c4_1_ a154_ /\ (c6_1_ a154_ /\ c2_1_ a154_))) \/ ((ndr1_0_ /\ ((forall X6 : Universe, (ndr1_1_ a155_ -> (~(c4_2_ a155_ X6) \/ (~(c2_2_ a155_ X6) \/ c3_2_ a155_ X6)))) /\ (~(c7_1_ a155_) /\ (ndr1_1_ a155_ /\ (c2_2_ a155_ a156_ /\ (c7_2_ a155_ a156_ /\ ~(c5_2_ a155_ a156_))))))) \/ (ndr1_0_ /\ (~(c4_1_ a157_) /\ c5_1_ a157_)))) /\ (((ndr1_0_ /\ ((forall X7 : Universe, (ndr1_1_ a158_ -> (c4_2_ a158_ X7 \/ (~(c1_2_ a158_ X7) \/ c8_2_ a158_ X7)))) /\ (~(c4_1_ a158_) /\ c1_1_ a158_))) \/ (c1_0_ \/ c5_0_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (~(c3_1_ X8) \/ ((forall X9 : Universe, (ndr1_1_ X8 -> (~(c4_2_ X8 X9) \/ (c8_2_ X8 X9 \/ c2_2_ X8 X9)))) \/ c2_1_ X8)))) \/ ((ndr1_0_ /\ ((forall X10 : Universe, (ndr1_1_ a159_ -> (c2_2_ a159_ X10 \/ (~(c4_2_ a159_ X10) \/ ~(c8_2_ a159_ X10))))) /\ (~(c4_1_ a159_) /\ c2_1_ a159_))) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ ((forall X11 : Universe, (ndr1_1_ a160_ -> ~(c6_2_ a160_ X11))) /\ (~(c6_1_ a160_) /\ (ndr1_1_ a160_ /\ (c8_2_ a160_ a161_ /\ (~(c5_2_ a160_ a161_) /\ c2_2_ a160_ a161_)))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c8_1_ X12 \/ ~(c1_1_ X12)))) \/ (forall X13 : Universe, (ndr1_0_ -> (c4_1_ X13 \/ ((forall X14 : Universe, (ndr1_1_ X13 -> (~(c7_2_ X13 X14) \/ c2_2_ X13 X14))) \/ c5_1_ X13)))))) /\ (((ndr1_0_ /\ (~(c8_1_ a162_) /\ ((forall X15 : Universe, (ndr1_1_ a162_ -> (c8_2_ a162_ X15 \/ (c3_2_ a162_ X15 \/ ~(c7_2_ a162_ X15))))) /\ (ndr1_1_ a162_ /\ (~(c5_2_ a162_ a163_) /\ (~(c6_2_ a162_ a163_) /\ c8_2_ a162_ a163_)))))) \/ c5_0_) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a164_ /\ (~(c2_2_ a164_ a165_) /\ (~(c5_2_ a164_ a165_) /\ (c3_2_ a164_ a165_ /\ ((forall X16 : Universe, (ndr1_1_ a164_ -> (~(c8_2_ a164_ X16) \/ ~(c2_2_ a164_ X16)))) /\ c6_1_ a164_)))))) \/ (ndr1_0_ /\ (c1_1_ a166_ /\ (ndr1_1_ a166_ /\ (c7_2_ a166_ a167_ /\ (~(c8_2_ a166_ a167_) /\ (~(c3_2_ a166_ a167_) /\ c7_1_ a166_)))))))) /\ ((c3_0_ \/ ((ndr1_0_ /\ (~(c2_1_ a168_) /\ ((forall X17 : Universe, (ndr1_1_ a168_ -> (c2_2_ a168_ X17 \/ (~(c5_2_ a168_ X17) \/ ~(c8_2_ a168_ X17))))) /\ ~(c6_1_ a168_)))) \/ ~(c4_0_))) /\ ((~(c4_0_) \/ (~(c2_0_) \/ (forall X18 : Universe, (ndr1_0_ -> ((forall X19 : Universe, (ndr1_1_ X18 -> (~(c4_2_ X18 X19) \/ ~(c1_2_ X18 X19)))) \/ (~(c8_1_ X18) \/ (forall X20 : Universe, (ndr1_1_ X18 -> (~(c6_2_ X18 X20) \/ (~(c3_2_ X18 X20) \/ ~(c1_2_ X18 X20))))))))))) /\ (((forall X21 : Universe, (ndr1_0_ -> ((forall X22 : Universe, (ndr1_1_ X21 -> (c2_2_ X21 X22 \/ (c1_2_ X21 X22 \/ ~(c7_2_ X21 X22))))) \/ c4_1_ X21))) \/ (forall X23 : Universe, (ndr1_0_ -> ((forall X24 : Universe, (ndr1_1_ X23 -> (~(c5_2_ X23 X24) \/ (c3_2_ X23 X24 \/ c2_2_ X23 X24)))) \/ (c1_1_ X23 \/ ~(c7_1_ X23)))))) /\ ((~(c4_0_) \/ (~(c7_0_) \/ (ndr1_0_ /\ (c2_1_ a169_ /\ (c8_1_ a169_ /\ ~(c6_1_ a169_)))))) /\ ((c8_0_ \/ (c7_0_ \/ ~(c3_0_))) /\ ((c7_0_ \/ ((ndr1_0_ /\ (~(c5_1_ a170_) /\ (~(c7_1_ a170_) /\ (forall X25 : Universe, (ndr1_1_ a170_ -> (c3_2_ a170_ X25 \/ (~(c2_2_ a170_ X25) \/ ~(c4_2_ a170_ X25)))))))) \/ c6_0_)) /\ ((~(c1_0_) \/ ((forall X26 : Universe, (ndr1_0_ -> (c3_1_ X26 \/ (~(c4_1_ X26) \/ c5_1_ X26)))) \/ (ndr1_0_ /\ (ndr1_1_ a171_ /\ (~(c1_2_ a171_ a172_) /\ (c5_2_ a171_ a172_ /\ (c2_2_ a171_ a172_ /\ (c4_1_ a171_ /\ ~(c2_1_ a171_))))))))) /\ (((ndr1_0_ /\ ((forall X27 : Universe, (ndr1_1_ a173_ -> (~(c8_2_ a173_ X27) \/ ~(c1_2_ a173_ X27)))) /\ ((forall X28 : Universe, (ndr1_1_ a173_ -> (~(c7_2_ a173_ X28) \/ (c8_2_ a173_ X28 \/ c5_2_ a173_ X28)))) /\ ~(c6_1_ a173_)))) \/ ((ndr1_0_ /\ (~(c3_1_ a174_) /\ (c5_1_ a174_ /\ (forall X29 : Universe, (ndr1_1_ a174_ -> (~(c8_2_ a174_ X29) \/ (~(c5_2_ a174_ X29) \/ c6_2_ a174_ X29))))))) \/ (forall X30 : Universe, (ndr1_0_ -> ((ndr1_1_ X30 /\ (c5_2_ X30 a175_ /\ (~(c2_2_ X30 a175_) /\ c3_2_ X30 a175_))) \/ ((forall X31 : Universe, (ndr1_1_ X30 -> (c4_2_ X30 X31 \/ (c3_2_ X30 X31 \/ c6_2_ X30 X31)))) \/ c3_1_ X30)))))) /\ (((ndr1_0_ /\ ((forall X32 : Universe, (ndr1_1_ a176_ -> (~(c2_2_ a176_ X32) \/ (c7_2_ a176_ X32 \/ ~(c3_2_ a176_ X32))))) /\ (ndr1_1_ a176_ /\ (~(c2_2_ a176_ a177_) /\ (~(c6_2_ a176_ a177_) /\ (~(c3_2_ a176_ a177_) /\ (ndr1_1_ a176_ /\ (c8_2_ a176_ a178_ /\ (~(c4_2_ a176_ a178_) /\ ~(c7_2_ a176_ a178_)))))))))) \/ (c7_0_ \/ (ndr1_0_ /\ ((forall X33 : Universe, (ndr1_1_ a179_ -> (c2_2_ a179_ X33 \/ ~(c3_2_ a179_ X33)))) /\ (~(c2_1_ a179_) /\ (ndr1_1_ a179_ /\ (c2_2_ a179_ a180_ /\ (c3_2_ a179_ a180_ /\ c6_2_ a179_ a180_)))))))) /\ (((forall X34 : Universe, (ndr1_0_ -> ((forall X35 : Universe, (ndr1_1_ X34 -> (~(c8_2_ X34 X35) \/ (~(c1_2_ X34 X35) \/ ~(c3_2_ X34 X35))))) \/ (~(c3_1_ X34) \/ (forall X36 : Universe, (ndr1_1_ X34 -> (~(c5_2_ X34 X36) \/ ~(c6_2_ X34 X36)))))))) \/ (c5_0_ \/ (ndr1_0_ /\ ((forall X37 : Universe, (ndr1_1_ a181_ -> (~(c2_2_ a181_ X37) \/ (~(c6_2_ a181_ X37) \/ ~(c4_2_ a181_ X37))))) /\ (c2_1_ a181_ /\ (forall X38 : Universe, (ndr1_1_ a181_ -> (~(c2_2_ a181_ X38) \/ (c4_2_ a181_ X38 \/ ~(c3_2_ a181_ X38)))))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> (c8_1_ X39 \/ ((forall X40 : Universe, (ndr1_1_ X39 -> (c7_2_ X39 X40 \/ (~(c1_2_ X39 X40) \/ c5_2_ X39 X40)))) \/ c1_1_ X39)))) \/ (c6_0_ \/ ~(c1_0_))) /\ ((c3_0_ \/ (c6_0_ \/ c8_0_)) /\ ((c1_0_ \/ (ndr1_0_ /\ ((forall X41 : Universe, (ndr1_1_ a182_ -> (~(c2_2_ a182_ X41) \/ (c1_2_ a182_ X41 \/ ~(c4_2_ a182_ X41))))) /\ ((forall X42 : Universe, (ndr1_1_ a182_ -> (~(c7_2_ a182_ X42) \/ (~(c6_2_ a182_ X42) \/ ~(c1_2_ a182_ X42))))) /\ ~(c1_1_ a182_))))) /\ ((c7_0_ \/ (~(c1_0_) \/ (ndr1_0_ /\ (c1_1_ a183_ /\ (ndr1_1_ a183_ /\ (c7_2_ a183_ a184_ /\ (c5_2_ a183_ a184_ /\ (c3_2_ a183_ a184_ /\ c4_1_ a183_)))))))) /\ ((c4_0_ \/ (c2_0_ \/ (forall X43 : Universe, (ndr1_0_ -> ((forall X44 : Universe, (ndr1_1_ X43 -> (c5_2_ X43 X44 \/ (~(c6_2_ X43 X44) \/ ~(c8_2_ X43 X44))))) \/ (c6_1_ X43 \/ (forall X45 : Universe, (ndr1_1_ X43 -> (~(c5_2_ X43 X45) \/ ~(c7_2_ X43 X45)))))))))) /\ ((c1_0_ \/ (~(c3_0_) \/ (forall X46 : Universe, (ndr1_0_ -> (c3_1_ X46 \/ ((ndr1_1_ X46 /\ (c7_2_ X46 a185_ /\ (c4_2_ X46 a185_ /\ c5_2_ X46 a185_))) \/ ~(c5_1_ X46))))))) /\ ((c1_0_ \/ ((forall X47 : Universe, (ndr1_0_ -> (~(c1_1_ X47) \/ ((forall X48 : Universe, (ndr1_1_ X47 -> (c7_2_ X47 X48 \/ (~(c8_2_ X47 X48) \/ c6_2_ X47 X48)))) \/ (forall X49 : Universe, (ndr1_1_ X47 -> (c4_2_ X47 X49 \/ (c5_2_ X47 X49 \/ ~(c1_2_ X47 X49))))))))) \/ c5_0_)) /\ ((c2_0_ \/ (~(c3_0_) \/ (ndr1_0_ /\ ((forall X50 : Universe, (ndr1_1_ a186_ -> (~(c8_2_ a186_ X50) \/ (c5_2_ a186_ X50 \/ ~(c1_2_ a186_ X50))))) /\ (~(c7_1_ a186_) /\ c1_1_ a186_))))) /\ (((ndr1_0_ /\ (c4_1_ a187_ /\ (ndr1_1_ a187_ /\ (~(c4_2_ a187_ a188_) /\ (~(c6_2_ a187_ a188_) /\ ~(c3_1_ a187_)))))) \/ ((ndr1_0_ /\ (~(c6_1_ a189_) /\ ((forall X51 : Universe, (ndr1_1_ a189_ -> (~(c2_2_ a189_ X51) \/ (c7_2_ a189_ X51 \/ ~(c8_2_ a189_ X51))))) /\ (forall X52 : Universe, (ndr1_1_ a189_ -> (~(c8_2_ a189_ X52) \/ (~(c1_2_ a189_ X52) \/ c6_2_ a189_ X52))))))) \/ (forall X53 : Universe, (ndr1_0_ -> ((forall X54 : Universe, (ndr1_1_ X53 -> (c2_2_ X53 X54 \/ (c4_2_ X53 X54 \/ c1_2_ X53 X54)))) \/ ((forall X55 : Universe, (ndr1_1_ X53 -> (~(c3_2_ X53 X55) \/ (c6_2_ X53 X55 \/ ~(c8_2_ X53 X55))))) \/ ~(c7_1_ X53))))))) /\ (((forall X56 : Universe, (ndr1_0_ -> (c3_1_ X56 \/ ((ndr1_1_ X56 /\ (~(c3_2_ X56 a190_) /\ (c1_2_ X56 a190_ /\ ~(c6_2_ X56 a190_)))) \/ c2_1_ X56)))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c8_1_ X57 \/ ((forall X58 : Universe, (ndr1_1_ X57 -> (c6_2_ X57 X58 \/ c7_2_ X57 X58))) \/ (forall X59 : Universe, (ndr1_1_ X57 -> (c3_2_ X57 X59 \/ (~(c2_2_ X57 X59) \/ ~(c6_2_ X57 X59))))))))) \/ (ndr1_0_ /\ (~(c5_1_ a191_) /\ (c1_1_ a191_ /\ (ndr1_1_ a191_ /\ (c7_2_ a191_ a192_ /\ ~(c8_2_ a191_ a192_)))))))) /\ ((c1_0_ \/ ((forall X60 : Universe, (ndr1_0_ -> ((forall X61 : Universe, (ndr1_1_ X60 -> (~(c6_2_ X60 X61) \/ (~(c7_2_ X60 X61) \/ c2_2_ X60 X61)))) \/ (~(c3_1_ X60) \/ c5_1_ X60)))) \/ (ndr1_0_ /\ (~(c1_1_ a193_) /\ (~(c7_1_ a193_) /\ (ndr1_1_ a193_ /\ (~(c4_2_ a193_ a194_) /\ (~(c6_2_ a193_ a194_) /\ c7_2_ a193_ a194_)))))))) /\ (((forall X62 : Universe, (ndr1_0_ -> ((forall X63 : Universe, (ndr1_1_ X62 -> (~(c1_2_ X62 X63) \/ (~(c6_2_ X62 X63) \/ ~(c3_2_ X62 X63))))) \/ (~(c4_1_ X62) \/ ~(c2_1_ X62))))) \/ ((ndr1_0_ /\ (forall X64 : Universe, (ndr1_1_ a195_ -> (c4_2_ a195_ X64 \/ (~(c6_2_ a195_ X64) \/ c5_2_ a195_ X64))))) \/ (ndr1_0_ /\ (c2_1_ a196_ /\ (~(c4_1_ a196_) /\ (forall X65 : Universe, (ndr1_1_ a196_ -> (~(c1_2_ a196_ X65) \/ ~(c4_2_ a196_ X65))))))))) /\ ((c5_0_ \/ (ndr1_0_ /\ (~(c8_1_ a197_) /\ (~(c6_1_ a197_) /\ (ndr1_1_ a197_ /\ (c4_2_ a197_ a198_ /\ (~(c6_2_ a197_ a198_) /\ ~(c1_2_ a197_ a198_)))))))) /\ ((~(c5_0_) \/ (c7_0_ \/ c8_0_)) /\ (((ndr1_0_ /\ c1_1_ a199_) \/ ((ndr1_0_ /\ (~(c1_1_ a200_) /\ c6_1_ a200_)) \/ (forall X66 : Universe, (ndr1_0_ -> ((forall X67 : Universe, (ndr1_1_ X66 -> (c2_2_ X66 X67 \/ c7_2_ X66 X67))) \/ ((ndr1_1_ X66 /\ (c1_2_ X66 a201_ /\ (c8_2_ X66 a201_ /\ c7_2_ X66 a201_))) \/ ~(c2_1_ X66))))))) /\ (((forall X68 : Universe, (ndr1_0_ -> ((forall X69 : Universe, (ndr1_1_ X68 -> (c2_2_ X68 X69 \/ (c4_2_ X68 X69 \/ ~(c5_2_ X68 X69))))) \/ ~(c2_1_ X68)))) \/ ((ndr1_0_ /\ (c7_1_ a202_ /\ ((forall X70 : Universe, (ndr1_1_ a202_ -> (~(c6_2_ a202_ X70) \/ (c3_2_ a202_ X70 \/ c8_2_ a202_ X70)))) /\ (forall X71 : Universe, (ndr1_1_ a202_ -> (c6_2_ a202_ X71 \/ (c7_2_ a202_ X71 \/ ~(c3_2_ a202_ X71)))))))) \/ (ndr1_0_ /\ (c4_1_ a203_ /\ (c8_1_ a203_ /\ (forall X72 : Universe, (ndr1_1_ a203_ -> (~(c1_2_ a203_ X72) \/ (~(c5_2_ a203_ X72) \/ ~(c8_2_ a203_ X72)))))))))) /\ ((c1_0_ \/ (ndr1_0_ /\ ((forall X73 : Universe, (ndr1_1_ a204_ -> (c8_2_ a204_ X73 \/ c2_2_ a204_ X73))) /\ (c8_1_ a204_ /\ (ndr1_1_ a204_ /\ (c7_2_ a204_ a205_ /\ c3_2_ a204_ a205_)))))) /\ ((c3_0_ \/ ((forall X74 : Universe, (ndr1_0_ -> ((forall X75 : Universe, (ndr1_1_ X74 -> (~(c5_2_ X74 X75) \/ ~(c4_2_ X74 X75)))) \/ ((ndr1_1_ X74 /\ (c3_2_ X74 a206_ /\ (c6_2_ X74 a206_ /\ c4_2_ X74 a206_))) \/ (ndr1_1_ X74 /\ (~(c3_2_ X74 a207_) /\ (c8_2_ X74 a207_ /\ ~(c5_2_ X74 a207_)))))))) \/ c4_0_)) /\ (((ndr1_0_ /\ (c8_1_ a208_ /\ (ndr1_1_ a208_ /\ (~(c6_2_ a208_ a209_) /\ (~(c2_2_ a208_ a209_) /\ (~(c3_2_ a208_ a209_) /\ ~(c1_1_ a208_))))))) \/ ((forall X76 : Universe, (ndr1_0_ -> ((forall X77 : Universe, (ndr1_1_ X76 -> (c7_2_ X76 X77 \/ (c4_2_ X76 X77 \/ ~(c6_2_ X76 X77))))) \/ ((forall X78 : Universe, (ndr1_1_ X76 -> (~(c1_2_ X76 X78) \/ (c4_2_ X76 X78 \/ ~(c7_2_ X76 X78))))) \/ c7_1_ X76)))) \/ ~(c8_0_))) /\ ((~(c6_0_) \/ (forall X79 : Universe, (ndr1_0_ -> (~(c4_1_ X79) \/ (ndr1_1_ X79 /\ (~(c5_2_ X79 a210_) /\ (c4_2_ X79 a210_ /\ c8_2_ X79 a210_))))))) /\ ((~(c5_0_) \/ (~(c7_0_) \/ c3_0_)) /\ ((c5_0_ \/ (~(c4_0_) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (c4_1_ a211_ /\ (~(c3_1_ a211_) /\ (ndr1_1_ a211_ /\ (~(c1_2_ a211_ a212_) /\ ~(c8_2_ a211_ a212_)))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (c5_1_ X80 \/ (~(c4_1_ X80) \/ (ndr1_1_ X80 /\ (c2_2_ X80 a213_ /\ (~(c3_2_ X80 a213_) /\ c7_2_ X80 a213_))))))) \/ c7_0_)) /\ ((~(c2_0_) \/ ((forall X81 : Universe, (ndr1_0_ -> (~(c1_1_ X81) \/ ((ndr1_1_ X81 /\ (~(c2_2_ X81 a214_) /\ (c7_2_ X81 a214_ /\ c4_2_ X81 a214_))) \/ c2_1_ X81)))) \/ c4_0_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c2_1_ X82 \/ (~(c5_1_ X82) \/ (forall X83 : Universe, (ndr1_1_ X82 -> (~(c2_2_ X82 X83) \/ (c3_2_ X82 X83 \/ c8_2_ X82 X83)))))))) \/ c8_0_) /\ (((ndr1_0_ /\ (c7_1_ a215_ /\ (ndr1_1_ a215_ /\ (~(c1_2_ a215_ a216_) /\ (~(c4_2_ a215_ a216_) /\ (c3_2_ a215_ a216_ /\ ~(c2_1_ a215_))))))) \/ (c7_0_ \/ c8_0_)) /\ (((ndr1_0_ /\ (c8_1_ a217_ /\ (c7_1_ a217_ /\ ~(c1_1_ a217_)))) \/ ~(c4_0_)) /\ ((~(c5_0_) \/ ((forall X84 : Universe, (ndr1_0_ -> (c5_1_ X84 \/ ((forall X85 : Universe, (ndr1_1_ X84 -> (c7_2_ X84 X85 \/ (~(c5_2_ X84 X85) \/ ~(c6_2_ X84 X85))))) \/ ~(c7_1_ X84))))) \/ c4_0_)) /\ (((ndr1_0_ /\ (~(c5_1_ a218_) /\ (ndr1_1_ a218_ /\ (~(c5_2_ a218_ a219_) /\ (c4_2_ a218_ a219_ /\ ~(c1_1_ a218_)))))) \/ ((forall X86 : Universe, (ndr1_0_ -> ((forall X87 : Universe, (ndr1_1_ X86 -> (~(c1_2_ X86 X87) \/ (~(c7_2_ X86 X87) \/ c8_2_ X86 X87)))) \/ ((ndr1_1_ X86 /\ (~(c3_2_ X86 a220_) /\ (~(c5_2_ X86 a220_) /\ c1_2_ X86 a220_))) \/ (forall X88 : Universe, (ndr1_1_ X86 -> (c6_2_ X86 X88 \/ (~(c8_2_ X86 X88) \/ ~(c4_2_ X86 X88))))))))) \/ c4_0_)) /\ (((ndr1_0_ /\ ((forall X89 : Universe, (ndr1_1_ a221_ -> (~(c7_2_ a221_ X89) \/ (c2_2_ a221_ X89 \/ c4_2_ a221_ X89)))) /\ (~(c1_1_ a221_) /\ ~(c2_1_ a221_)))) \/ (~(c2_0_) \/ (ndr1_0_ /\ ((forall X90 : Universe, (ndr1_1_ a222_ -> (c5_2_ a222_ X90 \/ c2_2_ a222_ X90))) /\ (~(c1_1_ a222_) /\ ~(c6_1_ a222_)))))) /\ ((c1_0_ \/ (c2_0_ \/ c5_0_)) /\ ((c1_0_ \/ ((ndr1_0_ /\ (~(c4_1_ a223_) /\ ((forall X91 : Universe, (ndr1_1_ a223_ -> (c6_2_ a223_ X91 \/ ~(c4_2_ a223_ X91)))) /\ (forall X92 : Universe, (ndr1_1_ a223_ -> (c7_2_ a223_ X92 \/ c2_2_ a223_ X92)))))) \/ (forall X93 : Universe, (ndr1_0_ -> ((ndr1_1_ X93 /\ (c3_2_ X93 a224_ /\ ~(c5_2_ X93 a224_))) \/ (c1_1_ X93 \/ (ndr1_1_ X93 /\ (c8_2_ X93 a225_ /\ (c2_2_ X93 a225_ /\ ~(c4_2_ X93 a225_)))))))))) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ ((forall X94 : Universe, (ndr1_1_ a226_ -> (~(c6_2_ a226_ X94) \/ (c7_2_ a226_ X94 \/ ~(c5_2_ a226_ X94))))) /\ ((forall X95 : Universe, (ndr1_1_ a226_ -> (c5_2_ a226_ X95 \/ (~(c8_2_ a226_ X95) \/ c6_2_ a226_ X95)))) /\ ~(c5_1_ a226_)))) \/ (ndr1_0_ /\ ((forall X96 : Universe, (ndr1_1_ a227_ -> (c5_2_ a227_ X96 \/ (c2_2_ a227_ X96 \/ ~(c4_2_ a227_ X96))))) /\ ((forall X97 : Universe, (ndr1_1_ a227_ -> (c2_2_ a227_ X97 \/ (~(c7_2_ a227_ X97) \/ ~(c4_2_ a227_ X97))))) /\ (ndr1_1_ a227_ /\ (c7_2_ a227_ a228_ /\ c6_2_ a227_ a228_))))))) /\ (((ndr1_0_ /\ (c1_1_ a229_ /\ ((forall X98 : Universe, (ndr1_1_ a229_ -> (c2_2_ a229_ X98 \/ (c1_2_ a229_ X98 \/ c8_2_ a229_ X98)))) /\ (forall X99 : Universe, (ndr1_1_ a229_ -> (~(c4_2_ a229_ X99) \/ (c3_2_ a229_ X99 \/ c1_2_ a229_ X99))))))) \/ ~(c2_0_)) /\ ((c8_0_ \/ ((forall X100 : Universe, (ndr1_0_ -> ((forall X101 : Universe, (ndr1_1_ X100 -> (c7_2_ X100 X101 \/ (~(c4_2_ X100 X101) \/ ~(c6_2_ X100 X101))))) \/ ((ndr1_1_ X100 /\ (~(c8_2_ X100 a230_) /\ (c7_2_ X100 a230_ /\ ~(c6_2_ X100 a230_)))) \/ c7_1_ X100)))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (~(c8_1_ a231_) /\ (ndr1_1_ a231_ /\ (c4_2_ a231_ a232_ /\ (c6_2_ a231_ a232_ /\ (c5_2_ a231_ a232_ /\ c4_1_ a231_)))))) \/ ((forall X102 : Universe, (ndr1_0_ -> ((forall X103 : Universe, (ndr1_1_ X102 -> (~(c6_2_ X102 X103) \/ c3_2_ X102 X103))) \/ (~(c3_1_ X102) \/ ~(c5_1_ X102))))) \/ (forall X104 : Universe, (ndr1_0_ -> (~(c1_1_ X104) \/ (c2_1_ X104 \/ (forall X105 : Universe, (ndr1_1_ X104 -> (~(c7_2_ X104 X105) \/ (c1_2_ X104 X105 \/ ~(c4_2_ X104 X105))))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a233_ /\ (c6_2_ a233_ a234_ /\ (c3_2_ a233_ a234_ /\ (c1_2_ a233_ a234_ /\ ((forall X106 : Universe, (ndr1_1_ a233_ -> (~(c4_2_ a233_ X106) \/ ~(c3_2_ a233_ X106)))) /\ (forall X107 : Universe, (ndr1_1_ a233_ -> (c6_2_ a233_ X107 \/ ~(c8_2_ a233_ X107)))))))))) \/ (ndr1_0_ /\ (~(c1_1_ a235_) /\ (~(c3_1_ a235_) /\ (forall X108 : Universe, (ndr1_1_ a235_ -> (~(c4_2_ a235_ X108) \/ c8_2_ a235_ X108))))))) /\ ((~(c7_0_) \/ ((forall X109 : Universe, (ndr1_0_ -> (~(c6_1_ X109) \/ ((ndr1_1_ X109 /\ (c5_2_ X109 a236_ /\ (~(c6_2_ X109 a236_) /\ ~(c4_2_ X109 a236_)))) \/ ~(c8_1_ X109))))) \/ c1_0_)) /\ (((ndr1_0_ /\ (c1_1_ a237_ /\ (ndr1_1_ a237_ /\ (c2_2_ a237_ a238_ /\ (~(c7_2_ a237_ a238_) /\ (~(c1_2_ a237_ a238_) /\ ~(c7_1_ a237_))))))) \/ ((forall X110 : Universe, (ndr1_0_ -> ((ndr1_1_ X110 /\ (~(c5_2_ X110 a239_) /\ (c7_2_ X110 a239_ /\ c8_2_ X110 a239_))) \/ ((forall X111 : Universe, (ndr1_1_ X110 -> (~(c5_2_ X110 X111) \/ (c8_2_ X110 X111 \/ c7_2_ X110 X111)))) \/ (ndr1_1_ X110 /\ (~(c1_2_ X110 a240_) /\ c7_2_ X110 a240_)))))) \/ c6_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a241_ /\ (~(c1_2_ a241_ a242_) /\ (~(c7_2_ a241_ a242_) /\ (~(c4_2_ a241_ a242_) /\ ((forall X112 : Universe, (ndr1_1_ a241_ -> (c6_2_ a241_ X112 \/ (~(c4_2_ a241_ X112) \/ c5_2_ a241_ X112)))) /\ (ndr1_1_ a241_ /\ (~(c6_2_ a241_ a243_) /\ (c4_2_ a241_ a243_ /\ c5_2_ a241_ a243_))))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a244_ /\ (c4_2_ a244_ a245_ /\ (~(c2_2_ a244_ a245_) /\ (ndr1_1_ a244_ /\ (~(c3_2_ a244_ a246_) /\ (c8_2_ a244_ a246_ /\ ~(c7_2_ a244_ a246_)))))))) \/ ~(c6_0_))) /\ (((forall X113 : Universe, (ndr1_0_ -> (c2_1_ X113 \/ (c3_1_ X113 \/ (forall X114 : Universe, (ndr1_1_ X113 -> (~(c3_2_ X113 X114) \/ (~(c6_2_ X113 X114) \/ ~(c8_2_ X113 X114))))))))) \/ (~(c4_0_) \/ (forall X115 : Universe, (ndr1_0_ -> (c4_1_ X115 \/ (c3_1_ X115 \/ (forall X116 : Universe, (ndr1_1_ X115 -> (c5_2_ X115 X116 \/ (c3_2_ X115 X116 \/ ~(c8_2_ X115 X116))))))))))) /\ ((c4_0_ \/ (~(c5_0_) \/ c3_0_)) /\ ((c8_0_ \/ ((forall X117 : Universe, (ndr1_0_ -> ((ndr1_1_ X117 /\ (~(c5_2_ X117 a247_) /\ ~(c1_2_ X117 a247_))) \/ (c1_1_ X117 \/ ~(c7_1_ X117))))) \/ (forall X118 : Universe, (ndr1_0_ -> (c2_1_ X118 \/ (~(c7_1_ X118) \/ ~(c5_1_ X118))))))) /\ ((~(c2_0_) \/ ((forall X119 : Universe, (ndr1_0_ -> ((ndr1_1_ X119 /\ (c3_2_ X119 a248_ /\ (~(c6_2_ X119 a248_) /\ c7_2_ X119 a248_))) \/ (~(c8_1_ X119) \/ c2_1_ X119)))) \/ (ndr1_0_ /\ (~(c1_1_ a249_) /\ (~(c7_1_ a249_) /\ (forall X120 : Universe, (ndr1_1_ a249_ -> (~(c4_2_ a249_ X120) \/ (~(c2_2_ a249_ X120) \/ c5_2_ a249_ X120))))))))) /\ (((forall X121 : Universe, (ndr1_0_ -> (c3_1_ X121 \/ ((ndr1_1_ X121 /\ (c7_2_ X121 a250_ /\ (c8_2_ X121 a250_ /\ c5_2_ X121 a250_))) \/ (ndr1_1_ X121 /\ (~(c8_2_ X121 a251_) /\ (~(c2_2_ X121 a251_) /\ ~(c3_2_ X121 a251_)))))))) \/ (c8_0_ \/ ~(c6_0_))) /\ (((ndr1_0_ /\ (c1_1_ a252_ /\ (~(c7_1_ a252_) /\ (forall X122 : Universe, (ndr1_1_ a252_ -> (c5_2_ a252_ X122 \/ (~(c2_2_ a252_ X122) \/ ~(c4_2_ a252_ X122)))))))) \/ (~(c4_0_) \/ (forall X123 : Universe, (ndr1_0_ -> ~(c8_1_ X123))))) /\ (((forall X124 : Universe, (ndr1_0_ -> (c1_1_ X124 \/ ~(c3_1_ X124)))) \/ ((ndr1_0_ /\ (~(c8_1_ a253_) /\ (~(c7_1_ a253_) /\ (forall X125 : Universe, (ndr1_1_ a253_ -> (c2_2_ a253_ X125 \/ (c3_2_ a253_ X125 \/ c5_2_ a253_ X125))))))) \/ (forall X126 : Universe, (ndr1_0_ -> ((ndr1_1_ X126 /\ (~(c5_2_ X126 a254_) /\ (~(c6_2_ X126 a254_) /\ c1_2_ X126 a254_))) \/ (c5_1_ X126 \/ (ndr1_1_ X126 /\ (~(c3_2_ X126 a255_) /\ (~(c8_2_ X126 a255_) /\ c7_2_ X126 a255_))))))))) /\ ((c4_0_ \/ (~(c6_0_) \/ (forall X127 : Universe, (ndr1_0_ -> (c8_1_ X127 \/ (~(c6_1_ X127) \/ (forall X128 : Universe, (ndr1_1_ X127 -> (~(c1_2_ X127 X128) \/ (c4_2_ X127 X128 \/ c6_2_ X127 X128)))))))))) /\ ((~(c1_0_) \/ (c4_0_ \/ ~(c6_0_))) /\ (((ndr1_0_ /\ (c1_1_ a256_ /\ ((forall X129 : Universe, (ndr1_1_ a256_ -> (~(c3_2_ a256_ X129) \/ (~(c5_2_ a256_ X129) \/ ~(c4_2_ a256_ X129))))) /\ (ndr1_1_ a256_ /\ (~(c1_2_ a256_ a257_) /\ ~(c7_2_ a256_ a257_)))))) \/ ((forall X130 : Universe, (ndr1_0_ -> (~(c5_1_ X130) \/ (c1_1_ X130 \/ c3_1_ X130)))) \/ c6_0_)) /\ ((c7_0_ \/ ((forall X131 : Universe, (ndr1_0_ -> (~(c7_1_ X131) \/ ((ndr1_1_ X131 /\ (~(c7_2_ X131 a258_) /\ (c3_2_ X131 a258_ /\ c4_2_ X131 a258_))) \/ c1_1_ X131)))) \/ (ndr1_0_ /\ ((forall X132 : Universe, (ndr1_1_ a259_ -> (c1_2_ a259_ X132 \/ (c8_2_ a259_ X132 \/ c3_2_ a259_ X132)))) /\ (c6_1_ a259_ /\ ~(c7_1_ a259_)))))) /\ ((c6_0_ \/ (c5_0_ \/ (forall X133 : Universe, (ndr1_0_ -> ((forall X134 : Universe, (ndr1_1_ X133 -> (~(c7_2_ X133 X134) \/ (c8_2_ X133 X134 \/ c1_2_ X133 X134)))) \/ ((ndr1_1_ X133 /\ (~(c7_2_ X133 a260_) /\ (~(c2_2_ X133 a260_) /\ ~(c1_2_ X133 a260_)))) \/ (ndr1_1_ X133 /\ (~(c6_2_ X133 a261_) /\ (c2_2_ X133 a261_ /\ c1_2_ X133 a261_))))))))) /\ ((c1_0_ \/ c4_0_) /\ (((forall X135 : Universe, (ndr1_0_ -> (c2_1_ X135 \/ ((ndr1_1_ X135 /\ (c4_2_ X135 a262_ /\ (~(c2_2_ X135 a262_) /\ c1_2_ X135 a262_))) \/ (forall X136 : Universe, (ndr1_1_ X135 -> (c5_2_ X135 X136 \/ (c1_2_ X135 X136 \/ ~(c3_2_ X135 X136))))))))) \/ (~(c6_0_) \/ c1_0_)) /\ (((forall X137 : Universe, (ndr1_0_ -> (c3_1_ X137 \/ (forall X138 : Universe, (ndr1_1_ X137 -> (~(c3_2_ X137 X138) \/ (~(c2_2_ X137 X138) \/ ~(c4_2_ X137 X138)))))))) \/ (c1_0_ \/ ~(c7_0_))) /\ ((~(c7_0_) \/ ((forall X139 : Universe, (ndr1_0_ -> ((forall X140 : Universe, (ndr1_1_ X139 -> (~(c8_2_ X139 X140) \/ (c3_2_ X139 X140 \/ ~(c5_2_ X139 X140))))) \/ (~(c7_1_ X139) \/ c2_1_ X139)))) \/ c5_0_)) /\ ((~(c5_0_) \/ ((forall X141 : Universe, (ndr1_0_ -> ((ndr1_1_ X141 /\ (~(c5_2_ X141 a263_) /\ (~(c7_2_ X141 a263_) /\ c4_2_ X141 a263_))) \/ (~(c6_1_ X141) \/ (ndr1_1_ X141 /\ (c5_2_ X141 a264_ /\ (c1_2_ X141 a264_ /\ c7_2_ X141 a264_))))))) \/ ~(c3_0_))) /\ (((forall X142 : Universe, (ndr1_0_ -> (c4_1_ X142 \/ ~(c5_1_ X142)))) \/ (c2_0_ \/ (forall X143 : Universe, (ndr1_0_ -> (~(c2_1_ X143) \/ ~(c7_1_ X143)))))) /\ ((c7_0_ \/ ((ndr1_0_ /\ (~(c6_1_ a265_) /\ ((forall X144 : Universe, (ndr1_1_ a265_ -> (~(c4_2_ a265_ X144) \/ c7_2_ a265_ X144))) /\ (ndr1_1_ a265_ /\ (c4_2_ a265_ a266_ /\ (c2_2_ a265_ a266_ /\ ~(c8_2_ a265_ a266_))))))) \/ (ndr1_0_ /\ (forall X145 : Universe, (ndr1_1_ a267_ -> (c6_2_ a267_ X145 \/ c3_2_ a267_ X145)))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a268_ /\ (~(c6_2_ a268_ a269_) /\ (c2_2_ a268_ a269_ /\ (c5_2_ a268_ a269_ /\ (ndr1_1_ a268_ /\ (c6_2_ a268_ a270_ /\ (c8_2_ a268_ a270_ /\ (c1_2_ a268_ a270_ /\ ~(c7_1_ a268_)))))))))) \/ c5_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a271_ /\ (~(c7_2_ a271_ a272_) /\ (c2_2_ a271_ a272_ /\ (c1_2_ a271_ a272_ /\ (c5_1_ a271_ /\ (ndr1_1_ a271_ /\ (~(c3_2_ a271_ a273_) /\ (~(c4_2_ a271_ a273_) /\ c1_2_ a271_ a273_))))))))) \/ ((ndr1_0_ /\ ((forall X146 : Universe, (ndr1_1_ a274_ -> (~(c7_2_ a274_ X146) \/ (~(c4_2_ a274_ X146) \/ c5_2_ a274_ X146)))) /\ ((forall X147 : Universe, (ndr1_1_ a274_ -> (~(c1_2_ a274_ X147) \/ (~(c5_2_ a274_ X147) \/ ~(c6_2_ a274_ X147))))) /\ ~(c7_1_ a274_)))) \/ (forall X148 : Universe, (ndr1_0_ -> (~(c1_1_ X148) \/ (forall X149 : Universe, (ndr1_1_ X148 -> (c5_2_ X148 X149 \/ ~(c6_2_ X148 X149))))))))) /\ (((ndr1_0_ /\ ((forall X150 : Universe, (ndr1_1_ a275_ -> (~(c7_2_ a275_ X150) \/ (c5_2_ a275_ X150 \/ ~(c2_2_ a275_ X150))))) /\ (ndr1_1_ a275_ /\ (c2_2_ a275_ a276_ /\ (c7_2_ a275_ a276_ /\ (~(c3_2_ a275_ a276_) /\ ~(c1_1_ a275_))))))) \/ (c4_0_ \/ (ndr1_0_ /\ ((forall X151 : Universe, (ndr1_1_ a277_ -> (~(c8_2_ a277_ X151) \/ (c6_2_ a277_ X151 \/ c4_2_ a277_ X151)))) /\ ((forall X152 : Universe, (ndr1_1_ a277_ -> (~(c1_2_ a277_ X152) \/ (~(c2_2_ a277_ X152) \/ c7_2_ a277_ X152)))) /\ (forall X153 : Universe, (ndr1_1_ a277_ -> (~(c6_2_ a277_ X153) \/ ~(c7_2_ a277_ X153))))))))) /\ (((forall X154 : Universe, (ndr1_0_ -> (c1_1_ X154 \/ ((ndr1_1_ X154 /\ (~(c3_2_ X154 a278_) /\ c5_2_ X154 a278_)) \/ ~(c4_1_ X154))))) \/ (c8_0_ \/ c7_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a279_ /\ (~(c4_2_ a279_ a280_) /\ (~(c1_2_ a279_ a280_) /\ (c8_2_ a279_ a280_ /\ ((forall X155 : Universe, (ndr1_1_ a279_ -> (c6_2_ a279_ X155 \/ (~(c5_2_ a279_ X155) \/ c3_2_ a279_ X155)))) /\ c2_1_ a279_)))))) \/ (~(c1_0_) \/ (ndr1_0_ /\ (ndr1_1_ a281_ /\ (c7_2_ a281_ a282_ /\ (c8_2_ a281_ a282_ /\ (c2_2_ a281_ a282_ /\ (ndr1_1_ a281_ /\ (c8_2_ a281_ a283_ /\ ~(c1_2_ a281_ a283_)))))))))) /\ (((forall X156 : Universe, (ndr1_0_ -> ((ndr1_1_ X156 /\ (c3_2_ X156 a284_ /\ (c1_2_ X156 a284_ /\ c5_2_ X156 a284_))) \/ ((ndr1_1_ X156 /\ (~(c8_2_ X156 a285_) /\ (c3_2_ X156 a285_ /\ ~(c7_2_ X156 a285_)))) \/ (ndr1_1_ X156 /\ (~(c7_2_ X156 a286_) /\ ~(c1_2_ X156 a286_))))))) \/ (c6_0_ \/ (forall X157 : Universe, (ndr1_0_ -> (c1_1_ X157 \/ (~(c8_1_ X157) \/ c6_1_ X157)))))) /\ ((~(c3_0_) \/ (c4_0_ \/ (forall X158 : Universe, (ndr1_0_ -> (~(c8_1_ X158) \/ ((forall X159 : Universe, (ndr1_1_ X158 -> (c8_2_ X158 X159 \/ (~(c7_2_ X158 X159) \/ ~(c6_2_ X158 X159))))) \/ c4_1_ X158)))))) /\ ((c2_0_ \/ (c8_0_ \/ ~(c4_0_))) /\ ((c3_0_ \/ (c5_0_ \/ (ndr1_0_ /\ (c3_1_ a287_ /\ (~(c5_1_ a287_) /\ c8_1_ a287_))))) /\ (((forall X160 : Universe, (ndr1_0_ -> (c6_1_ X160 \/ ((forall X161 : Universe, (ndr1_1_ X160 -> (~(c3_2_ X160 X161) \/ (c7_2_ X160 X161 \/ c5_2_ X160 X161)))) \/ ~(c2_1_ X160))))) \/ ((ndr1_0_ /\ (~(c8_1_ a288_) /\ (ndr1_1_ a288_ /\ (~(c8_2_ a288_ a289_) /\ (~(c4_2_ a288_ a289_) /\ (~(c5_2_ a288_ a289_) /\ (forall X162 : Universe, (ndr1_1_ a288_ -> (~(c8_2_ a288_ X162) \/ (~(c5_2_ a288_ X162) \/ ~(c4_2_ a288_ X162))))))))))) \/ (forall X163 : Universe, (ndr1_0_ -> ((ndr1_1_ X163 /\ (~(c8_2_ X163 a290_) /\ (~(c3_2_ X163 a290_) /\ ~(c1_2_ X163 a290_)))) \/ ((forall X164 : Universe, (ndr1_1_ X163 -> (c7_2_ X163 X164 \/ (c5_2_ X163 X164 \/ c3_2_ X163 X164)))) \/ (ndr1_1_ X163 /\ (c7_2_ X163 a291_ /\ (c2_2_ X163 a291_ /\ ~(c4_2_ X163 a291_)))))))))) /\ ((~(c2_0_) \/ ((forall X165 : Universe, (ndr1_0_ -> ((ndr1_1_ X165 /\ (~(c5_2_ X165 a292_) /\ (c7_2_ X165 a292_ /\ c8_2_ X165 a292_))) \/ ((ndr1_1_ X165 /\ (c4_2_ X165 a293_ /\ (~(c3_2_ X165 a293_) /\ ~(c1_2_ X165 a293_)))) \/ c4_1_ X165)))) \/ ~(c4_0_))) /\ ((c1_0_ \/ (ndr1_0_ /\ (c2_1_ a294_ /\ (~(c3_1_ a294_) /\ (ndr1_1_ a294_ /\ (~(c2_2_ a294_ a295_) /\ (~(c8_2_ a294_ a295_) /\ c7_2_ a294_ a295_))))))) /\ (c6_0_ \/ ((ndr1_0_ /\ ((forall X166 : Universe, (ndr1_1_ a296_ -> (c2_2_ a296_ X166 \/ (~(c6_2_ a296_ X166) \/ ~(c7_2_ a296_ X166))))) /\ (ndr1_1_ a296_ /\ (~(c7_2_ a296_ a297_) /\ (~(c2_2_ a296_ a297_) /\ (c5_2_ a296_ a297_ /\ ~(c7_1_ a296_))))))) \/ (forall X167 : Universe, (ndr1_0_ -> (c3_1_ X167 \/ (c4_1_ X167 \/ c5_1_ X167))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
