(*
% File     : SYN546+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=8, R=1, L=120, K=3, D=2, P=0, Index=075
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-8-1-120-3-2-075.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.83 v2.7.0, 1.00 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0, 0.67 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1181 (   0 equality)
%            Maximal formula depth :  113 ( 113 average)
%            Number of connectives : 1612 ( 432 ~  ; 469  |; 549  &)
%                                         (   0 <=>; 162 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  184 ( 167 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  162 (   0 singleton; 162 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a455_ : Universe.
Variable a454_ : Universe.
Variable a453_ : Universe.
Variable a452_ : Universe.
Variable a451_ : Universe.
Variable a450_ : Universe.
Variable a449_ : Universe.
Variable a448_ : Universe.
Variable a447_ : Universe.
Variable a446_ : Universe.
Variable a445_ : Universe.
Variable a444_ : Universe.
Variable a443_ : Universe.
Variable a442_ : Universe.
Variable a441_ : Universe.
Variable a440_ : Universe.
Variable a439_ : Universe.
Variable a438_ : Universe.
Variable a437_ : Universe.
Variable a436_ : Universe.
Variable a435_ : Universe.
Variable a434_ : Universe.
Variable a433_ : Universe.
Variable a432_ : Universe.
Variable a431_ : Universe.
Variable a430_ : Universe.
Variable a429_ : Universe.
Variable a428_ : Universe.
Variable a427_ : Universe.
Variable a426_ : Universe.
Variable a425_ : Universe.
Variable a424_ : Universe.
Variable a423_ : Universe.
Variable a422_ : Universe.
Variable a421_ : Universe.
Variable a420_ : Universe.
Variable a419_ : Universe.
Variable a418_ : Universe.
Variable a417_ : Universe.
Variable a416_ : Universe.
Variable a415_ : Universe.
Variable a414_ : Universe.
Variable a413_ : Universe.
Variable a412_ : Universe.
Variable a411_ : Universe.
Variable a410_ : Universe.
Variable a409_ : Universe.
Variable a408_ : Universe.
Variable a407_ : Universe.
Variable a406_ : Universe.
Variable a405_ : Universe.
Variable a404_ : Universe.
Variable a403_ : Universe.
Variable a402_ : Universe.
Variable a401_ : Universe.
Variable a400_ : Universe.
Variable a399_ : Universe.
Variable a398_ : Universe.
Variable a397_ : Universe.
Variable a396_ : Universe.
Variable a395_ : Universe.
Variable a394_ : Universe.
Variable a393_ : Universe.
Variable a392_ : Universe.
Variable a391_ : Universe.
Variable a390_ : Universe.
Variable a389_ : Universe.
Variable a388_ : Universe.
Variable a387_ : Universe.
Variable a386_ : Universe.
Variable a385_ : Universe.
Variable a384_ : Universe.
Variable a383_ : Universe.
Variable a382_ : Universe.
Variable a381_ : Universe.
Variable a380_ : Universe.
Variable a379_ : Universe.
Variable a378_ : Universe.
Variable a377_ : Universe.
Variable a376_ : Universe.
Variable a375_ : Universe.
Variable a374_ : Universe.
Variable a373_ : Universe.
Variable a372_ : Universe.
Variable a371_ : Universe.
Variable a370_ : Universe.
Variable a369_ : Universe.
Variable a368_ : Universe.
Variable a367_ : Universe.
Variable a366_ : Universe.
Variable a365_ : Universe.
Variable a364_ : Universe.
Variable a363_ : Universe.
Variable a362_ : Universe.
Variable a361_ : Universe.
Variable a360_ : Universe.
Variable a359_ : Universe.
Variable a358_ : Universe.
Variable a357_ : Universe.
Variable a356_ : Universe.
Variable a355_ : Universe.
Variable a354_ : Universe.
Variable a353_ : Universe.
Variable a352_ : Universe.
Variable a351_ : Universe.
Variable a350_ : Universe.
Variable a349_ : Universe.
Variable a348_ : Universe.
Variable a347_ : Universe.
Variable a346_ : Universe.
Variable a345_ : Universe.
Variable a344_ : Universe.
Variable a343_ : Universe.
Variable a342_ : Universe.
Variable a341_ : Universe.
Variable a340_ : Universe.
Variable a339_ : Universe.
Variable a338_ : Universe.
Variable a337_ : Universe.
Variable a336_ : Universe.
Variable a335_ : Universe.
Variable a334_ : Universe.
Variable a333_ : Universe.
Variable a332_ : Universe.
Variable a331_ : Universe.
Variable a330_ : Universe.
Variable a329_ : Universe.
Variable a328_ : Universe.
Variable a327_ : Universe.
Variable a326_ : Universe.
Variable a325_ : Universe.
Variable a324_ : Universe.
Variable a323_ : Universe.
Variable a322_ : Universe.
Variable a321_ : Universe.
Variable a320_ : Universe.
Variable a319_ : Universe.
Variable a318_ : Universe.
Variable a317_ : Universe.
Variable a316_ : Universe.
Variable a315_ : Universe.
Variable a314_ : Universe.
Variable a313_ : Universe.
Variable a312_ : Universe.
Variable a311_ : Universe.
Variable a310_ : Universe.
Variable a309_ : Universe.
Variable a308_ : Universe.
Variable a307_ : Universe.
Variable a306_ : Universe.
Variable a305_ : Universe.
Variable a304_ : Universe.
Variable a303_ : Universe.
Variable a302_ : Universe.
Variable a301_ : Universe.
Variable a300_ : Universe.
Variable a299_ : Universe.
Variable a298_ : Universe.


Theorem co1_1 : ~(((~(c2_0_) \/ (~(c3_0_) \/ (ndr1_0_ /\ (c8_1_ a298_ /\ (~(c1_1_ a298_) /\ ~(c3_1_ a298_)))))) /\ ((c7_0_ \/ c3_0_) /\ ((c3_0_ \/ ((ndr1_0_ /\ (~(c3_1_ a299_) /\ ((forall U : Universe, (ndr1_1_ a299_ -> (~(c4_2_ a299_ U) \/ (~(c1_2_ a299_ U) \/ ~(c3_2_ a299_ U))))) /\ ~(c7_1_ a299_)))) \/ c8_0_)) /\ (((ndr1_0_ /\ ((forall V : Universe, (ndr1_1_ a300_ -> (c1_2_ a300_ V \/ (c6_2_ a300_ V \/ ~(c2_2_ a300_ V))))) /\ (ndr1_1_ a300_ /\ (c5_2_ a300_ a301_ /\ (~(c1_2_ a300_ a301_) /\ (~(c2_2_ a300_ a301_) /\ c2_1_ a300_)))))) \/ (ndr1_0_ /\ (ndr1_1_ a302_ /\ (c6_2_ a302_ a303_ /\ (~(c1_2_ a302_ a303_) /\ (~(c5_2_ a302_ a303_) /\ c2_1_ a302_)))))) /\ (((forall W : Universe, (ndr1_0_ -> ((forall X : Universe, (ndr1_1_ W -> (~(c8_2_ W X) \/ (c3_2_ W X \/ c2_2_ W X)))) \/ (~(c5_1_ W) \/ (forall Y : Universe, (ndr1_1_ W -> (c5_2_ W Y \/ ~(c8_2_ W Y)))))))) \/ (c6_0_ \/ (ndr1_0_ /\ (c1_1_ a304_ /\ (c3_1_ a304_ /\ ~(c5_1_ a304_)))))) /\ ((~(c5_0_) \/ (~(c3_0_) \/ ~(c1_0_))) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ ((forall Z : Universe, (ndr1_1_ a305_ -> (~(c6_2_ a305_ Z) \/ (c4_2_ a305_ Z \/ ~(c8_2_ a305_ Z))))) /\ (~(c5_1_ a305_) /\ (ndr1_1_ a305_ /\ (~(c3_2_ a305_ a306_) /\ (c2_2_ a305_ a306_ /\ c8_2_ a305_ a306_)))))) \/ c1_0_)) /\ ((c4_0_ \/ ((ndr1_0_ /\ (c1_1_ a307_ /\ (ndr1_1_ a307_ /\ (~(c6_2_ a307_ a308_) /\ (c3_2_ a307_ a308_ /\ (forall X1 : Universe, (ndr1_1_ a307_ -> (c5_2_ a307_ X1 \/ (c7_2_ a307_ X1 \/ c1_2_ a307_ X1))))))))) \/ c8_0_)) /\ ((c6_0_ \/ c7_0_) /\ (((ndr1_0_ /\ (~(c7_1_ a309_) /\ ((forall X2 : Universe, (ndr1_1_ a309_ -> (c3_2_ a309_ X2 \/ (~(c2_2_ a309_ X2) \/ c6_2_ a309_ X2)))) /\ c3_1_ a309_))) \/ c5_0_) /\ (((forall X3 : Universe, (ndr1_0_ -> (~(c1_1_ X3) \/ (c4_1_ X3 \/ c8_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> (~(c1_1_ X4) \/ (~(c2_1_ X4) \/ ~(c8_1_ X4))))) \/ c8_0_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c4_1_ X5 \/ ((forall X6 : Universe, (ndr1_1_ X5 -> (~(c1_2_ X5 X6) \/ (c7_2_ X5 X6 \/ ~(c5_2_ X5 X6))))) \/ (ndr1_1_ X5 /\ (c7_2_ X5 a310_ /\ (c6_2_ X5 a310_ /\ ~(c3_2_ X5 a310_)))))))) \/ (~(c6_0_) \/ c7_0_)) /\ ((~(c5_0_) \/ (~(c7_0_) \/ ~(c6_0_))) /\ ((c7_0_ \/ ~(c5_0_)) /\ (((ndr1_0_ /\ ((forall X7 : Universe, (ndr1_1_ a311_ -> (~(c7_2_ a311_ X7) \/ ~(c8_2_ a311_ X7)))) /\ (ndr1_1_ a311_ /\ (c1_2_ a311_ a312_ /\ (~(c4_2_ a311_ a312_) /\ (~(c5_2_ a311_ a312_) /\ (ndr1_1_ a311_ /\ (~(c7_2_ a311_ a313_) /\ (~(c4_2_ a311_ a313_) /\ ~(c5_2_ a311_ a313_)))))))))) \/ (c5_0_ \/ ~(c2_0_))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (c6_1_ a314_ /\ (~(c1_1_ a314_) /\ ~(c8_1_ a314_)))) \/ c8_0_)) /\ ((c3_0_ \/ ((forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (c7_1_ X8 \/ (forall X9 : Universe, (ndr1_1_ X8 -> (~(c6_2_ X8 X9) \/ (~(c2_2_ X8 X9) \/ c1_2_ X8 X9)))))))) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (~(c4_1_ a315_) /\ ((forall X10 : Universe, (ndr1_1_ a315_ -> (~(c2_2_ a315_ X10) \/ (~(c5_2_ a315_ X10) \/ ~(c1_2_ a315_ X10))))) /\ ~(c2_1_ a315_)))) \/ (~(c6_0_) \/ (ndr1_0_ /\ c4_1_ a316_))) /\ ((~(c8_0_) \/ ((ndr1_0_ /\ ((forall X11 : Universe, (ndr1_1_ a317_ -> (c3_2_ a317_ X11 \/ (c6_2_ a317_ X11 \/ c7_2_ a317_ X11)))) /\ (c8_1_ a317_ /\ (forall X12 : Universe, (ndr1_1_ a317_ -> (c4_2_ a317_ X12 \/ (c8_2_ a317_ X12 \/ c5_2_ a317_ X12))))))) \/ (forall X13 : Universe, (ndr1_0_ -> ((forall X14 : Universe, (ndr1_1_ X13 -> (c3_2_ X13 X14 \/ (~(c1_2_ X13 X14) \/ ~(c8_2_ X13 X14))))) \/ (ndr1_1_ X13 /\ (c7_2_ X13 a318_ /\ (~(c2_2_ X13 a318_) /\ ~(c1_2_ X13 a318_))))))))) /\ ((c2_0_ \/ (~(c4_0_) \/ c3_0_)) /\ ((~(c4_0_) \/ (~(c6_0_) \/ (forall X15 : Universe, (ndr1_0_ -> ((forall X16 : Universe, (ndr1_1_ X15 -> (c8_2_ X15 X16 \/ c6_2_ X15 X16))) \/ ((ndr1_1_ X15 /\ (c5_2_ X15 a319_ /\ (~(c7_2_ X15 a319_) /\ c4_2_ X15 a319_))) \/ (forall X17 : Universe, (ndr1_1_ X15 -> (c1_2_ X15 X17 \/ (~(c2_2_ X15 X17) \/ c5_2_ X15 X17)))))))))) /\ (((forall X18 : Universe, (ndr1_0_ -> ((ndr1_1_ X18 /\ (c1_2_ X18 a320_ /\ (c3_2_ X18 a320_ /\ c4_2_ X18 a320_))) \/ (~(c6_1_ X18) \/ (forall X19 : Universe, (ndr1_1_ X18 -> (c4_2_ X18 X19 \/ ~(c7_2_ X18 X19)))))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (~(c6_1_ X20) \/ (c4_1_ X20 \/ c1_1_ X20)))) \/ (ndr1_0_ /\ ((forall X21 : Universe, (ndr1_1_ a321_ -> (~(c2_2_ a321_ X21) \/ (~(c4_2_ a321_ X21) \/ c6_2_ a321_ X21)))) /\ (ndr1_1_ a321_ /\ (~(c8_2_ a321_ a322_) /\ (~(c6_2_ a321_ a322_) /\ c5_2_ a321_ a322_))))))) /\ (((ndr1_0_ /\ (c1_1_ a323_ /\ (ndr1_1_ a323_ /\ (c4_2_ a323_ a324_ /\ (~(c6_2_ a323_ a324_) /\ ~(c5_2_ a323_ a324_)))))) \/ ((ndr1_0_ /\ (c4_1_ a325_ /\ ((forall X22 : Universe, (ndr1_1_ a325_ -> (~(c7_2_ a325_ X22) \/ (~(c5_2_ a325_ X22) \/ ~(c1_2_ a325_ X22))))) /\ c6_1_ a325_))) \/ c2_0_)) /\ (((forall X23 : Universe, (ndr1_0_ -> ((forall X24 : Universe, (ndr1_1_ X23 -> (~(c1_2_ X23 X24) \/ ~(c6_2_ X23 X24)))) \/ ((forall X25 : Universe, (ndr1_1_ X23 -> (c5_2_ X23 X25 \/ (c7_2_ X23 X25 \/ ~(c8_2_ X23 X25))))) \/ ~(c5_1_ X23))))) \/ (ndr1_0_ /\ (c8_1_ a326_ /\ (ndr1_1_ a326_ /\ (~(c1_2_ a326_ a327_) /\ (c8_2_ a326_ a327_ /\ (~(c2_2_ a326_ a327_) /\ (forall X26 : Universe, (ndr1_1_ a326_ -> (~(c8_2_ a326_ X26) \/ c7_2_ a326_ X26)))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a328_ /\ (c5_2_ a328_ a329_ /\ (c2_2_ a328_ a329_ /\ (~(c4_2_ a328_ a329_) /\ (c6_1_ a328_ /\ ~(c4_1_ a328_))))))) \/ (~(c2_0_) \/ (ndr1_0_ /\ (ndr1_1_ a330_ /\ (~(c5_2_ a330_ a331_) /\ (c6_2_ a330_ a331_ /\ (~(c1_2_ a330_ a331_) /\ (ndr1_1_ a330_ /\ (~(c8_2_ a330_ a332_) /\ (~(c2_2_ a330_ a332_) /\ (~(c5_2_ a330_ a332_) /\ ~(c6_1_ a330_)))))))))))) /\ ((~(c3_0_) \/ ((forall X27 : Universe, (ndr1_0_ -> (c4_1_ X27 \/ ((ndr1_1_ X27 /\ (~(c7_2_ X27 a333_) /\ (c2_2_ X27 a333_ /\ c6_2_ X27 a333_))) \/ (forall X28 : Universe, (ndr1_1_ X27 -> (~(c1_2_ X27 X28) \/ (~(c5_2_ X27 X28) \/ c8_2_ X27 X28)))))))) \/ (ndr1_0_ /\ (~(c6_1_ a334_) /\ (~(c1_1_ a334_) /\ (ndr1_1_ a334_ /\ (~(c3_2_ a334_ a335_) /\ (~(c4_2_ a334_ a335_) /\ c5_2_ a334_ a335_)))))))) /\ ((~(c5_0_) \/ (c6_0_ \/ c7_0_)) /\ (((ndr1_0_ /\ (c5_1_ a336_ /\ c3_1_ a336_)) \/ (~(c1_0_) \/ ~(c8_0_))) /\ ((~(c8_0_) \/ (~(c6_0_) \/ c3_0_)) /\ ((~(c2_0_) \/ (~(c5_0_) \/ c7_0_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c3_1_ X29 \/ (~(c2_1_ X29) \/ (ndr1_1_ X29 /\ (c8_2_ X29 a337_ /\ (c5_2_ X29 a337_ /\ ~(c7_2_ X29 a337_)))))))) \/ ((ndr1_0_ /\ c1_1_ a338_) \/ c4_0_)) /\ (((forall X30 : Universe, (ndr1_0_ -> ((forall X31 : Universe, (ndr1_1_ X30 -> (c1_2_ X30 X31 \/ (c8_2_ X30 X31 \/ ~(c4_2_ X30 X31))))) \/ ~(c2_1_ X30)))) \/ (~(c6_0_) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (~(c2_1_ a339_) /\ ((forall X32 : Universe, (ndr1_1_ a339_ -> (c8_2_ a339_ X32 \/ c2_2_ a339_ X32))) /\ (forall X33 : Universe, (ndr1_1_ a339_ -> (c8_2_ a339_ X33 \/ ~(c7_2_ a339_ X33))))))) \/ (c3_0_ \/ ~(c2_0_))) /\ (((forall X34 : Universe, (ndr1_0_ -> ((ndr1_1_ X34 /\ (~(c8_2_ X34 a340_) /\ (c6_2_ X34 a340_ /\ ~(c3_2_ X34 a340_)))) \/ ((ndr1_1_ X34 /\ (c1_2_ X34 a341_ /\ c7_2_ X34 a341_)) \/ ~(c2_1_ X34))))) \/ c2_0_) /\ ((c5_0_ \/ ((forall X35 : Universe, (ndr1_0_ -> ((forall X36 : Universe, (ndr1_1_ X35 -> (c7_2_ X35 X36 \/ ~(c5_2_ X35 X36)))) \/ (c5_1_ X35 \/ c8_1_ X35)))) \/ (forall X37 : Universe, (ndr1_0_ -> ((forall X38 : Universe, (ndr1_1_ X37 -> (c8_2_ X37 X38 \/ c3_2_ X37 X38))) \/ (~(c2_1_ X37) \/ (forall X39 : Universe, (ndr1_1_ X37 -> (~(c6_2_ X37 X39) \/ (c8_2_ X37 X39 \/ c7_2_ X37 X39)))))))))) /\ (((forall X40 : Universe, (ndr1_0_ -> (c3_1_ X40 \/ (c1_1_ X40 \/ ~(c2_1_ X40))))) \/ ((ndr1_0_ /\ ((forall X41 : Universe, (ndr1_1_ a342_ -> (c4_2_ a342_ X41 \/ c5_2_ a342_ X41))) /\ ((forall X42 : Universe, (ndr1_1_ a342_ -> (c5_2_ a342_ X42 \/ (~(c8_2_ a342_ X42) \/ ~(c4_2_ a342_ X42))))) /\ (ndr1_1_ a342_ /\ (c7_2_ a342_ a343_ /\ (c8_2_ a342_ a343_ /\ ~(c4_2_ a342_ a343_))))))) \/ (forall X43 : Universe, (ndr1_0_ -> ((ndr1_1_ X43 /\ (c4_2_ X43 a344_ /\ (c7_2_ X43 a344_ /\ ~(c6_2_ X43 a344_)))) \/ ((forall X44 : Universe, (ndr1_1_ X43 -> (~(c6_2_ X43 X44) \/ c4_2_ X43 X44))) \/ c6_1_ X43)))))) /\ ((c6_0_ \/ (~(c4_0_) \/ ~(c3_0_))) /\ ((~(c6_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a345_ /\ (c5_2_ a345_ a346_ /\ (~(c1_2_ a345_ a346_) /\ (c2_2_ a345_ a346_ /\ (c2_1_ a345_ /\ c6_1_ a345_)))))) \/ (ndr1_0_ /\ (c4_1_ a347_ /\ (ndr1_1_ a347_ /\ (c2_2_ a347_ a348_ /\ (~(c4_2_ a347_ a348_) /\ (c3_2_ a347_ a348_ /\ c8_1_ a347_)))))))) /\ (((ndr1_0_ /\ (~(c3_1_ a349_) /\ (~(c5_1_ a349_) /\ ~(c8_1_ a349_)))) \/ (c1_0_ \/ ~(c5_0_))) /\ (((ndr1_0_ /\ ((forall X45 : Universe, (ndr1_1_ a350_ -> (c1_2_ a350_ X45 \/ (c8_2_ a350_ X45 \/ c4_2_ a350_ X45)))) /\ ((forall X46 : Universe, (ndr1_1_ a350_ -> (~(c3_2_ a350_ X46) \/ (c4_2_ a350_ X46 \/ ~(c5_2_ a350_ X46))))) /\ (forall X47 : Universe, (ndr1_1_ a350_ -> (c2_2_ a350_ X47 \/ (~(c6_2_ a350_ X47) \/ c4_2_ a350_ X47))))))) \/ ((ndr1_0_ /\ ((forall X48 : Universe, (ndr1_1_ a351_ -> (c1_2_ a351_ X48 \/ (~(c6_2_ a351_ X48) \/ ~(c7_2_ a351_ X48))))) /\ (forall X49 : Universe, (ndr1_1_ a351_ -> (c2_2_ a351_ X49 \/ (c4_2_ a351_ X49 \/ c5_2_ a351_ X49)))))) \/ (ndr1_0_ /\ (ndr1_1_ a352_ /\ (c6_2_ a352_ a353_ /\ (c4_2_ a352_ a353_ /\ (~(c8_2_ a352_ a353_) /\ ((forall X50 : Universe, (ndr1_1_ a352_ -> (~(c5_2_ a352_ X50) \/ (~(c8_2_ a352_ X50) \/ c1_2_ a352_ X50)))) /\ c2_1_ a352_)))))))) /\ (((ndr1_0_ /\ (c5_1_ a354_ /\ ((forall X51 : Universe, (ndr1_1_ a354_ -> (~(c2_2_ a354_ X51) \/ c8_2_ a354_ X51))) /\ ~(c2_1_ a354_)))) \/ ((ndr1_0_ /\ (c6_1_ a355_ /\ (ndr1_1_ a355_ /\ (c1_2_ a355_ a356_ /\ (~(c6_2_ a355_ a356_) /\ (c8_2_ a355_ a356_ /\ ~(c2_1_ a355_))))))) \/ ~(c7_0_))) /\ ((c1_0_ \/ (c4_0_ \/ c8_0_)) /\ ((~(c1_0_) \/ c8_0_) /\ ((c3_0_ \/ (~(c5_0_) \/ (forall X52 : Universe, (ndr1_0_ -> ((forall X53 : Universe, (ndr1_1_ X52 -> (~(c6_2_ X52 X53) \/ (c2_2_ X52 X53 \/ c1_2_ X52 X53)))) \/ (~(c4_1_ X52) \/ ~(c6_1_ X52))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a357_ /\ (~(c3_2_ a357_ a358_) /\ (c7_2_ a357_ a358_ /\ (~(c6_2_ a357_ a358_) /\ ((forall X54 : Universe, (ndr1_1_ a357_ -> (c1_2_ a357_ X54 \/ (~(c4_2_ a357_ X54) \/ ~(c5_2_ a357_ X54))))) /\ (forall X55 : Universe, (ndr1_1_ a357_ -> (c5_2_ a357_ X55 \/ (~(c7_2_ a357_ X55) \/ ~(c8_2_ a357_ X55))))))))))) \/ ((forall X56 : Universe, (ndr1_0_ -> ((ndr1_1_ X56 /\ (~(c6_2_ X56 a359_) /\ (c8_2_ X56 a359_ /\ ~(c4_2_ X56 a359_)))) \/ ((forall X57 : Universe, (ndr1_1_ X56 -> (c7_2_ X56 X57 \/ (c4_2_ X56 X57 \/ ~(c1_2_ X56 X57))))) \/ (ndr1_1_ X56 /\ (~(c5_2_ X56 a360_) /\ (~(c4_2_ X56 a360_) /\ ~(c8_2_ X56 a360_)))))))) \/ (forall X58 : Universe, (ndr1_0_ -> ((ndr1_1_ X58 /\ (c7_2_ X58 a361_ /\ (~(c5_2_ X58 a361_) /\ ~(c4_2_ X58 a361_)))) \/ ~(c6_1_ X58)))))) /\ (((forall X59 : Universe, (ndr1_0_ -> (~(c7_1_ X59) \/ ((forall X60 : Universe, (ndr1_1_ X59 -> (c4_2_ X59 X60 \/ (~(c7_2_ X59 X60) \/ c2_2_ X59 X60)))) \/ (forall X61 : Universe, (ndr1_1_ X59 -> (c7_2_ X59 X61 \/ (~(c3_2_ X59 X61) \/ c5_2_ X59 X61)))))))) \/ ((ndr1_0_ /\ (c5_1_ a362_ /\ (ndr1_1_ a362_ /\ (~(c6_2_ a362_ a363_) /\ (c2_2_ a362_ a363_ /\ (~(c1_2_ a362_ a363_) /\ (forall X62 : Universe, (ndr1_1_ a362_ -> (c6_2_ a362_ X62 \/ (~(c2_2_ a362_ X62) \/ c5_2_ a362_ X62)))))))))) \/ (forall X63 : Universe, (ndr1_0_ -> ((forall X64 : Universe, (ndr1_1_ X63 -> (~(c3_2_ X63 X64) \/ ~(c8_2_ X63 X64)))) \/ (c8_1_ X63 \/ (forall X65 : Universe, (ndr1_1_ X63 -> (~(c7_2_ X63 X65) \/ (~(c2_2_ X63 X65) \/ ~(c8_2_ X63 X65))))))))))) /\ (((forall X66 : Universe, (ndr1_0_ -> (c4_1_ X66 \/ (~(c1_1_ X66) \/ ~(c2_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> ((forall X68 : Universe, (ndr1_1_ X67 -> (c5_2_ X67 X68 \/ (~(c8_2_ X67 X68) \/ ~(c6_2_ X67 X68))))) \/ ((ndr1_1_ X67 /\ (c2_2_ X67 a364_ /\ (~(c4_2_ X67 a364_) /\ c8_2_ X67 a364_))) \/ c8_1_ X67)))) \/ (forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ ((forall X70 : Universe, (ndr1_1_ X69 -> (c5_2_ X69 X70 \/ (c8_2_ X69 X70 \/ ~(c7_2_ X69 X70))))) \/ c7_1_ X69)))))) /\ (((ndr1_0_ /\ ((forall X71 : Universe, (ndr1_1_ a365_ -> (c4_2_ a365_ X71 \/ c5_2_ a365_ X71))) /\ (~(c7_1_ a365_) /\ c1_1_ a365_))) \/ ((ndr1_0_ /\ ((forall X72 : Universe, (ndr1_1_ a366_ -> (c1_2_ a366_ X72 \/ (c2_2_ a366_ X72 \/ ~(c4_2_ a366_ X72))))) /\ ((forall X73 : Universe, (ndr1_1_ a366_ -> (c7_2_ a366_ X73 \/ c1_2_ a366_ X73))) /\ (forall X74 : Universe, (ndr1_1_ a366_ -> (c8_2_ a366_ X74 \/ c4_2_ a366_ X74)))))) \/ (forall X75 : Universe, (ndr1_0_ -> (c3_1_ X75 \/ ((ndr1_1_ X75 /\ (~(c8_2_ X75 a367_) /\ (c4_2_ X75 a367_ /\ c5_2_ X75 a367_))) \/ (forall X76 : Universe, (ndr1_1_ X75 -> (~(c1_2_ X75 X76) \/ (~(c6_2_ X75 X76) \/ c5_2_ X75 X76)))))))))) /\ ((~(c2_0_) \/ ((forall X77 : Universe, (ndr1_0_ -> (c6_1_ X77 \/ (ndr1_1_ X77 /\ (~(c8_2_ X77 a368_) /\ c4_2_ X77 a368_))))) \/ (ndr1_0_ /\ (c2_1_ a369_ /\ (ndr1_1_ a369_ /\ (~(c4_2_ a369_ a370_) /\ (~(c5_2_ a369_ a370_) /\ (~(c8_2_ a369_ a370_) /\ (forall X78 : Universe, (ndr1_1_ a369_ -> (c3_2_ a369_ X78 \/ (c1_2_ a369_ X78 \/ c4_2_ a369_ X78)))))))))))) /\ (((ndr1_0_ /\ (c3_1_ a371_ /\ (forall X79 : Universe, (ndr1_1_ a371_ -> (c4_2_ a371_ X79 \/ (~(c6_2_ a371_ X79) \/ ~(c5_2_ a371_ X79))))))) \/ ~(c6_0_)) /\ ((c2_0_ \/ ((forall X80 : Universe, (ndr1_0_ -> (~(c1_1_ X80) \/ ((forall X81 : Universe, (ndr1_1_ X80 -> (c8_2_ X80 X81 \/ (c3_2_ X80 X81 \/ ~(c1_2_ X80 X81))))) \/ (ndr1_1_ X80 /\ (c4_2_ X80 a372_ /\ (~(c8_2_ X80 a372_) /\ ~(c5_2_ X80 a372_)))))))) \/ (ndr1_0_ /\ (c8_1_ a373_ /\ (c3_1_ a373_ /\ c5_1_ a373_))))) /\ (((ndr1_0_ /\ ((forall X82 : Universe, (ndr1_1_ a374_ -> (~(c5_2_ a374_ X82) \/ (c8_2_ a374_ X82 \/ ~(c1_2_ a374_ X82))))) /\ ((forall X83 : Universe, (ndr1_1_ a374_ -> (~(c5_2_ a374_ X83) \/ (c2_2_ a374_ X83 \/ c4_2_ a374_ X83)))) /\ (ndr1_1_ a374_ /\ (~(c7_2_ a374_ a375_) /\ (~(c6_2_ a374_ a375_) /\ c5_2_ a374_ a375_)))))) \/ (~(c5_0_) \/ ~(c3_0_))) /\ ((~(c3_0_) \/ (~(c4_0_) \/ (ndr1_0_ /\ ((forall X84 : Universe, (ndr1_1_ a376_ -> (~(c8_2_ a376_ X84) \/ (~(c5_2_ a376_ X84) \/ c1_2_ a376_ X84)))) /\ (ndr1_1_ a376_ /\ (~(c5_2_ a376_ a377_) /\ (c3_2_ a376_ a377_ /\ (~(c6_2_ a376_ a377_) /\ (forall X85 : Universe, (ndr1_1_ a376_ -> (~(c1_2_ a376_ X85) \/ (c4_2_ a376_ X85 \/ c3_2_ a376_ X85)))))))))))) /\ (((forall X86 : Universe, (ndr1_0_ -> (~(c2_1_ X86) \/ ((ndr1_1_ X86 /\ (c6_2_ X86 a378_ /\ (~(c2_2_ X86 a378_) /\ ~(c5_2_ X86 a378_)))) \/ c3_1_ X86)))) \/ ((ndr1_0_ /\ ((forall X87 : Universe, (ndr1_1_ a379_ -> (c3_2_ a379_ X87 \/ (c5_2_ a379_ X87 \/ c4_2_ a379_ X87)))) /\ (c3_1_ a379_ /\ ~(c1_1_ a379_)))) \/ c5_0_)) /\ ((~(c6_0_) \/ (ndr1_0_ /\ (ndr1_1_ a380_ /\ (c2_2_ a380_ a381_ /\ (~(c8_2_ a380_ a381_) /\ (~(c1_2_ a380_ a381_) /\ (ndr1_1_ a380_ /\ (~(c6_2_ a380_ a382_) /\ (~(c1_2_ a380_ a382_) /\ (c3_2_ a380_ a382_ /\ (ndr1_1_ a380_ /\ (c6_2_ a380_ a383_ /\ (~(c8_2_ a380_ a383_) /\ c1_2_ a380_ a383_))))))))))))) /\ ((c3_0_ \/ (ndr1_0_ /\ (c6_1_ a384_ /\ (~(c8_1_ a384_) /\ (forall X88 : Universe, (ndr1_1_ a384_ -> (~(c3_2_ a384_ X88) \/ (~(c2_2_ a384_ X88) \/ ~(c7_2_ a384_ X88))))))))) /\ ((~(c3_0_) \/ (c5_0_ \/ (ndr1_0_ /\ (c5_1_ a385_ /\ (c2_1_ a385_ /\ (ndr1_1_ a385_ /\ (~(c8_2_ a385_ a386_) /\ (~(c3_2_ a385_ a386_) /\ ~(c6_2_ a385_ a386_))))))))) /\ ((c7_0_ \/ (~(c5_0_) \/ c1_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a387_ /\ (c7_2_ a387_ a388_ /\ (c3_2_ a387_ a388_ /\ (~(c8_2_ a387_ a388_) /\ (c6_1_ a387_ /\ c1_1_ a387_)))))) \/ (forall X89 : Universe, (ndr1_0_ -> ((ndr1_1_ X89 /\ (c2_2_ X89 a389_ /\ (c7_2_ X89 a389_ /\ ~(c6_2_ X89 a389_)))) \/ ((ndr1_1_ X89 /\ (~(c7_2_ X89 a390_) /\ (c3_2_ X89 a390_ /\ ~(c8_2_ X89 a390_)))) \/ ~(c2_1_ X89)))))) /\ ((c7_0_ \/ (c3_0_ \/ (forall X90 : Universe, (ndr1_0_ -> ((forall X91 : Universe, (ndr1_1_ X90 -> (c2_2_ X90 X91 \/ (c4_2_ X90 X91 \/ ~(c7_2_ X90 X91))))) \/ (~(c4_1_ X90) \/ ~(c8_1_ X90))))))) /\ (((forall X92 : Universe, (ndr1_0_ -> (~(c5_1_ X92) \/ (~(c6_1_ X92) \/ (ndr1_1_ X92 /\ (c7_2_ X92 a391_ /\ (c8_2_ X92 a391_ /\ ~(c4_2_ X92 a391_)))))))) \/ (c1_0_ \/ (forall X93 : Universe, (ndr1_0_ -> ((forall X94 : Universe, (ndr1_1_ X93 -> (~(c4_2_ X93 X94) \/ c8_2_ X93 X94))) \/ (~(c3_1_ X93) \/ (ndr1_1_ X93 /\ (c2_2_ X93 a392_ /\ ~(c4_2_ X93 a392_))))))))) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ ((forall X96 : Universe, (ndr1_1_ X95 -> (~(c4_2_ X95 X96) \/ (~(c5_2_ X95 X96) \/ ~(c7_2_ X95 X96))))) \/ ~(c1_1_ X95))))) \/ (c6_0_ \/ (ndr1_0_ /\ ((forall X97 : Universe, (ndr1_1_ a393_ -> (~(c8_2_ a393_ X97) \/ (~(c3_2_ a393_ X97) \/ c6_2_ a393_ X97)))) /\ (ndr1_1_ a393_ /\ (c1_2_ a393_ a394_ /\ (~(c4_2_ a393_ a394_) /\ ~(c8_2_ a393_ a394_)))))))) /\ ((c3_0_ \/ (c2_0_ \/ c6_0_)) /\ (((forall X98 : Universe, (ndr1_0_ -> ((forall X99 : Universe, (ndr1_1_ X98 -> (c4_2_ X98 X99 \/ ~(c7_2_ X98 X99)))) \/ ((forall X100 : Universe, (ndr1_1_ X98 -> (c3_2_ X98 X100 \/ ~(c7_2_ X98 X100)))) \/ (forall X101 : Universe, (ndr1_1_ X98 -> (c3_2_ X98 X101 \/ (~(c5_2_ X98 X101) \/ c8_2_ X98 X101)))))))) \/ c5_0_) /\ (((ndr1_0_ /\ ((forall X102 : Universe, (ndr1_1_ a395_ -> (~(c7_2_ a395_ X102) \/ (c4_2_ a395_ X102 \/ ~(c2_2_ a395_ X102))))) /\ (ndr1_1_ a395_ /\ (~(c3_2_ a395_ a396_) /\ (~(c2_2_ a395_ a396_) /\ (c4_2_ a395_ a396_ /\ ~(c3_1_ a395_))))))) \/ (c8_0_ \/ ~(c7_0_))) /\ ((c8_0_ \/ ~(c1_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a397_ /\ (c5_2_ a397_ a398_ /\ (~(c8_2_ a397_ a398_) /\ (~(c7_2_ a397_ a398_) /\ (ndr1_1_ a397_ /\ (~(c7_2_ a397_ a399_) /\ (c2_2_ a397_ a399_ /\ (c1_2_ a397_ a399_ /\ ~(c3_1_ a397_)))))))))) \/ ((ndr1_0_ /\ (c7_1_ a400_ /\ ((forall X103 : Universe, (ndr1_1_ a400_ -> (c5_2_ a400_ X103 \/ ~(c1_2_ a400_ X103)))) /\ c5_1_ a400_))) \/ c5_0_)) /\ ((~(c3_0_) \/ (~(c7_0_) \/ (forall X104 : Universe, (ndr1_0_ -> ((ndr1_1_ X104 /\ (~(c2_2_ X104 a401_) /\ (~(c7_2_ X104 a401_) /\ ~(c6_2_ X104 a401_)))) \/ (~(c1_1_ X104) \/ (forall X105 : Universe, (ndr1_1_ X104 -> (~(c2_2_ X104 X105) \/ ~(c6_2_ X104 X105)))))))))) /\ ((c4_0_ \/ ((forall X106 : Universe, (ndr1_0_ -> ((forall X107 : Universe, (ndr1_1_ X106 -> (~(c2_2_ X106 X107) \/ (~(c6_2_ X106 X107) \/ c7_2_ X106 X107)))) \/ (c6_1_ X106 \/ c8_1_ X106)))) \/ c3_0_)) /\ ((c7_0_ \/ (ndr1_0_ /\ (ndr1_1_ a402_ /\ (~(c4_2_ a402_ a403_) /\ (c6_2_ a402_ a403_ /\ (c3_2_ a402_ a403_ /\ ((forall X108 : Universe, (ndr1_1_ a402_ -> (c8_2_ a402_ X108 \/ (~(c6_2_ a402_ X108) \/ c2_2_ a402_ X108)))) /\ ~(c7_1_ a402_)))))))) /\ (((forall X109 : Universe, (ndr1_0_ -> (c2_1_ X109 \/ (c8_1_ X109 \/ (ndr1_1_ X109 /\ (c1_2_ X109 a404_ /\ (~(c3_2_ X109 a404_) /\ ~(c6_2_ X109 a404_)))))))) \/ ~(c8_0_)) /\ ((~(c2_0_) \/ ((forall X110 : Universe, (ndr1_0_ -> (c8_1_ X110 \/ ((forall X111 : Universe, (ndr1_1_ X110 -> (c6_2_ X110 X111 \/ (c2_2_ X110 X111 \/ c3_2_ X110 X111)))) \/ c4_1_ X110)))) \/ (ndr1_0_ /\ (ndr1_1_ a405_ /\ (~(c8_2_ a405_ a406_) /\ (c7_2_ a405_ a406_ /\ (c2_2_ a405_ a406_ /\ (c6_1_ a405_ /\ (ndr1_1_ a405_ /\ (~(c5_2_ a405_ a407_) /\ ~(c6_2_ a405_ a407_))))))))))) /\ ((c2_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a408_ /\ (~(c7_2_ a408_ a409_) /\ (c4_2_ a408_ a409_ /\ (c1_2_ a408_ a409_ /\ ((forall X112 : Universe, (ndr1_1_ a408_ -> (c7_2_ a408_ X112 \/ ~(c3_2_ a408_ X112)))) /\ c8_1_ a408_)))))) \/ ~(c5_0_))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (c1_1_ a410_ /\ (~(c6_1_ a410_) /\ (forall X113 : Universe, (ndr1_1_ a410_ -> (~(c1_2_ a410_ X113) \/ ~(c2_2_ a410_ X113))))))) \/ (forall X114 : Universe, (ndr1_0_ -> (~(c6_1_ X114) \/ (c8_1_ X114 \/ c5_1_ X114)))))) /\ (((forall X115 : Universe, (ndr1_0_ -> ((forall X116 : Universe, (ndr1_1_ X115 -> (c7_2_ X115 X116 \/ (c3_2_ X115 X116 \/ c6_2_ X115 X116)))) \/ ((ndr1_1_ X115 /\ (~(c8_2_ X115 a411_) /\ (~(c2_2_ X115 a411_) /\ c3_2_ X115 a411_))) \/ (ndr1_1_ X115 /\ (c2_2_ X115 a412_ /\ (c6_2_ X115 a412_ /\ c8_2_ X115 a412_))))))) \/ ((ndr1_0_ /\ (~(c8_1_ a413_) /\ (~(c3_1_ a413_) /\ c4_1_ a413_))) \/ ~(c3_0_))) /\ ((c8_0_ \/ (~(c7_0_) \/ ~(c3_0_))) /\ ((~(c3_0_) \/ (~(c5_0_) \/ (ndr1_0_ /\ (ndr1_1_ a414_ /\ (~(c7_2_ a414_ a415_) /\ (~(c1_2_ a414_ a415_) /\ (c2_2_ a414_ a415_ /\ (c5_1_ a414_ /\ ~(c6_1_ a414_))))))))) /\ ((c4_0_ \/ (c5_0_ \/ (forall X117 : Universe, (ndr1_0_ -> ((ndr1_1_ X117 /\ (~(c8_2_ X117 a416_) /\ (~(c7_2_ X117 a416_) /\ ~(c4_2_ X117 a416_)))) \/ ~(c6_1_ X117)))))) /\ ((~(c7_0_) \/ (~(c8_0_) \/ (ndr1_0_ /\ (c4_1_ a417_ /\ (ndr1_1_ a417_ /\ (~(c3_2_ a417_ a418_) /\ (~(c6_2_ a417_ a418_) /\ c5_1_ a417_))))))) /\ (((forall X118 : Universe, (ndr1_0_ -> (~(c7_1_ X118) \/ ((forall X119 : Universe, (ndr1_1_ X118 -> (c4_2_ X118 X119 \/ (c5_2_ X118 X119 \/ ~(c8_2_ X118 X119))))) \/ (forall X120 : Universe, (ndr1_1_ X118 -> (~(c6_2_ X118 X120) \/ (~(c5_2_ X118 X120) \/ ~(c7_2_ X118 X120))))))))) \/ (ndr1_0_ /\ (ndr1_1_ a419_ /\ (c1_2_ a419_ a420_ /\ (c7_2_ a419_ a420_ /\ (~(c2_2_ a419_ a420_) /\ (~(c1_1_ a419_) /\ (ndr1_1_ a419_ /\ (~(c3_2_ a419_ a421_) /\ (c2_2_ a419_ a421_ /\ ~(c4_2_ a419_ a421_))))))))))) /\ (((ndr1_0_ /\ (c6_1_ a422_ /\ (~(c1_1_ a422_) /\ c4_1_ a422_))) \/ ~(c1_0_)) /\ ((c6_0_ \/ (~(c4_0_) \/ c1_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a423_ /\ (c8_2_ a423_ a424_ /\ (c1_2_ a423_ a424_ /\ (c5_2_ a423_ a424_ /\ (c4_1_ a423_ /\ ~(c8_1_ a423_))))))) \/ (~(c7_0_) \/ (ndr1_0_ /\ (~(c4_1_ a425_) /\ (ndr1_1_ a425_ /\ (~(c1_2_ a425_ a426_) /\ (c3_2_ a425_ a426_ /\ (c4_2_ a425_ a426_ /\ c3_1_ a425_)))))))) /\ ((~(c2_0_) \/ ((forall X121 : Universe, (ndr1_0_ -> ((ndr1_1_ X121 /\ (c8_2_ X121 a427_ /\ ~(c1_2_ X121 a427_))) \/ ((forall X122 : Universe, (ndr1_1_ X121 -> (~(c1_2_ X121 X122) \/ (c4_2_ X121 X122 \/ c5_2_ X121 X122)))) \/ (forall X123 : Universe, (ndr1_1_ X121 -> (c1_2_ X121 X123 \/ (c3_2_ X121 X123 \/ c5_2_ X121 X123)))))))) \/ c6_0_)) /\ (((ndr1_0_ /\ ((forall X124 : Universe, (ndr1_1_ a428_ -> (c7_2_ a428_ X124 \/ (~(c8_2_ a428_ X124) \/ ~(c5_2_ a428_ X124))))) /\ c3_1_ a428_)) \/ (~(c8_0_) \/ c2_0_)) /\ ((c2_0_ \/ (~(c1_0_) \/ (forall X125 : Universe, (ndr1_0_ -> ((forall X126 : Universe, (ndr1_1_ X125 -> (c7_2_ X125 X126 \/ c5_2_ X125 X126))) \/ ((ndr1_1_ X125 /\ (c5_2_ X125 a429_ /\ (~(c6_2_ X125 a429_) /\ c8_2_ X125 a429_))) \/ ~(c2_1_ X125))))))) /\ ((~(c1_0_) \/ (c5_0_ \/ ~(c3_0_))) /\ (((forall X127 : Universe, (ndr1_0_ -> ((ndr1_1_ X127 /\ (~(c3_2_ X127 a430_) /\ (c6_2_ X127 a430_ /\ c2_2_ X127 a430_))) \/ (~(c5_1_ X127) \/ c3_1_ X127)))) \/ ((forall X128 : Universe, (ndr1_0_ -> (c5_1_ X128 \/ c7_1_ X128))) \/ ~(c6_0_))) /\ (((forall X129 : Universe, (ndr1_0_ -> (c4_1_ X129 \/ (c7_1_ X129 \/ (forall X130 : Universe, (ndr1_1_ X129 -> (~(c5_2_ X129 X130) \/ (c3_2_ X129 X130 \/ c4_2_ X129 X130)))))))) \/ (c6_0_ \/ (ndr1_0_ /\ (~(c1_1_ a431_) /\ ((forall X131 : Universe, (ndr1_1_ a431_ -> (c1_2_ a431_ X131 \/ c3_2_ a431_ X131))) /\ ~(c2_1_ a431_)))))) /\ (((forall X132 : Universe, (ndr1_0_ -> ((forall X133 : Universe, (ndr1_1_ X132 -> (c4_2_ X132 X133 \/ (~(c1_2_ X132 X133) \/ ~(c7_2_ X132 X133))))) \/ ((ndr1_1_ X132 /\ (c6_2_ X132 a432_ /\ (c1_2_ X132 a432_ /\ ~(c7_2_ X132 a432_)))) \/ (ndr1_1_ X132 /\ (c5_2_ X132 a433_ /\ (c2_2_ X132 a433_ /\ c1_2_ X132 a433_))))))) \/ ((forall X134 : Universe, (ndr1_0_ -> (~(c3_1_ X134) \/ (~(c5_1_ X134) \/ c2_1_ X134)))) \/ c6_0_)) /\ (((forall X135 : Universe, (ndr1_0_ -> (c7_1_ X135 \/ (~(c5_1_ X135) \/ (ndr1_1_ X135 /\ (~(c3_2_ X135 a434_) /\ (~(c6_2_ X135 a434_) /\ ~(c1_2_ X135 a434_)))))))) \/ ((forall X136 : Universe, (ndr1_0_ -> (c4_1_ X136 \/ (ndr1_1_ X136 /\ (~(c5_2_ X136 a435_) /\ ~(c3_2_ X136 a435_)))))) \/ ~(c7_0_))) /\ ((c6_0_ \/ ((ndr1_0_ /\ ((forall X137 : Universe, (ndr1_1_ a436_ -> (~(c4_2_ a436_ X137) \/ (~(c3_2_ a436_ X137) \/ ~(c5_2_ a436_ X137))))) /\ (c7_1_ a436_ /\ (forall X138 : Universe, (ndr1_1_ a436_ -> (~(c5_2_ a436_ X138) \/ c2_2_ a436_ X138)))))) \/ ~(c1_0_))) /\ ((c6_0_ \/ ((forall X139 : Universe, (ndr1_0_ -> ((ndr1_1_ X139 /\ (~(c7_2_ X139 a437_) /\ ~(c1_2_ X139 a437_))) \/ ((forall X140 : Universe, (ndr1_1_ X139 -> (c1_2_ X139 X140 \/ (~(c8_2_ X139 X140) \/ ~(c5_2_ X139 X140))))) \/ c6_1_ X139)))) \/ c4_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a438_ /\ (~(c6_2_ a438_ a439_) /\ (c1_2_ a438_ a439_ /\ (ndr1_1_ a438_ /\ (c4_2_ a438_ a440_ /\ (~(c5_2_ a438_ a440_) /\ ~(c6_2_ a438_ a440_)))))))) \/ ((ndr1_0_ /\ ((forall X141 : Universe, (ndr1_1_ a441_ -> (c4_2_ a441_ X141 \/ c1_2_ a441_ X141))) /\ (c5_1_ a441_ /\ ~(c8_1_ a441_)))) \/ (ndr1_0_ /\ ((forall X142 : Universe, (ndr1_1_ a442_ -> (c8_2_ a442_ X142 \/ (~(c7_2_ a442_ X142) \/ c6_2_ a442_ X142)))) /\ (~(c8_1_ a442_) /\ ~(c2_1_ a442_)))))) /\ (((forall X143 : Universe, (ndr1_0_ -> ((forall X144 : Universe, (ndr1_1_ X143 -> (~(c7_2_ X143 X144) \/ (~(c3_2_ X143 X144) \/ ~(c2_2_ X143 X144))))) \/ ((forall X145 : Universe, (ndr1_1_ X143 -> (c1_2_ X143 X145 \/ (c8_2_ X143 X145 \/ ~(c2_2_ X143 X145))))) \/ c8_1_ X143)))) \/ (~(c5_0_) \/ (forall X146 : Universe, (ndr1_0_ -> (~(c4_1_ X146) \/ ((ndr1_1_ X146 /\ (~(c5_2_ X146 a443_) /\ (~(c2_2_ X146 a443_) /\ ~(c7_2_ X146 a443_)))) \/ (forall X147 : Universe, (ndr1_1_ X146 -> (~(c7_2_ X146 X147) \/ (~(c2_2_ X146 X147) \/ ~(c3_2_ X146 X147))))))))))) /\ ((~(c6_0_) \/ ((forall X148 : Universe, (ndr1_0_ -> (~(c8_1_ X148) \/ (~(c4_1_ X148) \/ (ndr1_1_ X148 /\ (c7_2_ X148 a444_ /\ (c2_2_ X148 a444_ /\ c4_2_ X148 a444_))))))) \/ (ndr1_0_ /\ (~(c2_1_ a445_) /\ (ndr1_1_ a445_ /\ (~(c5_2_ a445_ a446_) /\ (c3_2_ a445_ a446_ /\ (~(c8_2_ a445_ a446_) /\ (ndr1_1_ a445_ /\ (~(c5_2_ a445_ a447_) /\ (~(c2_2_ a445_ a447_) /\ c4_2_ a445_ a447_))))))))))) /\ (((ndr1_0_ /\ (~(c8_1_ a448_) /\ ((forall X149 : Universe, (ndr1_1_ a448_ -> (c3_2_ a448_ X149 \/ ~(c1_2_ a448_ X149)))) /\ (forall X150 : Universe, (ndr1_1_ a448_ -> (~(c7_2_ a448_ X150) \/ (~(c3_2_ a448_ X150) \/ ~(c4_2_ a448_ X150)))))))) \/ ((forall X151 : Universe, (ndr1_0_ -> ((forall X152 : Universe, (ndr1_1_ X151 -> (~(c5_2_ X151 X152) \/ c1_2_ X151 X152))) \/ ((forall X153 : Universe, (ndr1_1_ X151 -> (c5_2_ X151 X153 \/ (c7_2_ X151 X153 \/ ~(c2_2_ X151 X153))))) \/ (forall X154 : Universe, (ndr1_1_ X151 -> (c3_2_ X151 X154 \/ (~(c5_2_ X151 X154) \/ c8_2_ X151 X154)))))))) \/ c3_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a449_ /\ (~(c7_2_ a449_ a450_) /\ (c6_2_ a449_ a450_ /\ (~(c8_2_ a449_ a450_) /\ (ndr1_1_ a449_ /\ (c8_2_ a449_ a451_ /\ (~(c2_2_ a449_ a451_) /\ (~(c4_2_ a449_ a451_) /\ (ndr1_1_ a449_ /\ (c7_2_ a449_ a452_ /\ ~(c4_2_ a449_ a452_)))))))))))) \/ (c2_0_ \/ ~(c1_0_))) /\ ((c1_0_ \/ (c4_0_ \/ (ndr1_0_ /\ ((forall X155 : Universe, (ndr1_1_ a453_ -> (~(c3_2_ a453_ X155) \/ (~(c2_2_ a453_ X155) \/ c7_2_ a453_ X155)))) /\ ((forall X156 : Universe, (ndr1_1_ a453_ -> (c3_2_ a453_ X156 \/ (~(c8_2_ a453_ X156) \/ ~(c4_2_ a453_ X156))))) /\ c3_1_ a453_))))) /\ (~(c4_0_) \/ ((ndr1_0_ /\ (~(c2_1_ a454_) /\ (ndr1_1_ a454_ /\ (~(c2_2_ a454_ a455_) /\ (c8_2_ a454_ a455_ /\ (c4_2_ a454_ a455_ /\ ~(c1_1_ a454_))))))) \/ c7_0_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
