(*
% File     : SYN917+1 : ILTP v1.1.2
% Domain   : Syntactic
% Problem  : Combined problems from Smullyan
% Version  : Especial.
% English  : 
% Refs     : [Smu68] Smullyan (1968), First-Order Logic
%            [Shu04] Shults (2004), Email to G. Sutcliffe
% Source   : [Shu04]
% Names    :
% Status   : Theorem
% Rating   : 0.78 v3.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   94 (   0 equality)
%            Maximal formula depth :   23 (  23 average)
%            Number of connectives :   98 (   5 ~  ;   8  |;  39  &)
%                                         (  10 <=>;  36 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   1 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   56 (   2 singleton;  34 !;  22 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable r_ : Universe -> Universe -> Prop.
Variable q_ : Universe -> Prop.
Variable p_ : Universe -> Prop.
Variable h_ : Universe -> Prop.
Variable g_ : Universe -> Prop.
Variable f_ : Universe -> Prop.
Variable c_ : Prop.



Theorem prove_this_1 : ((((forall X : Universe, (((f_ X /\ g_ X) -> h_ X) -> (exists Y : Universe, (f_ Y /\ ~(g_ Y))))) /\ ((forall W : Universe, (f_ W -> g_ W)) \/ (forall Z : Universe, (f_ Z -> h_ Z)))) -> ((forall R : Universe, ((f_ R /\ h_ R) -> g_ R)) -> (exists V : Universe, (f_ V /\ (g_ V /\ ~(h_ V)))))) /\ ((((forall X Y : Universe, (r_ X Y -> r_ Y X)) /\ (forall X Y Z : Universe, ((r_ X Y /\ r_ Y Z) -> r_ X Z))) -> (forall X Y : Universe, (r_ X Y -> r_ X X))) /\ (((((forall X : Universe, ((f_ X /\ g_ X) -> h_ X)) -> (exists X : Universe, (f_ X /\ ~(g_ X)))) /\ ((forall W : Universe, (f_ W -> g_ W)) \/ (forall Z : Universe, (f_ Z -> h_ Z)))) -> ((forall R : Universe, ((f_ R /\ h_ R) -> g_ R)) -> (exists V : Universe, (f_ V /\ (g_ V /\ ~(h_ V)))))) /\ ((exists X : Universe, (forall Y : Universe, ((p_ Y -> q_ X) -> (p_ X -> q_ X)))) /\ (((forall X : Universe, (p_ X /\ q_ X)) <-> ((forall X : Universe, p_ X) /\ (forall X : Universe, q_ X))) /\ ((((forall X : Universe, p_ X) \/ (forall X : Universe, q_ X)) -> (forall X : Universe, (p_ X \/ q_ X))) /\ (((exists X : Universe, (p_ X \/ q_ X)) <-> ((exists X : Universe, p_ X) \/ (exists X : Universe, q_ X))) /\ ((exists Y : Universe, (p_ Y -> (forall X : Universe, p_ X))) /\ (((exists X : Universe, (p_ X /\ q_ X)) -> ((exists X : Universe, p_ X) /\ (exists X : Universe, q_ X))) /\ ((forall Y : Universe, ((forall X : Universe, p_ X) -> p_ Y)) /\ (((forall X : Universe, p_ X) -> (exists X : Universe, p_ X)) /\ ((~((exists Y : Universe, p_ Y)) -> (forall Y : Universe, ((exists X : Universe, p_ X) -> p_ Y))) /\ (((forall X : Universe, (p_ X \/ c_)) <-> ((forall X : Universe, p_ X) \/ c_)) /\ (((exists X : Universe, (p_ X /\ c_)) <-> ((exists X : Universe, p_ X) /\ c_)) /\ (((exists X : Universe, c_) <-> c_) /\ (((forall X : Universe, c_) <-> c_) /\ (((exists X : Universe, (c_ -> p_ X)) <-> (c_ -> (exists X : Universe, p_ X))) /\ (((exists X : Universe, (p_ X -> c_)) <-> ((forall X : Universe, p_ X) -> c_)) /\ (((forall X : Universe, (c_ -> p_ X)) <-> (c_ -> (forall X : Universe, p_ X))) /\ ((forall X : Universe, (p_ X -> c_)) <-> ((exists X : Universe, p_ X) -> c_))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
