(*
% File     : ALG028+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Groups 6: CPROPS-PAIRWISE-EXCLUSIVE-PROBLEM-1
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.11 v2.7.0
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.25 v1.1.0, 0.50 v1.0.0
% Syntax   : Number of formulae    :   12 (   1 unit)
%            Number of atoms       :  864 ( 864 equality)
%            Maximal formula depth :  216 (  53 average)
%            Number of connectives : 1064 ( 212 ~  ; 215  |; 601  &)
%                                         (   0 <=>;  36 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   7 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    5 (   2 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.


Variable unit_ : Universe.
Variable op_ : Universe -> Universe -> Universe.
Variable inv_ : Universe -> Universe.
Variable e5_ : Universe.
Variable e4_ : Universe.
Variable e3_ : Universe.
Variable e2_ : Universe.
Variable e1_ : Universe.
Variable e0_ : Universe.

Variable ax1_1 : (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e0_) = e2_ \/ ((op_ e0_ e0_) = e3_ \/ ((op_ e0_ e0_) = e4_ \/ (op_ e0_ e0_) = e5_))))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e1_) = e2_ \/ ((op_ e0_ e1_) = e3_ \/ ((op_ e0_ e1_) = e4_ \/ (op_ e0_ e1_) = e5_))))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e2_) = e2_ \/ ((op_ e0_ e2_) = e3_ \/ ((op_ e0_ e2_) = e4_ \/ (op_ e0_ e2_) = e5_))))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e0_ e3_) = e1_ \/ ((op_ e0_ e3_) = e2_ \/ ((op_ e0_ e3_) = e3_ \/ ((op_ e0_ e3_) = e4_ \/ (op_ e0_ e3_) = e5_))))) /\ (((op_ e0_ e4_) = e0_ \/ ((op_ e0_ e4_) = e1_ \/ ((op_ e0_ e4_) = e2_ \/ ((op_ e0_ e4_) = e3_ \/ ((op_ e0_ e4_) = e4_ \/ (op_ e0_ e4_) = e5_))))) /\ (((op_ e0_ e5_) = e0_ \/ ((op_ e0_ e5_) = e1_ \/ ((op_ e0_ e5_) = e2_ \/ ((op_ e0_ e5_) = e3_ \/ ((op_ e0_ e5_) = e4_ \/ (op_ e0_ e5_) = e5_))))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e0_) = e2_ \/ ((op_ e1_ e0_) = e3_ \/ ((op_ e1_ e0_) = e4_ \/ (op_ e1_ e0_) = e5_))))) /\ (((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e1_ e1_) = e4_ \/ (op_ e1_ e1_) = e5_))))) /\ (((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e1_ e2_) = e3_ \/ ((op_ e1_ e2_) = e4_ \/ (op_ e1_ e2_) = e5_))))) /\ (((op_ e1_ e3_) = e0_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e1_ e3_) = e2_ \/ ((op_ e1_ e3_) = e3_ \/ ((op_ e1_ e3_) = e4_ \/ (op_ e1_ e3_) = e5_))))) /\ (((op_ e1_ e4_) = e0_ \/ ((op_ e1_ e4_) = e1_ \/ ((op_ e1_ e4_) = e2_ \/ ((op_ e1_ e4_) = e3_ \/ ((op_ e1_ e4_) = e4_ \/ (op_ e1_ e4_) = e5_))))) /\ (((op_ e1_ e5_) = e0_ \/ ((op_ e1_ e5_) = e1_ \/ ((op_ e1_ e5_) = e2_ \/ ((op_ e1_ e5_) = e3_ \/ ((op_ e1_ e5_) = e4_ \/ (op_ e1_ e5_) = e5_))))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e0_) = e2_ \/ ((op_ e2_ e0_) = e3_ \/ ((op_ e2_ e0_) = e4_ \/ (op_ e2_ e0_) = e5_))))) /\ (((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e2_ e1_) = e3_ \/ ((op_ e2_ e1_) = e4_ \/ (op_ e2_ e1_) = e5_))))) /\ (((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e2_) = e2_ \/ ((op_ e2_ e2_) = e3_ \/ ((op_ e2_ e2_) = e4_ \/ (op_ e2_ e2_) = e5_))))) /\ (((op_ e2_ e3_) = e0_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e2_ e3_) = e2_ \/ ((op_ e2_ e3_) = e3_ \/ ((op_ e2_ e3_) = e4_ \/ (op_ e2_ e3_) = e5_))))) /\ (((op_ e2_ e4_) = e0_ \/ ((op_ e2_ e4_) = e1_ \/ ((op_ e2_ e4_) = e2_ \/ ((op_ e2_ e4_) = e3_ \/ ((op_ e2_ e4_) = e4_ \/ (op_ e2_ e4_) = e5_))))) /\ (((op_ e2_ e5_) = e0_ \/ ((op_ e2_ e5_) = e1_ \/ ((op_ e2_ e5_) = e2_ \/ ((op_ e2_ e5_) = e3_ \/ ((op_ e2_ e5_) = e4_ \/ (op_ e2_ e5_) = e5_))))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e0_) = e2_ \/ ((op_ e3_ e0_) = e3_ \/ ((op_ e3_ e0_) = e4_ \/ (op_ e3_ e0_) = e5_))))) /\ (((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e1_) = e2_ \/ ((op_ e3_ e1_) = e3_ \/ ((op_ e3_ e1_) = e4_ \/ (op_ e3_ e1_) = e5_))))) /\ (((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e2_) = e2_ \/ ((op_ e3_ e2_) = e3_ \/ ((op_ e3_ e2_) = e4_ \/ (op_ e3_ e2_) = e5_))))) /\ (((op_ e3_ e3_) = e0_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e3_ e3_) = e2_ \/ ((op_ e3_ e3_) = e3_ \/ ((op_ e3_ e3_) = e4_ \/ (op_ e3_ e3_) = e5_))))) /\ (((op_ e3_ e4_) = e0_ \/ ((op_ e3_ e4_) = e1_ \/ ((op_ e3_ e4_) = e2_ \/ ((op_ e3_ e4_) = e3_ \/ ((op_ e3_ e4_) = e4_ \/ (op_ e3_ e4_) = e5_))))) /\ (((op_ e3_ e5_) = e0_ \/ ((op_ e3_ e5_) = e1_ \/ ((op_ e3_ e5_) = e2_ \/ ((op_ e3_ e5_) = e3_ \/ ((op_ e3_ e5_) = e4_ \/ (op_ e3_ e5_) = e5_))))) /\ (((op_ e4_ e0_) = e0_ \/ ((op_ e4_ e0_) = e1_ \/ ((op_ e4_ e0_) = e2_ \/ ((op_ e4_ e0_) = e3_ \/ ((op_ e4_ e0_) = e4_ \/ (op_ e4_ e0_) = e5_))))) /\ (((op_ e4_ e1_) = e0_ \/ ((op_ e4_ e1_) = e1_ \/ ((op_ e4_ e1_) = e2_ \/ ((op_ e4_ e1_) = e3_ \/ ((op_ e4_ e1_) = e4_ \/ (op_ e4_ e1_) = e5_))))) /\ (((op_ e4_ e2_) = e0_ \/ ((op_ e4_ e2_) = e1_ \/ ((op_ e4_ e2_) = e2_ \/ ((op_ e4_ e2_) = e3_ \/ ((op_ e4_ e2_) = e4_ \/ (op_ e4_ e2_) = e5_))))) /\ (((op_ e4_ e3_) = e0_ \/ ((op_ e4_ e3_) = e1_ \/ ((op_ e4_ e3_) = e2_ \/ ((op_ e4_ e3_) = e3_ \/ ((op_ e4_ e3_) = e4_ \/ (op_ e4_ e3_) = e5_))))) /\ (((op_ e4_ e4_) = e0_ \/ ((op_ e4_ e4_) = e1_ \/ ((op_ e4_ e4_) = e2_ \/ ((op_ e4_ e4_) = e3_ \/ ((op_ e4_ e4_) = e4_ \/ (op_ e4_ e4_) = e5_))))) /\ (((op_ e4_ e5_) = e0_ \/ ((op_ e4_ e5_) = e1_ \/ ((op_ e4_ e5_) = e2_ \/ ((op_ e4_ e5_) = e3_ \/ ((op_ e4_ e5_) = e4_ \/ (op_ e4_ e5_) = e5_))))) /\ (((op_ e5_ e0_) = e0_ \/ ((op_ e5_ e0_) = e1_ \/ ((op_ e5_ e0_) = e2_ \/ ((op_ e5_ e0_) = e3_ \/ ((op_ e5_ e0_) = e4_ \/ (op_ e5_ e0_) = e5_))))) /\ (((op_ e5_ e1_) = e0_ \/ ((op_ e5_ e1_) = e1_ \/ ((op_ e5_ e1_) = e2_ \/ ((op_ e5_ e1_) = e3_ \/ ((op_ e5_ e1_) = e4_ \/ (op_ e5_ e1_) = e5_))))) /\ (((op_ e5_ e2_) = e0_ \/ ((op_ e5_ e2_) = e1_ \/ ((op_ e5_ e2_) = e2_ \/ ((op_ e5_ e2_) = e3_ \/ ((op_ e5_ e2_) = e4_ \/ (op_ e5_ e2_) = e5_))))) /\ (((op_ e5_ e3_) = e0_ \/ ((op_ e5_ e3_) = e1_ \/ ((op_ e5_ e3_) = e2_ \/ ((op_ e5_ e3_) = e3_ \/ ((op_ e5_ e3_) = e4_ \/ (op_ e5_ e3_) = e5_))))) /\ (((op_ e5_ e4_) = e0_ \/ ((op_ e5_ e4_) = e1_ \/ ((op_ e5_ e4_) = e2_ \/ ((op_ e5_ e4_) = e3_ \/ ((op_ e5_ e4_) = e4_ \/ (op_ e5_ e4_) = e5_))))) /\ ((op_ e5_ e5_) = e0_ \/ ((op_ e5_ e5_) = e1_ \/ ((op_ e5_ e5_) = e2_ \/ ((op_ e5_ e5_) = e3_ \/ ((op_ e5_ e5_) = e4_ \/ (op_ e5_ e5_) = e5_)))))))))))))))))))))))))))))))))))))))).
Variable ax2_2 : ((op_ (op_ e0_ e0_) e0_) = (op_ e0_ (op_ e0_ e0_)) /\ ((op_ (op_ e0_ e0_) e1_) = (op_ e0_ (op_ e0_ e1_)) /\ ((op_ (op_ e0_ e0_) e2_) = (op_ e0_ (op_ e0_ e2_)) /\ ((op_ (op_ e0_ e0_) e3_) = (op_ e0_ (op_ e0_ e3_)) /\ ((op_ (op_ e0_ e0_) e4_) = (op_ e0_ (op_ e0_ e4_)) /\ ((op_ (op_ e0_ e0_) e5_) = (op_ e0_ (op_ e0_ e5_)) /\ ((op_ (op_ e0_ e1_) e0_) = (op_ e0_ (op_ e1_ e0_)) /\ ((op_ (op_ e0_ e1_) e1_) = (op_ e0_ (op_ e1_ e1_)) /\ ((op_ (op_ e0_ e1_) e2_) = (op_ e0_ (op_ e1_ e2_)) /\ ((op_ (op_ e0_ e1_) e3_) = (op_ e0_ (op_ e1_ e3_)) /\ ((op_ (op_ e0_ e1_) e4_) = (op_ e0_ (op_ e1_ e4_)) /\ ((op_ (op_ e0_ e1_) e5_) = (op_ e0_ (op_ e1_ e5_)) /\ ((op_ (op_ e0_ e2_) e0_) = (op_ e0_ (op_ e2_ e0_)) /\ ((op_ (op_ e0_ e2_) e1_) = (op_ e0_ (op_ e2_ e1_)) /\ ((op_ (op_ e0_ e2_) e2_) = (op_ e0_ (op_ e2_ e2_)) /\ ((op_ (op_ e0_ e2_) e3_) = (op_ e0_ (op_ e2_ e3_)) /\ ((op_ (op_ e0_ e2_) e4_) = (op_ e0_ (op_ e2_ e4_)) /\ ((op_ (op_ e0_ e2_) e5_) = (op_ e0_ (op_ e2_ e5_)) /\ ((op_ (op_ e0_ e3_) e0_) = (op_ e0_ (op_ e3_ e0_)) /\ ((op_ (op_ e0_ e3_) e1_) = (op_ e0_ (op_ e3_ e1_)) /\ ((op_ (op_ e0_ e3_) e2_) = (op_ e0_ (op_ e3_ e2_)) /\ ((op_ (op_ e0_ e3_) e3_) = (op_ e0_ (op_ e3_ e3_)) /\ ((op_ (op_ e0_ e3_) e4_) = (op_ e0_ (op_ e3_ e4_)) /\ ((op_ (op_ e0_ e3_) e5_) = (op_ e0_ (op_ e3_ e5_)) /\ ((op_ (op_ e0_ e4_) e0_) = (op_ e0_ (op_ e4_ e0_)) /\ ((op_ (op_ e0_ e4_) e1_) = (op_ e0_ (op_ e4_ e1_)) /\ ((op_ (op_ e0_ e4_) e2_) = (op_ e0_ (op_ e4_ e2_)) /\ ((op_ (op_ e0_ e4_) e3_) = (op_ e0_ (op_ e4_ e3_)) /\ ((op_ (op_ e0_ e4_) e4_) = (op_ e0_ (op_ e4_ e4_)) /\ ((op_ (op_ e0_ e4_) e5_) = (op_ e0_ (op_ e4_ e5_)) /\ ((op_ (op_ e0_ e5_) e0_) = (op_ e0_ (op_ e5_ e0_)) /\ ((op_ (op_ e0_ e5_) e1_) = (op_ e0_ (op_ e5_ e1_)) /\ ((op_ (op_ e0_ e5_) e2_) = (op_ e0_ (op_ e5_ e2_)) /\ ((op_ (op_ e0_ e5_) e3_) = (op_ e0_ (op_ e5_ e3_)) /\ ((op_ (op_ e0_ e5_) e4_) = (op_ e0_ (op_ e5_ e4_)) /\ ((op_ (op_ e0_ e5_) e5_) = (op_ e0_ (op_ e5_ e5_)) /\ ((op_ (op_ e1_ e0_) e0_) = (op_ e1_ (op_ e0_ e0_)) /\ ((op_ (op_ e1_ e0_) e1_) = (op_ e1_ (op_ e0_ e1_)) /\ ((op_ (op_ e1_ e0_) e2_) = (op_ e1_ (op_ e0_ e2_)) /\ ((op_ (op_ e1_ e0_) e3_) = (op_ e1_ (op_ e0_ e3_)) /\ ((op_ (op_ e1_ e0_) e4_) = (op_ e1_ (op_ e0_ e4_)) /\ ((op_ (op_ e1_ e0_) e5_) = (op_ e1_ (op_ e0_ e5_)) /\ ((op_ (op_ e1_ e1_) e0_) = (op_ e1_ (op_ e1_ e0_)) /\ ((op_ (op_ e1_ e1_) e1_) = (op_ e1_ (op_ e1_ e1_)) /\ ((op_ (op_ e1_ e1_) e2_) = (op_ e1_ (op_ e1_ e2_)) /\ ((op_ (op_ e1_ e1_) e3_) = (op_ e1_ (op_ e1_ e3_)) /\ ((op_ (op_ e1_ e1_) e4_) = (op_ e1_ (op_ e1_ e4_)) /\ ((op_ (op_ e1_ e1_) e5_) = (op_ e1_ (op_ e1_ e5_)) /\ ((op_ (op_ e1_ e2_) e0_) = (op_ e1_ (op_ e2_ e0_)) /\ ((op_ (op_ e1_ e2_) e1_) = (op_ e1_ (op_ e2_ e1_)) /\ ((op_ (op_ e1_ e2_) e2_) = (op_ e1_ (op_ e2_ e2_)) /\ ((op_ (op_ e1_ e2_) e3_) = (op_ e1_ (op_ e2_ e3_)) /\ ((op_ (op_ e1_ e2_) e4_) = (op_ e1_ (op_ e2_ e4_)) /\ ((op_ (op_ e1_ e2_) e5_) = (op_ e1_ (op_ e2_ e5_)) /\ ((op_ (op_ e1_ e3_) e0_) = (op_ e1_ (op_ e3_ e0_)) /\ ((op_ (op_ e1_ e3_) e1_) = (op_ e1_ (op_ e3_ e1_)) /\ ((op_ (op_ e1_ e3_) e2_) = (op_ e1_ (op_ e3_ e2_)) /\ ((op_ (op_ e1_ e3_) e3_) = (op_ e1_ (op_ e3_ e3_)) /\ ((op_ (op_ e1_ e3_) e4_) = (op_ e1_ (op_ e3_ e4_)) /\ ((op_ (op_ e1_ e3_) e5_) = (op_ e1_ (op_ e3_ e5_)) /\ ((op_ (op_ e1_ e4_) e0_) = (op_ e1_ (op_ e4_ e0_)) /\ ((op_ (op_ e1_ e4_) e1_) = (op_ e1_ (op_ e4_ e1_)) /\ ((op_ (op_ e1_ e4_) e2_) = (op_ e1_ (op_ e4_ e2_)) /\ ((op_ (op_ e1_ e4_) e3_) = (op_ e1_ (op_ e4_ e3_)) /\ ((op_ (op_ e1_ e4_) e4_) = (op_ e1_ (op_ e4_ e4_)) /\ ((op_ (op_ e1_ e4_) e5_) = (op_ e1_ (op_ e4_ e5_)) /\ ((op_ (op_ e1_ e5_) e0_) = (op_ e1_ (op_ e5_ e0_)) /\ ((op_ (op_ e1_ e5_) e1_) = (op_ e1_ (op_ e5_ e1_)) /\ ((op_ (op_ e1_ e5_) e2_) = (op_ e1_ (op_ e5_ e2_)) /\ ((op_ (op_ e1_ e5_) e3_) = (op_ e1_ (op_ e5_ e3_)) /\ ((op_ (op_ e1_ e5_) e4_) = (op_ e1_ (op_ e5_ e4_)) /\ ((op_ (op_ e1_ e5_) e5_) = (op_ e1_ (op_ e5_ e5_)) /\ ((op_ (op_ e2_ e0_) e0_) = (op_ e2_ (op_ e0_ e0_)) /\ ((op_ (op_ e2_ e0_) e1_) = (op_ e2_ (op_ e0_ e1_)) /\ ((op_ (op_ e2_ e0_) e2_) = (op_ e2_ (op_ e0_ e2_)) /\ ((op_ (op_ e2_ e0_) e3_) = (op_ e2_ (op_ e0_ e3_)) /\ ((op_ (op_ e2_ e0_) e4_) = (op_ e2_ (op_ e0_ e4_)) /\ ((op_ (op_ e2_ e0_) e5_) = (op_ e2_ (op_ e0_ e5_)) /\ ((op_ (op_ e2_ e1_) e0_) = (op_ e2_ (op_ e1_ e0_)) /\ ((op_ (op_ e2_ e1_) e1_) = (op_ e2_ (op_ e1_ e1_)) /\ ((op_ (op_ e2_ e1_) e2_) = (op_ e2_ (op_ e1_ e2_)) /\ ((op_ (op_ e2_ e1_) e3_) = (op_ e2_ (op_ e1_ e3_)) /\ ((op_ (op_ e2_ e1_) e4_) = (op_ e2_ (op_ e1_ e4_)) /\ ((op_ (op_ e2_ e1_) e5_) = (op_ e2_ (op_ e1_ e5_)) /\ ((op_ (op_ e2_ e2_) e0_) = (op_ e2_ (op_ e2_ e0_)) /\ ((op_ (op_ e2_ e2_) e1_) = (op_ e2_ (op_ e2_ e1_)) /\ ((op_ (op_ e2_ e2_) e2_) = (op_ e2_ (op_ e2_ e2_)) /\ ((op_ (op_ e2_ e2_) e3_) = (op_ e2_ (op_ e2_ e3_)) /\ ((op_ (op_ e2_ e2_) e4_) = (op_ e2_ (op_ e2_ e4_)) /\ ((op_ (op_ e2_ e2_) e5_) = (op_ e2_ (op_ e2_ e5_)) /\ ((op_ (op_ e2_ e3_) e0_) = (op_ e2_ (op_ e3_ e0_)) /\ ((op_ (op_ e2_ e3_) e1_) = (op_ e2_ (op_ e3_ e1_)) /\ ((op_ (op_ e2_ e3_) e2_) = (op_ e2_ (op_ e3_ e2_)) /\ ((op_ (op_ e2_ e3_) e3_) = (op_ e2_ (op_ e3_ e3_)) /\ ((op_ (op_ e2_ e3_) e4_) = (op_ e2_ (op_ e3_ e4_)) /\ ((op_ (op_ e2_ e3_) e5_) = (op_ e2_ (op_ e3_ e5_)) /\ ((op_ (op_ e2_ e4_) e0_) = (op_ e2_ (op_ e4_ e0_)) /\ ((op_ (op_ e2_ e4_) e1_) = (op_ e2_ (op_ e4_ e1_)) /\ ((op_ (op_ e2_ e4_) e2_) = (op_ e2_ (op_ e4_ e2_)) /\ ((op_ (op_ e2_ e4_) e3_) = (op_ e2_ (op_ e4_ e3_)) /\ ((op_ (op_ e2_ e4_) e4_) = (op_ e2_ (op_ e4_ e4_)) /\ ((op_ (op_ e2_ e4_) e5_) = (op_ e2_ (op_ e4_ e5_)) /\ ((op_ (op_ e2_ e5_) e0_) = (op_ e2_ (op_ e5_ e0_)) /\ ((op_ (op_ e2_ e5_) e1_) = (op_ e2_ (op_ e5_ e1_)) /\ ((op_ (op_ e2_ e5_) e2_) = (op_ e2_ (op_ e5_ e2_)) /\ ((op_ (op_ e2_ e5_) e3_) = (op_ e2_ (op_ e5_ e3_)) /\ ((op_ (op_ e2_ e5_) e4_) = (op_ e2_ (op_ e5_ e4_)) /\ ((op_ (op_ e2_ e5_) e5_) = (op_ e2_ (op_ e5_ e5_)) /\ ((op_ (op_ e3_ e0_) e0_) = (op_ e3_ (op_ e0_ e0_)) /\ ((op_ (op_ e3_ e0_) e1_) = (op_ e3_ (op_ e0_ e1_)) /\ ((op_ (op_ e3_ e0_) e2_) = (op_ e3_ (op_ e0_ e2_)) /\ ((op_ (op_ e3_ e0_) e3_) = (op_ e3_ (op_ e0_ e3_)) /\ ((op_ (op_ e3_ e0_) e4_) = (op_ e3_ (op_ e0_ e4_)) /\ ((op_ (op_ e3_ e0_) e5_) = (op_ e3_ (op_ e0_ e5_)) /\ ((op_ (op_ e3_ e1_) e0_) = (op_ e3_ (op_ e1_ e0_)) /\ ((op_ (op_ e3_ e1_) e1_) = (op_ e3_ (op_ e1_ e1_)) /\ ((op_ (op_ e3_ e1_) e2_) = (op_ e3_ (op_ e1_ e2_)) /\ ((op_ (op_ e3_ e1_) e3_) = (op_ e3_ (op_ e1_ e3_)) /\ ((op_ (op_ e3_ e1_) e4_) = (op_ e3_ (op_ e1_ e4_)) /\ ((op_ (op_ e3_ e1_) e5_) = (op_ e3_ (op_ e1_ e5_)) /\ ((op_ (op_ e3_ e2_) e0_) = (op_ e3_ (op_ e2_ e0_)) /\ ((op_ (op_ e3_ e2_) e1_) = (op_ e3_ (op_ e2_ e1_)) /\ ((op_ (op_ e3_ e2_) e2_) = (op_ e3_ (op_ e2_ e2_)) /\ ((op_ (op_ e3_ e2_) e3_) = (op_ e3_ (op_ e2_ e3_)) /\ ((op_ (op_ e3_ e2_) e4_) = (op_ e3_ (op_ e2_ e4_)) /\ ((op_ (op_ e3_ e2_) e5_) = (op_ e3_ (op_ e2_ e5_)) /\ ((op_ (op_ e3_ e3_) e0_) = (op_ e3_ (op_ e3_ e0_)) /\ ((op_ (op_ e3_ e3_) e1_) = (op_ e3_ (op_ e3_ e1_)) /\ ((op_ (op_ e3_ e3_) e2_) = (op_ e3_ (op_ e3_ e2_)) /\ ((op_ (op_ e3_ e3_) e3_) = (op_ e3_ (op_ e3_ e3_)) /\ ((op_ (op_ e3_ e3_) e4_) = (op_ e3_ (op_ e3_ e4_)) /\ ((op_ (op_ e3_ e3_) e5_) = (op_ e3_ (op_ e3_ e5_)) /\ ((op_ (op_ e3_ e4_) e0_) = (op_ e3_ (op_ e4_ e0_)) /\ ((op_ (op_ e3_ e4_) e1_) = (op_ e3_ (op_ e4_ e1_)) /\ ((op_ (op_ e3_ e4_) e2_) = (op_ e3_ (op_ e4_ e2_)) /\ ((op_ (op_ e3_ e4_) e3_) = (op_ e3_ (op_ e4_ e3_)) /\ ((op_ (op_ e3_ e4_) e4_) = (op_ e3_ (op_ e4_ e4_)) /\ ((op_ (op_ e3_ e4_) e5_) = (op_ e3_ (op_ e4_ e5_)) /\ ((op_ (op_ e3_ e5_) e0_) = (op_ e3_ (op_ e5_ e0_)) /\ ((op_ (op_ e3_ e5_) e1_) = (op_ e3_ (op_ e5_ e1_)) /\ ((op_ (op_ e3_ e5_) e2_) = (op_ e3_ (op_ e5_ e2_)) /\ ((op_ (op_ e3_ e5_) e3_) = (op_ e3_ (op_ e5_ e3_)) /\ ((op_ (op_ e3_ e5_) e4_) = (op_ e3_ (op_ e5_ e4_)) /\ ((op_ (op_ e3_ e5_) e5_) = (op_ e3_ (op_ e5_ e5_)) /\ ((op_ (op_ e4_ e0_) e0_) = (op_ e4_ (op_ e0_ e0_)) /\ ((op_ (op_ e4_ e0_) e1_) = (op_ e4_ (op_ e0_ e1_)) /\ ((op_ (op_ e4_ e0_) e2_) = (op_ e4_ (op_ e0_ e2_)) /\ ((op_ (op_ e4_ e0_) e3_) = (op_ e4_ (op_ e0_ e3_)) /\ ((op_ (op_ e4_ e0_) e4_) = (op_ e4_ (op_ e0_ e4_)) /\ ((op_ (op_ e4_ e0_) e5_) = (op_ e4_ (op_ e0_ e5_)) /\ ((op_ (op_ e4_ e1_) e0_) = (op_ e4_ (op_ e1_ e0_)) /\ ((op_ (op_ e4_ e1_) e1_) = (op_ e4_ (op_ e1_ e1_)) /\ ((op_ (op_ e4_ e1_) e2_) = (op_ e4_ (op_ e1_ e2_)) /\ ((op_ (op_ e4_ e1_) e3_) = (op_ e4_ (op_ e1_ e3_)) /\ ((op_ (op_ e4_ e1_) e4_) = (op_ e4_ (op_ e1_ e4_)) /\ ((op_ (op_ e4_ e1_) e5_) = (op_ e4_ (op_ e1_ e5_)) /\ ((op_ (op_ e4_ e2_) e0_) = (op_ e4_ (op_ e2_ e0_)) /\ ((op_ (op_ e4_ e2_) e1_) = (op_ e4_ (op_ e2_ e1_)) /\ ((op_ (op_ e4_ e2_) e2_) = (op_ e4_ (op_ e2_ e2_)) /\ ((op_ (op_ e4_ e2_) e3_) = (op_ e4_ (op_ e2_ e3_)) /\ ((op_ (op_ e4_ e2_) e4_) = (op_ e4_ (op_ e2_ e4_)) /\ ((op_ (op_ e4_ e2_) e5_) = (op_ e4_ (op_ e2_ e5_)) /\ ((op_ (op_ e4_ e3_) e0_) = (op_ e4_ (op_ e3_ e0_)) /\ ((op_ (op_ e4_ e3_) e1_) = (op_ e4_ (op_ e3_ e1_)) /\ ((op_ (op_ e4_ e3_) e2_) = (op_ e4_ (op_ e3_ e2_)) /\ ((op_ (op_ e4_ e3_) e3_) = (op_ e4_ (op_ e3_ e3_)) /\ ((op_ (op_ e4_ e3_) e4_) = (op_ e4_ (op_ e3_ e4_)) /\ ((op_ (op_ e4_ e3_) e5_) = (op_ e4_ (op_ e3_ e5_)) /\ ((op_ (op_ e4_ e4_) e0_) = (op_ e4_ (op_ e4_ e0_)) /\ ((op_ (op_ e4_ e4_) e1_) = (op_ e4_ (op_ e4_ e1_)) /\ ((op_ (op_ e4_ e4_) e2_) = (op_ e4_ (op_ e4_ e2_)) /\ ((op_ (op_ e4_ e4_) e3_) = (op_ e4_ (op_ e4_ e3_)) /\ ((op_ (op_ e4_ e4_) e4_) = (op_ e4_ (op_ e4_ e4_)) /\ ((op_ (op_ e4_ e4_) e5_) = (op_ e4_ (op_ e4_ e5_)) /\ ((op_ (op_ e4_ e5_) e0_) = (op_ e4_ (op_ e5_ e0_)) /\ ((op_ (op_ e4_ e5_) e1_) = (op_ e4_ (op_ e5_ e1_)) /\ ((op_ (op_ e4_ e5_) e2_) = (op_ e4_ (op_ e5_ e2_)) /\ ((op_ (op_ e4_ e5_) e3_) = (op_ e4_ (op_ e5_ e3_)) /\ ((op_ (op_ e4_ e5_) e4_) = (op_ e4_ (op_ e5_ e4_)) /\ ((op_ (op_ e4_ e5_) e5_) = (op_ e4_ (op_ e5_ e5_)) /\ ((op_ (op_ e5_ e0_) e0_) = (op_ e5_ (op_ e0_ e0_)) /\ ((op_ (op_ e5_ e0_) e1_) = (op_ e5_ (op_ e0_ e1_)) /\ ((op_ (op_ e5_ e0_) e2_) = (op_ e5_ (op_ e0_ e2_)) /\ ((op_ (op_ e5_ e0_) e3_) = (op_ e5_ (op_ e0_ e3_)) /\ ((op_ (op_ e5_ e0_) e4_) = (op_ e5_ (op_ e0_ e4_)) /\ ((op_ (op_ e5_ e0_) e5_) = (op_ e5_ (op_ e0_ e5_)) /\ ((op_ (op_ e5_ e1_) e0_) = (op_ e5_ (op_ e1_ e0_)) /\ ((op_ (op_ e5_ e1_) e1_) = (op_ e5_ (op_ e1_ e1_)) /\ ((op_ (op_ e5_ e1_) e2_) = (op_ e5_ (op_ e1_ e2_)) /\ ((op_ (op_ e5_ e1_) e3_) = (op_ e5_ (op_ e1_ e3_)) /\ ((op_ (op_ e5_ e1_) e4_) = (op_ e5_ (op_ e1_ e4_)) /\ ((op_ (op_ e5_ e1_) e5_) = (op_ e5_ (op_ e1_ e5_)) /\ ((op_ (op_ e5_ e2_) e0_) = (op_ e5_ (op_ e2_ e0_)) /\ ((op_ (op_ e5_ e2_) e1_) = (op_ e5_ (op_ e2_ e1_)) /\ ((op_ (op_ e5_ e2_) e2_) = (op_ e5_ (op_ e2_ e2_)) /\ ((op_ (op_ e5_ e2_) e3_) = (op_ e5_ (op_ e2_ e3_)) /\ ((op_ (op_ e5_ e2_) e4_) = (op_ e5_ (op_ e2_ e4_)) /\ ((op_ (op_ e5_ e2_) e5_) = (op_ e5_ (op_ e2_ e5_)) /\ ((op_ (op_ e5_ e3_) e0_) = (op_ e5_ (op_ e3_ e0_)) /\ ((op_ (op_ e5_ e3_) e1_) = (op_ e5_ (op_ e3_ e1_)) /\ ((op_ (op_ e5_ e3_) e2_) = (op_ e5_ (op_ e3_ e2_)) /\ ((op_ (op_ e5_ e3_) e3_) = (op_ e5_ (op_ e3_ e3_)) /\ ((op_ (op_ e5_ e3_) e4_) = (op_ e5_ (op_ e3_ e4_)) /\ ((op_ (op_ e5_ e3_) e5_) = (op_ e5_ (op_ e3_ e5_)) /\ ((op_ (op_ e5_ e4_) e0_) = (op_ e5_ (op_ e4_ e0_)) /\ ((op_ (op_ e5_ e4_) e1_) = (op_ e5_ (op_ e4_ e1_)) /\ ((op_ (op_ e5_ e4_) e2_) = (op_ e5_ (op_ e4_ e2_)) /\ ((op_ (op_ e5_ e4_) e3_) = (op_ e5_ (op_ e4_ e3_)) /\ ((op_ (op_ e5_ e4_) e4_) = (op_ e5_ (op_ e4_ e4_)) /\ ((op_ (op_ e5_ e4_) e5_) = (op_ e5_ (op_ e4_ e5_)) /\ ((op_ (op_ e5_ e5_) e0_) = (op_ e5_ (op_ e5_ e0_)) /\ ((op_ (op_ e5_ e5_) e1_) = (op_ e5_ (op_ e5_ e1_)) /\ ((op_ (op_ e5_ e5_) e2_) = (op_ e5_ (op_ e5_ e2_)) /\ ((op_ (op_ e5_ e5_) e3_) = (op_ e5_ (op_ e5_ e3_)) /\ ((op_ (op_ e5_ e5_) e4_) = (op_ e5_ (op_ e5_ e4_)) /\ (op_ (op_ e5_ e5_) e5_) = (op_ e5_ (op_ e5_ e5_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax3_3 : ((op_ unit_ e0_) = e0_ /\ ((op_ e0_ unit_) = e0_ /\ ((op_ unit_ e1_) = e1_ /\ ((op_ e1_ unit_) = e1_ /\ ((op_ unit_ e2_) = e2_ /\ ((op_ e2_ unit_) = e2_ /\ ((op_ unit_ e3_) = e3_ /\ ((op_ e3_ unit_) = e3_ /\ ((op_ unit_ e4_) = e4_ /\ ((op_ e4_ unit_) = e4_ /\ ((op_ unit_ e5_) = e5_ /\ ((op_ e5_ unit_) = e5_ /\ (unit_ = e0_ \/ (unit_ = e1_ \/ (unit_ = e2_ \/ (unit_ = e3_ \/ (unit_ = e4_ \/ unit_ = e5_))))))))))))))))).
Variable ax4_4 : ((op_ e0_ (inv_ e0_)) = unit_ /\ ((op_ (inv_ e0_) e0_) = unit_ /\ ((op_ e1_ (inv_ e1_)) = unit_ /\ ((op_ (inv_ e1_) e1_) = unit_ /\ ((op_ e2_ (inv_ e2_)) = unit_ /\ ((op_ (inv_ e2_) e2_) = unit_ /\ ((op_ e3_ (inv_ e3_)) = unit_ /\ ((op_ (inv_ e3_) e3_) = unit_ /\ ((op_ e4_ (inv_ e4_)) = unit_ /\ ((op_ (inv_ e4_) e4_) = unit_ /\ ((op_ e5_ (inv_ e5_)) = unit_ /\ ((op_ (inv_ e5_) e5_) = unit_ /\ (((inv_ e0_) = e0_ \/ ((inv_ e0_) = e1_ \/ ((inv_ e0_) = e2_ \/ ((inv_ e0_) = e3_ \/ ((inv_ e0_) = e4_ \/ (inv_ e0_) = e5_))))) /\ (((inv_ e1_) = e0_ \/ ((inv_ e1_) = e1_ \/ ((inv_ e1_) = e2_ \/ ((inv_ e1_) = e3_ \/ ((inv_ e1_) = e4_ \/ (inv_ e1_) = e5_))))) /\ (((inv_ e2_) = e0_ \/ ((inv_ e2_) = e1_ \/ ((inv_ e2_) = e2_ \/ ((inv_ e2_) = e3_ \/ ((inv_ e2_) = e4_ \/ (inv_ e2_) = e5_))))) /\ (((inv_ e3_) = e0_ \/ ((inv_ e3_) = e1_ \/ ((inv_ e3_) = e2_ \/ ((inv_ e3_) = e3_ \/ ((inv_ e3_) = e4_ \/ (inv_ e3_) = e5_))))) /\ (((inv_ e4_) = e0_ \/ ((inv_ e4_) = e1_ \/ ((inv_ e4_) = e2_ \/ ((inv_ e4_) = e3_ \/ ((inv_ e4_) = e4_ \/ (inv_ e4_) = e5_))))) /\ ((inv_ e5_) = e0_ \/ ((inv_ e5_) = e1_ \/ ((inv_ e5_) = e2_ \/ ((inv_ e5_) = e3_ \/ ((inv_ e5_) = e4_ \/ (inv_ e5_) = e5_)))))))))))))))))))))).
Variable ax5_5 : (inv_ unit_) = unit_.
Variable ax6_6 : ((inv_ (inv_ e0_)) = e0_ /\ ((inv_ (inv_ e1_)) = e1_ /\ ((inv_ (inv_ e2_)) = e2_ /\ ((inv_ (inv_ e3_)) = e3_ /\ ((inv_ (inv_ e4_)) = e4_ /\ (inv_ (inv_ e5_)) = e5_))))).
Variable ax7_7 : (((inv_ e0_) = e0_ -> (inv_ e0_) = e0_) /\ (((inv_ e0_) = e1_ -> (inv_ e1_) = e0_) /\ (((inv_ e0_) = e2_ -> (inv_ e2_) = e0_) /\ (((inv_ e0_) = e3_ -> (inv_ e3_) = e0_) /\ (((inv_ e0_) = e4_ -> (inv_ e4_) = e0_) /\ (((inv_ e0_) = e5_ -> (inv_ e5_) = e0_) /\ (((inv_ e1_) = e0_ -> (inv_ e0_) = e1_) /\ (((inv_ e1_) = e1_ -> (inv_ e1_) = e1_) /\ (((inv_ e1_) = e2_ -> (inv_ e2_) = e1_) /\ (((inv_ e1_) = e3_ -> (inv_ e3_) = e1_) /\ (((inv_ e1_) = e4_ -> (inv_ e4_) = e1_) /\ (((inv_ e1_) = e5_ -> (inv_ e5_) = e1_) /\ (((inv_ e2_) = e0_ -> (inv_ e0_) = e2_) /\ (((inv_ e2_) = e1_ -> (inv_ e1_) = e2_) /\ (((inv_ e2_) = e2_ -> (inv_ e2_) = e2_) /\ (((inv_ e2_) = e3_ -> (inv_ e3_) = e2_) /\ (((inv_ e2_) = e4_ -> (inv_ e4_) = e2_) /\ (((inv_ e2_) = e5_ -> (inv_ e5_) = e2_) /\ (((inv_ e3_) = e0_ -> (inv_ e0_) = e3_) /\ (((inv_ e3_) = e1_ -> (inv_ e1_) = e3_) /\ (((inv_ e3_) = e2_ -> (inv_ e2_) = e3_) /\ (((inv_ e3_) = e3_ -> (inv_ e3_) = e3_) /\ (((inv_ e3_) = e4_ -> (inv_ e4_) = e3_) /\ (((inv_ e3_) = e5_ -> (inv_ e5_) = e3_) /\ (((inv_ e4_) = e0_ -> (inv_ e0_) = e4_) /\ (((inv_ e4_) = e1_ -> (inv_ e1_) = e4_) /\ (((inv_ e4_) = e2_ -> (inv_ e2_) = e4_) /\ (((inv_ e4_) = e3_ -> (inv_ e3_) = e4_) /\ (((inv_ e4_) = e4_ -> (inv_ e4_) = e4_) /\ (((inv_ e4_) = e5_ -> (inv_ e5_) = e4_) /\ (((inv_ e5_) = e0_ -> (inv_ e0_) = e5_) /\ (((inv_ e5_) = e1_ -> (inv_ e1_) = e5_) /\ (((inv_ e5_) = e2_ -> (inv_ e2_) = e5_) /\ (((inv_ e5_) = e3_ -> (inv_ e3_) = e5_) /\ (((inv_ e5_) = e4_ -> (inv_ e4_) = e5_) /\ ((inv_ e5_) = e5_ -> (inv_ e5_) = e5_)))))))))))))))))))))))))))))))))))).
Variable ax8_8 : ((inv_ e0_) <> (inv_ e1_) /\ ((inv_ e0_) <> (inv_ e2_) /\ ((inv_ e0_) <> (inv_ e3_) /\ ((inv_ e0_) <> (inv_ e4_) /\ ((inv_ e0_) <> (inv_ e5_) /\ ((inv_ e1_) <> (inv_ e2_) /\ ((inv_ e1_) <> (inv_ e3_) /\ ((inv_ e1_) <> (inv_ e4_) /\ ((inv_ e1_) <> (inv_ e5_) /\ ((inv_ e2_) <> (inv_ e3_) /\ ((inv_ e2_) <> (inv_ e4_) /\ ((inv_ e2_) <> (inv_ e5_) /\ ((inv_ e3_) <> (inv_ e4_) /\ ((inv_ e3_) <> (inv_ e5_) /\ (inv_ e4_) <> (inv_ e5_))))))))))))))).
Variable ax9_9 : ((op_ e0_ e0_) <> (op_ e1_ e0_) /\ ((op_ e0_ e0_) <> (op_ e2_ e0_) /\ ((op_ e0_ e0_) <> (op_ e3_ e0_) /\ ((op_ e0_ e0_) <> (op_ e4_ e0_) /\ ((op_ e0_ e0_) <> (op_ e5_ e0_) /\ ((op_ e1_ e0_) <> (op_ e2_ e0_) /\ ((op_ e1_ e0_) <> (op_ e3_ e0_) /\ ((op_ e1_ e0_) <> (op_ e4_ e0_) /\ ((op_ e1_ e0_) <> (op_ e5_ e0_) /\ ((op_ e2_ e0_) <> (op_ e3_ e0_) /\ ((op_ e2_ e0_) <> (op_ e4_ e0_) /\ ((op_ e2_ e0_) <> (op_ e5_ e0_) /\ ((op_ e3_ e0_) <> (op_ e4_ e0_) /\ ((op_ e3_ e0_) <> (op_ e5_ e0_) /\ ((op_ e4_ e0_) <> (op_ e5_ e0_) /\ ((op_ e0_ e1_) <> (op_ e1_ e1_) /\ ((op_ e0_ e1_) <> (op_ e2_ e1_) /\ ((op_ e0_ e1_) <> (op_ e3_ e1_) /\ ((op_ e0_ e1_) <> (op_ e4_ e1_) /\ ((op_ e0_ e1_) <> (op_ e5_ e1_) /\ ((op_ e1_ e1_) <> (op_ e2_ e1_) /\ ((op_ e1_ e1_) <> (op_ e3_ e1_) /\ ((op_ e1_ e1_) <> (op_ e4_ e1_) /\ ((op_ e1_ e1_) <> (op_ e5_ e1_) /\ ((op_ e2_ e1_) <> (op_ e3_ e1_) /\ ((op_ e2_ e1_) <> (op_ e4_ e1_) /\ ((op_ e2_ e1_) <> (op_ e5_ e1_) /\ ((op_ e3_ e1_) <> (op_ e4_ e1_) /\ ((op_ e3_ e1_) <> (op_ e5_ e1_) /\ ((op_ e4_ e1_) <> (op_ e5_ e1_) /\ ((op_ e0_ e2_) <> (op_ e1_ e2_) /\ ((op_ e0_ e2_) <> (op_ e2_ e2_) /\ ((op_ e0_ e2_) <> (op_ e3_ e2_) /\ ((op_ e0_ e2_) <> (op_ e4_ e2_) /\ ((op_ e0_ e2_) <> (op_ e5_ e2_) /\ ((op_ e1_ e2_) <> (op_ e2_ e2_) /\ ((op_ e1_ e2_) <> (op_ e3_ e2_) /\ ((op_ e1_ e2_) <> (op_ e4_ e2_) /\ ((op_ e1_ e2_) <> (op_ e5_ e2_) /\ ((op_ e2_ e2_) <> (op_ e3_ e2_) /\ ((op_ e2_ e2_) <> (op_ e4_ e2_) /\ ((op_ e2_ e2_) <> (op_ e5_ e2_) /\ ((op_ e3_ e2_) <> (op_ e4_ e2_) /\ ((op_ e3_ e2_) <> (op_ e5_ e2_) /\ ((op_ e4_ e2_) <> (op_ e5_ e2_) /\ ((op_ e0_ e3_) <> (op_ e1_ e3_) /\ ((op_ e0_ e3_) <> (op_ e2_ e3_) /\ ((op_ e0_ e3_) <> (op_ e3_ e3_) /\ ((op_ e0_ e3_) <> (op_ e4_ e3_) /\ ((op_ e0_ e3_) <> (op_ e5_ e3_) /\ ((op_ e1_ e3_) <> (op_ e2_ e3_) /\ ((op_ e1_ e3_) <> (op_ e3_ e3_) /\ ((op_ e1_ e3_) <> (op_ e4_ e3_) /\ ((op_ e1_ e3_) <> (op_ e5_ e3_) /\ ((op_ e2_ e3_) <> (op_ e3_ e3_) /\ ((op_ e2_ e3_) <> (op_ e4_ e3_) /\ ((op_ e2_ e3_) <> (op_ e5_ e3_) /\ ((op_ e3_ e3_) <> (op_ e4_ e3_) /\ ((op_ e3_ e3_) <> (op_ e5_ e3_) /\ ((op_ e4_ e3_) <> (op_ e5_ e3_) /\ ((op_ e0_ e4_) <> (op_ e1_ e4_) /\ ((op_ e0_ e4_) <> (op_ e2_ e4_) /\ ((op_ e0_ e4_) <> (op_ e3_ e4_) /\ ((op_ e0_ e4_) <> (op_ e4_ e4_) /\ ((op_ e0_ e4_) <> (op_ e5_ e4_) /\ ((op_ e1_ e4_) <> (op_ e2_ e4_) /\ ((op_ e1_ e4_) <> (op_ e3_ e4_) /\ ((op_ e1_ e4_) <> (op_ e4_ e4_) /\ ((op_ e1_ e4_) <> (op_ e5_ e4_) /\ ((op_ e2_ e4_) <> (op_ e3_ e4_) /\ ((op_ e2_ e4_) <> (op_ e4_ e4_) /\ ((op_ e2_ e4_) <> (op_ e5_ e4_) /\ ((op_ e3_ e4_) <> (op_ e4_ e4_) /\ ((op_ e3_ e4_) <> (op_ e5_ e4_) /\ ((op_ e4_ e4_) <> (op_ e5_ e4_) /\ ((op_ e0_ e5_) <> (op_ e1_ e5_) /\ ((op_ e0_ e5_) <> (op_ e2_ e5_) /\ ((op_ e0_ e5_) <> (op_ e3_ e5_) /\ ((op_ e0_ e5_) <> (op_ e4_ e5_) /\ ((op_ e0_ e5_) <> (op_ e5_ e5_) /\ ((op_ e1_ e5_) <> (op_ e2_ e5_) /\ ((op_ e1_ e5_) <> (op_ e3_ e5_) /\ ((op_ e1_ e5_) <> (op_ e4_ e5_) /\ ((op_ e1_ e5_) <> (op_ e5_ e5_) /\ ((op_ e2_ e5_) <> (op_ e3_ e5_) /\ ((op_ e2_ e5_) <> (op_ e4_ e5_) /\ ((op_ e2_ e5_) <> (op_ e5_ e5_) /\ ((op_ e3_ e5_) <> (op_ e4_ e5_) /\ ((op_ e3_ e5_) <> (op_ e5_ e5_) /\ ((op_ e4_ e5_) <> (op_ e5_ e5_) /\ ((op_ e0_ e0_) <> (op_ e0_ e1_) /\ ((op_ e0_ e0_) <> (op_ e0_ e2_) /\ ((op_ e0_ e0_) <> (op_ e0_ e3_) /\ ((op_ e0_ e0_) <> (op_ e0_ e4_) /\ ((op_ e0_ e0_) <> (op_ e0_ e5_) /\ ((op_ e0_ e1_) <> (op_ e0_ e2_) /\ ((op_ e0_ e1_) <> (op_ e0_ e3_) /\ ((op_ e0_ e1_) <> (op_ e0_ e4_) /\ ((op_ e0_ e1_) <> (op_ e0_ e5_) /\ ((op_ e0_ e2_) <> (op_ e0_ e3_) /\ ((op_ e0_ e2_) <> (op_ e0_ e4_) /\ ((op_ e0_ e2_) <> (op_ e0_ e5_) /\ ((op_ e0_ e3_) <> (op_ e0_ e4_) /\ ((op_ e0_ e3_) <> (op_ e0_ e5_) /\ ((op_ e0_ e4_) <> (op_ e0_ e5_) /\ ((op_ e1_ e0_) <> (op_ e1_ e1_) /\ ((op_ e1_ e0_) <> (op_ e1_ e2_) /\ ((op_ e1_ e0_) <> (op_ e1_ e3_) /\ ((op_ e1_ e0_) <> (op_ e1_ e4_) /\ ((op_ e1_ e0_) <> (op_ e1_ e5_) /\ ((op_ e1_ e1_) <> (op_ e1_ e2_) /\ ((op_ e1_ e1_) <> (op_ e1_ e3_) /\ ((op_ e1_ e1_) <> (op_ e1_ e4_) /\ ((op_ e1_ e1_) <> (op_ e1_ e5_) /\ ((op_ e1_ e2_) <> (op_ e1_ e3_) /\ ((op_ e1_ e2_) <> (op_ e1_ e4_) /\ ((op_ e1_ e2_) <> (op_ e1_ e5_) /\ ((op_ e1_ e3_) <> (op_ e1_ e4_) /\ ((op_ e1_ e3_) <> (op_ e1_ e5_) /\ ((op_ e1_ e4_) <> (op_ e1_ e5_) /\ ((op_ e2_ e0_) <> (op_ e2_ e1_) /\ ((op_ e2_ e0_) <> (op_ e2_ e2_) /\ ((op_ e2_ e0_) <> (op_ e2_ e3_) /\ ((op_ e2_ e0_) <> (op_ e2_ e4_) /\ ((op_ e2_ e0_) <> (op_ e2_ e5_) /\ ((op_ e2_ e1_) <> (op_ e2_ e2_) /\ ((op_ e2_ e1_) <> (op_ e2_ e3_) /\ ((op_ e2_ e1_) <> (op_ e2_ e4_) /\ ((op_ e2_ e1_) <> (op_ e2_ e5_) /\ ((op_ e2_ e2_) <> (op_ e2_ e3_) /\ ((op_ e2_ e2_) <> (op_ e2_ e4_) /\ ((op_ e2_ e2_) <> (op_ e2_ e5_) /\ ((op_ e2_ e3_) <> (op_ e2_ e4_) /\ ((op_ e2_ e3_) <> (op_ e2_ e5_) /\ ((op_ e2_ e4_) <> (op_ e2_ e5_) /\ ((op_ e3_ e0_) <> (op_ e3_ e1_) /\ ((op_ e3_ e0_) <> (op_ e3_ e2_) /\ ((op_ e3_ e0_) <> (op_ e3_ e3_) /\ ((op_ e3_ e0_) <> (op_ e3_ e4_) /\ ((op_ e3_ e0_) <> (op_ e3_ e5_) /\ ((op_ e3_ e1_) <> (op_ e3_ e2_) /\ ((op_ e3_ e1_) <> (op_ e3_ e3_) /\ ((op_ e3_ e1_) <> (op_ e3_ e4_) /\ ((op_ e3_ e1_) <> (op_ e3_ e5_) /\ ((op_ e3_ e2_) <> (op_ e3_ e3_) /\ ((op_ e3_ e2_) <> (op_ e3_ e4_) /\ ((op_ e3_ e2_) <> (op_ e3_ e5_) /\ ((op_ e3_ e3_) <> (op_ e3_ e4_) /\ ((op_ e3_ e3_) <> (op_ e3_ e5_) /\ ((op_ e3_ e4_) <> (op_ e3_ e5_) /\ ((op_ e4_ e0_) <> (op_ e4_ e1_) /\ ((op_ e4_ e0_) <> (op_ e4_ e2_) /\ ((op_ e4_ e0_) <> (op_ e4_ e3_) /\ ((op_ e4_ e0_) <> (op_ e4_ e4_) /\ ((op_ e4_ e0_) <> (op_ e4_ e5_) /\ ((op_ e4_ e1_) <> (op_ e4_ e2_) /\ ((op_ e4_ e1_) <> (op_ e4_ e3_) /\ ((op_ e4_ e1_) <> (op_ e4_ e4_) /\ ((op_ e4_ e1_) <> (op_ e4_ e5_) /\ ((op_ e4_ e2_) <> (op_ e4_ e3_) /\ ((op_ e4_ e2_) <> (op_ e4_ e4_) /\ ((op_ e4_ e2_) <> (op_ e4_ e5_) /\ ((op_ e4_ e3_) <> (op_ e4_ e4_) /\ ((op_ e4_ e3_) <> (op_ e4_ e5_) /\ ((op_ e4_ e4_) <> (op_ e4_ e5_) /\ ((op_ e5_ e0_) <> (op_ e5_ e1_) /\ ((op_ e5_ e0_) <> (op_ e5_ e2_) /\ ((op_ e5_ e0_) <> (op_ e5_ e3_) /\ ((op_ e5_ e0_) <> (op_ e5_ e4_) /\ ((op_ e5_ e0_) <> (op_ e5_ e5_) /\ ((op_ e5_ e1_) <> (op_ e5_ e2_) /\ ((op_ e5_ e1_) <> (op_ e5_ e3_) /\ ((op_ e5_ e1_) <> (op_ e5_ e4_) /\ ((op_ e5_ e1_) <> (op_ e5_ e5_) /\ ((op_ e5_ e2_) <> (op_ e5_ e3_) /\ ((op_ e5_ e2_) <> (op_ e5_ e4_) /\ ((op_ e5_ e2_) <> (op_ e5_ e5_) /\ ((op_ e5_ e3_) <> (op_ e5_ e4_) /\ ((op_ e5_ e3_) <> (op_ e5_ e5_) /\ (op_ e5_ e4_) <> (op_ e5_ e5_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax10_10 : (e0_ <> e1_ /\ (e0_ <> e2_ /\ (e0_ <> e3_ /\ (e0_ <> e4_ /\ (e0_ <> e5_ /\ (e1_ <> e2_ /\ (e1_ <> e3_ /\ (e1_ <> e4_ /\ (e1_ <> e5_ /\ (e2_ <> e3_ /\ (e2_ <> e4_ /\ (e2_ <> e5_ /\ (e3_ <> e4_ /\ (e3_ <> e5_ /\ e4_ <> e5_)))))))))))))).
Variable ax11_11 : (e0_ = (op_ (op_ (op_ (op_ e4_ e4_) e4_) e4_) (op_ e4_ e4_)) /\ (e1_ = (op_ (op_ e4_ e4_) e4_) /\ (e2_ = (op_ (op_ (op_ e4_ e4_) e4_) e4_) /\ (e3_ = (op_ e4_ e4_) /\ e5_ = (op_ (op_ (op_ (op_ e4_ e4_) e4_) e4_) e4_))))).

Theorem co1_12 : ~(((op_ e0_ e0_) = (op_ e0_ e0_) /\ ((op_ e0_ e1_) = (op_ e1_ e0_) /\ ((op_ e0_ e2_) = (op_ e2_ e0_) /\ ((op_ e0_ e3_) = (op_ e3_ e0_) /\ ((op_ e0_ e4_) = (op_ e4_ e0_) /\ ((op_ e0_ e5_) = (op_ e5_ e0_) /\ ((op_ e1_ e0_) = (op_ e0_ e1_) /\ ((op_ e1_ e1_) = (op_ e1_ e1_) /\ ((op_ e1_ e2_) = (op_ e2_ e1_) /\ ((op_ e1_ e3_) = (op_ e3_ e1_) /\ ((op_ e1_ e4_) = (op_ e4_ e1_) /\ ((op_ e1_ e5_) = (op_ e5_ e1_) /\ ((op_ e2_ e0_) = (op_ e0_ e2_) /\ ((op_ e2_ e1_) = (op_ e1_ e2_) /\ ((op_ e2_ e2_) = (op_ e2_ e2_) /\ ((op_ e2_ e3_) = (op_ e3_ e2_) /\ ((op_ e2_ e4_) = (op_ e4_ e2_) /\ ((op_ e2_ e5_) = (op_ e5_ e2_) /\ ((op_ e3_ e0_) = (op_ e0_ e3_) /\ ((op_ e3_ e1_) = (op_ e1_ e3_) /\ ((op_ e3_ e2_) = (op_ e2_ e3_) /\ ((op_ e3_ e3_) = (op_ e3_ e3_) /\ ((op_ e3_ e4_) = (op_ e4_ e3_) /\ ((op_ e3_ e5_) = (op_ e5_ e3_) /\ ((op_ e4_ e0_) = (op_ e0_ e4_) /\ ((op_ e4_ e1_) = (op_ e1_ e4_) /\ ((op_ e4_ e2_) = (op_ e2_ e4_) /\ ((op_ e4_ e3_) = (op_ e3_ e4_) /\ ((op_ e4_ e4_) = (op_ e4_ e4_) /\ ((op_ e4_ e5_) = (op_ e5_ e4_) /\ ((op_ e5_ e0_) = (op_ e0_ e5_) /\ ((op_ e5_ e1_) = (op_ e1_ e5_) /\ ((op_ e5_ e2_) = (op_ e2_ e5_) /\ ((op_ e5_ e3_) = (op_ e3_ e5_) /\ ((op_ e5_ e4_) = (op_ e4_ e5_) /\ ((op_ e5_ e5_) = (op_ e5_ e5_) /\ ~(((op_ e0_ e0_) = (op_ e0_ e0_) /\ ((op_ e0_ e1_) = (op_ e1_ e0_) /\ ((op_ e0_ e2_) = (op_ e2_ e0_) /\ ((op_ e0_ e3_) = (op_ e3_ e0_) /\ ((op_ e0_ e4_) = (op_ e4_ e0_) /\ ((op_ e0_ e5_) = (op_ e5_ e0_) /\ ((op_ e1_ e0_) = (op_ e0_ e1_) /\ ((op_ e1_ e1_) = (op_ e1_ e1_) /\ ((op_ e1_ e2_) = (op_ e2_ e1_) /\ ((op_ e1_ e3_) = (op_ e3_ e1_) /\ ((op_ e1_ e4_) = (op_ e4_ e1_) /\ ((op_ e1_ e5_) = (op_ e5_ e1_) /\ ((op_ e2_ e0_) = (op_ e0_ e2_) /\ ((op_ e2_ e1_) = (op_ e1_ e2_) /\ ((op_ e2_ e2_) = (op_ e2_ e2_) /\ ((op_ e2_ e3_) = (op_ e3_ e2_) /\ ((op_ e2_ e4_) = (op_ e4_ e2_) /\ ((op_ e2_ e5_) = (op_ e5_ e2_) /\ ((op_ e3_ e0_) = (op_ e0_ e3_) /\ ((op_ e3_ e1_) = (op_ e1_ e3_) /\ ((op_ e3_ e2_) = (op_ e2_ e3_) /\ ((op_ e3_ e3_) = (op_ e3_ e3_) /\ ((op_ e3_ e4_) = (op_ e4_ e3_) /\ ((op_ e3_ e5_) = (op_ e5_ e3_) /\ ((op_ e4_ e0_) = (op_ e0_ e4_) /\ ((op_ e4_ e1_) = (op_ e1_ e4_) /\ ((op_ e4_ e2_) = (op_ e2_ e4_) /\ ((op_ e4_ e3_) = (op_ e3_ e4_) /\ ((op_ e4_ e4_) = (op_ e4_ e4_) /\ ((op_ e4_ e5_) = (op_ e5_ e4_) /\ ((op_ e5_ e0_) = (op_ e0_ e5_) /\ ((op_ e5_ e1_) = (op_ e1_ e5_) /\ ((op_ e5_ e2_) = (op_ e2_ e5_) /\ ((op_ e5_ e3_) = (op_ e3_ e5_) /\ ((op_ e5_ e4_) = (op_ e4_ e5_) /\ (op_ e5_ e5_) = (op_ e5_ e5_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
